# Dental System
## Installation
- ```
  composer install
  ```
- Create .env file (use .env.example as model)
- Create main database (tenants database)
- Add main database credentials to your .env file
- Add TENANT_DB_PREFIX = "lab_" key in your local .env file
- ```
  php artisan migrate:fresh --seed
  ```
- edit config/tenancy.php database[prefix] and/or database[suffix] so it match with your tenants databases
- tenant database for tenant name clinic should be named - `database[prefix]`tenant name`database[suffix]`
- create databases for all your tenants names (all tenants names are in main database in tenants table)
- migrate all tenants
   ```
   php artisan tenant:migrate-fresh
   php artisan tenant:seed
   ``` 
   more info in documentation about commands [Tenancy](https://tenancyforlaravel.com/docs/v3/console-commands)
- visit
    ```
    http://base_url/docs
    ```
  for api routes and for postman collection
- to update the Scribe documentation, use the following command:
```
  php artisan scribe:generate --force --env documentation --verbose
```
More details here: [Generating documentation - Scribe documentation](https://scribe.readthedocs.io/en/latest/generating-documentation.html?highlight=environment#customising-the-environment-with-env)

## Attention!
- on any code changes, clear the cache if it's not working with the following command:
```
  php artisan optimize:clear
```

## Packages used for project
- [Tenancy](https://tenancyforlaravel.com/docs/v3/console-commands) for tenants management
- [Spatie Laravel-permission](https://spatie.be/docs/laravel-permission/v3/introduction) for users permissions
- [Spatie Laravel-medialibrary](https://spatie.be/docs/laravel-medialibrary/v9/introduction) for files uploads/management
- [Spatie Laravel-query-builder](https://spatie.be/docs/laravel-query-builder/v3/introduction) for filtering/sorting
- [Scribe](https://scribe.readthedocs.io/en/latest/guide-getting-started.html) for API documentation

### Random helpers
- [Fortify ](https://github.com/laravel/fortify) fortify github
- [Http Codes](https://httpstatuses.com/) http codes
- [We.org Http Codes](https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html) http codes fromn w3.org
- [Laravel Routing – 8 Advanced Tips: Languages, APIs, Groups, Validation](https://blog.quickadminpanel.com/laravel-routing-8-advanced-tips-languages-apis-groups-validation/) 
  some tips about route grouping

### For Bitbucket pipeline 
- [Git FTP ](https://github.com/git-ftp/git-ftp/blob/master/man/git-ftp.1.md) for automatically ftp modified files on test system  on develop commit
