<?php

namespace App\Exceptions\Api;

use Exception;

class Unauthorized extends Exception
{
    protected $code = 401;
    protected $message = 'Unauthorized';
    protected $previous;

    /**
     * Report the exception.
     *
     * @return bool|null
     */
    public function report()
    {
    }

    /**
     * Render the exception as an HTTP response.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\JsonResponse|\Illuminate\Http\Response|object
     */
    public function render($request)
    {
        $this->message = __($this->message);
        if (!$request->expectsJson()) {
            return response()->json(['message' =>  $this->message])->setStatusCode($this->code);
        }
        return response(['message' => __($this->message)], $this->code);
    }
}
