<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class GetIdentifierFromLogin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     *
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (//login identifier identification
            ($username = $request->username)
            && //has only 1 delimiter for identifier identification
            substr_count($username, config('custom.api.username_identifier_delimiter')) == 1
            && //has identifier
            ($identifier = explode('.', $username)[0] ?? null)
        ) {
            $request->headers->set('tenant_identifier', $identifier);
        }

        return $next($request);
    }
}
