<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Routing\Route;

class Logging
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if(auth()->user() && config('lab_configuration.logging_user_activity')){
            $logData = [
                'tenant' => tenant()->id,
                'username' => auth()->user()->username,
                'uri' => $request->getRequestUri(),
                'method' => $request->getMethod(),
                'payload' => $request -> all(),
                'ip' => $request->ip()
            ];
            activity()
                ->useLog('users_activity')
                ->causedBy(auth()->user())
                ->withProperties($logData)
                ->log('Activity log user: '.auth()->user()->username);
        }

        return $next($request);
    }
}
