<?php

namespace App\Http\Middleware;

use Closure;
use Dingo\Api\Http\Response;
use Illuminate\Http\JsonResponse;

class ProfileJsonHttpResponse
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     *
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $response = $next($request);
        if ($response instanceof JsonResponse
            && app()->bound('debugbar')
            && app('debugbar')->isEnabled()
            && is_object($response->getData())
        ) {
            $response->setData(
                $response->getData(true) + [
                    '_debugbar' => app('debugbar')->getData(),
                ]
            );
        }
        return $response;
    }
}
