<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class APProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'brand_id'          => ['required', 'integer', 'exists:additional_prices_brands,id,deleted_at,NULL'],
            'category_id'       => ['required', 'integer', 'exists:additional_prices_categories,id,deleted_at,NULL'],
            'name'              => ['required', 'min:3', 'unique:additional_prices_products,name,' . ($this->additional_prices_product ?? 0) . ',id,deleted_at,NULL'],
            'price'             => ['required', 'numeric', 'max:999999'],
            'default_invoicing' => ['bail', 'nullable', 'boolean'],
        ];
    }
}
