<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class DentistRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize():bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules():array
    {

        return [
            'first_name' => 'required|min:3',
            'last_name' => 'required|min:3',
            'cnp' => 'bail|nullable|numeric|digits:13|unique:dentists,cnp,'.($this->dentist->id??0).',id,deleted_at,NULL',
            'email' => 'nullable|email|unique:dentists,email,'.($this->dentist->id??0).',id,deleted_at,NULL',
            'phone_fax' => 'bail|nullable|string||digits:10',
            'collaborator_id' => 'bail|nullable|integer|not_in:0',
            'order' => 'nullable',
        ];
    }
}
