<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class GenerateInvoiceRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'collaborator_id'                   => 'required|exists:collaborators,id',
            'invoice_series_id'                 => 'required|exists:invoice_series,id',
            'invoice_date'                      => 'required|date_format:Y-m-d',
            'invoice_services'                  => 'required|array',
            'invoice_services.*.service_name'   => ['required', 'string',],
            'invoice_services.*.amount'         => ['required', 'integer',],
            'invoice_services.*.unit_price'     => ['required', 'numeric',],
        ];
    }
}
