<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use App\Models\Payment;

class InvoiceRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'type' => 'required|in:'. implode(',', Payment::paymentTypeOptions()),
            'name' => 'string|min:3',
            'collaborator_id' => 'required|exists:collaborators,id',
            'series_id' => 'required|exists:invoice_series,id',
            'invoice_date' => 'required|date_format:Y-m-d',
            'invoice_services' => 'required|array:service_name,amount,unit_price',
        ];
    }
}
