<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class LabProfileFilesRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            //
            'logo' => [
                'required_without:cover',
                'file',
                'mimes:jpg,png,jpeg,gif,svg',
                'max:10240'
            ],
            'cover' => [
                'required_without:logo',
                'file',
                'mimes:jpg,png,jpeg,gif,svg',
                'max:10240'
            ]
        ];
    }

    public function bodyParameters()
    {
        return [
            'logo'  => [
                'example' => 'logo file data',
            ],
            'cover' => [
                'example' => 'cover file data',
            ]
        ];
    }
}
