<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class OAPriceAddRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'order_id'          => ['required', 'integer', 'exists:orders,id,deleted_at,NULL'],
            'name'              => ['required', 'string', 'min:3'],
            'description'       => ['nullable', 'bail', 'string', 'min:3'],
            'quantity'          => ['nullable', 'bail', 'numeric', 'min:1'],
            'price_per_unit'    => ['required', 'numeric', 'min:0', 'max:99999'],
            'to_be_invoiced'    => ['nullable', 'boolean'],
            'order_as_response' => ['required', 'boolean'],
        ];
    }
}
