<?php

namespace App\Http\Requests;

use App\Configuration\LabConfiguration;
use App\Rules\OrderSpecialStageRule;
use Illuminate\Foundation\Http\FormRequest;

class OWSSpecialStagesRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        return [
            'order_work_id'       => 'required|integer|exists:order_work_templates,id,deleted_at,NULL',
            'order_work_stage_id' => 'required|integer|exists:order_work_stages,id,deleted_at,NULL',
            'order_as_response'   => 'required|boolean',
            'price_type'          => [
                'required',
                'in:'.LabConfiguration::configAsString('work_templates_price_types', 'value')
            ],
            'elements'            => [
                'required',
                'array',
                new OrderSpecialStageRule($this->price_type,$this->order_work_id,$this->order_work_stage_id),
            ],
        ];
    }
}
