<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class OWStageRemakeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        return [
            'order_work_id'       => 'required|integer|exists:order_work_templates,id,deleted_at,NULL',
            'order_work_stage_id' => 'required|integer|exists:order_work_stages,id,deleted_at,NULL',
            'order_as_response'   => 'required|boolean',
            'remake_parameters' => 'required|array',
            'remake_parameters.lab_is_paying' => 'required|boolean',
            'remake_parameters.reason' => 'required|array|min:1',
            'remake_parameters.reason.fault' => 'required|in:user,lab,collaborator',
            'remake_parameters.reason.user_id' => 'required_if:remake_parameters.reason.fault,user|integer|exists:users,id,deleted_at,NULL',


        ];
    }
}
