<?php

namespace App\Http\Requests;

use App\Rules\Dentition;
use App\Services\DentitionService;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class OWStageReorderRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'order_work_template_id' => 'required|integer|exists:order_work_templates,id,deleted_at,NULL',
            'order_as_response'      => 'required|boolean',
            'order_work_stages'     => [
                'required',
                'array',
            ],
            'order_work_stages.*' => ['required','array','min:1'],
            'order_work_stages.*.stage_id' => ['required','integer','exists:order_work_stages,id,deleted_at,NULL']
        ];
    }
}
