<?php

namespace App\Http\Requests;

use App\Rules\Dentition;
use Illuminate\Foundation\Http\FormRequest;

class OWTDentitionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'order_work_template_id' => 'required|integer|exists:order_work_templates,id,deleted_at,NULL',
            'order_as_response'      => 'required|boolean',
            'dentition'     => [
                'required',
                'array',
                new Dentition()
                                ],
            'dentition.*.form' => ['required','integer','min:0','max:7'],
            'dentition.*.xtra' => ['required','array'],
            'dentition.*.xtra.*' => ['required','boolean'],
            'arcada_dentition'       => ['bail','nullable','array',"min:2","max:2"],
            'arcada_dentition.upper'       => ['required_with:arcada_dentition','boolean'],
            'arcada_dentition.lower'       => ['required_with:arcada_dentition','boolean']
        ];
    }
}
