<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class OrderCancelRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'reason'                                              => 'required|string|min:5',
            'appears_on_payment_document'                         => 'required|boolean',
            'remake'                                              => 'required|boolean',
            //in versiunea veche exista la anularea unei comenzi (in interfata de anulare) exista campul cost nou
            'canceled_order_stages_updated_costs'                 => ['required', 'array'],
            'canceled_order_stages_updated_costs.*.stage_id'      => ['required', 'integer', 'exists:order_work_stages,id,deleted_at,NULL'],
            'canceled_order_stages_updated_costs.*.cost_per_unit' => ['required', 'numeric'],
        ];
    }
}
