<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class OrderDeleteEmptySpecialStagesIdsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'order_id'          => ['required', 'integer', 'exists:orders,id,deleted_at,NULL'],
            'order_as_response' => ['required', 'boolean'],
            'stages_ids'        => ['required', 'array'],
            'stages_ids.*'      => ['required', 'integer', 'exists:order_work_stages,id,deleted_at,NULL']
        ];
    }
}
