<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class OrderFileUploadRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            //
            'order_id'  => ['required', 'integer', 'exists:orders,id,deleted_at,NULL'],
            'file_name' => [
                'nullable',
                'bail',
                'string',
                'min:5'
            ],
            'file'      => [
                'required',
                'file',
                'mimes:jpg,png,jpeg,gif,svg,txt,pdf',
                'max:10240'
            ],
        ];
    }
}
