<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class OrderStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'start_date' => 'required|date_format:Y-m-d',
            'collaborator_id' => 'required|integer|exists:collaborators,id,deleted_at,NULL',
            'dentist_id' => 'required|integer|exists:dentists,id,deleted_at,NULL',
            'patient_id' => 'required|integer|exists:patients,id,deleted_at,NULL'
        ];
    }
}
