<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class OrderWTUpdateSettingsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'order_work_template_id' => 'required|integer|exists:order_work_templates,id,deleted_at,NULL',
            'order_as_response'     => 'required|boolean',
            'preferred_duration'     => 'nullable|integer|min:1',
            'ignore_extra_price'     => 'nullable|boolean',
        ];
    }
}
