<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PDAddOrdersRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'order_ids_to_be_added' => [
                'required',
                'min:1',
                'array'
            ],
            'order_ids_to_be_added.*.order_id' => [
                'required',
                'integer',
                'exists:orders,id,deleted_at,NULL'
            ],
            'detailed_payment' => [
                'required',
                'boolean'
            ]
        ];
    }
}
