<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PatientRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize():bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules():array
    {
        return [
            'last_name' => 'required|min:3',
            'first_name' => 'required|min:3',
            'cnp' => 'bail|nullable|numeric|digits:13|unique:patients,cnp,'.($this->patient->id??0).',id,deleted_at,NULL',
            'email' => 'nullable|email',
            'mobile' => 'bail|nullable|string|digits:10',
            'phone_fax' => 'bail|nullable|string||digits:10',
            'address' => 'nullable|string|regex:/^[a-zâăîşșţțA-ZĂÂÎŞȘŢȚ0-9 \-\/\ \+\(\)\.,:\/]*$/um',
        ];
    }

    public function bodyParameters()
    {
        return [
            'last_name' => [
                'description' => '',
            ],
            'first_name' => [
                'description' => '',
                'example' => '',
            ],
            'cnp' => [
                'description' => '',
            ],
            'email' => [
                'description' => '',
            ],
            'mobile' => [
                'description' => '',
            ],
            'phone_fax' => [
                'description' => '',
            ],
            'address' => [
                'description' => '',
            ],
        ];
    }
}
