<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use App\Models\Payment;

class PaymentDocumentAddPaymentRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'type'      => 'required|in:' . implode(',', Payment::paymentTypeOptions()),
            'name'      => 'string|min:3',
            'value'     => 'required|numeric|between:0.01,999999',
            'order_id'  => 'nullable|integer|exists:orders,id,deleted_at,NULL',
            'date'      => 'required|date_format:Y-m-d'
        ];
    }
}
