<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PaymentDocumentStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'collaborator_id'           => 'required|integer|exists:collaborators,id,deleted_at,NULL',
            'dentist_id'                => 'nullable|bail|integer|exists:dentists,id,deleted_at,NULL',
            'detailed_payment'          => ['required', 'boolean'],
            'lab_invoice_profile_id'    => 'required|exists:lab_invoice_profiles,id',
        ];
    }
}
