<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ProfileFilesRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'picture' => [
                'file',
                'mimes:jpg,png,jpeg,gif,svg',
                'max:10240'
            ],
        ];
    }

    public function bodyParameters()
    {
        return [
            'picture'  => [
                'example' => 'picture file data',
            ],
        ];
    }
}
