<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class WorkStageUpdateUsersRankRequest extends FormRequest
{
    public function rules()
    {
        return [
            'work_stage_id' => 'required|integer|exists:work_stages,id,deleted_at,NULL',
            'work_stage_users' => 'required|array',
            'work_stage_users.*.user_id' => 'required|integer|exists:users,id,deleted_at,NULL',
        ];
    }


    public function authorize()
    {
        return true;
    }

    /**
     * Get the error messages for the defined validation rules.
     *
     * @return array
     */
    public function messages()
    {
        return [
            'users.*.user_id' => 'Id user required'
        ];
    }
}
