<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class WorkStageUserCreateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            'work_stage_id' => 'required|integer|exists:work_stages,id,deleted_at,NULL',
            'user_id' => 'required|integer|exists:users,id,deleted_at,NULL',
            'price' => 'required|numeric|min:0|max:999999'
        ];
    }
}
