<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class WorkTemplateStagesUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'work_template_id' => 'required|integer|exists:work_templates,id,deleted_at,NULL',
            'work_template_stages' => 'array',
            'work_template_stages.*.work_stage_id' => 'required|integer|exists:work_stages,id,deleted_at,NULL',
            'work_template_stages.*.rank' => 'required|integer|min:0',
        ];
    }

    /**
     * Get the error messages for the defined validation rules.
     *
     * @return array
     */
    public function messages()
    {
        return [
            'users.*.user_id' => 'Id user required'
        ];
    }
}
