<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Collaborator */
class CollaboratorResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'                => $this->id,
            'name'              => $this->name,
            'cui'               => $this->cui,
            'nr_reg_comertului' => $this->nr_reg_comertului,
            'bank'              => $this->bank,
            'region_id'         => $this->region_id,
            'region'            => $this->region->title ?? null,
            'bank_account'      => $this->bank_account,
            'address'           => $this->address,
            'city'              => $this->city,
            'phone_fax'         => $this->phone_fax,
            'mobile'            => $this->mobile,
            'contact_mobile'    => $this->contact_mobile,
            'email'             => $this->email,
            'website'           => $this->website,
            'dentists'          => $this->whenLoaded('dentists'),
        ];
    }
}
