<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class DentistPriceResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'work_template_id'           => $this->work_template_id,
            'work_template_name'         => $this->work_template_name,
            'work_template_cost'         => $this->work_template_cost,
            'work_template_price_type'   => $this->work_template_price_type,
            'dentist_price'              => $this->dentist_price,
            'dentist_price_locked'       => (bool) $this->dentist_price_locked,
            'dentist_preferential_price' => (bool) $this->dentist_preferential_price,
            'collaborators_prices'       => CollaboratorPricesResource::collection($this->collaboratorPreferentialPrices)
        ];
    }
}
