<?php

namespace App\Http\Resources;

use App\Models\WorkTemplate;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Dentist */
class DentistResource extends JsonResource
{

    /**
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'            => $this->id,
            'first_name'    => $this->first_name,
            'last_name'     => $this->last_name,
            'cnp'           => $this->cnp,
            'phone_fax'     => $this->phone_fax,
            'email'         => $this->email,
            'collaborators' => CollaboratorShortResource::collection($this->whenLoaded('collaborators')),
            'prices'        => WorkTemplatePriceResource::collection($this->whenLoaded('prices'))
        ];
    }
}
