<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class DiscountResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     *
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id'                  => $this->id,
            'discount_type_id'    => $this->discount_type_id,
            'payment_document_id' => $this->payment_document_id,
            'name'                => $this->name,
            'order_id'            => $this->order_id,
            'value'               => $this->value,
            'payment_document'    => $this->whenLoaded('payment_document'),
            'discount_type'       => new DiscountTypeResource($this->whenLoaded('discount_type'))
        ];
    }
}
