<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class InvoiceResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id'                                    => $this->id,
            'value'                                 => $this->value,
            'invoice_series_id'                     => $this->invoice_series_id,
            'invoice_series'                        => $this->invoice_series,
            'invoice_no'                            => $this->invoice_no,
            'invoice_date'                          => $this->invoice_date_formatted,
            'collaborator_id'                       => $this->collaborator_id,
            'collaborator_name'                     => $this->collaborator_name,
            'collaborator_cui'                      => $this->collaborator_cui,
            'collaborator_nr_reg_comertului'        => $this->collaborator_nr_reg_comertului,
            'collaborator_bank'                     => $this->collaborator_bank,
            'collaborator_bank_account'             => $this->collaborator_bank_account,
            'collaborator_address'                  => $this->collaborator_address,
            'collaborator_region_id'                => $this->collaborator_region_id,
            'collaborator_city'                     => $this->collaborator_city,
            'collaborator_phone_fax'                => $this->collaborator_phone_fax,
            'collaborator_mobile'                   => $this->collaborator_mobile,
            'collaborator_contact_mobile'           => $this->collaborator_contact_mobile,
            'collaborator_email'                    => $this->collaborator_email,
            'collaborator_website'                  => $this->collaborator_website,

            'lab_invoice_profile_id'                => $this->lab_invoice_profile_id,
            'lab_invoice_profile_name'              => $this->lab_invoice_profile_name,
            'lab_invoice_profile_cui'               => $this->lab_invoice_profile_cui,
            'lab_invoice_profile_nr_reg_comertului' => $this->lab_invoice_profile_nr_reg_comertului,
            'lab_invoice_profile_address'           => $this->lab_invoice_profile_address,
            'lab_invoice_profile_region_id'         => $this->lab_invoice_profile_region_id,
            'lab_invoice_profile_city'              => $this->lab_invoice_profile_city,
            'lab_invoice_profile_phone_fax'         => $this->lab_invoice_profile_phone_fax,
            'lab_invoice_profile_mobile1'           => $this->lab_invoice_profile_mobile1,
            'lab_invoice_profile_mobile2'           => $this->lab_invoice_profile_mobile2,
            'lab_invoice_profile_email1'            => $this->lab_invoice_profile_email1,
            'lab_invoice_profile_email2'            => $this->lab_invoice_profile_email2,
            'lab_invoice_profile_website'           => $this->lab_invoice_profile_website,
            'lab_invoice_profile_bank'              => $this->lab_invoice_profile_bank,
            'lab_invoice_profile_bank_account'      => $this->lab_invoice_profile_bank_account,
            'json'                                  => $this->json,

            'payment_document_id'                   => $this->when($this->paymentDocument !== null, $this->paymentDocument->id),
            'payment_document_issued_date'          => $this->when($this->paymentDocument !== null, $this->payment_document_issued_date),
            'paid'                                  => $this->when($this->paymentDocument !== null, $this->paid),
            'to_pay'                                => $this->when($this->paymentDocument !== null, $this->to_pay),
            'proforma_series'                       => $this->when($this->paymentDocument !== null, $this->paymentDocument->proforma_series),
            'proforma_no'                           => $this->when($this->paymentDocument !== null, $this->paymentDocument->proforma_no),
            'all_receipts_issued'                   => $this->whenLoaded('payments', $this->all_receipts_are_issued),

        ];
    }
}
