<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class LabInvoiceProfileResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     *
     * @return array
     */
    public function toArray($request)
    {
        return [
            "id"                 => $this->id,
            "is_default_profile" => $this->isDefault,
            "name"               => $this->name,
            "cui"                => $this->cui,
            "nr_reg_comertului"  => $this->nr_reg_comertului,
            "address"            => $this->address,
            "region_id"          => $this->region_id,
            "region"             => $this->region->title ?? null,
            "city"               => $this->city,
            "phone_fax"          => $this->phone_fax,
            "mobile1"            => $this->mobile1,
            "mobile2"            => $this->mobile2,
            "email1"             => $this->email1,
            "email2"             => $this->email2,
            "website"            => $this->website,
            "invoice_series"     => $this->invoice_series,
            "invoice_no"         => $this->invoice_no,
            "receipt_series"     => $this->receipt_series,
            "receipt_no"         => $this->receipt_no,
            "bank"               => $this->bank,
            "bank_account"       => $this->bank_account,
            "logo"               => $this->logo,
            "cover"              => $this->cover,
            'proforma_start_no'  => $this->proforma_start_no,
            'proforma_series'    => $this->proforma_series,
        ];
    }
}
