<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class LabProfileResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     *
     * @return array
     */
    public function toArray($request)
    {
        return [
            "name"                                   => $this->name,
            "address"                                => $this->address,
            "region_id"                              => $this->region_id,
            "region"                                 => $this->region->title ?? null,
            "city"                                   => $this->city,
            "saturday"                               => $this->saturday,
            "sunday"                                 => $this->sunday,
            "phone_fax"                              => $this->phone_fax,
            "mobile1"                                => $this->mobile1,
            "mobile2"                                => $this->mobile2,
            "email1"                                 => $this->email1,
            "email2"                                 => $this->email2,
            "website"                                => $this->website,
            "facebook"                               => $this->facebook,
            "linkedin"                               => $this->linkedin,
            "logo"                                   => $this->logo,
            "cover"                                  => $this->cover,
            "users_occupancy_threshold_busy_working" => $this->users_occupancy_threshold_busy_working,
            "users_occupancy_threshold_full_working" => $this->users_occupancy_threshold_full_working,
            "users_occupancy_threshold_busy_waiting" => $this->users_occupancy_threshold_busy_waiting,
            "users_occupancy_threshold_full_waiting" => $this->users_occupancy_threshold_full_waiting,
            "same_user_option"                       => $this->same_user_option,
            "show_dashboard"                         => $this->show_dashboard,
            "show_calendar"                          => $this->show_calendar,
            "force_finish_order"                     => $this->force_finish_order,
            "lab_invoice_profile_id"                 => $this->lab_invoice_profile_id,
            "lab_invoice_profile"                    => new LabInvoiceProfileResource($this->invoiceProfile),
            "payment_document_title"                 => $this->payment_document_title,
            "payment_document_text"                  => $this->payment_document_text,
            "technician_report_title"                => $this->technician_report_title,
            "technician_report_text"                 => $this->technician_report_text,
            "company_description"                    => $this->company_description,
            "currency"                               => $this->currency,
        ];
    }
}
