<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class OWSCalendarResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request  $request
     *
     * @return array
     */
    public function toArray($request): array
    {

        return [
            'id'                     => $this->when($this->id !== null, $this->id),
            'order_id'               => $this->when($this->order_id !== null, $this->order_id),
            'order_work_template_id' => $this->when($this->order_work_template_id !== null, $this->order_work_template_id),
            'work_stage_id'          => $this->when($this->work_stage_id !== null, $this->work_stage_id),
            'work_template_id'       => $this->when($this->work_template_id !== null, $this->work_template_id),
            'confirmed'              => $this->when($this->confirmed !== null, $this->confirmed),
            'rank'                   => $this->when($this->rank !== null, $this->rank),
            'user_id'                => $this->when($this->user_id !== null, $this->user_id),
            'user_name'              => $this->when($this->user_name !== null, $this->user_name),
            'cost'                   => $this->when($this->cost !== null, $this->cost),
            'price'                  => $this->when($this->price !== null, $this->price),
            'remake_price'           => $this->when($this->remake_price !== null, $this->remake_price),
            'multi_factor'           => $this->when($this->multi_factor !== null, $this->multi_factor),
            'duration'               => $this->when($this->duration !== null, $this->duration),
            'extra_cost_applied'     => $this->when($this->extra_cost_applied !== null, $this->extra_cost_applied),
            'name'                   => $this->when($this->name !== null, $this->name),
            'type'                   => $this->when($this->type !== null, $this->type),
            'to_send'                => $this->when($this->to_send !== null, $this->to_send),
            'price_type'             => $this->when($this->price_type !== null, $this->price_type),
            'status'                 => $this->when($this->status !== null, $this->status),
            'finished_time'          => $this->finished_time,
            'from_template'          => $this->when($this->from_template !== null, $this->from_template),
            'dentition'              => $this->when($this->dentition !== null, $this->dentition_array),
            'arcada_dentition'       => $this->when($this->arcada_dentition !== null, $this->arcada_dentition_array),
            'elements'               => $this->when($this->elements !== null, $this->elements),
            'multi_factor_dentition' => $this->when($this->multi_factor_dentition !== null, $this->multi_factor_dentition_array),
            'day_number'             => $this->when($this->day_number !== null, $this->day_number),
            'date'                   => $this->date,
            'time'                   => $this->time,
            'remake_id'              => $this->when($this->remake_id !== null, $this->remake_id),
            'user_fault_id'          => $this->when($this->user_fault_id !== null, $this->user_fault_id),
            'collaborator_fault_id'  => $this->when($this->collaborator_fault_id !== null, $this->collaborator_fault_id),
            'lab_paying'             => $this->when($this->lab_paying !== null, $this->lab_paying),
            'id_export_from'         => $this->when($this->id_export_from !== null, $this->id_export_from),
            'works'                  => $this->when($this->works !== null, $this->works),
            'works_name_and_symbol'  => $this->work->order->worksNameAndSymbol,
            'started'                => $this->started,
            'stopped'                => $this->stopped,
            'ready_time'             => $this->ready_time,
            'pivot'                  => $this->when($this->pivot !== null, $this->pivot),
            'patient'                => $this->when($this->work->order->patient !== null, new PatientResource($this->work->order->patient)),
            'dentist'                => $this->when($this->work->order->dentist !== null, new DentistResource($this->work->order->dentist)),
            'collaborator'           => $this->when(
                $this->work->order->collaborator !== null,
                new CollaboratorResource(
                    $this->work->order->collaborator
                )
            ),
        ];
    }
}
