<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class OWTCombinationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'                     => $this->when($this->id !== null, $this->id),
            'order_id'               => $this->when($this->order_id !== null, $this->order_id),
            'work_template_id'       => $this->when($this->work_template_id !== null, $this->work_template_id),
            'name'                   => $this->when($this->name !== null, $this->name),
            'original_name'          => $this->when($this->original_name !== null, $this->original_name),
            'symbol'                 => $this->when($this->symbol !== null, $this->symbol),
            'extra_price'            => $this->when($this->extra_price !== null, $this->extra_price),
            'ignore_extra_price'     => $this->when($this->ignore_extra_price !== null, $this->ignore_extra_price),
            'min_duration'           => $this->when($this->min_duration !== null, $this->min_duration),
            'estimated_duration'     => $this->when($this->estimated_duration !== null, $this->estimated_duration),
            'preferred_duration'     => $this->when($this->preferred_duration !== null, $this->preferred_duration),
            'price_type'             => $this->when($this->price_type !== null, $this->price_type),
            'elements'               => $this->when($this->elements !== null, $this->elements),
            'combination_id'         => $this->when($this->combination_id !== null, $this->combination_id),
            'min_date'               => $this->when($this->minDate !== null, $this->minDate),
            'estimated_date'         => $this->when($this->estimatedDate !== null, $this->estimatedDate),
            'preferred_date'         => $this->when($this->preferredDate !== null, $this->preferredDate),
            'multi_factor'           => $this->when($this->multi_factor !== null, $this->multi_factor),
            'price'                  => $this->when($this->price !== null, $this->price),
            'prices'                 => $this->when($this->prices !== null, $this->prices),
            'dentition'              => $this->when($this->dentition !== null, $this->array_dentition),
            'arcada_dentition'       => $this->when($this->arcada_dentition !== null, $this->arcada_dentition_array),
            'multi_factor_dentition' => $this->when($this->multi_factor_dentition_array !== null, $this->multi_factor_dentition_array),
            'stages'                 => OrderWorkStageResource::collection($this->whenLoaded('stagesWithoutPivot'))
        ];
    }
}
