<?php

namespace App\Http\Resources;

use App\Services\OrderWorkStagesService;
use Illuminate\Http\Resources\Json\JsonResource;

class OrderEmptySpecialStageResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'                     => $this->id,
            'order_id'               => $this->order_id,
            'work_template_id'       => $this->work_template_id,
            'work_stage_id'          => $this->work_stage_id,
            'order_work_template_id' => $this->order_work_template_id,
            'name'                   => $this->name,
            'can_delete'             => OrderWorkStagesService::canStageBeDeleted($this->resource)
        ];
    }
}
