<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class OrderPaymentSummaryResource extends JsonResource
{
    /**
     * @param  \Illuminate\Http\Request  $request
     *
     * @return array
     *
     */
    public function toArray($request)
    {
        return [
            'payed'             => $this->when($this['payed'] !== null, $this['payed']),
            'discounts_value'   => $this->when($this['discounts_value'] !== null, $this['discounts_value']),
            'to_pay'            => $this['to_pay']??null,
            'payments'          => $this->when($this['payments'] !== null, PaymentResource::collection(collect($this['payments']))),
            'discounts'         => $this->when($this['discounts'] !== null, DiscountResource::collection(collect($this['discounts']))),
            'send_to_invoicing' => $this->when($this['send_to_invoicing'] !== null, (bool)$this['send_to_invoicing']),
            'has_invoice'       => $this->when($this['has_invoice'] !== null, (bool)$this['has_invoice']),
            'has_proforma'      => $this->when($this['has_proforma'] !== null, (bool)$this['has_proforma']),
            'has_no_invoice'    => $this->when($this['has_no_invoice'] !== null, (bool)$this['has_no_invoice']),
            'needs_value_calculation'    => $this->when($this['needs_value_calculation'] !== null, (bool)$this['needs_value_calculation']),
        ];
    }
}
