<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class OrderStageResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     *
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'                     => $this->id ?? null,
            'order_id'               => $this->order_id ?? null,
            'order_work_template_id' => $this->order_work_template_id ?? null,
            'work_stage_id'          => $this->work_stage_id ?? null,
            'work_template_id'       => $this->work_template_id ?? null,
            'confirmed'              => $this->confirmed ?? null,
            'rank'                   => $this->rank ?? null,
            'user_id'                => $this->user_id ?? null,
            'user_name'              => $this->user_name ?? null,
            'cost'                   => $this->cost ?? null,
            'price'                  => $this->price ?? null,
            'remake_price'           => $this->remake_price ?? null,
            'multi_factor'           => $this->multi_factor ?? null,
            'duration'               => $this->duration ?? null,
            'extra_cost_applied'     => $this->extra_cost_applied ?? null,
            'name'                   => $this->name ?? null,
            'type'                   => $this->type ?? null,
            'to_send'                => $this->to_send ?? null,
            'price_type'             => $this->price_type ?? null,
            'status'                 => $this->status ?? null,
            'finished_time'          => $this->finished_time ?? null,
            'from_template'          => $this->from_template ?? null,
            'dentition'              => $this->dentition ?? null,
            'arcada_dentition'       => $this->arcada_dentition ?? null,
            'elements'               => $this->elements ?? null,
            'multi_factor_dentition' => $this->multi_factor_dentition_array ?? null,
            'day_number'             => $this->day_number ?? null,
            'date'                   => $this->date ?? null,
            'time'                   => $this->time ?? null,
            'remake_id'              => $this->remake_id ?? null,
            'user_fault_id'          => $this->user_fault_id ?? null,
            'collaborator_fault_id'  => $this->collaborator_fault_id ?? null,
            'lab_paying'             => $this->lab_paying ?? null,
            'id_export_from'         => $this->id_export_from ?? null,
            'works'                  => $this->works ?? null,
            'started'                => $this->started ?? null,
            'stopped'                => $this->stopped ?? null,
            'ready_time'             => $this->ready_time ?? null,
        ];
    }
}
