<?php

namespace App\Http\Resources;

use App\Models\OrderWorkTemplate;
use Illuminate\Http\Resources\Json\JsonResource;

class OrderWorkArrayResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     *
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'                     => $this['id'] ?? null,
            'price'                  => $this['price'] ?? null,
            'extra_price'            => $this['extra_price'] ?? null,
            'dentition'              => (new OrderWorkTemplate())->decodeDentition($this['dentition'] ?? ''),
            'min_duration'           => $this['min_duration'] ?? null,
            'estimated_duration'     => $this['estimated_duration'] ?? null,
            'preferred_duration'     => $this['preferred_duration'] ?? null,
            'price_type'             => $this['price_type'] ?? null,
            'elements'               => $this['elements'] ?? null,
            'name'                   => $this['name'] ?? null,
            'original_name'          => $this['original_name'] ?? null,
            'work_template_id'       => $this['work_template_id'] ?? null,
            'combination_id'         => $this['combination_id'] ?? null,
            'pivot'                  => $this['pivot'] ?? null,
            'min_date'               => $this['min_date'] ?? null,
            'preferred_date'         => $this['preferred_date'] ?? null,
            'estimated_date'         => $this['estimated_date'] ?? null,
            'combinations'           => $this['combinations'] ?? [],
        ];
    }
}
