<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class PaymentDocumentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'                     => $this->id,
            'collaborator'           => new CollaboratorResource($this->whenLoaded('collaborator')),
            'status'                 => $this->status ?? null,
            'value'                  => $this->value,
            'payed'                  => $this->payed,
            'to_pay'                 => $this->to_pay,
            'lab_invoice_profile_id' => $this->lab_invoice_profile_id,
            'invoice_id'             => $this->invoice_id,
            'invoice_file'           => $this->invoice_file,
            'invoice_series'         => $this->invoice_series,
            'invoice_no'             => $this->invoice_no,
            'invoice_date'           => $this->invoice_date_formatted,
            'dentist_name'           => $this->dentistName,
            'invoice'                => new InvoiceResource($this->whenLoaded('invoice')),
            'dentist'                => new DentistResource($this->whenLoaded('dentist')),
            'ordersAttached'         => OrderResource::collection($this->ordersAttached ?? []),
            'discounts'              => DiscountResource::collection($this->whenLoaded('discounts')),
            'payments'               => PaymentResource::collection($this->whenLoaded('payments')),
            'created_at'             => $this->created_at_formatted,
            'proforma_no'            => $this->proforma_no,
            'proforma_series'        => $this->proforma_series,
            'all_receipts_issued'    => $this->whenLoaded('payments', $this->all_receipts_are_issued),
        ];
    }
}
