<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\ResourceCollection;

class PermissionsSortedCollection extends ResourceCollection
{
    public $collects = PermissionDetailedResource::class;
    /**
     * Transform the resource collection into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return
     */
    public function toArray($request)
    {
        //@todo IMPORTANT nu poti avea mai mult de o permisiune cu create,read,update,delete in o subcategorie.
        // se suprascriu cele cu terminatie identica
        //todo daca una din permisiuni contine read/create/update/delete incearca sa le sorteze  si pot disparea permisiuni din lista
        //@todo is not a bug is a feature
        $final = [];
        $parsed =[];

        $this->collection->sortBy(['category', 'subcategory'])->each(function ($item, $key) use (&$parsed) {
            $parsed[$item->category??'no_category'][$item->subcategory??'no_subcategory'][] = $item;
            return $parsed;
        });
        // sorting permissions by category and subcategory and translating categories and subcategories
        foreach ($parsed as $categoryName => $category){
            $categoryName = __("lang_permissions.$categoryName");
            $final[$categoryName]['categoryName'] = $categoryName;
            foreach ($category as $subCategoryName => $subcategory){
                $subCategoryName = __("lang_permissions.$subCategoryName");
                $final[$categoryName]['subcategories'][$subCategoryName]['subCategory'] = $subCategoryName;
                foreach ($subcategory as $permission){
                    $final[$categoryName]['subcategories'][$subCategoryName]['permissions'][] = $permission;
                }
                $final[$categoryName]['subcategories'] = array_values($final[$categoryName]['subcategories']);
            }
        }

        //ordering permissions
        $order = config('custom.api.crud_permission_type_ordering');
        foreach ($final as $catKey => $category) {
            foreach ($category['subcategories'] as $subCatKey =>  $subcategory) {
                $ordered = [];
                foreach ($subcategory['permissions'] as $permission) {

                    $isOrdered = false;
                    foreach ($order as $rank => $ord) {
                        if (strpos($permission['name'],$ord) !== false) {
                            $ordered[$rank] = $permission;
                            $isOrdered = true;
                            continue;
                        }
                    }
                    // if not typical CRUD order doesnt matter
                    if(!$isOrdered){
                        $ordered[$permission->shortName] = $permission;
                    }
                }
                array_multisort($ordered);
                $final[$catKey]['subcategories'][$subCatKey]['permissions'] =array_values($ordered);
            }
        }

        $final = array_values($final);
        return [
            "data" => $final,
        ];

    }
}
