<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\User */
class UserCompleteResource extends JsonResource
{
    /**
     * @param  \Illuminate\Http\Request  $request
     *
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'                  => $this->id,
            'username'            => $this->username,
            'username_identifier' => $this->username_identifier,
            'username_suffix'     => $this->username_suffix,
            'first_name'          => $this->first_name,
            'last_name'           => $this->last_name,
            'department'          => $this->department,
            'mobile'              => $this->mobile,
            'phone_fax'           => $this->phone_fax,
            'email'               => $this->email,
            'website'             => $this->website,
            'address'             => $this->address,
            'status'              => $this->status,
            'profile_pic'         => $this->profile_pic,
            'use_profile_pic'     => $this->use_profile_pic,
            'roles_ids'           => $this->roles()->pluck('id'),
            'roles'               => $this->roles()->pluck('name'),
            'permissions'         => $this->userPermissions()->pluck('name')
        ];
    }
}
