<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class WorkCalculationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            "etape_speciale"        => $this->etape_speciale ?? 'possible error, please verify',
            "pret_lucrare_start"    => $this->prices->base ?? 'possible error, please verify',
            "cantitate_lucrare"     => $this->multi_factor ?? 'possible error, please verify',
            "elemente_lucrare"      => $this->elements ?? 'possible error, please verify',
            "pret_total_lucrare"    => $this->prices->total ?? 'possible error, please verify',
            "pret_etape"            => $this->prices->stages ?? 'possible error, please verify',
            "pret_etape_extra"      => $this->prices->checkboxStages ?? 'possible error, please verify',
            "pret_urgenta"          => $this->prices->extra ?? 'possible error, please verify',
            "preturi_extra"         => $this->prices->extra_prices ?? 'possible error, please verify',
            "data_durata_minima"    => $this->minDate ?? 'possible error, please verify',
            "data_durata_estimata"  => $this->estimatedDate ?? 'possible error, please verify',
            "data_durata_preferata" => $this->preferredDate ?? 'possible error, please verify',

        ];
    }
}
