<?php

namespace App\Http\Resources;

use App\Models\WorkStage;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use phpDocumentor\Reflection\Types\Collection;

/** @mixin WorkStage */
class WorkStageResource extends JsonResource
{
    /**
     * @param  Request  $request
     *
     * @return array
     */
    public function toArray($request): array
    {
        return [
            'id'                     => $this->id,
            'name'                   => $this->name,
            'type'                   => $this->type,
            'price_type'             => $this->price_type,
            'min_duration'           => $this->min_duration,
            'cost'                   => $this->cost,
            'remake_cost'            => $this->remake_cost,
            'special_cost'           => $this->special_cost,
            'description'            => $this->description,
            'confirmation_required'  => $this->confirmation_required,
            'to_send'                => $this->to_send,
            'extra_cost_applied'     => $this->extra_cost_applied,
            'multi_factor_dentition' => $this->multi_factor_dentition_array,
            'users'                  => $this->users
        ];
    }
}
