<?php

namespace App\Http\Resources;

use App\Models\DentistPrice;
use Illuminate\Http\Resources\Json\JsonResource;

class WorkTemplatePriceResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     *
     * @return array
     */
    public function toArray($request)
    {
        return [
            'work_template_id'           => $this->id,
            'work_template_name'         => $this->name,
            'work_template_cost'         => $this->cost,
            'work_template_price_type'   => $this->price_type,
            'work_template_extra_cost'   => $this->extra_cost,
            'dentist_price'              => $this->whenPivotLoaded(
                'dentist_prices',
                function () {
                    return (int) ($this->pivot->price ?? null);
                }
            ),
            'dentist_price_locked'       => $this->whenPivotLoaded(
                'dentist_prices',
                function () {
                    return (bool) ($this->pivot->locked ?? null);
                }
            ),
            'collaborator_price'         => $this->whenPivotLoaded(
                'collaborator_prices',
                function () {
                    return (int) ($this->pivot->price ?? null);
                }
            ),
            'collaborator_price_locked'  => $this->whenPivotLoaded(
                'collaborator_prices',
                function () {
                    return (bool) ($this->pivot->locked ?? null);
                }
            ),
            'dentist_preferential_price' => $this->dentist_preferential_price,
        ];
    }
}
