<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class WorkTemplateStageResource extends JsonResource
{
    /**
     * @param  Request  $request
     *
     * @return array
     */
    public function toArray($request): array
    {
        return [
            'id'                     => $this->id,
            'name'                   => $this->name,
            'type'                   => $this->type,
            'price_type'             => $this->price_type,
            'min_duration'           => $this->min_duration,
            'cost'                   => $this->cost,
            'remake_cost'            => $this->remake_cost,
            'special_cost'           => $this->special_cost,
            'description'            => $this->description,
            'to_send'                => $this->to_send,
            'confirmation_required'  => $this->confirmation_required,
            'extra_cost_applied'     => $this->extra_cost_applied,
            'multi_factor_dentition' => $this->multi_factor_dentition_array,
            'pivot_rank'             => (int) ($this->pivot->rank ?? null),
            'pivot_day_number'       => (int) ($this->pivot->day_number ?? null),
            "pivot_work_template_id" => (int) ($this->pivot->work_template_id ?? null),
            "pivot_work_stage_id"    => (int) ($this->pivot->work_stage_id ?? null),
            "pivot_id"               => (int) ($this->pivot->id ?? null),
        ];
    }
}
