<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class AdditionalPricesProduct extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $fillable = [
        "name",
        "price",
        "brand_id",
        "category_id",
        "default_invoicing",
    ];

    public function brand()
    {
        return $this->belongsTo(AdditionalPricesBrand::class);
    }
    public function category()
    {
        return $this->belongsTo(AdditionalPricesCategory::class);
    }
}
