<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Discount extends Model
{
    use HasFactory;
    use SoftDeletes;

    public static $searchable = [
        'payment_document_id'
    ];

    protected $fillable = [
        'discount_type_id',
        'payment_document_id',
        'order_id',
        'name',
        'value'
    ];

    public function payment_document()
    {
        return $this->belongsTo(PaymentDocument::class);
    }

    public function discount_type()
    {
        return $this->belongsTo(DiscountType::class);
    }
}
