<?php

namespace App\Models;

use App\Scopes\OrderAdditionalPriceScope;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderAdditionalPrice extends Model
{
    use HasFactory;

    protected $fillable = [
        'order_id',
        'name',
        'description',
        'price',
        'quantity',
        'price_per_unit',
        'to_be_invoiced',
    ];

    /**
     * The "booted" method of the model.
     *
     * @return void
     */
    protected static function booted()
    {
        static::addGlobalScope(new OrderAdditionalPriceScope);
    }

    public function product()
    {
        return $this->belongsTo(AdditionalPricesProduct::class, 'product');
    }
}
