<?php

namespace App\Models;

use App\Traits\HasArcadaDentition;
use App\Traits\HasDentition;
use App\Traits\HasMultiFactorDentition;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderWorkStage extends Model
{
    use HasFactory;
    use HasMultiFactorDentition;
    use HasArcadaDentition;
    use HasDentition;

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'order_id' => 'integer',
        'order_work_template_id' => 'integer',
        'work_stage_id' => 'integer',
        'work_template_id' => 'integer',
        'confirmed' => 'integer',
        'rank' => 'integer',
        'user_id' => 'integer',
        'multi_factor' => 'integer',
        'duration' => 'integer',
        'elements' => 'integer',
        'day_number' => 'integer',
        'remake_id' => 'integer',
        'user_fault_id' => 'integer',
        'to_send' => 'boolean',
        'extra_cost_applied' => 'boolean'
    ];

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable
    = [
        'user_id',
        'user_name',
        'cost',
    ];

    public function workStage()
    {
        return $this->belongsTo(WorkStage::class);
    }

    public function work()
    {
        return $this->belongsTo(OrderWorkTemplate::class, 'order_work_template_id');
    }

    public function order()
    {
        return $this->belongsTo(Order::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
