<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Payment extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $fillable
        = [
            'payment_document_id',
            'order_id',
            'name',
            'value',
            'date',
            'type',
            'order_id',
        ];


    private static $types = [
        [
            "id" => "cash",
            "title" => "cash"
        ],
        [
            "id" => "op",
            "title" => "ordin de plata"
        ]
    ];

    public static function paymentTypeOptions():array {
        $options = [];
        foreach(self::$types as $type){
            $options[] = $type['id'];
        }
        return $options;
    }

    public function receipt(){
        $this->belongsTo(Receipt::class);
    }
}
