<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Receipt extends Model
{
    use HasFactory;

    protected $fillable = [
        'payment_id',
        'receipt_series_id',
        'receipt_series',
        'receipt_no',
        'receipt_date',
        'invoice_id',
        'value',
    ];

    public function getReceiptDateFormattedAttribute()
    {
        return $this->receipt_date ? date('Y-m-d', strtotime($this->receipt_date)) : null;
    }

    public function getInvoiceDateFormattedAttribute()
    {
        return $this->invoice_date ? date('Y-m-d', strtotime($this->invoice_date)) : null;
    }

    public function invoice()
    {
        return $this->belongsTo(Invoice::class);
    }


    public function payment()
    {
        return $this->belongsTo(Payment::class);
    }
}
