<?php

namespace App\Models;

use App\Exceptions\Api\ValidationException;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Spatie\Permission\Models\Permission;

class Role extends \Spatie\Permission\Models\Role
{
    use HasFactory;

    public function __construct(array $attributes = [])
    {
        $attributes['guard_name'] = $attributes['guard_name'] ?? config('custom.api.default_guard_for_roles');
        parent::__construct($attributes);
    }

    public function updateRolePermissions(Role $role,array $permissionsNames): void
    {
        $permissions = Permission::whereIn('name',$permissionsNames)->get();
        if($permissions->count() !== count($permissionsNames)){
            throw new ValidationException('Could not attach permissions. Invalid permissions names.');
        }

        $role->syncPermissions($permissionsNames);
    }
}
