<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class WorkStageUser extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'work_stage_id',
        'user_id',
        'price',
        'rank',
    ];

    protected $casts = [
        'work_stage_id' => 'integer',
        'user_id' => 'integer',
        'rank' => 'integer',
    ];

    function user()
    {
        return $this->belongsTo(User::class);
    }
    function work_stage()
    {
        return $this->belongsTo(WorkStage::class);
    }
}
