<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class WorkTemplateStage extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'day_number',
        'rank'
    ];


    public function templateStageUsersOrdered(){
        return $this->hasMany(WorkTemplateStageUser::class)->orderBy('rank');

    }

    public function workStageUsersOrdered()
    {
        return $this->belongsToMany(User::class, 'work_template_stage_users', 'work_template_stage_id', 'user_id')
            ->orderBy('rank')
            ->withPivot(['id','work_template_id','work_stage_id','price','rank']);
    }

    public function workTemplate(){
        return $this->belongsTo(WorkTemplate::class);
    }

    public function workStage(){
        return $this->belongsTo(WorkStage::class);
    }

    public function users(){
        return $this->belongsToMany(User::class, 'work_template_stage_users', 'work_template_stage_id', 'user_id');
    }

}
