<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class WorkTemplateStageUser extends Model
{
    use HasFactory, SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'rank'
    ];


    public function users()
    {
        return $this->belongsToMany(User::class, 'work_template_stage_users', 'work_template_stage_id', 'user_id')->orderBy('rank')->withPivot(
            ['id', 'price', 'rank']
        );
    }
}
