<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class ArcadaDentition implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     *
     * @return bool
     */
    public function passes($attribute, $value)
    {
        return $this->isValidDentiton($value);
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'The validation error message.';
    }

    public function isValidDentiton($fieldValue)
    {
        $emptyDentition = DentitionService::emptyDentition(false);

        if(count($emptyDentition) !== count($fieldValue)){
            return false;
        }

        if(array_keys($emptyDentition) !== array_keys($fieldValue)){
            return false;
        }

        //has at least an empty dentition fields
        foreach ($fieldValue as $key => $values) {
            if(!isset($emptyDentition[$key])){
                return false;
            }
            foreach ($values as $index => $value) {
                if(!isset($emptyDentition[$key][$index])){
                    return false;
                }
            }
        }

        return true;
    }
}
