<?php

namespace App\Rules;

use App\Services\DentitionService;
use Illuminate\Contracts\Validation\Rule;

class Dentition implements Rule
{
    var $errorMessage = null;

    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this -> errorMessage = __('Dentition parameters wrong formatted');
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     *
     * @return bool
     */
    public function passes($attribute, $value)
    {
        return $this->isValidDentiton($value);
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return $this -> errorMessage;
    }

    public function isValidDentiton($fieldValue)
    {
        $emptyDentition = DentitionService::emptyDentition(false);
        $fieldValue = DentitionService::reorderDentitionKeys($fieldValue,$emptyDentition);

        if (array_keys($emptyDentition) !== array_keys($fieldValue)) {
            $this -> errorMessage = __("Dentition doesnt have the required primary keys");
            return false;
        }

        return $this->verifyBlock($emptyDentition,$fieldValue,false);
    }


    public function verifyBlock($blueprint,$comparingValues,$strict = false)
    {
        if (is_object($blueprint)) {
            $blueprint = (array) $blueprint;
        }
        if (is_array($blueprint)) {
            foreach ($blueprint as $key => $value) {
                if(!isset($comparingValues[$key])){
                    $this -> errorMessage = __("Key $key should be set");
                    return false;
                }
                if (is_object($blueprint[$key])) {
                    $blueprint[$key] = (array) $blueprint[$key];
                }
                if (is_array($blueprint[$key])) {
                    if (empty($blueprint[$key]) !== empty($comparingValues[$key])) {
                        if(empty($blueprint[$key]) === false && empty($comparingValues[$key])){
                            $this -> errorMessage = __("Key :key should not be empty",["key"=>$key]);
                        }
                        if($strict && empty($comparingValues[$key]) === false){
                            $this -> errorMessage = __("Key :key should be empty",["key"=>$key]);
                        }
                        return false;
                    }
                    if($strict){
                        if (count($blueprint[$key]) !== count($comparingValues[$key])) {
                            $this -> errorMessage = __("Key $key has :elementsC elements, should have :elementsB elements",
                                                       ['elementsB'=>count
                            ($blueprint[$key]),'elementsC'=>count
                            ($comparingValues[$key])]);
                            return false;
                        }
                    }
                    if(!$this->verifyBlock($blueprint[$key],$comparingValues[$key],$strict)){
                        return false;
                    }
                }
            }
        }
        return true;
    }
}
