<?php


namespace App\Services;

use App\Models\OrderWorkStage;

class CalendarOrderStagesService
{
    /**
     * Get the exit stages.
     *
     * @param string $startDate
     * @param string $endDate
     * @return object
     */
    public static function getExitStages($startDate, $endDate)
    {
        $orderStages = OrderWorkStage::where('status', 'not_ready')->where('to_send', 1);

        if ($startDate ?? false) {
            $orderStages = $orderStages->where('date', '>=', $startDate);
        }
        if ($endDate ?? false) {
            $orderStages = $orderStages->where('date', '<=', $endDate);
        }
        $orderStages = $orderStages
            ->whereHas('work.order', function ($query) {
                $query->with([
                    'work.order',
                    'work.order.dentist',
                    'work.order.collaborator',
                    'work.order.patient',
                    'work.order.worksNameAndSymbol'
                ]);
            })
            ->get();

        return $orderStages;
    }
}
