<?php


namespace App\Services\Reports;

use Carbon\Carbon;
use Illuminate\Support\Facades\DB;

class ChartService
{
    /**
     * Creates a temporary table filled with months.
     *
     * @param integer $numberOfMonths
     * @return boolean
     */
    public static function createMonthsTemporaryTable(int $numberOfMonths): bool
    {
        $now = Carbon::now();
        $startDate = Carbon::now()->addMonth(-$numberOfMonths);
        $startYear = date('Y', $startDate->timestamp);
        $endYear = date('Y', $now->timestamp);
        $startMonth = date('m', $startDate->timestamp);
        $endMonth = date('m', $now->timestamp);
        $monthsDifference = (($endYear - $startYear) * 12) + ($endMonth - $startMonth);
        $queryString = "CREATE TEMPORARY TABLE temp_table( date DATE NOT NULL);
            INSERT INTO temp_table(`date`) VALUES ('" . $now->format('Y-m-d') . "');";

        while ($monthsDifference > 1) {
            $queryString .= "INSERT INTO temp_table(`date`) VALUES ('" . $now->subMonthNoOverflow(1)->format('Y-m-d') . "');";
            $monthsDifference--;
        };

        return DB::unprepared(DB::raw($queryString));
    }
}
