<?php

namespace App\Services\Reports;

use App\Models\Discount;
use App\Models\Order;
use Carbon\Carbon;

class DiscountsService
{
    /**
     * Move order discounts to discounts.
     *
     * @param Order $order
     * @return void
     */
    public static function moveOrderDiscountsToDiscounts(Order $order)
    {
        $orderDiscounts      = $order->order_discounts();
        $getOrderDiscounts   = $orderDiscounts->get();

        if (!$getOrderDiscounts->isEmpty()) {
            foreach ($getOrderDiscounts as $discount) {
                $discountsArray[] = [
                    'discount_type_id'      => $discount->discount_type_id,
                    'order_id'              => $discount->order_id,
                    'payment_document_id'   => $order->payment_document_id,
                    'name'                  => $discount->name,
                    'value'                 => $discount->value,
                    'created_at'            => Carbon::now()->toDateTimeString(),
                    'updated_at'            => Carbon::now()->toDateTimeString(),
                ];
            }

            Discount::insert($discountsArray);
            $orderDiscounts->delete();
        }
    }
}
