<?php

namespace App\Services\Reports;

use App\Models\Order;
use App\Models\Payment;
use Carbon\Carbon;

class PaymentsService
{
    /**
     * Move order payments to payments.
     *
     * @param Order $order
     * @return void
     */
    public static function moveOrderPaymentsToPayments(Order $order)
    {
        $orderPayments      = $order->order_payments();
        $getOrderPayments   = $orderPayments->get();

        if (!$getOrderPayments->isEmpty()) {
            foreach ($getOrderPayments as $payment) {
                $paymentsArray[] = [
                    'payment_document_id'   => $order->payment_document_id,
                    'order_id'              => $payment->order_id,
                    'name'                  => $payment->name,
                    'value'                 => $payment->value,
                    'date'                  => $payment->date,
                    'type'                  => $payment->type,
                    'created_at'            => Carbon::now()->toDateTimeString(),
                    'updated_at'            => Carbon::now()->toDateTimeString(),
                ];
            }

            Payment::insert($paymentsArray);
            $orderPayments->delete();
        }
    }
}
