<?php


namespace App\Traits;


use App\Exceptions\Api\ValidationException;

trait ArcadaDentition
{
    use HasJsonOperations;
    /**
     * @param  array  $arcadaDentition
     *
     * @return false|string
     */
    public function encodeArcadaDentition(array $arcadaDentition)
    {
        return $this->encodeArrayToJson($arcadaDentition);
    }


    /**
     * @param  string  $arcadaDentition
     *
     * @return mixed
     * @throws ValidationException
     */
    protected function decodeArcadaDentition(string $arcadaDentition)
    {
        if(empty($arcadaDentition)){
            $arcadaDentition = '{}';
        }

        if ($this->isJson($arcadaDentition)) {

            return $this->decodeJson($arcadaDentition);
        }

        throw new ValidationException(__('arcada dentition bad format'));
    }


}
