<?php


namespace App\Traits;


trait HasMultiFactorDentition
{
    use MultiFactorDentition;

    /**
     * Used in model for getting multi_factor_dentition as an array
     *
     * @return array
     */
    public function getMultiFactorDentitionArrayAttribute()
    {
        return $this->decodeMultiFactorDentition($this->multi_factor_dentition);
    }

    /**
     * calculate multi factor for regular stages
     *
     * @param  string  $stageType  [description]
     * @param  string  $stagePriceType  [description]
     * @param  array  $dentition  [description]
     *
     * @return int                    [description]
     */
    public static function calculateMultiFactor($stageType, $stagePriceType, $dentition)
    {
        $multiFactor = 0;
        switch ($stageType) {
            case 'implant':
            case 'special':
                return $multiFactor;
        }

        $multiFactor = 1;
        if ($stagePriceType !== 'fix') {
            $multiFactor = count($dentition);
        }

        return $multiFactor;
    }


}
