<?php


namespace App\Traits;


use App\Exceptions\Api\ValidationException;

trait MultiFactorDentition
{
    use HasJsonOperations;


    /**
     * @param  array  $multiFactorDentition
     *
     * @return false|string
     */
    public function encodeMultiFactorDentition(array $multiFactorDentition)
    {
        return $this->encodeArrayToJson($multiFactorDentition);
    }


    /**
     * @param  string  $multiFactorDentition
     *
     * @return mixed
     * @throws ValidationException
     */
    protected function decodeMultiFactorDentition(string $multiFactorDentition)
    {
        if(empty($multiFactorDentition)){
            $multiFactorDentition = '{}';
        }

        if ($this->isJson($multiFactorDentition)) {
            return $this->decodeJson($multiFactorDentition);
        }

        throw new ValidationException(__('multi factor dentition bad format'));
    }
}
