<?php

namespace Database\Factories;

use App\Exceptions\Api\ServerError;
use App\Models\Collaborator;
use App\Models\Region;
use App\Models\Tenant;
use Illuminate\Database\Eloquent\Factories\Factory;

class CollaboratorFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Collaborator::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $regionsIds = Region::all()->pluck('id')->toArray();
        return [
            'name' => $this->faker->company,
            'cui' => 12345678,
            'nr_reg_comertului' => $this->faker->cnp,
            'bank' => 'Banca Transilvania',
            'bank_account' => $this->faker->bankAccountNumber,
            'address' => $this->faker->address,
            'region_id' => array_rand($regionsIds),
            'city' => $this->faker->city,
            'phone_fax' => $this->faker->phoneNumber,
            'mobile' => $this->faker->phoneNumber,
            'contact_mobile' => $this->faker->phoneNumber,
            'email' => $this->faker->safeEmail,
            'website' => $this->faker->domainName,
        ];
    }
}
