<?php

namespace Database\Factories;

use App\Models\LabInvoiceProfile;
use App\Models\Region;
use Illuminate\Database\Eloquent\Factories\Factory;

class LabInvoiceProfileFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = LabInvoiceProfile::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $regionsIds = Region::all()->pluck('id')->toArray();
        return [
            'name'              => 'Invoice profile '.(tenant()->id ?? 'xxxxxx'),
            'cui'               => $this->faker->numberBetween(11111, 99999999),
            'nr_reg_comertului' => "JXX".$this->faker->numberBetween(11111, 99999).'/'.$this->faker->year(),
            "city"              => $this->faker->city,
            "region_id"         => array_rand($regionsIds),
            "address"           => $this->faker->address,
            "phone_fax"         => $this->faker->phoneNumber,
            "mobile1"           => $this->faker->phoneNumber,
            "mobile2"           => $this->faker->phoneNumber,
            "email1"            => $this->faker->safeEmail,
            "email2"            => $this->faker->safeEmail,
            "website"           => 'https://'.(tenant()->id ?? 'xxxxxx').'.ro',
            "invoice_series"    => $this->faker->randomLetter,
            "invoice_no"        => $this->faker->numberBetween(11111, 99999),
            "proforma_series"    => $this->faker->randomLetter,
            "proforma_start_no"        => $this->faker->numberBetween(11111, 99999),
            "receipt_series"    => $this->faker->randomLetter,
            "receipt_no"        => $this->faker->numberBetween(11111, 99999),
            "bank"              => 'Bank '.$this->faker->company,
            "bank_account"      => $this->faker->iban('ro')
        ];
    }
}
