<?php

namespace Database\Factories;

use App\Models\LabProfile;
use App\Models\Region;
use Illuminate\Database\Eloquent\Factories\Factory;

class LabProfileFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = LabProfile::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $regionsIds = Region::all()->pluck('id')->toArray();
        return [
            'name'                                   => 'Profil laborator '.(tenant()->id ?? 'xxxxxx'),
            "city"                                   => $this->faker->city,
            "region_id"                              => array_rand($regionsIds),
            "address"                                => $this->faker->address,
            "phone_fax"                              => $this->faker->phoneNumber,
            "mobile1"                                => $this->faker->phoneNumber,
            "mobile2"                                => $this->faker->phoneNumber,
            "email1"                                 => $this->faker->safeEmail,
            "email2"                                 => $this->faker->safeEmail,
            "website"                                => 'https://'.(tenant()->id ?? 'xxxxxx').'.ro',
            "facebook"                               => 'https://www.facebook.com/'.(tenant()->id ?? 'xxxxxx'),
            "linkedin"                               => 'https://www.linkedin.com/in/'.(tenant()->id ?? 'xxxxxx'),
            "users_occupancy_threshold_busy_waiting" => 0,
            "users_occupancy_threshold_busy_working" => 0,
            "users_occupancy_threshold_full_waiting" => 0,
            "users_occupancy_threshold_full_working" => 0
        ];
    }
}
