<?php

namespace Database\Factories;

use App\Configuration\LabConfiguration;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class UserFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = User::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $statuses = LabConfiguration::config('user_statuses');
        $status = $statuses[array_rand($statuses)];
        return [
            'username'          => $this->faker->userName,
            'first_name'        => $this->faker->firstName,
            'last_name'         => $this->faker->lastName,
            'email_verified_at' => now(),
            'password'          => '$2y$10$92IXUNpkjO0rOQ5byMi.Ye4oKoEa3Ro9llC/.og/at2.uheWG/igi', // password
            'remember_token'    => Str::random(10),
            'mobile'            => $this->faker->phoneNumber,
            'phone_fax'         => $this->faker->phoneNumber,
            'email'             => $this->faker->safeEmail,
            'website'           => $this->faker->url,
            'address'           => $this->faker->address,
            'status'            => $status,
            'profile_pic'       => $this->faker->imageUrl(),
            'use_profile_pic'   => $this->faker->boolean,
        ];
    }
}
