<?php

namespace Database\Factories;

use App\Models\User;
use App\Models\WorkStage;
use App\Models\WorkStageUser;
use Illuminate\Database\Eloquent\Factories\Factory;

class WorkStageUserFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = WorkStageUser::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition():array
    {
        $user = User::all()->random()->first();
        $workStage = WorkStage::all()->random()->first();
        return [
            'work_stage_id' => $workStage->id,
            'user_id'       => $user->id,
            'price'         => $this->faker->randomFloat(0, 1, 144),
            'rank'          => $this->faker->randomNumber(1),
        ];
    }
}
