<?php

namespace Database\Factories;

use App\Configuration\LabConfiguration;
use App\Models\WorkTemplate;
use Illuminate\Database\Eloquent\Factories\Factory;

class WorkTemplateFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = WorkTemplate::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $templatesPriceTypes
            = LabConfiguration::config('work_templates_price_types');
        $randomTemplatesPriceType
            = $templatesPriceTypes[array_rand($templatesPriceTypes)];

        return [
            'name'                   => $this->faker->text(30),
            'min_duration'           => $this->faker->randomFloat(0, 1, 10),
            'estimated_duration'     => $this->faker->randomFloat(0, 1, 10),
            'cost'                   => $this->faker->randomFloat(2, 1, 9999),
            'extra_cost'             => $this->faker->randomFloat(2, 1, 9999),
            'description'            => $this->faker->text(),
            'type'                   => '',
            'price_type'             => $randomTemplatesPriceType,
            'symbol'                 => $this->faker->word(),
            'multi_factor_dentition' => json_encode([1 => true, 2 => true, 3 => true, 4 => true, 5 => true, 6 => true, 7 => true,])
        ];
    }
}
