<?php

namespace Database\Factories;

use App\Configuration\LabConfiguration;
use App\Models\WorkStage;
use App\Models\WorkTemplate;
use App\Models\WorkTemplateStage;
use Illuminate\Database\Eloquent\Factories\Factory;

class WorkTemplateStageFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = WorkTemplateStage::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $workTemplatesIds = WorkTemplate::all()->pluck('id')->toArray();
        $workStagesIds = WorkStage::all()->pluck('id')->toArray();

        return [
            'work_template_id' => $workTemplatesIds[array_rand($workTemplatesIds)],
            'work_stage_id'    => $workStagesIds[array_rand($workStagesIds)],
            'rank'            => $this->faker->numberBetween(1, 1000),
            'day_number'       => $this->faker->numberBetween(1, 7),
        ];
    }
}
