<?php

namespace Database\Factories;

use App\Models\Role;
use App\Models\User;
use App\Models\WorkTemplate;
use App\Models\WorkTemplateStage;
use App\Models\WorkTemplateStageUser;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Database\Query\Builder;

class WorkTemplateStageUserFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = WorkTemplateStageUser::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $workTemplateStage = WorkTemplateStage::get()->toArray();
        $usersIds = User::whereHas(
            'roles',
            function ($query) {
                return $query->where('name', '<>', config('custom.api.super_admin_role'));
            }
        )->get()->pluck('id')->toArray();

        return [
            'work_template_id'       => $workTemplateStage[array_rand($workTemplateStage)]['work_template_id'],
            'work_template_stage_id' => $workTemplateStage[array_rand($workTemplateStage)]['id'],
            'work_stage_id'          => $workTemplateStage[array_rand($workTemplateStage)]['work_stage_id'],
            'rank'                   => $this->faker->numberBetween(1, 100),
            'user_id'                => $usersIds[array_rand($usersIds)],
            'price'                  => $this->faker->numberBetween(1, 100)
        ];
    }
}
