<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWorkStagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::create('work_stages', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->string('type')->nullable();
            $table->string('price_type')->nullable();
            $table->tinyInteger('to_send')->default(0);
            $table->integer('min_duration')->default(0)->comment('stage duration in minutes');
            $table->unsignedFloat('cost')->default(0);
            $table->unsignedFloat('remake_cost')->default(0);
            $table->unsignedFloat('special_cost')->default(0);
            $table->boolean('confirmation_required')->default(false);
            $table->boolean('extra_cost_applied')->default(false);
            $table->string('description')->nullable();
            $table->string('multi_factor_dentition');

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::dropIfExists('work_stages');
    }
}
