<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLabProfileTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('lab_profile', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->unsignedInteger('lab_invoice_profile_id')->default(1);
            $table->string('address')->default('');
            $table->unsignedBigInteger('region_id')->default(1);
            $table->string('city')->default('');
            $table->smallInteger('saturday')->default(0); // checkbox
            $table->smallInteger('sunday')->default(0); // checkbox
            $table->string('phone_fax')->default('');
            $table->string('mobile1')->default('');
            $table->string('mobile2')->default('');
            $table->string('email1')->default('');
            $table->string('email2')->default('');
            $table->string('website')->default('');
            $table->string('facebook')->default('');
            $table->string('linkedin')->default('');

            $table->integer('users_occupancy_threshold_busy_working')->default(0);
            $table->integer('users_occupancy_threshold_full_working')->default(0);
            $table->integer('users_occupancy_threshold_busy_waiting')->default(0);
            $table->integer('users_occupancy_threshold_full_waiting')->default(0);

            $table->boolean('same_user_option')->default(false);
            $table->boolean('show_dashboard')->default(true);
            $table->boolean('show_calendar')->default(true);
            $table->boolean('force_finish_order')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('lab_profiles');
    }
}
