<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLabInvoiceProfilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('lab_invoice_profiles', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('cui');
            $table->string('nr_reg_comertului')->nullable();
            $table->string('address')->nullable();
            $table->unsignedBigInteger('region_id')->default(1);
            $table->string('city')->nullable();
            $table->string('phone_fax')->nullable();
            $table->string('mobile1')->nullable();
            $table->string('mobile2')->nullable();
            $table->string('email1')->nullable();
            $table->string('email2')->nullable();
            $table->string('website')->nullable();
            $table->string('invoice_series');
            $table->integer('invoice_no');
            $table->string('receipt_series');
            $table->integer('receipt_no');
            $table->string('bank')->nullable();
            $table->string('bank_account')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('lab_invoice_profiles');
    }
}
