<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWorkTemplatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('work_templates', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name');
            $table->unsignedInteger('min_duration');
            $table->unsignedInteger('estimated_duration');
            $table->unsignedFloat('cost');
            $table->unsignedFloat('extra_cost');
            $table->string('description')->nullable();
            $table->string('type')->nullable();
            $table->string('price_type');
            $table->string('symbol')->nullable();
            $table->string('multi_factor_dentition');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('work_templates');
    }
}
