<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWorkTemplateStagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('work_template_stages', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('work_template_id');
            $table->unsignedBigInteger('work_stage_id');
            $table->integer('rank')->default(1);
            $table->integer('day_number')->default(0);
            $table->foreign('work_template_id')
                ->references('id')->on('work_templates')
                ->onDelete('cascade');

            $table->foreign('work_stage_id')
                ->references('id')->on('work_stages')
                ->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('work_template_stages');
    }
}
