<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWorkTemplateStageUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('work_template_stage_users', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('work_template_stage_id');
            $table->unsignedBigInteger('work_stage_id');
            $table->unsignedBigInteger('work_template_id');
            $table->unsignedBigInteger('user_id');
            $table->unsignedFloat('price')->default(0);
            $table->integer('rank')->default(1);
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('work_template_stage_id')
                ->references('id')->on('work_template_stages')
                ->onDelete('cascade');

            $table->foreign('work_stage_id')
                ->references('id')->on('work_stages')
                ->onDelete('cascade');

            $table->foreign('user_id')
                ->references('id')->on('users')
                ->onDelete('cascade');

            $table->foreign('work_template_id')
                ->references('id')->on('work_templates')
                ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('work_template_stage_users');
    }
}
