<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCollaboratorPricesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('collaborator_prices', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('work_template_id');
            $table->unsignedBigInteger('collaborator_id');
            $table->integer('price')->nullable()->default(0);
            $table->boolean('locked')->default(false);
            $table->boolean('active')->default(true);
            $table->integer('order')->default(0);
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('collaborator_id')->references('id')->on('collaborators')->onUpdate('RESTRICT')->onDelete('CASCADE');
            $table->foreign('work_template_id')->references('id')->on('work_templates')->onUpdate('RESTRICT')->onDelete('CASCADE');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('collaborator_prices');
    }
}
