<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->integer('order_no');
            $table->string('status');
            $table->dateTime('date_added');
            $table->dateTime('start_date');
            $table->dateTime('finish_date')->nullable();
            $table->dateTime('est_finish_date')->nullable();
            $table->unsignedBigInteger('collaborator_id');
            $table->unsignedBigInteger('dentist_id');
            $table->unsignedBigInteger('patient_id');
            $table->double('value', 8, 2)->default(0);
            $table->double('value_finish_order', 8, 2)->default(0);
            $table->double('value_external_invoice', 8, 2)->default(0);
            $table->double('temp_value', 8, 2)->default(0);
            $table->double('invoice_value', 8, 2)->default(0);
            $table->unsignedBigInteger('payment_document_id')->default(0);
            $table->unsignedBigInteger('invoice_id')->default(0);
            $table->unsignedBigInteger('invoice_order')->default(0);
            $table->unsignedBigInteger('invoice_order_no')->default(0);
            $table->tinyInteger('cancelled')->default(0);
            $table->tinyInteger('external_invoice')->default(0);
            $table->tinyInteger('appears_on_payment_document')->default(0);
            $table->string('reason')->nullable();
            $table->unsignedBigInteger('remake_id')->default(0);
            $table->unsignedBigInteger('remake_of')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
