<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_details', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('order_id');
            $table->foreign('order_id')->references('id')->on('orders')->onUpdate('RESTRICT')->onDelete('CASCADE');
            $table->string('culoarea_dintilor');
            $table->string('forma_dintilor');
            $table->string('forma_fetei');
            $table->string('design_dinti_anteriori');
            $table->string('suprafata_modelata');
            $table->string('mameloane');
            $table->string('fisuri_incizinale');
            $table->string('dentine_secundare');
            $table->string('fisuri_coloraturi_incizale');
            $table->string('terminatie_incizala');
            $table->string('suprafata_lustruita');
            $table->text('extra_details');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_details');
    }
}
