<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderWorkTemplatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_work_templates', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('order_id');
            $table->foreign('order_id')->references('id')->on('orders')->onUpdate('RESTRICT')->onDelete('CASCADE');
            $table->unsignedBigInteger('work_template_id');
            $table->foreign('work_template_id')->references('id')->on('work_templates')->onUpdate('RESTRICT')->onDelete('CASCADE');
            $table->string('name');
            $table->string('original_name');
            $table->string('symbol')->nullable();
            $table->double('price', 8, 2);
            $table->integer('extra_price');
            $table->tinyInteger('ignore_extra_price')->default(0);
            $table->string('dentition', 10000);
            $table->string('arcada_dentition')->nullable();
            $table->integer('min_duration');
            $table->integer('estimated_duration');
            $table->integer('preferred_duration')->default(0);
            $table->string('price_type');
            $table->integer('elements')->default(0);
            $table->string('multi_factor_dentition');
            $table->integer('combination_id')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_work_templates');
    }
}
