<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderWorkStagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_work_stages', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('order_id');
            $table->foreign('order_id')->references('id')->on('orders')->onUpdate('RESTRICT')->onDelete('CASCADE');
            $table->unsignedBigInteger('order_work_template_id');
            $table->foreign('order_work_template_id')->references('id')->on('order_work_templates')->onUpdate('RESTRICT')->onDelete('CASCADE');
            $table->unsignedBigInteger('work_stage_id');
            $table->foreign('work_stage_id')->references('id')->on('work_stages')->onUpdate('RESTRICT')->onDelete('CASCADE');
            $table->unsignedBigInteger('work_template_id');
            $table->tinyInteger('confirmed')->default(0);
            $table->integer('rank')->default(0);
            $table->unsignedBigInteger('user_id');
            $table->string('user_name');
            $table->double('cost', 8, 2);
            $table->double('price', 8, 2);
            $table->double('remake_price', 8, 2);
            $table->integer('multi_factor')->default(0);
            $table->integer('duration');
            $table->string('extra_cost_applied');
            $table->string('name');
            $table->string('type');
            $table->tinyInteger('to_send')->default(0);
            $table->string('price_type');
            $table->string('status');
            $table->dateTime('finished_time')->nullable();
            $table->tinyInteger('from_template')->default(0);
            $table->string('dentition', 1000);
            $table->string('arcada_dentition');
            $table->integer('elements')->default(0);
            $table->string('multi_factor_dentition');
            $table->integer('day_number')->default(0);
            $table->date('date')->nullable();
            $table->time('time')->nullable();
            $table->unsignedBigInteger('remake_id')->default(0);
            $table->unsignedBigInteger('user_fault_id')->default(0);
            $table->unsignedBigInteger('collaborator_fault_id')->default(0);
            $table->unsignedBigInteger('lab_paying')->default(0);
            $table->integer('id_export_from')->default(0);
            $table->string('works');
            $table->dateTime('started')->nullable();
            $table->dateTime('stopped')->nullable();
            $table->dateTime('ready_time')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_work_stages');
    }
}
