<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAdditionalPricesProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create(
            'additional_prices_products',
            function (Blueprint $table) {
                $table->id();
                $table->string('name');
                $table->double('price', 8, 2);
                $table->unsignedBigInteger('brand_id');
                $table->foreign('brand_id')->references('id')->on('additional_prices_brands')->onUpdate('RESTRICT')->onDelete('CASCADE');
                $table->unsignedBigInteger('category_id');
                $table->foreign('category_id')->references('id')->on('additional_prices_categories')->onUpdate('RESTRICT')->onDelete(
                    'CASCADE'
                );
                $table->timestamps();
                $table->softDeletes();
            }
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('additional_prices_products');
    }
}
