<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentDocumentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create(
            'payment_documents',
            function (Blueprint $table) {
                $table->id();
                $table->unsignedBigInteger('collaborator_id');
                $table->foreign('collaborator_id')->references('id')->on('collaborators')->onUpdate('RESTRICT')->onDelete('RESTRICT');
                $table->unsignedBigInteger('dentist_id')->default(0);
                $table->string('status')->default('config');
                $table->string('invoice_file')->nullable();
                $table->string('invoice_hash')->nullable();
                $table->string('invoice_series')->nullable();
                $table->integer('invoice_no')->nullable();
                $table->dateTime('invoice_date')->nullable();
                $table->timestamps();
                $table->softDeletes();
            }
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payment_documents');
    }
}
