<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payments', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('payment_document_id');
            $table->foreign('payment_document_id')->references('id')->on('payment_documents')->onUpdate('RESTRICT')->onDelete('CASCADE');
            $table->string('name');
            $table->double('value', 8, 2);
            $table->date('date');
            $table->string('type');
            $table->string('receipt_file')->nullable();
            $table->string('receipt_hash')->nullable();
            $table->string('receipt_series');
            $table->integer('receipt_no');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payments');
    }
}
