<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDiscountsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('discounts', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('discount_type_id');
            $table->foreign('discount_type_id')->references('id')->on('discount_types')->onUpdate('RESTRICT')->onDelete('RESTRICT');
            $table->unsignedBigInteger('payment_document_id');
            $table->foreign('payment_document_id')->references('id')->on('payment_documents')->onUpdate('RESTRICT')->onDelete('CASCADE');
            $table->string('name');
            $table->double('value', 8, 2);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('discounts');
    }
}
