<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('invoices', function (Blueprint $table) {
            $table->id('id');
            $table->bigInteger('collaborator_id')->unsigned();
            $table->string('status')->default('config');

            $table->string('invoice_series');
            $table->integer('invoice_no');
            $table->datetime('invoice_date');

            $table->timestamps();
            $table->softDeletes();

            $table->foreign('collaborator_id')
                ->references('id')->on('collaborators');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('invoices');
    }
}
