<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInvoicePaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('invoice_payments', function (Blueprint $table) {
            $table->id('id');
            $table->bigInteger('invoice_id')->unsigned();
            $table->string('name');
            $table->float('value');
            $table->float('invoice_value');
            $table->date('date');
            $table->string('type');

            $table->string('receipt_file')->nullable();
            $table->string('receipt_hash')->nullable();

            $table->string('receipt_series');
            $table->integer('receipt_no');

            $table->timestamps();
            $table->softDeletes();

            $table->foreign('invoice_id')
                ->references('id')->on('invoices')
                ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('invoice_payments');
    }
}
