<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('invoices', function (Blueprint $table) {
            $table->integer('invoice_series_id')->unsigned()->after('status');
            $table->float('value', 8, 2)->after('status');
            $table->string('collaborator_name');
            $table->string('collaborator_cui')->nullable();
            $table->string('collaborator_nr_reg_comertului')->nullable();
            $table->string('collaborator_bank')->nullable();
            $table->string('collaborator_bank_account')->nullable();
            $table->string('collaborator_address')->nullable();
            $table->integer('collaborator_region_id')->default(1);
            $table->string('collaborator_city')->nullable();
            $table->string('collaborator_phone_fax')->nullable();
            $table->string('collaborator_mobile')->nullable();
            $table->string('collaborator_contact_mobile')->nullable();
            $table->string('collaborator_email')->nullable();
            $table->string('collaborator_website')->nullable();

            $table->integer('lab_invoice_profile_id')->unsigned();
            $table->string('lab_invoice_profile_name');
            $table->string('lab_invoice_profile_cui');
            $table->string('lab_invoice_profile_nr_reg_comertului')->nullable();
            $table->string('lab_invoice_profile_address')->nullable();
            $table->integer('lab_invoice_profile_region_id')->default(1);
            $table->string('lab_invoice_profile_city')->nullable();
            $table->string('lab_invoice_profile_phone_fax')->nullable();
            $table->string('lab_invoice_profile_mobile1')->nullable();
            $table->string('lab_invoice_profile_mobile2')->nullable();
            $table->string('lab_invoice_profile_email1')->nullable();
            $table->string('lab_invoice_profile_email2')->nullable();
            $table->string('lab_invoice_profile_website')->nullable();
            $table->string('lab_invoice_profile_bank')->nullable();
            $table->string('lab_invoice_profile_bank_account')->nullable();

            $table->json('json');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('invoices', function (Blueprint $table) {
            // $table->dropColumn('invoice_series_id');
            // $table->dropColumn('colaborator_name');
            // $table->dropColumn('colaborator_cui');
            // $table->dropColumn('colaborator_nr_reg_comertului');
            // $table->dropColumn('colaborator_bank');
            // $table->dropColumn('colaborator_bank_account');
            // $table->dropColumn('colaborator_address');
            // $table->dropColumn('colaborator_region_id');
            // $table->dropColumn('colaborator_city');
            // $table->dropColumn('colaborator_phone_fax');
            // $table->dropColumn('colaborator_mobile');
            // $table->dropColumn('colaborator_contact_mobile');
            // $table->dropColumn('colaborator_email');
            // $table->dropColumn('colaborator_website');
            //
            // $table->dropColumn('lab_invoice_profile_id');
            // $table->dropColumn('lab_invoice_profile_name');
            // $table->dropColumn('lab_invoice_profile_cui');
            // $table->dropColumn('lab_invoice_profile_nr_reg_comertului');
            // $table->dropColumn('lab_invoice_profile_address');
            // $table->dropColumn('lab_invoice_profile_region_id');
            // $table->dropColumn('lab_invoice_profile_city');
            // $table->dropColumn('lab_invoice_profile_phone_fax');
            // $table->dropColumn('lab_invoice_profile_mobile1');
            // $table->dropColumn('lab_invoice_profile_mobile2');
            // $table->dropColumn('lab_invoice_profile_email1');
            // $table->dropColumn('lab_invoice_profile_email2');
            // $table->dropColumn('lab_invoice_profile_website');
            // $table->dropColumn('lab_invoice_profile_bank');
            // $table->dropColumn('lab_invoice_profile_bank_account');
            $table->dropColumn('json');
        });
    }
}
