<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\PermissionRegistrar;

class PermissionsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Reset cached roles and permissions
        app()[PermissionRegistrar::class]->forgetCachedPermissions();

        // create permissions
        foreach ($this->availablePermissions() as $permissionRecord) {
            Permission::create($permissionRecord);
        }


    }

    /**
     * @return array[]
     */
    private function availablePermissions(): array
    {
        return [
//            [
//                'name'              => 'technical.use',
//                'short_description' => __('lang_permissions.technical.short_description'),
//                'description'       => __('lang_permissions.technical.description'),
//                'category'          => __('lang_permissions.category.super_admin'),
//                'subcategory'       => __('Technical')
//
//            ],
//            [
//                'name'              => 'permissions.change',
//                'short_description' => __('lang_permissions.change_permissions.short_description'),
//                'description'       => __('lang_permissions.change_permissions.description'),
//                'category'          => __('lang_permissions.category.super_admin'),
//                'subcategory'       => __('Permissions')
//
//            ],
            [
                'name'              => 'collaborators.read',
                'short_description' => 'collaborators.read.short_description',
                'description'       => 'collaborators.read.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.collaborators'
            ],
            [
                'name'              => 'collaborators.create',
                'short_description' => 'collaborators.create.short_description',
                'description'       => 'collaborators.create.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.collaborators'
            ],
            [
                'name'              => 'collaborators.update',
                'short_description' => 'collaborators.update.short_description',
                'description'       => 'collaborators.update.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.collaborators'
            ],
            [
                'name'              => 'collaborators.delete',
                'short_description' => 'collaborators.delete.short_description',
                'description'       => 'collaborators.delete.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.collaborators'
            ],
            [
                'name'              => 'dentists.read',
                'short_description' => 'dentists.read.short_description',
                'description'       => 'dentists.read.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.dentists'
            ],
            [
                'name'              => 'dentists.create',
                'short_description' => 'dentists.create.short_description',
                'description'       => 'dentists.create.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.dentists'
            ],
            [
                'name'              => 'dentists.update',
                'short_description' => 'dentists.update.short_description',
                'description'       => 'dentists.update.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.dentists'
            ],
            [
                'name'              => 'dentists.delete',
                'short_description' => 'dentists.delete.short_description',
                'description'       => 'dentists.delete.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.dentists'
            ],
            [
                'name'              => 'lab_invoice_profile.read',
                'short_description' => 'lab_invoice_profile.read.short_description',
                'description'       => 'lab_invoice_profile.read.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.invoice_profile'
            ],
            [
                'name'              => 'lab_invoice_profile.create',
                'short_description' => 'lab_invoice_profile.create.short_description',
                'description'       => 'lab_invoice_profile.create.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.invoice_profile'
            ],
            [
                'name'              => 'lab_invoice_profile.update',
                'short_description' => 'lab_invoice_profile.update.short_description',
                'description'       => 'lab_invoice_profile.update.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.invoice_profile'
            ],
            [
                'name'              => 'lab_invoice_profile.delete',
                'short_description' => 'lab_invoice_profile.delete.short_description',
                'description'       => 'lab_invoice_profile.delete.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.invoice_profile'
            ],
            [
                'name'              => 'lab_profile.read',
                'short_description' => 'lab_profile.read.short_description',
                'description'       => 'lab_profile.read.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.lab_profile'
            ],
            [
                'name'              => 'lab_profile.update',
                'short_description' => 'lab_profile.update.short_description',
                'description'       => 'lab_profile.update.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.lab_profile'
            ],
            [
                'name'              => 'patients.read',
                'short_description' => 'patients.read.short_description',
                'description'       => 'patients.read.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.patients'
            ],
            [
                'name'              => 'patients.create',
                'short_description' => 'patients.create.short_description',
                'description'       => 'patients.create.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.patients'
            ],
            [
                'name'              => 'patients.update',
                'short_description' => 'patients.update.short_description',
                'description'       => 'patients.update.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.patients'
            ],
            [
                'name'              => 'patients.delete',
                'short_description' => 'patients.delete.short_description',
                'description'       => 'patients.delete.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.patients'
            ],
            [
                'name'              => 'regions.read',
                'short_description' => 'regions.read.short_description',
                'description'       => 'regions.read.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.regions'
            ],
            [
                'name'              => 'regions.create',
                'short_description' => 'regions.create.short_description',
                'description'       => 'regions.create.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.regions'
            ],
            [
                'name'              => 'regions.update',
                'short_description' => 'regions.update.short_description',
                'description'       => 'regions.update.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.regions'
            ],
            [
                'name'              => 'regions.delete',
                'short_description' => 'regions.delete.short_description',
                'description'       => 'regions.delete.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.regions'
            ],
            [
                'name'              => 'roles.read',
                'short_description' => 'roles.read.short_description',
                'description'       => 'roles.read.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.roles'
            ],
            [
                'name'              => 'roles.create',
                'short_description' => 'roles.create.short_description',
                'description'       => 'roles.create.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.roles'
            ],
            [
                'name'              => 'roles.update',
                'short_description' => 'roles.update.short_description',
                'description'       => 'roles.update.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.roles'
            ],
            [
                'name'              => 'roles.delete',
                'short_description' => 'roles.delete.short_description',
                'description'       => 'roles.delete.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.roles'
            ],
            [
                'name'              => 'self.profile.read',
                'short_description' => 'self.profile.read.short_description',
                'description'       => 'self.profile.read.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.user'
            ],
            [
                'name'              => 'self.profile.update',
                'short_description' => 'self.profile.update.short_description',
                'description'       => 'self.profile.update.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.user'
            ],
            [
                'name'              => 'users.read',
                'short_description' => 'users.read.short_description',
                'description'       => 'users.read.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.users'
            ],
            [
                'name'              => 'users.create',
                'short_description' => 'users.create.short_description',
                'description'       => 'users.create.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.users'
            ],
            [
                'name'              => 'users.update',
                'short_description' => 'users.update.short_description',
                'description'       => 'users.update.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.users'
            ],
            [
                'name'              => 'users.delete',
                'short_description' => 'users.delete.short_description',
                'description'       => 'users.delete.description',
                'category'          => 'category.admin',
                'subcategory'       => 'subcategory.users'
            ],
            [
                'name'              => 'work_stages.read',
                'short_description' => 'work_stages.read.short_description',
                'description'       => 'work_stages.read.description',
                'category'          => 'category.settings',
                'subcategory'       => 'subcategory.work_stages'
            ],
            [
                'name'              => 'work_stages.create',
                'short_description' => 'work_stages.create.short_description',
                'description'       => 'work_stages.create.description',
                'category'          => 'category.settings',
                'subcategory'       => 'subcategory.work_stages'
            ],
            [
                'name'              => 'work_stages.update',
                'short_description' => 'work_stages.update.short_description',
                'description'       => 'collaborators.update.description',
                'category'          => 'category.settings',
                'subcategory'       => 'subcategory.work_stages'
            ],
            [
                'name'              => 'work_stages.delete',
                'short_description' => 'work_stages.delete.short_description',
                'description'       => 'work_stages.delete.description',
                'category'          => 'category.settings',
                'subcategory'       => 'subcategory.work_stages'
            ],
            [
                'name'              => 'work_templates.read',
                'short_description' => 'work_templates.read.short_description',
                'description'       => 'work_templates.read.description',
                'category'          => 'category.settings',
                'subcategory'       => 'subcategory.work_templates'
            ],
            [
                'name'              => 'work_templates.create',
                'short_description' => 'work_templates.create.short_description',
                'description'       => 'work_templates.create.description',
                'category'          => 'category.settings',
                'subcategory'       => 'subcategory.work_templates'
            ],
            [
                'name'              => 'work_templates.update',
                'short_description' => 'work_templates.update.short_description',
                'description'       => 'work_templates.update.description',
                'category'          => 'category.settings',
                'subcategory'       => 'subcategory.work_templates'
            ],
            [
                'name'              => 'work_templates.delete',
                'short_description' => 'work_templates.delete.short_description',
                'description'       => 'work_templates.delete.description',
                'category'          => 'category.settings',
                'subcategory'       => 'subcategory.work_templates'
            ],
            [
                'name'              => 'calendar.trial_stages.read',
                'short_description' => 'calendar.trial_stages.read.short_description',
                'description'       => 'calendar.trial_stages.read.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.calendar.trial_stages'
            ],
            [
                'name'              => 'discount_types.read',
                'short_description' => 'discount_types.read.short_description',
                'description'       => 'discount_types.read.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.payment_documents.discount_types'
            ],
            [
                'name'              => 'discount_types.create',
                'short_description' => 'discount_types.create.short_description',
                'description'       => 'discount_types.create.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.payment_documents.discount_types'
            ],
            [
                'name'              => 'discount_types.update',
                'short_description' => 'discount_types.update.short_description',
                'description'       => 'discount_types.update.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.payment_documents.discount_types'
            ],
            [
                'name'              => 'order_additional_prices.create',
                'short_description' => 'order_additional_prices.create.short_description',
                'description'       => 'order_additional_prices.create.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.order_additional_prices'
            ],
            [
                'name'              => 'order_additional_prices.delete',
                'short_description' => 'order_additional_prices.delete.short_description',
                'description'       => 'order_additional_prices.delete.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.order_additional_prices'
            ],
            [
                'name'              => 'orders.read',
                'short_description' => 'orders.read.short_description',
                'description'       => 'orders.read.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.orders'
            ],
            [
                'name'              => 'orders.create',
                'short_description' => 'orders.create.short_description',
                'description'       => 'orders.create.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.orders'
            ],
            [
                'name'              => 'orders.update',
                'short_description' => 'orders.update.short_description',
                'description'       => 'orders.update.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.orders'
            ],
            [
                'name'              => 'orders.delete',
                'short_description' => 'orders.delete.short_description',
                'description'       => 'orders.delete.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.orders'
            ],
            [
                'name'              => 'orders.send_in_production',
                'short_description' => 'orders.send_in_production.short_description',
                'description'       => 'orders.send_in_production.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.orders'
            ],
            [
                'name'              => 'orders.confirm_finish_order',
                'short_description' => 'orders.confirm_finish_order.short_description',
                'description'       => 'orders.confirm_finish_order.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.orders'
            ],
            [
                'name'              => 'orders_stages.update_user_manually',
                'short_description' => 'orders_stages.update_user_manually.short_description',
                'description'       => 'orders_stages.update_user_manually.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.order_stages'
            ],
            [
                'name'              => 'orders_stages.update_stage_anytime',
                'short_description' => 'orders_stages.update_stage_anytime.short_description',
                'description'       => 'orders_stages.update_stage_anytime.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.order_stages'
            ],
            [
                'name'              => 'orders_stages.others_stages.read',
                'short_description' => 'orders_stages.others_stages.read.short_description',
                'description'       => 'orders_stages.others_stages.read.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.order_stages'
            ],
            [
                'name'              => 'orders_stages.start_others_stages',
                'short_description' => 'orders_stages.start_others_stages.short_description',
                'description'       => 'orders_stages.start_others_stages.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.order_stages'
            ],
            [
                'name'              => 'orders_stages.assigned_stage.skip',
                'short_description' => 'orders_stages.assigned_stage.skip.short_description',
                'description'       => 'orders_stages.assigned_stage.skip.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.order_stages'
            ],
            [
                'name'              => 'orders_stages.any_stage.skip',
                'short_description' => 'orders_stages.any_stage.skip.short_description',
                'description'       => 'orders_stages.any_stage.skip.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.order_stages'
            ],
            [
                'name'              => 'orders_stages.trial_stages_dashboard',
                'short_description' => 'orders_stages.trial_stages_dashboard.short_description',
                'description'       => 'orders_stages.trial_stages_dashboard.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.order_stages'
            ],
            [
                'name'              => 'production.order_panel',
                'short_description' => 'production.order_panel.short_description',
                'description'       => 'production.order_panel.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.production.production'
            ],
            [
                'name'              => 'production.orders.new_and_finish',
                'short_description' => 'production.orders.new_and_finish.short_description',
                'description'       => 'production.orders.new_and_finish.description',
                'category'          => 'category.orders',
                'subcategory'       => 'subcategory.production.production'
            ],
            [
                'name'              => 'invoice_series.read',
                'short_description' => 'invoice_series.read.short_description',
                'description'       => 'invoice_series.read.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.invoice_series.invoice_series'
            ],
            [
                'name'              => 'invoice_series.create',
                'short_description' => 'invoice_series.create.short_description',
                'description'       => 'invoice_series.create.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.invoice_series.invoice_series'
            ],
            [
                'name'              => 'invoice_series.update',
                'short_description' => 'invoice_series.update.short_description',
                'description'       => 'invoice_series.update.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.invoice_series.invoice_series'
            ],
            [
                'name'              => 'payment_documents.read',
                'short_description' => 'payment_documents.read.short_description',
                'description'       => 'payment_documents.read.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.payment_documents.payment_documents'
            ],
            [
                'name'              => 'payment_documents.create',
                'short_description' => 'payment_documents.create.short_description',
                'description'       => 'payment_documents.create.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.payment_documents.payment_documents'
            ],
            [
                'name'              => 'payment_documents.update',
                'short_description' => 'payment_documents.update.short_description',
                'description'       => 'payment_documents.update.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.payment_documents.payment_documents'
            ],
            [
                'name'              => 'payment_documents.delete',
                'short_description' => 'payment_documents.delete.short_description',
                'description'       => 'payment_documents.delete.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.payment_documents.payment_documents'
            ],
            [
                'name'              => 'receipt_series.read',
                'short_description' => 'receipt_series.read.short_description',
                'description'       => 'receipt_series.read.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.receipt_series.receipt_series'
            ],
            [
                'name'              => 'receipt_series.create',
                'short_description' => 'receipt_series.create.short_description',
                'description'       => 'receipt_series.create.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.receipt_series.receipt_series'
            ],
            [
                'name'              => 'receipt_series.update',
                'short_description' => 'receipt_series.update.short_description',
                'description'       => 'receipt_series.update.description',
                'category'          => 'category.financial',
                'subcategory'       => 'subcategory.receipt_series.receipt_series'
            ],
            [
                'name'              => 'reports.read',
                'short_description' => 'reports.read.short_description',
                'description'       => 'reports.read.description',
                'category'          => 'category.reports',
                'subcategory'       => 'subcategory.reports.reports'
            ],
//            [
//                'name'              => 'interface.access_dashboard',
//                'short_description' => __('lang_permissions.access_dashboard.short_description'),
//                'description'       => __('lang_permissions.access_dashboard.description'),
//                'category'          => __('lang_permissions.category.interfaces'),
//                'subcategory'       => __('Interfaces')
//            ],
//            [
//                'name'              => 'interface.access_permisions',
//                'short_description' => __('lang_permissions.access_permisions.short_description'),
//                'description'       => __('lang_permissions.access_permisions.description'),
//                'category'          => 'Interfete',
//                'subcategory'       => __('Interfaces')
//            ],
//
//            [
//                'name'              => 'OLD PERMISSIONS BELOW to BE removed',
//                'short_description' => __('OLD PERMISSIONS BELOW to BE removed'),
//                'description'       => __('OLD PERMISSIONS BELOW to BE removed'),
//                'category'          => __('OLD PERMISSIONS BELOW to BE removed'),
//                'subcategory'       => __('OLD PERMISSIONS BELOW to BE removed')
//            ],
//
//            [
//                'name'              => 'can_start_others_stages',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'        => 'cancel order',
//                'description' => __('lang_permissions.cancel_order'),
//                'category'    => 'Comenzi'
//            ],
//            [
//                'name'              => 'charts-admin-debtors',
//                'short_description' => 'admin: top 4 restantieri',
//                'description'       => null
//            ],
//            [
//                'name'              => 'charts-admin-doughnut',
//                'short_description' => 'admin: etape in lucru / atribuite',
//                'description'       => null
//            ],
//            [
//                'name'              => 'charts-admin-line',
//                'short_description' => 'admin: etape incheiate',
//                'description'       => null
//            ],
//            [
//                'name'              => 'charts-admin-orders',
//                'short_description' => 'admin: comenzi / luna',
//                'description'       => null
//            ],
//            [
//                'name'              => 'charts-admin-trial-stages',
//                'short_description' => 'admin: etape de proba',
//                'description'       => null
//            ],
//            [
//                'name'              => 'charts-admin-works',
//                'short_description' => 'admin: lucrari / luna',
//                'description'       => null
//            ],
//            [
//                'name'              => 'charts-user-doughnut',
//                'short_description' => 'etape in lucru / atribuite',
//                'description'       => null
//            ],
//            [
//                'name'              => 'charts-user-line',
//                'short_description' => 'etape incheiate',
//                'description'       => null
//            ],
//            [
//                'name'              => 'dashboard',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'delete-order',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'edit_files',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'invoices',
//                'short_description' => 'facturi',
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_accounts',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_contributors',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_dentists',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_discount_types',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_extra_prices',
//                'short_description' => 'administrare preturi extra',
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_orders',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_patients',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_settings',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_stages',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_worktemplates',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'manage_worktemplates_costs',
//                'short_description' => 'administrare sabloane - costuri',
//                'description'       => null
//            ],
//            [
//                'name'              => 'modify-orders-in-work-dentition',
//                'short_description' => 'modifica comanda in lucru - dentitie',
//                'description'       => null
//            ],
//            [
//                'name'              => 'modify-orders-in-work-general',
//                'short_description' => 'modifica comanda in lucru - general',
//                'description'       => null
//            ],
//            [
//                'name'              => 'order-add-work',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'order-stage-show-cost',
//                'short_description' => 'etape - afiseaza cost in lista',
//                'description'       => null
//            ],
//            [
//                'name'              => 'order-stage-show-user-defined-costs',
//                'short_description' => 'etape - afiseaza cost pe asigneaza tehnician',
//                'description'       => null
//            ],
//            [
//                'name'              => 'order-stage-user-manual-update',
//                'short_description' => 'etape - modifica tehnician manual',
//                'description'       => null
//            ],
//            [
//                'name'              => 'payment-documents',
//                'short_description' => 'documente de plata',
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-contributor',
//                'short_description' => 'raport colaborator',
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-general',
//                'short_description' => 'raport general',
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-orders',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-orders-general',
//                'short_description' => 'raport general comenzi',
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-orders-payments',
//                'short_description' => 'raport comenzi - plati',
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-payment-documents',
//                'short_description' => 'raport documente de plata',
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-payments',
//                'short_description' => 'raport plati',
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-user',
//                'short_description' => 'raport tehnician',
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-users-general',
//                'short_description' => 'raport tehnicieni general',
//                'description'       => null
//            ],
//            [
//                'name'              => 'report-work-type-contributor',
//                'short_description' => 'raport tip lucrare / medic',
//                'description'       => null
//            ],
//            [
//                'name'              => 'skip-user',
//                'short_description' => 'skip user - etapa asignata',
//                'description'       => null
//            ],
//            [
//                'name'              => 'skip-user-admin',
//                'short_description' => 'skip user',
//                'description'       => null
//            ],
//            [
//                'name'              => 'skip-user-on-started-stage',
//                'short_description' => 'skip user - etapa in pauza',
//                'description'       => null
//            ],
//            [
//                'name'              => 'stage-update-date',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'stage-update-time',
//                'short_description' => null,
//                'description'       => null
//            ],
//            [
//                'name'              => 'trial_stages_dashboard',
//                'short_description' => 'panou etape de proba',
//                'description'       => null
//            ],
//            [
//                'name'              => 'trial-calendar',
//                'short_description' => 'calendar probe',
//                'description'       => null
//            ],
//            [
//                'name'              => 'trial-stages-list',
//                'short_description' => 'lista etape de proba',
//                'description'       => null
//            ]
        ];
    }
}
