<?php

namespace Database\Seeders;

use App\Models\Region;
use Illuminate\Database\Seeder;

class RegionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        foreach ($this->regions() as $region) {
            Region::create(['title' => $region['title']]);
        }
    }

    public function regions()
    {
        return [
            [
                "id" => "empty",
                //  to make it 1st on frontend else we sort it by alphabet
                "title" => " Nespecificat"
            ],
            [
                "id" => "alba",
                "title" => "Alba"
            ],
            [
                "id" => "arad",
                "title" => "Arad"
            ],
            [
                "id" => "arges",
                "title" => "Argeș"
            ],
            [
                "id" => "bacau",
                "title" => "Bacău"
            ],
            [
                "id" => "bihor",
                "title" => "Bihor"
            ],
            [
                "id" => "bistrita-nasaud",
                "title" => "Bistrița-Năsăud"
            ],
            [
                "id" => "botosani",
                "title" => "Botoșani"
            ],
            [
                "id" => "brasov",
                "title" => "Brașov"
            ],
            [
                "id" => "braila",
                "title" => "Brăila"
            ],
            [
                "id" => "bucuresti",
                "title" => "București"
            ],
            [
                "id" => "buzau",
                "title" => "Buzău"
            ],
            [
                "id" => "caras-severin",
                "title" => "Caraș-Severin"
            ],
            [
                "id" => "calarasi",
                "title" => "Călărași"
            ],
            [
                "id" => "cluj",
                "title" => "Cluj"
            ],
            [
                "id" => "constanta",
                "title" => "Constanța"
            ],
            [
                "id" => "covasna",
                "title" => "Covasna"
            ],
            [
                "id" => "dambovita",
                "title" => "Dâmbovița"
            ],
            [
                "id" => "dolj",
                "title" => "Dolj"
            ],
            [
                "id" => "galati",
                "title" => "Galați"
            ],
            [
                "id" => "giurgiu",
                "title" => "Giurgiu"
            ],
            [
                "id" => "gorj",
                "title" => "Gorj"
            ],
            [
                "id" => "harghita",
                "title" => "Harghita"
            ],
            [
                "id" => "hunedoara",
                "title" => "Hunedoara"
            ],
            [
                "id" => "ialomita",
                "title" => "Ialomița"
            ],
            [
                "id" => "iasi",
                "title" => "Iași"
            ],
            [
                "id" => "ilfov",
                "title" => "Ilfov"
            ],
            [
                "id" => "maramures",
                "title" => "Maramureș"
            ],
            [
                "id" => "mehedinti",
                "title" => "Mehedinți"
            ],
            [
                "id" => "mures",
                "title" => "Mureș"
            ],
            [
                "id" => "neamt",
                "title" => "Neamț"
            ],
            [
                "id" => "olt",
                "title" => "Olt"
            ],
            [
                "id" => "prahova",
                "title" => "Prahova"
            ],
            [
                "id" => "satu-mare",
                "title" => "Satu Mare"
            ],
            [
                "id" => "salaj",
                "title" => "Sălaj"
            ],
            [
                "id" => "sibiu",
                "title" => "Sibiu"
            ],
            [
                "id" => "suceava",
                "title" => "Suceava"
            ],
            [
                "id" => "teleorman",
                "title" => "Teleorman"
            ],
            [
                "id" => "timis",
                "title" => "Timiș"
            ],
            [
                "id" => "tulcea",
                "title" => "Tulcea"
            ],
            [
                "id" => "vaslui",
                "title" => "Vaslui"
            ],
            [
                "id" => "valcea",
                "title" => "Vâlcea"
            ],
            [
                "id" => "vrancea",
                "title" => "Vrancea"
            ]
        ];

    }
}
