<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;

class RoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // create roles and assign created permissions
        //create superadmin
        $roleSuperAdmin = Role::create(['name' => config('custom.api.super_admin_role')]);

        if (
            in_array(tenant()->id,config('custom.api.tenants_with_seeds_fake_data')) ||
            in_array(tenant()->id,config('custom.api.tenants_for_documentation'))
        ) {
            //create admin role and default permissions
            Role::create(['name' => config('custom.api.admin_role')])->givePermissionTo(
                array_merge(config('custom.api.default_role_permissions'),config('custom.api.admin_role_default_permissions'))
            );

            //create financiar role and default permissions
            Role::create(['name' => config('custom.api.financiar_role')])->givePermissionTo(
                array_merge(config('custom.api.default_role_permissions'),config('custom.api.financiar_role_default_permissions'))
            );

            //create curier role and default permissions
            Role::create(['name' => config('custom.api.curier_role')])->givePermissionTo(
                array_merge(config('custom.api.default_role_permissions'),config('custom.api.curier_role_default_permissions'))
            );

            //create guest role and default permissions
            Role::create(['name' => config('custom.api.guest_role')])->givePermissionTo(
                array_merge(config('custom.api.default_role_permissions'),config('custom.api.guest_role_default_permissions'))
            );

            //create sef technician role and default permissions
            Role::create(['name' => config('custom.api.sef_technician_role')])->givePermissionTo(
                array_merge(config('custom.api.default_role_permissions'),config('custom.api.sef_technician_role_default_permissions'))
            );

            //create technician role and default permissions
            Role::create(['name' => config('custom.api.technician_role')])->givePermissionTo(
                array_merge(config('custom.api.default_role_permissions'),config('custom.api.technician_role_default_permissions'))
            );
        }
    }
}
