<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\PermissionRegistrar;
use Stancl\Tenancy\Facades\Tenancy;

class SuperAdminSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Reset cached roles and permissions
        app()[PermissionRegistrar::class]->forgetCachedPermissions();

        //superadmin
        User::create([
            'username' => \tenancy()->tenant->id.".superadmin",
            'first_name' => 'Super',
            'last_name' => 'Admin',
            'password' => Hash::make('password'),
        ])->assignRole([config('custom.api.super_admin_role')]);

    }
}
