<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class TenantSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->call(
            [
                PermissionsSeeder::class,
                RoleSeeder::class,
                SuperAdminSeeder::class,
                RegionSeeder::class,
                LabProfileSeeder::class,
                CollaboratorSeeder::class,
                PatientSeeder::class,
                DentistSeeder::class,
                // DepartmentSeeder::class,
            ]
        );

        if (in_array(tenant()->id,config('custom.api.tenants_with_seeds_fake_data'))) {
            $this->call(
                [
                    UsersSeeder::class,
                    LabInvoiceProfileSeeder::class,
                ]
            );
        }
        if (in_array(tenant()->id,config('custom.api.tenants_for_documentation'))) {
            //only for development
            $this->call(
                [
                    UsersSeeder::class,
                    WorkStageSeeder::class,
                    WorkStageUserSeeder::class,
                    LabInvoiceProfileSeeder::class,
                    WorkTemplateSeeder::class,
                    WorkTemplateStageSeeder::class,
                    WorkTemplateStageUserSeeder::class
                ]
            );
        }
    }
}
