<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\PermissionRegistrar;

class UsersSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Reset cached roles and permissions
        app()[PermissionRegistrar::class]->forgetCachedPermissions();

        //guest
        User::create([
            'username'      => \tenancy()->tenant->id . "." . config('custom.api.test_guest_role'),
            'first_name'    => 'Profil',
            'last_name'     => 'Guest',
            'department_id' => 0,
            'password'      => Hash::make('password'),
        ])->assignRole([config('custom.api.test_guest_role')]);

        //technicians
        $firstName = 'Joe';
        $lastName = 'Technician';
        User::create([
            'username'      => \tenancy()->tenant->id . "." . config('custom.api.technician_role') . "_$firstName",
            'first_name'    => ucfirst($firstName),
            'last_name'     => ucfirst($lastName),
            'password'      => Hash::make('password'),
        ])->assignRole([config('custom.api.technician_role')]);

        $firstName = 'Jane';
        $lastName = 'Technician';
        User::create([
            'username'      => \tenancy()->tenant->id . "." . config('custom.api.technician_role') . "_$firstName",
            'first_name'    => ucfirst($firstName),
            'last_name'     => ucfirst($lastName),
            'password'      => Hash::make('password'),
        ])->assignRole([config('custom.api.technician_role')]);
    }
}
