# Calendar

APIs for managing calendar

## Calendar exit stages listing.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/calendar-exit-stages?start_date=2021-09-02&end_date=2021-09-01" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"start_date":"2022-01-12","end_date":"2022-01-12"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/calendar-exit-stages"
);

let params = {
    "start_date": "2021-09-02",
    "end_date": "2021-09-01",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start_date": "2022-01-12",
    "end_date": "2022-01-12"
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-calendar-exit-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-calendar-exit-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-calendar-exit-stages"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-calendar-exit-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-calendar-exit-stages"></code></pre>
</div>
<form id="form-GETapi-v1-ro-calendar-exit-stages" data-method="GET" data-path="api/v1/ro/calendar-exit-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-calendar-exit-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-calendar-exit-stages" onclick="tryItOut('GETapi-v1-ro-calendar-exit-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-calendar-exit-stages" onclick="cancelTryOut('GETapi-v1-ro-calendar-exit-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-calendar-exit-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/calendar-exit-stages</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-calendar-exit-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Query Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="query" required  hidden>
<br>
date
</p>
<p>
<b><code>end_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="end_date" data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="query" required  hidden>
<br>
date
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>end_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="end_date" data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>

</form>


## Calendar order stages listing

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/calendar-order-stages/aut?start_date=2021-09-02&end_date=2021-09-01" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"start_date":"2022-01-12","end_date":"2022-01-12"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/calendar-order-stages/aut"
);

let params = {
    "start_date": "2021-09-02",
    "end_date": "2021-09-01",
};
Object.keys(params)
    .forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start_date": "2022-01-12",
    "end_date": "2022-01-12"
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-calendar-order-stages--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-calendar-order-stages--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-calendar-order-stages--order-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-calendar-order-stages--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-calendar-order-stages--order-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-calendar-order-stages--order-" data-method="GET" data-path="api/v1/ro/calendar-order-stages/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-calendar-order-stages--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-calendar-order-stages--order-" onclick="tryItOut('GETapi-v1-ro-calendar-order-stages--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-calendar-order-stages--order-" onclick="cancelTryOut('GETapi-v1-ro-calendar-order-stages--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-calendar-order-stages--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/calendar-order-stages/{order}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-calendar-order-stages--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Query Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="query" required  hidden>
<br>
date
</p>
<p>
<b><code>end_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="end_date" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="query" required  hidden>
<br>
date
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>end_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="end_date" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>

</form>



