# Chitante serii

APIs for managing receipt series

## Create receipt serie

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"series":"sed","lab_invoice_profile_id":11,"start_no":17,"active":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "series": "sed",
    "lab_invoice_profile_id": 11,
    "start_no": 17,
    "active": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-receipt-series" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-receipt-series"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-receipt-series"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-receipt-series" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-receipt-series"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-receipt-series" data-method="POST" data-path="api/v1/ro/receipt-series" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-receipt-series', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-receipt-series" onclick="tryItOut('POSTapi-v1-ro-receipt-series');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-receipt-series" onclick="cancelTryOut('POSTapi-v1-ro-receipt-series');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-receipt-series" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/receipt-series</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-receipt-series" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-receipt-series" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="series" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>lab_invoice_profile_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile_id" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>start_no</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="start_no" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>active</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-receipt-series" hidden><input type="radio" name="active" value="true" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-receipt-series" hidden><input type="radio" name="active" value="false" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## Display receipt series

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/receipt-series/quo" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series/quo"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--"></code></pre>
</div>
<form id="form-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" data-method="GET" data-path="api/v1/ro/receipt-series/{lab_invoice_profile_id?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-receipt-series--lab_invoice_profile_id--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" onclick="tryItOut('GETapi-v1-ro-receipt-series--lab_invoice_profile_id--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" onclick="cancelTryOut('GETapi-v1-ro-receipt-series--lab_invoice_profile_id--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/receipt-series/{lab_invoice_profile_id?}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile_id</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="lab_invoice_profile_id" data-endpoint="GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" data-component="url"  hidden>
<br>

</p>
</form>


## Activate receipt series

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series/activate/voluptatibus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series/activate/voluptatibus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "POST",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-receipt-series-activate--receipt_series-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-receipt-series-activate--receipt_series-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-receipt-series-activate--receipt_series-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-receipt-series-activate--receipt_series-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-receipt-series-activate--receipt_series-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-receipt-series-activate--receipt_series-" data-method="POST" data-path="api/v1/ro/receipt-series/activate/{receipt_series}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-receipt-series-activate--receipt_series-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-receipt-series-activate--receipt_series-" onclick="tryItOut('POSTapi-v1-ro-receipt-series-activate--receipt_series-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-receipt-series-activate--receipt_series-" onclick="cancelTryOut('POSTapi-v1-ro-receipt-series-activate--receipt_series-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-receipt-series-activate--receipt_series-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/receipt-series/activate/{receipt_series}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-receipt-series-activate--receipt_series-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-receipt-series-activate--receipt_series-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>receipt_series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="receipt_series" data-endpoint="POSTapi-v1-ro-receipt-series-activate--receipt_series-" data-component="url" required  hidden>
<br>

</p>
</form>



