# Chitante

APIs for managing receipt series

## Display a listing of the resource.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/receipts" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipts"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-receipts" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-receipts"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-receipts"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-receipts" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-receipts"></code></pre>
</div>
<form id="form-GETapi-v1-ro-receipts" data-method="GET" data-path="api/v1/ro/receipts" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-receipts', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-receipts" onclick="tryItOut('GETapi-v1-ro-receipts');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-receipts" onclick="cancelTryOut('GETapi-v1-ro-receipts');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-receipts" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/receipts</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-receipts" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-receipts" data-component="header"></label>
</p>
</form>


## Display the specified resource.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/receipts/beatae" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipts/beatae"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-receipts--receipt-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-receipts--receipt-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-receipts--receipt-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-receipts--receipt-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-receipts--receipt-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-receipts--receipt-" data-method="GET" data-path="api/v1/ro/receipts/{receipt}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-receipts--receipt-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-receipts--receipt-" onclick="tryItOut('GETapi-v1-ro-receipts--receipt-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-receipts--receipt-" onclick="cancelTryOut('GETapi-v1-ro-receipts--receipt-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-receipts--receipt-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/receipts/{receipt}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-receipts--receipt-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-receipts--receipt-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>receipt</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="receipt" data-endpoint="GETapi-v1-ro-receipts--receipt-" data-component="url" required  hidden>
<br>

</p>
</form>


## Generate receipt&#039;s PDF document.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/receipts/ad/generate-pdf" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipts/ad/generate-pdf"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-receipts--payment--generate-pdf" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-receipts--payment--generate-pdf"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-receipts--payment--generate-pdf"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-receipts--payment--generate-pdf" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-receipts--payment--generate-pdf"></code></pre>
</div>
<form id="form-GETapi-v1-ro-receipts--payment--generate-pdf" data-method="GET" data-path="api/v1/ro/receipts/{payment}/generate-pdf" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-receipts--payment--generate-pdf', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-receipts--payment--generate-pdf" onclick="tryItOut('GETapi-v1-ro-receipts--payment--generate-pdf');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-receipts--payment--generate-pdf" onclick="cancelTryOut('GETapi-v1-ro-receipts--payment--generate-pdf');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-receipts--payment--generate-pdf" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/receipts/{payment}/generate-pdf</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-receipts--payment--generate-pdf" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-receipts--payment--generate-pdf" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment" data-endpoint="GETapi-v1-ro-receipts--payment--generate-pdf" data-component="url" required  hidden>
<br>

</p>
</form>



