# Comenzi discounts

APIs for managing order additional prices

## Add discount for order

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-discounts/ab" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"discount_type_id":"ipsa","name":"voluptas","value":193675.1}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-discounts/ab"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "discount_type_id": "ipsa",
    "name": "voluptas",
    "value": 193675.1
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-order-discounts--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-discounts--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-discounts--order-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-discounts--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-discounts--order-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-discounts--order-" data-method="POST" data-path="api/v1/ro/order-discounts/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-discounts--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-discounts--order-" onclick="tryItOut('POSTapi-v1-ro-order-discounts--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-discounts--order-" onclick="cancelTryOut('POSTapi-v1-ro-order-discounts--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-discounts--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-discounts/{order}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-discounts--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>discount_type_id</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discount_type_id" data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>value</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="value" data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="body" required  hidden>
<br>

</p>

</form>


## Delete discount of the order

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/order-discounts/maxime/a" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-discounts/maxime/a"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "DELETE",
    headers,
}).then(response => response.json());
```


> Example response (404):

```json
{
    "message": "Resursa nu a fost gasita \/ nu exista"
}
```
<div id="execution-results-DELETEapi-v1-ro-order-discounts--order---discountId-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-order-discounts--order---discountId-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-order-discounts--order---discountId-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-order-discounts--order---discountId-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-order-discounts--order---discountId-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-order-discounts--order---discountId-" data-method="DELETE" data-path="api/v1/ro/order-discounts/{order}/{discountId}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-order-discounts--order---discountId-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-order-discounts--order---discountId-" onclick="tryItOut('DELETEapi-v1-ro-order-discounts--order---discountId-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-order-discounts--order---discountId-" onclick="cancelTryOut('DELETEapi-v1-ro-order-discounts--order---discountId-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-order-discounts--order---discountId-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/order-discounts/{order}/{discountId}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-order-discounts--order---discountId-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-order-discounts--order---discountId-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="DELETEapi-v1-ro-order-discounts--order---discountId-" data-component="url" required  hidden>
<br>

</p>
<p>
<b><code>discountId</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discountId" data-endpoint="DELETEapi-v1-ro-order-discounts--order---discountId-" data-component="url" required  hidden>
<br>

</p>
</form>



