# Comenzi etape lucrare

APIs for managing order work stages

## Reorder order work stages

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-reorder-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":2,"order_as_response":false,"order_work_stages":[{"stage_id":3}]}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-reorder-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 2,
    "order_as_response": false,
    "order_work_stages": [
        {
            "stage_id": 3
        }
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-ows-reorder-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-reorder-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-reorder-stages"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-reorder-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-reorder-stages"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-reorder-stages" data-method="PUT" data-path="api/v1/ro/ows-reorder-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-reorder-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-reorder-stages" onclick="tryItOut('PUTapi-v1-ro-ows-reorder-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-reorder-stages" onclick="cancelTryOut('PUTapi-v1-ro-ows-reorder-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-reorder-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-reorder-stages</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-reorder-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-reorder-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-reorder-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>order_work_stages</code></b>&nbsp;&nbsp;<small>object[]</small>  &nbsp;
<br>

</summary>
<br>
<p>
<b><code>order_work_stages[].stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stages.0.stage_id" data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>


## Add new order work stage.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":2,"order_as_response":false,"rank":4,"work_stage_id":19}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 2,
    "order_as_response": false,
    "rank": 4,
    "work_stage_id": 19
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-ows-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages" data-method="POST" data-path="api/v1/ro/ows-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages" onclick="tryItOut('POSTapi-v1-ro-ows-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-ows-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-ows-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>rank</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="rank" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>

</form>


## Delete a order work stage.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":20,"order_work_stage_id":20,"order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 20,
    "order_work_stage_id": 20,
    "order_as_response": false
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-ows-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-ows-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-ows-stages"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-ows-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-ows-stages"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-ows-stages" data-method="DELETE" data-path="api/v1/ro/ows-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-ows-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-ows-stages" onclick="tryItOut('DELETEapi-v1-ro-ows-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-ows-stages" onclick="cancelTryOut('DELETEapi-v1-ro-ows-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-ows-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/ows-stages</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-ows-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="DELETEapi-v1-ro-ows-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="DELETEapi-v1-ro-ows-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## Confirm(check/uncheck) element type special order stage

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-special-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":17,"order_work_stage_id":15,"order_as_response":false,"price_type":"arcada","elements":["et"]}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-special-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 17,
    "order_work_stage_id": 15,
    "order_as_response": false,
    "price_type": "arcada",
    "elements": [
        "et"
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-ows-special-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-special-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-special-stages"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-special-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-special-stages"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-special-stages" data-method="PUT" data-path="api/v1/ro/ows-special-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-special-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-special-stages" onclick="tryItOut('PUTapi-v1-ro-ows-special-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-special-stages" onclick="cancelTryOut('PUTapi-v1-ro-ows-special-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-special-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-special-stages</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-special-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-special-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-special-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>price_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="price_type" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required  hidden>
<br>
The value must be one of <code>fix</code>, <code>elemente</code>, or <code>arcada</code>.
</p>
<p>
<b><code>elements</code></b>&nbsp;&nbsp;<small>string[]</small>  &nbsp;
<input type="text" name="elements.0" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required  hidden>
<input type="text" name="elements.1" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" hidden>
<br>

</p>

</form>


## Set order stage user with default price

<small class="badge badge-darkred">requires authentication</small>

<aside> user_id can be only a user assigned to the stage of work template</aside>

> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-user/default-cost" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":2,"order_work_stage_id":14,"order_as_response":false,"user_id":13}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-user/default-cost"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 2,
    "order_work_stage_id": 14,
    "order_as_response": false,
    "user_id": 13
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-ows-user-default-cost" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-user-default-cost"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-user-default-cost"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-user-default-cost" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-user-default-cost"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-user-default-cost" data-method="PUT" data-path="api/v1/ro/ows-user/default-cost" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-user-default-cost', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-user-default-cost" onclick="tryItOut('PUTapi-v1-ro-ows-user-default-cost');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-user-default-cost" onclick="cancelTryOut('PUTapi-v1-ro-ows-user-default-cost');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-user-default-cost" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-user/default-cost</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-user-default-cost" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-user-default-cost" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-user-default-cost" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user_id" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required  hidden>
<br>

</p>

</form>


## Manual update order stage user and cost

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-user" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":5,"order_work_stage_id":2,"order_as_response":false,"user_id":9,"cost":0}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-user"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 5,
    "order_work_stage_id": 2,
    "order_as_response": false,
    "user_id": 9,
    "cost": 0
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-ows-user" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-user"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-user"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-user" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-user"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-user" data-method="PUT" data-path="api/v1/ro/ows-user" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-user', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-user" onclick="tryItOut('PUTapi-v1-ro-ows-user');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-user" onclick="cancelTryOut('PUTapi-v1-ro-ows-user');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-user" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-user</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-user" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-user" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-user" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-user" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user_id" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="cost" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required  hidden>
<br>

</p>

</form>


## Order stages possibles actions

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/possible-actions" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_stage_ids":[14,17]}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/possible-actions"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_stage_ids": [
        14,
        17
    ]
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-ows-stages-possible-actions" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages-possible-actions"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages-possible-actions"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages-possible-actions" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages-possible-actions"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages-possible-actions" data-method="POST" data-path="api/v1/ro/ows-stages/possible-actions" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages-possible-actions', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages-possible-actions" onclick="tryItOut('POSTapi-v1-ro-ows-stages-possible-actions');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages-possible-actions" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages-possible-actions');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages-possible-actions" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages/possible-actions</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages-possible-actions" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages-possible-actions" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_stage_ids</code></b>&nbsp;&nbsp;<small>integer[]</small>  &nbsp;
<input type="number" name="order_work_stage_ids.0" data-endpoint="POSTapi-v1-ro-ows-stages-possible-actions" data-component="body" required  hidden>
<input type="number" name="order_work_stage_ids.1" data-endpoint="POSTapi-v1-ro-ows-stages-possible-actions" data-component="body" hidden>
<br>

</p>

</form>


## Update date and time of order work stage

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/update-date/ducimus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"date":"2022-01-12","time":"23:40","order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/update-date/ducimus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "date": "2022-01-12",
    "time": "23:40",
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-method="POST" data-path="api/v1/ro/ows-stages/update-date/{orderWorkStage}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" onclick="tryItOut('POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages/update-date/{orderWorkStage}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>orderWorkStage</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="orderWorkStage" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="date" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>time</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="time" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="body"  hidden>
<br>
The value must be a valid date in the format H:i.
</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## Start a order stage

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/start" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":5,"order_work_stage_id":9,"order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/start"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 5,
    "order_work_stage_id": 9,
    "order_as_response": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-ows-stages-start" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-stages-start"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-stages-start"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-stages-start" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-stages-start"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-stages-start" data-method="PUT" data-path="api/v1/ro/ows-stages/start" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-stages-start', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-stages-start" onclick="tryItOut('PUTapi-v1-ro-ows-stages-start');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-stages-start" onclick="cancelTryOut('PUTapi-v1-ro-ows-stages-start');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-stages-start" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-stages/start</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-stages-start" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-stages-start" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-stages-start" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## Pause a order stage

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/pause" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":5,"order_work_stage_id":20,"order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/pause"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 5,
    "order_work_stage_id": 20,
    "order_as_response": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-ows-stages-pause" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-stages-pause"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-stages-pause"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-stages-pause" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-stages-pause"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-stages-pause" data-method="PUT" data-path="api/v1/ro/ows-stages/pause" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-stages-pause', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-stages-pause" onclick="tryItOut('PUTapi-v1-ro-ows-stages-pause');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-stages-pause" onclick="cancelTryOut('PUTapi-v1-ro-ows-stages-pause');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-stages-pause" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-stages/pause</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-stages-pause" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-stages-pause" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-stages-pause" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## Finish a order stage

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/finish" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":6,"order_work_stage_id":8,"order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/finish"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 6,
    "order_work_stage_id": 8,
    "order_as_response": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-ows-stages-finish" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-stages-finish"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-stages-finish"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-stages-finish" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-stages-finish"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-stages-finish" data-method="PUT" data-path="api/v1/ro/ows-stages/finish" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-stages-finish', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-stages-finish" onclick="tryItOut('PUTapi-v1-ro-ows-stages-finish');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-stages-finish" onclick="cancelTryOut('PUTapi-v1-ro-ows-stages-finish');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-stages-finish" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-stages/finish</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-stages-finish" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-stages-finish" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-stages-finish" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## Remake a order stage

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/remake" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":5,"order_work_stage_id":12,"order_as_response":false,"remake_parameters":{"lab_is_paying":false,"reason":{"fault":"lab","user_id":5}}}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/remake"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 5,
    "order_work_stage_id": 12,
    "order_as_response": false,
    "remake_parameters": {
        "lab_is_paying": false,
        "reason": {
            "fault": "lab",
            "user_id": 5
        }
    }
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-ows-stages-remake" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages-remake"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages-remake"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages-remake" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages-remake"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages-remake" data-method="POST" data-path="api/v1/ro/ows-stages/remake" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages-remake', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages-remake" onclick="tryItOut('POSTapi-v1-ro-ows-stages-remake');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages-remake" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages-remake');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages-remake" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages/remake</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages-remake" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-ows-stages-remake" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-ows-stages-remake" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>remake_parameters</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>remake_parameters.lab_is_paying</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-ows-stages-remake" hidden><input type="radio" name="remake_parameters.lab_is_paying" value="true" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-ows-stages-remake" hidden><input type="radio" name="remake_parameters.lab_is_paying" value="false" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>remake_parameters.reason</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>remake_parameters.reason.fault</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="remake_parameters.reason.fault" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required  hidden>
<br>
The value must be one of <code>user</code>, <code>lab</code>, or <code>collaborator</code>.
</p>
<p>
<b><code>remake_parameters.reason.user_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="remake_parameters.reason.user_id" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body"  hidden>
<br>

</p>
</details>
</p>

</details>
</p>

</form>



