# Comenzi fisiere

APIs for managing order`s files

## Order file listing.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/order-files/quasi" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-files/quasi"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-order-files--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-order-files--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-order-files--order-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-order-files--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-order-files--order-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-order-files--order-" data-method="GET" data-path="api/v1/ro/order-files/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-order-files--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-order-files--order-" onclick="tryItOut('GETapi-v1-ro-order-files--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-order-files--order-" onclick="cancelTryOut('GETapi-v1-ro-order-files--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-order-files--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/order-files/{order}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-order-files--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-order-files--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="GETapi-v1-ro-order-files--order-" data-component="url" required  hidden>
<br>

</p>
</form>


## Add file to a order.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-files" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: multipart/form-data" \
    -H "Accept: application/json" \
    -F "order_id=12" \
    -F "file_name=corrupti" \
    -F "file=@C:\Users\WORK\AppData\Local\Temp\phpCC2C.tmp" 
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-files"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "multipart/form-data",
    "Accept": "application/json",
};

const body = new FormData();
body.append('order_id', '12');
body.append('file_name', 'corrupti');
body.append('file', document.querySelector('input[name="file"]').files[0]);

fetch(url, {
    method: "POST",
    headers,
    body,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-order-files" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-files"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-files"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-files" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-files"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-files" data-method="POST" data-path="api/v1/ro/order-files" data-authed="1" data-hasfiles="1" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"multipart\/form-data","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-files', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-files" onclick="tryItOut('POSTapi-v1-ro-order-files');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-files" onclick="cancelTryOut('POSTapi-v1-ro-order-files');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-files" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-files</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-files" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-files" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-files" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>file_name</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="file_name" data-endpoint="POSTapi-v1-ro-order-files" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>file</code></b>&nbsp;&nbsp;<small>file</small>  &nbsp;
<input type="file" name="file" data-endpoint="POSTapi-v1-ro-order-files" data-component="body" required  hidden>
<br>
The value must be a file.
</p>

</form>


## Download a order file

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/order-file/veniam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-file/veniam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-order-file--uuid-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-order-file--uuid-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-order-file--uuid-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-order-file--uuid-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-order-file--uuid-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-order-file--uuid-" data-method="GET" data-path="api/v1/ro/order-file/{uuid}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-order-file--uuid-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-order-file--uuid-" onclick="tryItOut('GETapi-v1-ro-order-file--uuid-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-order-file--uuid-" onclick="cancelTryOut('GETapi-v1-ro-order-file--uuid-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-order-file--uuid-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/order-file/{uuid}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-order-file--uuid-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-order-file--uuid-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>uuid</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="uuid" data-endpoint="GETapi-v1-ro-order-file--uuid-" data-component="url" required  hidden>
<br>

</p>
</form>


## Delete a order file.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/order-file/voluptas" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-file/voluptas"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "DELETE",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-order-file--uuid-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-order-file--uuid-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-order-file--uuid-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-order-file--uuid-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-order-file--uuid-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-order-file--uuid-" data-method="DELETE" data-path="api/v1/ro/order-file/{uuid}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-order-file--uuid-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-order-file--uuid-" onclick="tryItOut('DELETEapi-v1-ro-order-file--uuid-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-order-file--uuid-" onclick="cancelTryOut('DELETEapi-v1-ro-order-file--uuid-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-order-file--uuid-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/order-file/{uuid}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-order-file--uuid-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-order-file--uuid-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>uuid</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="uuid" data-endpoint="DELETEapi-v1-ro-order-file--uuid-" data-component="url" required  hidden>
<br>

</p>
</form>



