# Comenzi lucrari

APIs for managing work stages

## OT Display a listing of order works.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates-listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":0}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates-listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 0
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-order-work-templates-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-work-templates-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-work-templates-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-work-templates-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-work-templates-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-work-templates-listing" data-method="POST" data-path="api/v1/ro/order-work-templates-listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-work-templates-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-work-templates-listing" onclick="tryItOut('POSTapi-v1-ro-order-work-templates-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-work-templates-listing" onclick="cancelTryOut('POSTapi-v1-ro-order-work-templates-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-work-templates-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-work-templates-listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-work-templates-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-work-templates-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-work-templates-listing" data-component="body" required  hidden>
<br>

</p>

</form>


## OT Add new work on order.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":6,"work_template_id":10,"order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 6,
    "work_template_id": 10,
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-order-work-templates" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-work-templates"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-work-templates"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-work-templates" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-work-templates"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-work-templates" data-method="POST" data-path="api/v1/ro/order-work-templates" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-work-templates', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-work-templates" onclick="tryItOut('POSTapi-v1-ro-order-work-templates');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-work-templates" onclick="cancelTryOut('POSTapi-v1-ro-order-work-templates');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-work-templates" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-work-templates</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-work-templates" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-work-templates" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-work-templates" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## OT Remove a order work.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates/sint" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates/sint"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "DELETE",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-order-work-templates--order_work_template-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-order-work-templates--order_work_template-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-order-work-templates--order_work_template-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-order-work-templates--order_work_template-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-order-work-templates--order_work_template-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-order-work-templates--order_work_template-" data-method="DELETE" data-path="api/v1/ro/order-work-templates/{order_work_template}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-order-work-templates--order_work_template-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-order-work-templates--order_work_template-" onclick="tryItOut('DELETEapi-v1-ro-order-work-templates--order_work_template-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-order-work-templates--order_work_template-" onclick="cancelTryOut('DELETEapi-v1-ro-order-work-templates--order_work_template-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-order-work-templates--order_work_template-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/order-work-templates/{order_work_template}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-order-work-templates--order_work_template-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-order-work-templates--order_work_template-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order_work_template</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order_work_template" data-endpoint="DELETEapi-v1-ro-order-work-templates--order_work_template-" data-component="url" required  hidden>
<br>

</p>
</form>


## OT Combine a order work with a work template

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates-combine" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":20,"work_template_id":16,"order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates-combine"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 20,
    "work_template_id": 16,
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-order-work-templates-combine" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-work-templates-combine"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-work-templates-combine"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-work-templates-combine" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-work-templates-combine"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-work-templates-combine" data-method="POST" data-path="api/v1/ro/order-work-templates-combine" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-work-templates-combine', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-work-templates-combine" onclick="tryItOut('POSTapi-v1-ro-order-work-templates-combine');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-work-templates-combine" onclick="cancelTryOut('POSTapi-v1-ro-order-work-templates-combine');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-work-templates-combine" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-work-templates-combine</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-work-templates-combine" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-work-templates-combine" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-work-templates-combine" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## OT Preferred settings order work.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/owt-settings" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":14,"order_as_response":false,"preferred_duration":9,"ignore_extra_price":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/owt-settings"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 14,
    "order_as_response": false,
    "preferred_duration": 9,
    "ignore_extra_price": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-owt-settings" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-owt-settings"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-owt-settings"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-owt-settings" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-owt-settings"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-owt-settings" data-method="POST" data-path="api/v1/ro/owt-settings" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-owt-settings', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-owt-settings" onclick="tryItOut('POSTapi-v1-ro-owt-settings');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-owt-settings" onclick="cancelTryOut('POSTapi-v1-ro-owt-settings');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-owt-settings" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/owt-settings</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-owt-settings" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-owt-settings" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-owt-settings" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-owt-settings" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>preferred_duration</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="preferred_duration" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>ignore_extra_price</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-owt-settings" hidden><input type="radio" name="ignore_extra_price" value="true" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-owt-settings" hidden><input type="radio" name="ignore_extra_price" value="false" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" ><code>false</code></label>
<br>

</p>

</form>


## OT Update dentition and dentition arcada for order work.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/owt-dentition" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":7,"order_as_response":false,"dentition":[{"form":19,"xtra":[false,true]}],"arcada_dentition":{"upper":false,"lower":false}}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/owt-dentition"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 7,
    "order_as_response": false,
    "dentition": [
        {
            "form": 19,
            "xtra": [
                false,
                true
            ]
        }
    ],
    "arcada_dentition": {
        "upper": false,
        "lower": false
    }
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-owt-dentition" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-owt-dentition"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-owt-dentition"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-owt-dentition" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-owt-dentition"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-owt-dentition" data-method="PUT" data-path="api/v1/ro/owt-dentition" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-owt-dentition', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-owt-dentition" onclick="tryItOut('PUTapi-v1-ro-owt-dentition');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-owt-dentition" onclick="cancelTryOut('PUTapi-v1-ro-owt-dentition');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-owt-dentition" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/owt-dentition</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-owt-dentition" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>dentition</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>dentition[].form</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentition.0.form" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>dentition[].xtra</code></b>&nbsp;&nbsp;<small>boolean[]</small>  &nbsp;
<input type="text" name="dentition.0.xtra.0" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required  hidden>
<input type="text" name="dentition.0.xtra.1" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" hidden>
<br>

</p>
</details>
</p>
<p>
<details>
<summary>
<b><code>arcada_dentition</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>arcada_dentition.upper</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="arcada_dentition.upper" value="true" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="arcada_dentition.upper" value="false" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>arcada_dentition.lower</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="arcada_dentition.lower" value="true" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="arcada_dentition.lower" value="false" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" ><code>false</code></label>
<br>

</p>
</details>
</p>

</form>



