# Comenzi PA categorii

APIs for managing order additional prices

## List of categories

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-additional-prices-categories" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-categories"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-categories"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-categories" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-categories"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-categories" data-method="GET" data-path="api/v1/ro/additional-prices-categories" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-categories', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-categories" onclick="tryItOut('GETapi-v1-ro-additional-prices-categories');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-categories" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-categories');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-categories" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-categories</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-categories" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-categories" data-component="header"></label>
</p>
</form>


## Add new category

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"quos"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "quos"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-additional-prices-categories" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-additional-prices-categories"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-additional-prices-categories"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-additional-prices-categories" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-additional-prices-categories"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-additional-prices-categories" data-method="POST" data-path="api/v1/ro/additional-prices-categories" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-additional-prices-categories', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-additional-prices-categories" onclick="tryItOut('POSTapi-v1-ro-additional-prices-categories');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-additional-prices-categories" onclick="cancelTryOut('POSTapi-v1-ro-additional-prices-categories');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-additional-prices-categories" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/additional-prices-categories</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-additional-prices-categories" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-additional-prices-categories" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-additional-prices-categories" data-component="body" required  hidden>
<br>

</p>

</form>


## Category detailed

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/totam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/totam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-categories--additional_prices_category-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" data-method="GET" data-path="api/v1/ro/additional-prices-categories/{additional_prices_category}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-categories--additional_prices_category-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="tryItOut('GETapi-v1-ro-additional-prices-categories--additional_prices_category-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-categories--additional_prices_category-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-categories/{additional_prices_category}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_category</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_category" data-endpoint="GETapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="url" required  hidden>
<br>

</p>
</form>


## Update a category

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/quia" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"sed"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/quia"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "sed"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" data-method="PUT" data-path="api/v1/ro/additional-prices-categories/{additional_prices_category}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-additional-prices-categories--additional_prices_category-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="tryItOut('PUTapi-v1-ro-additional-prices-categories--additional_prices_category-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="cancelTryOut('PUTapi-v1-ro-additional-prices-categories--additional_prices_category-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/additional-prices-categories/{additional_prices_category}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/additional-prices-categories/{additional_prices_category}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_category</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_category" data-endpoint="PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="body" required  hidden>
<br>

</p>

</form>


## Delete a category

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/doloribus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/doloribus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "DELETE",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" data-method="DELETE" data-path="api/v1/ro/additional-prices-categories/{additional_prices_category}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="tryItOut('DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="cancelTryOut('DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/additional-prices-categories/{additional_prices_category}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_category</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_category" data-endpoint="DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="url" required  hidden>
<br>

</p>
</form>



