# Comenzi PA produse

APIs for managing order additional prices

## List of products

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-additional-prices-products" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-products"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-products"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-products" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-products"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-products" data-method="GET" data-path="api/v1/ro/additional-prices-products" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-products', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-products" onclick="tryItOut('GETapi-v1-ro-additional-prices-products');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-products" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-products');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-products" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-products</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-products" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-products" data-component="header"></label>
</p>
</form>


## Add new product

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"brand_id":2,"category_id":11,"name":"consectetur","price":37106.5411,"default_invoicing":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "brand_id": 2,
    "category_id": 11,
    "name": "consectetur",
    "price": 37106.5411,
    "default_invoicing": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-additional-prices-products" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-additional-prices-products"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-additional-prices-products"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-additional-prices-products" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-additional-prices-products"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-additional-prices-products" data-method="POST" data-path="api/v1/ro/additional-prices-products" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-additional-prices-products', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-additional-prices-products" onclick="tryItOut('POSTapi-v1-ro-additional-prices-products');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-additional-prices-products" onclick="cancelTryOut('POSTapi-v1-ro-additional-prices-products');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-additional-prices-products" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/additional-prices-products</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-additional-prices-products" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>brand_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="brand_id" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>category_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="category_id" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>price</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="price" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>default_invoicing</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-additional-prices-products" hidden><input type="radio" name="default_invoicing" value="true" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-additional-prices-products" hidden><input type="radio" name="default_invoicing" value="false" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" ><code>false</code></label>
<br>

</p>

</form>


## Product detailed

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/consequatur" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/consequatur"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-products--additional_prices_product-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-products--additional_prices_product-" data-method="GET" data-path="api/v1/ro/additional-prices-products/{additional_prices_product}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-products--additional_prices_product-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="tryItOut('GETapi-v1-ro-additional-prices-products--additional_prices_product-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-products--additional_prices_product-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-products/{additional_prices_product}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_product</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_product" data-endpoint="GETapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="url" required  hidden>
<br>

</p>
</form>


## Update a product

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/doloribus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"brand_id":4,"category_id":13,"name":"quasi","price":34312440.81181837,"default_invoicing":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/doloribus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "brand_id": 4,
    "category_id": 13,
    "name": "quasi",
    "price": 34312440.81181837,
    "default_invoicing": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-additional-prices-products--additional_prices_product-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-method="PUT" data-path="api/v1/ro/additional-prices-products/{additional_prices_product}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-additional-prices-products--additional_prices_product-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="tryItOut('PUTapi-v1-ro-additional-prices-products--additional_prices_product-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="cancelTryOut('PUTapi-v1-ro-additional-prices-products--additional_prices_product-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/additional-prices-products/{additional_prices_product}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/additional-prices-products/{additional_prices_product}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_product</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_product" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>brand_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="brand_id" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>category_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="category_id" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>price</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="price" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>default_invoicing</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden><input type="radio" name="default_invoicing" value="true" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden><input type="radio" name="default_invoicing" value="false" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" ><code>false</code></label>
<br>

</p>

</form>


## Delete a product

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/facilis" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/facilis"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "DELETE",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" data-method="DELETE" data-path="api/v1/ro/additional-prices-products/{additional_prices_product}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-additional-prices-products--additional_prices_product-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="tryItOut('DELETEapi-v1-ro-additional-prices-products--additional_prices_product-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="cancelTryOut('DELETEapi-v1-ro-additional-prices-products--additional_prices_product-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/additional-prices-products/{additional_prices_product}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_product</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_product" data-endpoint="DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="url" required  hidden>
<br>

</p>
</form>



