# Comenzi preturi aditionale

APIs for managing order additional prices

## Add a additional price

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":10,"name":"enim","description":"quos","quantity":6195,"price_per_unit":250358.75,"to_be_invoiced":false,"order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 10,
    "name": "enim",
    "description": "quos",
    "quantity": 6195,
    "price_per_unit": 250358.75,
    "to_be_invoiced": false,
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-order-additional-prices" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-additional-prices"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-additional-prices"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-additional-prices" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-additional-prices"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-additional-prices" data-method="POST" data-path="api/v1/ro/order-additional-prices" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-additional-prices', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-additional-prices" onclick="tryItOut('POSTapi-v1-ro-order-additional-prices');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-additional-prices" onclick="cancelTryOut('POSTapi-v1-ro-order-additional-prices');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-additional-prices" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-additional-prices</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-additional-prices" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="description" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>quantity</code></b>&nbsp;&nbsp;<small>number</small>     <i>optional</i> &nbsp;
<input type="number" name="quantity" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>price_per_unit</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="price_per_unit" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>to_be_invoiced</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices" hidden><input type="radio" name="to_be_invoiced" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices" hidden><input type="radio" name="to_be_invoiced" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## Update an additional price

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/repudiandae" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"to_be_invoiced":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/repudiandae"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "to_be_invoiced": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-order-additional-prices--order_additional_price-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-order-additional-prices--order_additional_price-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-order-additional-prices--order_additional_price-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-method="PUT" data-path="api/v1/ro/order-additional-prices/{order_additional_price}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-order-additional-prices--order_additional_price-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-order-additional-prices--order_additional_price-" onclick="tryItOut('PUTapi-v1-ro-order-additional-prices--order_additional_price-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-order-additional-prices--order_additional_price-" onclick="cancelTryOut('PUTapi-v1-ro-order-additional-prices--order_additional_price-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/order-additional-prices/{order_additional_price}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/order-additional-prices/{order_additional_price}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order_additional_price</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order_additional_price" data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>to_be_invoiced</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden><input type="radio" name="to_be_invoiced" value="true" data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden><input type="radio" name="to_be_invoiced" value="false" data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## Remove the specified resource from storage.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/nam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/nam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "DELETE",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-order-additional-prices--order_additional_price-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-order-additional-prices--order_additional_price-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-order-additional-prices--order_additional_price-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" data-method="DELETE" data-path="api/v1/ro/order-additional-prices/{order_additional_price}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-order-additional-prices--order_additional_price-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" onclick="tryItOut('DELETEapi-v1-ro-order-additional-prices--order_additional_price-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" onclick="cancelTryOut('DELETEapi-v1-ro-order-additional-prices--order_additional_price-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/order-additional-prices/{order_additional_price}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-order-additional-prices--order_additional_price-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order_additional_price</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order_additional_price" data-endpoint="DELETEapi-v1-ro-order-additional-prices--order_additional_price-" data-component="url" required  hidden>
<br>

</p>
</form>


## Specific order additional prices

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":3}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 3
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-order-additional-prices-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-additional-prices-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-additional-prices-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-additional-prices-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-additional-prices-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-additional-prices-listing" data-method="POST" data-path="api/v1/ro/order-additional-prices/listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-additional-prices-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-additional-prices-listing" onclick="tryItOut('POSTapi-v1-ro-order-additional-prices-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-additional-prices-listing" onclick="cancelTryOut('POSTapi-v1-ro-order-additional-prices-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-additional-prices-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-additional-prices/listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-additional-prices-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-additional-prices-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-additional-prices-listing" data-component="body" required  hidden>
<br>

</p>

</form>


## Add product as additional price

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/product" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":8,"product_id":2,"description":"et","quantity":440673,"order_as_response":false,"to_be_invoiced":false,"default_invoicing":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/product"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 8,
    "product_id": 2,
    "description": "et",
    "quantity": 440673,
    "order_as_response": false,
    "to_be_invoiced": false,
    "default_invoicing": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-order-additional-prices-product" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-additional-prices-product"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-additional-prices-product"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-additional-prices-product" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-additional-prices-product"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-additional-prices-product" data-method="POST" data-path="api/v1/ro/order-additional-prices/product" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-additional-prices-product', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-additional-prices-product" onclick="tryItOut('POSTapi-v1-ro-order-additional-prices-product');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-additional-prices-product" onclick="cancelTryOut('POSTapi-v1-ro-order-additional-prices-product');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-additional-prices-product" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-additional-prices/product</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-additional-prices-product" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>product_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="product_id" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="description" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>quantity</code></b>&nbsp;&nbsp;<small>number</small>     <i>optional</i> &nbsp;
<input type="number" name="quantity" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>to_be_invoiced</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="to_be_invoiced" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="to_be_invoiced" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>default_invoicing</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="default_invoicing" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="default_invoicing" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" ><code>false</code></label>
<br>

</p>

</form>



