# Comenzi

APIs for managing work stages

## Update order details.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/order-details/sit" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"dentition_color":"quidem","dentition_shape":"et","face_shape":"ipsam","order_details":"et"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-details/sit"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "dentition_color": "quidem",
    "dentition_shape": "et",
    "face_shape": "ipsam",
    "order_details": "et"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-order-details--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-order-details--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-order-details--order-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-order-details--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-order-details--order-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-order-details--order-" data-method="PUT" data-path="api/v1/ro/order-details/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-order-details--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-order-details--order-" onclick="tryItOut('PUTapi-v1-ro-order-details--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-order-details--order-" onclick="cancelTryOut('PUTapi-v1-ro-order-details--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-order-details--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/order-details/{order}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-order-details--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>dentition_color</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="dentition_color" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>dentition_shape</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="dentition_shape" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>face_shape</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="face_shape" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>order_details</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="order_details" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="body"  hidden>
<br>

</p>

</form>


## Display a listing of orders.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/orders" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-orders" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-orders"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-orders"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-orders" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-orders"></code></pre>
</div>
<form id="form-GETapi-v1-ro-orders" data-method="GET" data-path="api/v1/ro/orders" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-orders', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-orders" onclick="tryItOut('GETapi-v1-ro-orders');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-orders" onclick="cancelTryOut('GETapi-v1-ro-orders');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-orders" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/orders</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-orders" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-orders" data-component="header"></label>
</p>
</form>


## Add new order

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/orders" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"start_date":"2022-01-12","collaborator_id":5,"dentist_id":5,"patient_id":17}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start_date": "2022-01-12",
    "collaborator_id": 5,
    "dentist_id": 5,
    "patient_id": 17
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-orders" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-orders"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-orders"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-orders" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-orders"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-orders" data-method="POST" data-path="api/v1/ro/orders" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-orders', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-orders" onclick="tryItOut('POSTapi-v1-ro-orders');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-orders" onclick="cancelTryOut('POSTapi-v1-ro-orders');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-orders" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/orders</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-orders" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-orders" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="POSTapi-v1-ro-orders" data-component="body" required  hidden>
<br>
The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="POSTapi-v1-ro-orders" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="POSTapi-v1-ro-orders" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>patient_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="patient_id" data-endpoint="POSTapi-v1-ro-orders" data-component="body" required  hidden>
<br>

</p>

</form>


## Display a order.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/orders/qui" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/qui"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-orders--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-orders--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-orders--order-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-orders--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-orders--order-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-orders--order-" data-method="GET" data-path="api/v1/ro/orders/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-orders--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-orders--order-" onclick="tryItOut('GETapi-v1-ro-orders--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-orders--order-" onclick="cancelTryOut('GETapi-v1-ro-orders--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-orders--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/orders/{order}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-orders--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-orders--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="GETapi-v1-ro-orders--order-" data-component="url" required  hidden>
<br>

</p>
</form>


## Update a order.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/orders/neque" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"start_date":"2022-01-12","collaborator_id":13,"dentist_id":8,"patient_id":16}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/neque"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start_date": "2022-01-12",
    "collaborator_id": 13,
    "dentist_id": 8,
    "patient_id": 16
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-orders--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-orders--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-orders--order-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-orders--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-orders--order-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-orders--order-" data-method="PUT" data-path="api/v1/ro/orders/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-orders--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-orders--order-" onclick="tryItOut('PUTapi-v1-ro-orders--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-orders--order-" onclick="cancelTryOut('PUTapi-v1-ro-orders--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-orders--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/orders/{order}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/orders/{order}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-orders--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-orders--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="body" required  hidden>
<br>
The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>patient_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="patient_id" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="body" required  hidden>
<br>

</p>

</form>


## Delete a order.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/orders/vitae" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/vitae"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "DELETE",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-orders--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-orders--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-orders--order-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-orders--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-orders--order-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-orders--order-" data-method="DELETE" data-path="api/v1/ro/orders/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-orders--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-orders--order-" onclick="tryItOut('DELETEapi-v1-ro-orders--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-orders--order-" onclick="cancelTryOut('DELETEapi-v1-ro-orders--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-orders--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/orders/{order}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-orders--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-orders--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="DELETEapi-v1-ro-orders--order-" data-component="url" required  hidden>
<br>

</p>
</form>


## Display a listing of canceled orders.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/canceled-orders" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/canceled-orders"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-canceled-orders" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-canceled-orders"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-canceled-orders"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-canceled-orders" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-canceled-orders"></code></pre>
</div>
<form id="form-GETapi-v1-ro-canceled-orders" data-method="GET" data-path="api/v1/ro/canceled-orders" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-canceled-orders', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-canceled-orders" onclick="tryItOut('GETapi-v1-ro-canceled-orders');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-canceled-orders" onclick="cancelTryOut('GETapi-v1-ro-canceled-orders');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-canceled-orders" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/canceled-orders</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-canceled-orders" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-canceled-orders" data-component="header"></label>
</p>
</form>


## Order list possibles actions

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/orders/possible-actions" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/possible-actions"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "POST",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-orders-possible-actions" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-orders-possible-actions"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-orders-possible-actions"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-orders-possible-actions" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-orders-possible-actions"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-orders-possible-actions" data-method="POST" data-path="api/v1/ro/orders/possible-actions" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-orders-possible-actions', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-orders-possible-actions" onclick="tryItOut('POSTapi-v1-ro-orders-possible-actions');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-orders-possible-actions" onclick="cancelTryOut('POSTapi-v1-ro-orders-possible-actions');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-orders-possible-actions" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/orders/possible-actions</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-orders-possible-actions" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-orders-possible-actions" data-component="header"></label>
</p>
</form>


## Send a order in production

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/orders/send-to-prod" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":1}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/send-to-prod"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 1
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-orders-send-to-prod" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-orders-send-to-prod"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-orders-send-to-prod"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-orders-send-to-prod" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-orders-send-to-prod"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-orders-send-to-prod" data-method="POST" data-path="api/v1/ro/orders/send-to-prod" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-orders-send-to-prod', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-orders-send-to-prod" onclick="tryItOut('POSTapi-v1-ro-orders-send-to-prod');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-orders-send-to-prod" onclick="cancelTryOut('POSTapi-v1-ro-orders-send-to-prod');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-orders-send-to-prod" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/orders/send-to-prod</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-orders-send-to-prod" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-orders-send-to-prod" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-orders-send-to-prod" data-component="body" required  hidden>
<br>

</p>

</form>


## Finish a order.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/orders-finish/veritatis" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders-finish/veritatis"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "POST",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-orders-finish--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-orders-finish--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-orders-finish--order-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-orders-finish--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-orders-finish--order-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-orders-finish--order-" data-method="POST" data-path="api/v1/ro/orders-finish/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-orders-finish--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-orders-finish--order-" onclick="tryItOut('POSTapi-v1-ro-orders-finish--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-orders-finish--order-" onclick="cancelTryOut('POSTapi-v1-ro-orders-finish--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-orders-finish--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/orders-finish/{order}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-orders-finish--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-orders-finish--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="POSTapi-v1-ro-orders-finish--order-" data-component="url" required  hidden>
<br>

</p>
</form>


## Cancel order

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/cancel-order/minima" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"reason":"enim","appears_on_payment_document":false,"remake":false,"canceled_order_stages_updated_costs":[{"stage_id":2,"cost_per_unit":9130735}]}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/cancel-order/minima"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "reason": "enim",
    "appears_on_payment_document": false,
    "remake": false,
    "canceled_order_stages_updated_costs": [
        {
            "stage_id": 2,
            "cost_per_unit": 9130735
        }
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-cancel-order--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-cancel-order--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-cancel-order--order-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-cancel-order--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-cancel-order--order-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-cancel-order--order-" data-method="PUT" data-path="api/v1/ro/cancel-order/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-cancel-order--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-cancel-order--order-" onclick="tryItOut('PUTapi-v1-ro-cancel-order--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-cancel-order--order-" onclick="cancelTryOut('PUTapi-v1-ro-cancel-order--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-cancel-order--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/cancel-order/{order}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-cancel-order--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>reason</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="reason" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>appears_on_payment_document</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-cancel-order--order-" hidden><input type="radio" name="appears_on_payment_document" value="true" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-cancel-order--order-" hidden><input type="radio" name="appears_on_payment_document" value="false" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>remake</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-cancel-order--order-" hidden><input type="radio" name="remake" value="true" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-cancel-order--order-" hidden><input type="radio" name="remake" value="false" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>canceled_order_stages_updated_costs</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>canceled_order_stages_updated_costs[].stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="canceled_order_stages_updated_costs.0.stage_id" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>canceled_order_stages_updated_costs[].cost_per_unit</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="canceled_order_stages_updated_costs.0.cost_per_unit" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>


## Get overview times

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-overview-times" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":3,"order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-overview-times"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 3,
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-order-overview-times" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-overview-times"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-overview-times"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-overview-times" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-overview-times"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-overview-times" data-method="POST" data-path="api/v1/ro/order-overview-times" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-overview-times', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-overview-times" onclick="tryItOut('POSTapi-v1-ro-order-overview-times');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-overview-times" onclick="cancelTryOut('POSTapi-v1-ro-order-overview-times');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-overview-times" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-overview-times</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-overview-times" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-overview-times" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-overview-times" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-overview-times" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-overview-times" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-overview-times" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-overview-times" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>


## Order empty special stages

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/empty-special-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":6}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/empty-special-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 6
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-ows-stages-empty-special-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages-empty-special-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages-empty-special-stages"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages-empty-special-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages-empty-special-stages"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages-empty-special-stages" data-method="POST" data-path="api/v1/ro/ows-stages/empty-special-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages-empty-special-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages-empty-special-stages" onclick="tryItOut('POSTapi-v1-ro-ows-stages-empty-special-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages-empty-special-stages" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages-empty-special-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages-empty-special-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages/empty-special-stages</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages-empty-special-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages-empty-special-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-ows-stages-empty-special-stages" data-component="body" required  hidden>
<br>

</p>

</form>


## Delete specific id`a of empty special stages from order

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/delete-empty-special-stages-ids" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":17,"order_as_response":false,"stages_ids":[13,12]}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/delete-empty-special-stages-ids"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 17,
    "order_as_response": false,
    "stages_ids": [
        13,
        12
    ]
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-method="DELETE" data-path="api/v1/ro/ows-stages/delete-empty-special-stages-ids" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" onclick="tryItOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" onclick="cancelTryOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/ows-stages/delete-empty-special-stages-ids</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" required ><code>true</code></label>
<label data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>stages_ids</code></b>&nbsp;&nbsp;<small>integer[]</small>  &nbsp;
<input type="number" name="stages_ids.0" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" required  hidden>
<input type="number" name="stages_ids.1" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" hidden>
<br>

</p>

</form>


## Delete specific id`a of empty special stages from order

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/delete-empty-special-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":1,"order_as_response":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/delete-empty-special-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 1,
    "order_as_response": false
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-method="DELETE" data-path="api/v1/ro/ows-stages/delete-empty-special-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" onclick="tryItOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" onclick="cancelTryOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/ows-stages/delete-empty-special-stages</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>



