# Dashboard

APIs for managing dashboard

## Orders dashboard by status

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/orders-dashboard" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders-dashboard"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-orders-dashboard" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-orders-dashboard"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-orders-dashboard"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-orders-dashboard" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-orders-dashboard"></code></pre>
</div>
<form id="form-GETapi-v1-ro-orders-dashboard" data-method="GET" data-path="api/v1/ro/orders-dashboard" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-orders-dashboard', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-orders-dashboard" onclick="tryItOut('GETapi-v1-ro-orders-dashboard');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-orders-dashboard" onclick="cancelTryOut('GETapi-v1-ro-orders-dashboard');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-orders-dashboard" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/orders-dashboard</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-orders-dashboard" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-orders-dashboard" data-component="header"></label>
</p>
</form>


## Skip order work stage

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/skip-technician/magni" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/skip-technician/magni"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "POST",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-skip-technician--orderWorkStage-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-skip-technician--orderWorkStage-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-skip-technician--orderWorkStage-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-skip-technician--orderWorkStage-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-skip-technician--orderWorkStage-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-skip-technician--orderWorkStage-" data-method="POST" data-path="api/v1/ro/skip-technician/{orderWorkStage}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-skip-technician--orderWorkStage-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-skip-technician--orderWorkStage-" onclick="tryItOut('POSTapi-v1-ro-skip-technician--orderWorkStage-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-skip-technician--orderWorkStage-" onclick="cancelTryOut('POSTapi-v1-ro-skip-technician--orderWorkStage-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-skip-technician--orderWorkStage-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/skip-technician/{orderWorkStage}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-skip-technician--orderWorkStage-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-skip-technician--orderWorkStage-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>orderWorkStage</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="orderWorkStage" data-endpoint="POSTapi-v1-ro-skip-technician--orderWorkStage-" data-component="url" required  hidden>
<br>

</p>
</form>



