# DP Tipuri reduceri

APIs for managing discount type

## Display a listing discount types.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/discount-types" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/discount-types"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-discount-types" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-discount-types"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-discount-types"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-discount-types" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-discount-types"></code></pre>
</div>
<form id="form-GETapi-v1-ro-discount-types" data-method="GET" data-path="api/v1/ro/discount-types" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-discount-types', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-discount-types" onclick="tryItOut('GETapi-v1-ro-discount-types');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-discount-types" onclick="cancelTryOut('GETapi-v1-ro-discount-types');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-discount-types" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/discount-types</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-discount-types" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-discount-types" data-component="header"></label>
</p>
</form>


## Store a newly created discount type.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/discount-types" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"reiciendis"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/discount-types"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "reiciendis"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-discount-types" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-discount-types"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-discount-types"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-discount-types" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-discount-types"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-discount-types" data-method="POST" data-path="api/v1/ro/discount-types" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-discount-types', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-discount-types" onclick="tryItOut('POSTapi-v1-ro-discount-types');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-discount-types" onclick="cancelTryOut('POSTapi-v1-ro-discount-types');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-discount-types" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/discount-types</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-discount-types" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-discount-types" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-discount-types" data-component="body" required  hidden>
<br>

</p>

</form>


## Show the specified discount type.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/discount-types/numquam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/discount-types/numquam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-discount-types--discount_type-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-discount-types--discount_type-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-discount-types--discount_type-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-discount-types--discount_type-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-discount-types--discount_type-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-discount-types--discount_type-" data-method="GET" data-path="api/v1/ro/discount-types/{discount_type}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-discount-types--discount_type-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-discount-types--discount_type-" onclick="tryItOut('GETapi-v1-ro-discount-types--discount_type-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-discount-types--discount_type-" onclick="cancelTryOut('GETapi-v1-ro-discount-types--discount_type-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-discount-types--discount_type-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/discount-types/{discount_type}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-discount-types--discount_type-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-discount-types--discount_type-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>discount_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discount_type" data-endpoint="GETapi-v1-ro-discount-types--discount_type-" data-component="url" required  hidden>
<br>

</p>
</form>


## Update the specified discount type.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/discount-types/rerum" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"et"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/discount-types/rerum"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "et"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-discount-types--discount_type-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-discount-types--discount_type-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-discount-types--discount_type-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-discount-types--discount_type-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-discount-types--discount_type-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-discount-types--discount_type-" data-method="PUT" data-path="api/v1/ro/discount-types/{discount_type}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-discount-types--discount_type-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-discount-types--discount_type-" onclick="tryItOut('PUTapi-v1-ro-discount-types--discount_type-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-discount-types--discount_type-" onclick="cancelTryOut('PUTapi-v1-ro-discount-types--discount_type-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-discount-types--discount_type-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/discount-types/{discount_type}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/discount-types/{discount_type}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-discount-types--discount_type-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-discount-types--discount_type-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>discount_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discount_type" data-endpoint="PUTapi-v1-ro-discount-types--discount_type-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-discount-types--discount_type-" data-component="body" required  hidden>
<br>

</p>

</form>



