# Facturi

APIs for managing payment documents

## Display list of invoices

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/invoices" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/invoices"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-invoices" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-invoices"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-invoices"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-invoices" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-invoices"></code></pre>
</div>
<form id="form-GETapi-v1-ro-invoices" data-method="GET" data-path="api/v1/ro/invoices" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-invoices', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-invoices" onclick="tryItOut('GETapi-v1-ro-invoices');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-invoices" onclick="cancelTryOut('GETapi-v1-ro-invoices');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-invoices" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/invoices</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-invoices" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-invoices" data-component="header"></label>
</p>
</form>


## Display the specified resource.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/invoices/dolore" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/invoices/dolore"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-invoices--invoice-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-invoices--invoice-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-invoices--invoice-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-invoices--invoice-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-invoices--invoice-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-invoices--invoice-" data-method="GET" data-path="api/v1/ro/invoices/{invoice}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-invoices--invoice-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-invoices--invoice-" onclick="tryItOut('GETapi-v1-ro-invoices--invoice-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-invoices--invoice-" onclick="cancelTryOut('GETapi-v1-ro-invoices--invoice-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-invoices--invoice-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/invoices/{invoice}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-invoices--invoice-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-invoices--invoice-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>invoice</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="invoice" data-endpoint="GETapi-v1-ro-invoices--invoice-" data-component="url" required  hidden>
<br>

</p>
</form>


## Generate invoice&#039;s PDF document.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/invoices/ab/generate-pdf" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/invoices/ab/generate-pdf"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-invoices--invoice--generate-pdf" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-invoices--invoice--generate-pdf"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-invoices--invoice--generate-pdf"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-invoices--invoice--generate-pdf" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-invoices--invoice--generate-pdf"></code></pre>
</div>
<form id="form-GETapi-v1-ro-invoices--invoice--generate-pdf" data-method="GET" data-path="api/v1/ro/invoices/{invoice}/generate-pdf" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-invoices--invoice--generate-pdf', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-invoices--invoice--generate-pdf" onclick="tryItOut('GETapi-v1-ro-invoices--invoice--generate-pdf');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-invoices--invoice--generate-pdf" onclick="cancelTryOut('GETapi-v1-ro-invoices--invoice--generate-pdf');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-invoices--invoice--generate-pdf" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/invoices/{invoice}/generate-pdf</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-invoices--invoice--generate-pdf" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-invoices--invoice--generate-pdf" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>invoice</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="invoice" data-endpoint="GETapi-v1-ro-invoices--invoice--generate-pdf" data-component="url" required  hidden>
<br>

</p>
</form>



