# Grafice

APIs for managing charts

## Listing of stages per days number.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/trial-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_days":9}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/trial-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_days": 9
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-reports-trial-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-trial-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-trial-stages"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-trial-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-trial-stages"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-trial-stages" data-method="GET" data-path="api/v1/ro/reports/trial-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-trial-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-trial-stages" onclick="tryItOut('GETapi-v1-ro-reports-trial-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-trial-stages" onclick="cancelTryOut('GETapi-v1-ro-reports-trial-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-trial-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/trial-stages</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-trial-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-trial-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_days</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_days" data-endpoint="GETapi-v1-ro-reports-trial-stages" data-component="body"  hidden>
<br>

</p>

</form>


## Listing of top debtors.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/top-debtors" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_debtors":17}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/top-debtors"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_debtors": 17
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-reports-top-debtors" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-top-debtors"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-top-debtors"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-top-debtors" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-top-debtors"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-top-debtors" data-method="GET" data-path="api/v1/ro/reports/top-debtors" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-top-debtors', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-top-debtors" onclick="tryItOut('GETapi-v1-ro-reports-top-debtors');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-top-debtors" onclick="cancelTryOut('GETapi-v1-ro-reports-top-debtors');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-top-debtors" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/top-debtors</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-top-debtors" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-top-debtors" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_debtors</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_debtors" data-endpoint="GETapi-v1-ro-reports-top-debtors" data-component="body"  hidden>
<br>

</p>

</form>


## Listing of orders total per month.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/orders-chart/praesentium" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":18}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/orders-chart/praesentium"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 18
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-reports-orders-chart--collaborator--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-orders-chart--collaborator--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-orders-chart--collaborator--"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-orders-chart--collaborator--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-orders-chart--collaborator--"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-orders-chart--collaborator--" data-method="GET" data-path="api/v1/ro/reports/orders-chart/{collaborator?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-orders-chart--collaborator--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-orders-chart--collaborator--" onclick="tryItOut('GETapi-v1-ro-reports-orders-chart--collaborator--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-orders-chart--collaborator--" onclick="cancelTryOut('GETapi-v1-ro-reports-orders-chart--collaborator--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-orders-chart--collaborator--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/orders-chart/{collaborator?}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-orders-chart--collaborator--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-orders-chart--collaborator--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>collaborator</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="collaborator" data-endpoint="GETapi-v1-ro-reports-orders-chart--collaborator--" data-component="url"  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-orders-chart--collaborator--" data-component="body"  hidden>
<br>

</p>

</form>


## Ranking of collaborators per orders value.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/orders-chart-collaborators" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":7}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/orders-chart-collaborators"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 7
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-reports-orders-chart-collaborators" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-orders-chart-collaborators"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-orders-chart-collaborators"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-orders-chart-collaborators" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-orders-chart-collaborators"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-orders-chart-collaborators" data-method="GET" data-path="api/v1/ro/reports/orders-chart-collaborators" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-orders-chart-collaborators', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-orders-chart-collaborators" onclick="tryItOut('GETapi-v1-ro-reports-orders-chart-collaborators');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-orders-chart-collaborators" onclick="cancelTryOut('GETapi-v1-ro-reports-orders-chart-collaborators');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-orders-chart-collaborators" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/orders-chart-collaborators</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-orders-chart-collaborators" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-orders-chart-collaborators" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-orders-chart-collaborators" data-component="body"  hidden>
<br>

</p>

</form>


## Listing of works per days number.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/works-chart/facilis" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":13}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/works-chart/facilis"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 13
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-reports-works-chart--workTemplate--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-works-chart--workTemplate--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-works-chart--workTemplate--"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-works-chart--workTemplate--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-works-chart--workTemplate--"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-works-chart--workTemplate--" data-method="GET" data-path="api/v1/ro/reports/works-chart/{workTemplate?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-works-chart--workTemplate--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-works-chart--workTemplate--" onclick="tryItOut('GETapi-v1-ro-reports-works-chart--workTemplate--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-works-chart--workTemplate--" onclick="cancelTryOut('GETapi-v1-ro-reports-works-chart--workTemplate--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-works-chart--workTemplate--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/works-chart/{workTemplate?}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-works-chart--workTemplate--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-works-chart--workTemplate--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>workTemplate</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="workTemplate" data-endpoint="GETapi-v1-ro-reports-works-chart--workTemplate--" data-component="url"  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-works-chart--workTemplate--" data-component="body"  hidden>
<br>

</p>

</form>


## Ranking of work orders number.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/works-chart-orders" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":13}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/works-chart-orders"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 13
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-reports-works-chart-orders" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-works-chart-orders"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-works-chart-orders"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-works-chart-orders" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-works-chart-orders"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-works-chart-orders" data-method="GET" data-path="api/v1/ro/reports/works-chart-orders" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-works-chart-orders', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-works-chart-orders" onclick="tryItOut('GETapi-v1-ro-reports-works-chart-orders');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-works-chart-orders" onclick="cancelTryOut('GETapi-v1-ro-reports-works-chart-orders');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-works-chart-orders" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/works-chart-orders</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-works-chart-orders" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-works-chart-orders" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-works-chart-orders" data-component="body"  hidden>
<br>

</p>

</form>


## Ranking of technician&#039;s completed stages value.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/completed-stages/technician/voluptas" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":9}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/completed-stages/technician/voluptas"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 9
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-reports-completed-stages-technician--user-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-completed-stages-technician--user-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-completed-stages-technician--user-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-completed-stages-technician--user-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-completed-stages-technician--user-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-completed-stages-technician--user-" data-method="GET" data-path="api/v1/ro/reports/completed-stages/technician/{user}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-completed-stages-technician--user-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-completed-stages-technician--user-" onclick="tryItOut('GETapi-v1-ro-reports-completed-stages-technician--user-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-completed-stages-technician--user-" onclick="cancelTryOut('GETapi-v1-ro-reports-completed-stages-technician--user-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-completed-stages-technician--user-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/completed-stages/technician/{user}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-completed-stages-technician--user-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="user" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user-" data-component="body"  hidden>
<br>

</p>

</form>


## Listing of technician&#039;s completed stage(s) value per months number.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/completed-stages/technician/quod/stages/et" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":12}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/completed-stages/technician/quod/stages/et"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 12
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-method="GET" data-path="api/v1/ro/reports/completed-stages/technician/{user}/stages/{workStage?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" onclick="tryItOut('GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" onclick="cancelTryOut('GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/completed-stages/technician/{user}/stages/{workStage?}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="user" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-component="url" required  hidden>
<br>

</p>
<p>
<b><code>workStage</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="workStage" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-component="url"  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-component="body"  hidden>
<br>

</p>

</form>


## Ranking of technician&#039;s assigned stages value.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/assigned-stages/technician/aut" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/assigned-stages/technician/aut"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-reports-assigned-stages-technician--user-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-assigned-stages-technician--user-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-assigned-stages-technician--user-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-assigned-stages-technician--user-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-assigned-stages-technician--user-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-assigned-stages-technician--user-" data-method="GET" data-path="api/v1/ro/reports/assigned-stages/technician/{user}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-assigned-stages-technician--user-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-assigned-stages-technician--user-" onclick="tryItOut('GETapi-v1-ro-reports-assigned-stages-technician--user-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-assigned-stages-technician--user-" onclick="cancelTryOut('GETapi-v1-ro-reports-assigned-stages-technician--user-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-assigned-stages-technician--user-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/assigned-stages/technician/{user}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-assigned-stages-technician--user-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-assigned-stages-technician--user-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="user" data-endpoint="GETapi-v1-ro-reports-assigned-stages-technician--user-" data-component="url" required  hidden>
<br>

</p>
</form>



