# Profil laborator

APIs for managing laboratory's profile

## Lab profile.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/lab-profile" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "P-ța Bega 53, Mun. Sighetu Marmației, Călărași, CP 826960",
        "region_id": 33,
        "region": "Prahova",
        "city": "Luduș",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0344083078",
        "mobile1": "0310432294",
        "mobile2": "0334278744",
        "email1": "dogaru.doru@example.org",
        "email2": "bvoinea@example.com",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}
```
<div id="execution-results-GETapi-v1-ro-lab-profile" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-lab-profile"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-lab-profile"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-lab-profile" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-lab-profile"></code></pre>
</div>
<form id="form-GETapi-v1-ro-lab-profile" data-method="GET" data-path="api/v1/ro/lab-profile" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-lab-profile', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-lab-profile" onclick="tryItOut('GETapi-v1-ro-lab-profile');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-lab-profile" onclick="cancelTryOut('GETapi-v1-ro-lab-profile');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-lab-profile" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/lab-profile</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-lab-profile" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-lab-profile" data-component="header"></label>
</p>
</form>


## Update lab profile.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"omnis","city":"quidem","region_id":19,"address":"consectetur","phone_fax":"nihil","mobile1":"soluta","mobile2":"blanditiis","email1":"rocky15@example.net","email2":"cole.janick@example.net","website":"https:\/\/yoursite.com","facebook":"https:\/\/www.facebook.com\/xxxxx | https:\/\/fb.com\/xxxx","linkedin":"https:\/\/www.linkedin.com\/in\/xxxxxxx","saturday":false,"sunday":false,"users_occupancy_threshold_busy_waiting":14,"users_occupancy_threshold_busy_working":0,"users_occupancy_threshold_full_waiting":13,"users_occupancy_threshold_full_working":4}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "omnis",
    "city": "quidem",
    "region_id": 19,
    "address": "consectetur",
    "phone_fax": "nihil",
    "mobile1": "soluta",
    "mobile2": "blanditiis",
    "email1": "rocky15@example.net",
    "email2": "cole.janick@example.net",
    "website": "https:\/\/yoursite.com",
    "facebook": "https:\/\/www.facebook.com\/xxxxx | https:\/\/fb.com\/xxxx",
    "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxxx",
    "saturday": false,
    "sunday": false,
    "users_occupancy_threshold_busy_waiting": 14,
    "users_occupancy_threshold_busy_working": 0,
    "users_occupancy_threshold_full_waiting": 13,
    "users_occupancy_threshold_full_working": 4
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "Calea Mihai Eminescu nr. 5\/4, bl. 65, et. 2, ap. 36, Cristuru Secuiesc, Buzău, CP 063471",
        "region_id": 8,
        "region": "Botoșani",
        "city": "Slănic-Moldova",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0376903581",
        "mobile1": "0715696036",
        "mobile2": "0318541763",
        "email1": "amedeu.gherman@example.net",
        "email2": "dalia90@example.org",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}
```
<div id="execution-results-PUTapi-v1-ro-lab-profile" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-lab-profile"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-lab-profile"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-lab-profile" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-lab-profile"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-lab-profile" data-method="PUT" data-path="api/v1/ro/lab-profile" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-lab-profile', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-lab-profile" onclick="tryItOut('PUTapi-v1-ro-lab-profile');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-lab-profile" onclick="cancelTryOut('PUTapi-v1-ro-lab-profile');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-lab-profile" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/lab-profile</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-lab-profile" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-lab-profile" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>city</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="city" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>region_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="region_id" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile1" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile2" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email1" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>email2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email2" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>facebook</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="facebook" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>linkedin</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="linkedin" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>saturday</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile" hidden><input type="radio" name="saturday" value="true" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile" hidden><input type="radio" name="saturday" value="false" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>sunday</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile" hidden><input type="radio" name="sunday" value="true" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile" hidden><input type="radio" name="sunday" value="false" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>users_occupancy_threshold_busy_waiting</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="users_occupancy_threshold_busy_waiting" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>users_occupancy_threshold_busy_working</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="users_occupancy_threshold_busy_working" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>
Min value 0.
</p>
<p>
<b><code>users_occupancy_threshold_full_waiting</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="users_occupancy_threshold_full_waiting" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>
Min value 0.
</p>
<p>
<b><code>users_occupancy_threshold_full_working</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="users_occupancy_threshold_full_working" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>
Min value 0.
</p>

</form>


## Update lab settings.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-settings" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"same_user_option":false,"show_calendar":false,"show_dashboard":false,"force_finish_order":false}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-settings"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "same_user_option": false,
    "show_calendar": false,
    "show_dashboard": false,
    "force_finish_order": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "B-dul. Horea 6, Mun. Teiuș, Botoșani, CP 222260",
        "region_id": 18,
        "region": "Dâmbovița",
        "city": "Mun. Cehu Silvaniei",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0773722789",
        "mobile1": "0717298848",
        "mobile2": "0254279433",
        "email1": "marin.carolina@example.com",
        "email2": "cmoise@example.com",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}
```
<div id="execution-results-PUTapi-v1-ro-lab-profile-settings" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-lab-profile-settings"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-lab-profile-settings"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-lab-profile-settings" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-lab-profile-settings"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-lab-profile-settings" data-method="PUT" data-path="api/v1/ro/lab-profile-settings" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-lab-profile-settings', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-lab-profile-settings" onclick="tryItOut('PUTapi-v1-ro-lab-profile-settings');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-lab-profile-settings" onclick="cancelTryOut('PUTapi-v1-ro-lab-profile-settings');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-lab-profile-settings" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/lab-profile-settings</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-lab-profile-settings" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>same_user_option</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="same_user_option" value="true" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="same_user_option" value="false" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>false</code></label>
<br>
to be filled!!.
</p>
<p>
<b><code>show_calendar</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="show_calendar" value="true" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="show_calendar" value="false" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>false</code></label>
<br>
to be filled!!.
</p>
<p>
<b><code>show_dashboard</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="show_dashboard" value="true" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="show_dashboard" value="false" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>false</code></label>
<br>
to be filled!!.
</p>
<p>
<b><code>force_finish_order</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="force_finish_order" value="true" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="force_finish_order" value="false" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>false</code></label>
<br>
to be filled!!.
</p>

</form>


## Update lab logo and/or cover.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-logo-and-cover" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: multipart/form-data" \
    -H "Accept: application/json" \
    -F "logo=@C:\Users\WORK\AppData\Local\Temp\phpC300.tmp"     -F "cover=@C:\Users\WORK\AppData\Local\Temp\phpC301.tmp" 
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-logo-and-cover"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "multipart/form-data",
    "Accept": "application/json",
};

const body = new FormData();
body.append('logo', document.querySelector('input[name="logo"]').files[0]);
body.append('cover', document.querySelector('input[name="cover"]').files[0]);

fetch(url, {
    method: "POST",
    headers,
    body,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "B-dul. Brăduțului 5, Moinești, Prahova, CP 307984",
        "region_id": 12,
        "region": "Buzău",
        "city": "Mun. Azuga",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0746706663",
        "mobile1": "0706236581",
        "mobile2": "0711800091",
        "email1": "ugrigorescu@example.com",
        "email2": "olivia.fodor@example.org",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}
```
<div id="execution-results-POSTapi-v1-ro-lab-profile-logo-and-cover" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-lab-profile-logo-and-cover"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-lab-profile-logo-and-cover"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-lab-profile-logo-and-cover" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-lab-profile-logo-and-cover"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-lab-profile-logo-and-cover" data-method="POST" data-path="api/v1/ro/lab-profile-logo-and-cover" data-authed="1" data-hasfiles="2" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"multipart\/form-data","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-lab-profile-logo-and-cover', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-lab-profile-logo-and-cover" onclick="tryItOut('POSTapi-v1-ro-lab-profile-logo-and-cover');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-lab-profile-logo-and-cover" onclick="cancelTryOut('POSTapi-v1-ro-lab-profile-logo-and-cover');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-lab-profile-logo-and-cover" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/lab-profile-logo-and-cover</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-lab-profile-logo-and-cover" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-lab-profile-logo-and-cover" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>logo</code></b>&nbsp;&nbsp;<small>file</small>     <i>optional</i> &nbsp;
<input type="file" name="logo" data-endpoint="POSTapi-v1-ro-lab-profile-logo-and-cover" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>cover</code></b>&nbsp;&nbsp;<small>file</small>     <i>optional</i> &nbsp;
<input type="file" name="cover" data-endpoint="POSTapi-v1-ro-lab-profile-logo-and-cover" data-component="body"  hidden>
<br>

</p>

</form>


## Update lab profile&#039;s additional details.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-additional-details" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"payment_document_title":"tenetur","payment_document_text":"ut","technician_report_title":"doloribus","technician_report_text":"dolor","company_description":"repudiandae","currency":"EUR"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-additional-details"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "payment_document_title": "tenetur",
    "payment_document_text": "ut",
    "technician_report_title": "doloribus",
    "technician_report_text": "dolor",
    "company_description": "repudiandae",
    "currency": "EUR"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-POSTapi-v1-ro-lab-profile-additional-details" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-lab-profile-additional-details"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-lab-profile-additional-details"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-lab-profile-additional-details" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-lab-profile-additional-details"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-lab-profile-additional-details" data-method="POST" data-path="api/v1/ro/lab-profile-additional-details" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-lab-profile-additional-details', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-lab-profile-additional-details" onclick="tryItOut('POSTapi-v1-ro-lab-profile-additional-details');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-lab-profile-additional-details" onclick="cancelTryOut('POSTapi-v1-ro-lab-profile-additional-details');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-lab-profile-additional-details" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/lab-profile-additional-details</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-lab-profile-additional-details" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>payment_document_title</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="payment_document_title" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>payment_document_text</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="payment_document_text" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>technician_report_title</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="technician_report_title" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>technician_report_text</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="technician_report_text" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>company_description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="company_description" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>currency</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="currency" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>
The value must be one of <code>RON</code> or <code>EUR</code>.
</p>

</form>



