# Profiluri facturare

APIs for managing lab invoice profiles

## Display a listing of  invoice profiles.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": [
        {
            "id": 298,
            "is_default_profile": false,
            "name": "Invoice profile xxxxxx",
            "cui": 11533915,
            "nr_reg_comertului": "JXX30215\/2011",
            "address": "B-dul. Zidarilor nr. 67, bl. A, sc. A, et. 1, ap. 70, Horezu, Dâmbovița, CP 790795",
            "region_id": 41,
            "region": "Vaslui",
            "city": "Mun. Mihăilești",
            "phone_fax": "0212329976",
            "mobile1": "0347121451",
            "mobile2": "0363202516",
            "email1": "craciun.anghel@example.net",
            "email2": "stancu05@example.com",
            "website": "https:\/\/xxxxxx.ro",
            "invoice_series": "f",
            "invoice_no": 48862,
            "receipt_series": "n",
            "receipt_no": 71694,
            "bank": "Bank Serban Ltd",
            "bank_account": "RO76PFQW5VSAW8X600W0JB55",
            "logo": null,
            "cover": null,
            "proforma_start_no": 46858,
            "proforma_series": "i"
        },
        {
            "id": 299,
            "is_default_profile": false,
            "name": "Invoice profile xxxxxx",
            "cui": 66315286,
            "nr_reg_comertului": "JXX22821\/1993",
            "address": "P-ța Făget nr. 7B, bl. 5, et. 8, ap. 16, Mun. Strehaia, Sibiu, CP 866121",
            "region_id": 2,
            "region": "Alba",
            "city": "Hârșova",
            "phone_fax": "0725034921",
            "mobile1": "0362237658",
            "mobile2": "0786698896",
            "email1": "eremia92@example.net",
            "email2": "maxim.fiodor@example.com",
            "website": "https:\/\/xxxxxx.ro",
            "invoice_series": "l",
            "invoice_no": 55432,
            "receipt_series": "r",
            "receipt_no": 84004,
            "bank": "Bank Banica PLC",
            "bank_account": "RO80OKJKO6IFSSQ2W7NW9QQC",
            "logo": null,
            "cover": null,
            "proforma_start_no": 76244,
            "proforma_series": "e"
        }
    ]
}
```
<div id="execution-results-GETapi-v1-ro-lab-invoice-profiles" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-lab-invoice-profiles"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-lab-invoice-profiles"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-lab-invoice-profiles" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-lab-invoice-profiles"></code></pre>
</div>
<form id="form-GETapi-v1-ro-lab-invoice-profiles" data-method="GET" data-path="api/v1/ro/lab-invoice-profiles" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-lab-invoice-profiles', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-lab-invoice-profiles" onclick="tryItOut('GETapi-v1-ro-lab-invoice-profiles');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-lab-invoice-profiles" onclick="cancelTryOut('GETapi-v1-ro-lab-invoice-profiles');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-lab-invoice-profiles" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/lab-invoice-profiles</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-lab-invoice-profiles" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-lab-invoice-profiles" data-component="header"></label>
</p>
</form>


## Store a newly created invoice profile.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"nihil","city":{},"address":"eligendi","region_id":19,"phone_fax":"dolorem","mobile1":"vero","mobile2":"sit","email1":"amanda.conn@example.net","email2":"maggio.aubrey@example.com","website":"http:\/\/www.schuster.com\/nisi-laudantium-illo-sed","cui":"ut","nr_reg_comertului":{},"proforma_start_no":13,"proforma_series":"accusamus","bank":"omnis","bank_account":"illo"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "nihil",
    "city": {},
    "address": "eligendi",
    "region_id": 19,
    "phone_fax": "dolorem",
    "mobile1": "vero",
    "mobile2": "sit",
    "email1": "amanda.conn@example.net",
    "email2": "maggio.aubrey@example.com",
    "website": "http:\/\/www.schuster.com\/nisi-laudantium-illo-sed",
    "cui": "ut",
    "nr_reg_comertului": {},
    "proforma_start_no": 13,
    "proforma_series": "accusamus",
    "bank": "omnis",
    "bank_account": "illo"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "id": 300,
        "is_default_profile": false,
        "name": "Invoice profile xxxxxx",
        "cui": 51294419,
        "nr_reg_comertului": "JXX29765\/1984",
        "address": "Str. Louis Pasteur nr. 9A, bl. C, sc. B, et. 1, ap. 47, Mun. Ploiești, Tulcea, CP 257228",
        "region_id": 40,
        "region": "Tulcea",
        "city": "Mun. Jimbolia",
        "phone_fax": "0792137637",
        "mobile1": "0788245883",
        "mobile2": "0218902271",
        "email1": "wpetre@example.net",
        "email2": "militaru.cosmina@example.com",
        "website": "https:\/\/xxxxxx.ro",
        "invoice_series": "p",
        "invoice_no": 40255,
        "receipt_series": "d",
        "receipt_no": 87265,
        "bank": "Bank Mirea-Nica",
        "bank_account": "RO52GCLHS9840U3YZO4RV3W3",
        "logo": null,
        "cover": null,
        "proforma_start_no": 76691,
        "proforma_series": "u"
    }
}
```
<div id="execution-results-POSTapi-v1-ro-lab-invoice-profiles" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-lab-invoice-profiles"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-lab-invoice-profiles"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-lab-invoice-profiles" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-lab-invoice-profiles"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-lab-invoice-profiles" data-method="POST" data-path="api/v1/ro/lab-invoice-profiles" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-lab-invoice-profiles', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-lab-invoice-profiles" onclick="tryItOut('POSTapi-v1-ro-lab-invoice-profiles');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-lab-invoice-profiles" onclick="cancelTryOut('POSTapi-v1-ro-lab-invoice-profiles');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-lab-invoice-profiles" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/lab-invoice-profiles</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-lab-invoice-profiles" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>city</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="city" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>region_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="region_id" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile1" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile2" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email1" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>email2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email2" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>cui</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="cui" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>nr_reg_comertului</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="nr_reg_comertului" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>proforma_start_no</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="proforma_start_no" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>proforma_series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="proforma_series" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>bank</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>bank_account</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank_account" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>

</form>


## Display a invoice profile.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/14" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/14"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "id": 301,
        "is_default_profile": false,
        "name": "Invoice profile xxxxxx",
        "cui": 14144108,
        "nr_reg_comertului": "JXX74062\/2020",
        "address": "Calea Petrache Poenaru 0B, Mun. Petrila, Satu Mare, CP 619914",
        "region_id": 3,
        "region": "Arad",
        "city": "Mun. Odobești",
        "phone_fax": "0785155574",
        "mobile1": "0250216854",
        "mobile2": "0717903589",
        "email1": "rusu.laura@example.com",
        "email2": "marian.antim@example.net",
        "website": "https:\/\/xxxxxx.ro",
        "invoice_series": "r",
        "invoice_no": 13978,
        "receipt_series": "g",
        "receipt_no": 36249,
        "bank": "Bank Botezatu, Molnar and Ciobanu",
        "bank_account": "RO52RXDI9HBXDRBAX3EQV049",
        "logo": null,
        "cover": null,
        "proforma_start_no": 81118,
        "proforma_series": "j"
    }
}
```
<div id="execution-results-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-method="GET" data-path="api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="tryItOut('GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="cancelTryOut('GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
</form>


## Update a invoice profile.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/3" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"ullam","city":{},"address":"et","region_id":8,"phone_fax":"ut","mobile1":"molestiae","mobile2":"at","email1":"owuckert@example.com","email2":"sheila.rolfson@example.net","website":"http:\/\/bruen.com\/molestiae-quo-ullam-odio-voluptas-suscipit-exercitationem-nemo.html","cui":"et","nr_reg_comertului":{},"proforma_start_no":9,"proforma_series":"ut","bank":"nihil","bank_account":"mollitia"}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/3"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "ullam",
    "city": {},
    "address": "et",
    "region_id": 8,
    "phone_fax": "ut",
    "mobile1": "molestiae",
    "mobile2": "at",
    "email1": "owuckert@example.com",
    "email2": "sheila.rolfson@example.net",
    "website": "http:\/\/bruen.com\/molestiae-quo-ullam-odio-voluptas-suscipit-exercitationem-nemo.html",
    "cui": "et",
    "nr_reg_comertului": {},
    "proforma_start_no": 9,
    "proforma_series": "ut",
    "bank": "nihil",
    "bank_account": "mollitia"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "id": 302,
        "is_default_profile": false,
        "name": "Invoice profile xxxxxx",
        "cui": 76037951,
        "nr_reg_comertului": "JXX58235\/2011",
        "address": "Aleea Păcurari nr. 78, bl. C, sc. A, et. 9, ap. 8, Băile Govora, Sălaj, CP 479055",
        "region_id": 13,
        "region": "Caraș-Severin",
        "city": "Mun. Sovata",
        "phone_fax": "0780196963",
        "mobile1": "0251982675",
        "mobile2": "0277259046",
        "email1": "petcu.rica@example.org",
        "email2": "cnecula@example.org",
        "website": "https:\/\/xxxxxx.ro",
        "invoice_series": "z",
        "invoice_no": 37765,
        "receipt_series": "t",
        "receipt_no": 92945,
        "bank": "Bank Duta, Veres and Mirea",
        "bank_account": "RO94DJOD5Q3G941057L85Y84",
        "logo": null,
        "cover": null,
        "proforma_start_no": 89282,
        "proforma_series": "r"
    }
}
```
<div id="execution-results-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-method="PUT" data-path="api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="tryItOut('PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="cancelTryOut('PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>city</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="city" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>region_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="region_id" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile1" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile2" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email1" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>email2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email2" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>cui</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="cui" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>nr_reg_comertului</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="nr_reg_comertului" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>proforma_start_no</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="proforma_start_no" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>proforma_series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="proforma_series" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>bank</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>bank_account</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank_account" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>

</form>


## Remove a invoice profile.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/2" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/2"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "DELETE",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-method="DELETE" data-path="api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="tryItOut('DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="cancelTryOut('DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
</form>


## Update a lab invoice logo and/or cover.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profile-logo-and-cover/17" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: multipart/form-data" \
    -H "Accept: application/json" \
    -F "logo=@C:\Users\WORK\AppData\Local\Temp\phpC65E.tmp"     -F "cover=@C:\Users\WORK\AppData\Local\Temp\phpC65F.tmp" 
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profile-logo-and-cover/17"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "multipart/form-data",
    "Accept": "application/json",
};

const body = new FormData();
body.append('logo', document.querySelector('input[name="logo"]').files[0]);
body.append('cover', document.querySelector('input[name="cover"]').files[0]);

fetch(url, {
    method: "POST",
    headers,
    body,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "id": 303,
        "is_default_profile": false,
        "name": "Invoice profile xxxxxx",
        "cui": 18643600,
        "nr_reg_comertului": "JXX64555\/2014",
        "address": "P-ța Cloșca 1, Mun. Vlăhița, Sibiu, CP 268029",
        "region_id": 11,
        "region": "București",
        "city": "Mun. Babadag",
        "phone_fax": "0797705278",
        "mobile1": "0730707847",
        "mobile2": "0761624309",
        "email1": "puiu.viorica@example.org",
        "email2": "silvana.costin@example.org",
        "website": "https:\/\/xxxxxx.ro",
        "invoice_series": "m",
        "invoice_no": 67357,
        "receipt_series": "q",
        "receipt_no": 84385,
        "bank": "Bank Dobrescu Inc",
        "bank_account": "RO33LILNQO7R89T7CDNPMLN6",
        "logo": null,
        "cover": null,
        "proforma_start_no": 71116,
        "proforma_series": "s"
    }
}
```
<div id="execution-results-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-method="POST" data-path="api/v1/ro/lab-invoice-profile-logo-and-cover/{lab_invoice_profile}" data-authed="1" data-hasfiles="2" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"multipart\/form-data","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" onclick="tryItOut('POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" onclick="cancelTryOut('POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/lab-invoice-profile-logo-and-cover/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>logo</code></b>&nbsp;&nbsp;<small>file</small>     <i>optional</i> &nbsp;
<input type="file" name="logo" data-endpoint="POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>cover</code></b>&nbsp;&nbsp;<small>file</small>     <i>optional</i> &nbsp;
<input type="file" name="cover" data-endpoint="POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>

</form>


## Set as default invoice profile for lab.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/default-lab-invoice-profile/19" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/default-lab-invoice-profile/19"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "POST",
    headers,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "Calea Vlad Țepeș 7A, Mun. Avrig, București, CP 784801",
        "region_id": 10,
        "region": "Brăila",
        "city": "Mun. Huși",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0754208245",
        "mobile1": "0715894381",
        "mobile2": "0274057017",
        "email1": "qadam@example.com",
        "email2": "casiana.barbulescu@example.com",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}
```
<div id="execution-results-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" data-method="POST" data-path="api/v1/ro/default-lab-invoice-profile/{lab_invoice_profile}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" onclick="tryItOut('POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" onclick="cancelTryOut('POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/default-lab-invoice-profile/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
</form>



