# Rute tehnice


## Migrating tenants




> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/technical/tenants_migrate" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/technical/tenants_migrate"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "message": "clear cache complete"
}
```
<div id="execution-results-GETapi-technical-tenants_migrate" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-technical-tenants_migrate"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-technical-tenants_migrate"></code></pre>
</div>
<div id="execution-error-GETapi-technical-tenants_migrate" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-technical-tenants_migrate"></code></pre>
</div>
<form id="form-GETapi-technical-tenants_migrate" data-method="GET" data-path="api/technical/tenants_migrate" data-authed="0" data-hasfiles="0" data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-technical-tenants_migrate', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-technical-tenants_migrate" onclick="tryItOut('GETapi-technical-tenants_migrate');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-technical-tenants_migrate" onclick="cancelTryOut('GETapi-technical-tenants_migrate');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-technical-tenants_migrate" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/technical/tenants_migrate</code></b>
</p>
</form>


## Clear cache




> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/technical/clear_cache" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/technical/clear_cache"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "message": "clear cache complete"
}
```
<div id="execution-results-GETapi-technical-clear_cache" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-technical-clear_cache"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-technical-clear_cache"></code></pre>
</div>
<div id="execution-error-GETapi-technical-clear_cache" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-technical-clear_cache"></code></pre>
</div>
<form id="form-GETapi-technical-clear_cache" data-method="GET" data-path="api/technical/clear_cache" data-authed="0" data-hasfiles="0" data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-technical-clear_cache', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-technical-clear_cache" onclick="tryItOut('GETapi-technical-clear_cache');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-technical-clear_cache" onclick="cancelTryOut('GETapi-technical-clear_cache');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-technical-clear_cache" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/technical/clear_cache</code></b>
</p>
</form>


## Install a tenant


<aside>You need to have the database already created , even if is empty. Will not install if there is already a tenant with
the same name.</aside>

> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/technical/install_tenant/magni" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/technical/install_tenant/magni"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "message": "Tenant $tenant_name created"
}
```
<div id="execution-results-GETapi-technical-install_tenant--tenant_name-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-technical-install_tenant--tenant_name-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-technical-install_tenant--tenant_name-"></code></pre>
</div>
<div id="execution-error-GETapi-technical-install_tenant--tenant_name-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-technical-install_tenant--tenant_name-"></code></pre>
</div>
<form id="form-GETapi-technical-install_tenant--tenant_name-" data-method="GET" data-path="api/technical/install_tenant/{tenant_name}" data-authed="0" data-hasfiles="0" data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-technical-install_tenant--tenant_name-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-technical-install_tenant--tenant_name-" onclick="tryItOut('GETapi-technical-install_tenant--tenant_name-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-technical-install_tenant--tenant_name-" onclick="cancelTryOut('GETapi-technical-install_tenant--tenant_name-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-technical-install_tenant--tenant_name-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/technical/install_tenant/{tenant_name}</code></b>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>tenant_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="tenant_name" data-endpoint="GETapi-technical-install_tenant--tenant_name-" data-component="url" required  hidden>
<br>

</p>
</form>


## Reset database fo a tenant


<aside>You need to have the tenant and the database already created.Will not work if tenant is not already present.</aside>

> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/technical/reset_tenant/facere" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/technical/reset_tenant/facere"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (200):

```json
{
    "message": "Tenant $tenant_name refreshed"
}
```
<div id="execution-results-GETapi-technical-reset_tenant--tenant_name-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-technical-reset_tenant--tenant_name-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-technical-reset_tenant--tenant_name-"></code></pre>
</div>
<div id="execution-error-GETapi-technical-reset_tenant--tenant_name-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-technical-reset_tenant--tenant_name-"></code></pre>
</div>
<form id="form-GETapi-technical-reset_tenant--tenant_name-" data-method="GET" data-path="api/technical/reset_tenant/{tenant_name}" data-authed="0" data-hasfiles="0" data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-technical-reset_tenant--tenant_name-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-technical-reset_tenant--tenant_name-" onclick="tryItOut('GETapi-technical-reset_tenant--tenant_name-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-technical-reset_tenant--tenant_name-" onclick="cancelTryOut('GETapi-technical-reset_tenant--tenant_name-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-technical-reset_tenant--tenant_name-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/technical/reset_tenant/{tenant_name}</code></b>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>tenant_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="tenant_name" data-endpoint="GETapi-technical-reset_tenant--tenant_name-" data-component="url" required  hidden>
<br>

</p>
</form>



