# Sabloane - etape

APIs for managing work templates

## WTS Listing of work template stages

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages-listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":9}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages-listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 9
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": [
        {
            "id": 346,
            "name": null,
            "type": null,
            "price_type": null,
            "min_duration": null,
            "cost": null,
            "remake_cost": null,
            "special_cost": null,
            "description": null,
            "to_send": null,
            "confirmation_required": null,
            "extra_cost_applied": null,
            "multi_factor_dentition": null,
            "pivot_rank": 0,
            "pivot_day_number": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_id": 0
        },
        {
            "id": 347,
            "name": null,
            "type": null,
            "price_type": null,
            "min_duration": null,
            "cost": null,
            "remake_cost": null,
            "special_cost": null,
            "description": null,
            "to_send": null,
            "confirmation_required": null,
            "extra_cost_applied": null,
            "multi_factor_dentition": null,
            "pivot_rank": 0,
            "pivot_day_number": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_id": 0
        }
    ]
}
```
<div id="execution-results-POSTapi-v1-ro-work-template-stages-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-template-stages-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-template-stages-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-template-stages-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-template-stages-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-template-stages-listing" data-method="POST" data-path="api/v1/ro/work-template-stages-listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-template-stages-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-template-stages-listing" onclick="tryItOut('POSTapi-v1-ro-work-template-stages-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-template-stages-listing" onclick="cancelTryOut('POSTapi-v1-ro-work-template-stages-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-template-stages-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-template-stages-listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-template-stages-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-template-stages-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-work-template-stages-listing" data-component="body" required  hidden>
<br>

</p>

</form>


## WTS creates a work template stage.

<small class="badge badge-darkred">requires authentication</small>

<aside> Add`s automatically work stage users to work template stage</aside>

> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":6,"work_stage_id":11,"rank":1}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 6,
    "work_stage_id": 11,
    "rank": 1
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "id": 348,
        "name": null,
        "type": null,
        "price_type": null,
        "min_duration": null,
        "cost": null,
        "remake_cost": null,
        "special_cost": null,
        "description": null,
        "to_send": null,
        "confirmation_required": null,
        "extra_cost_applied": null,
        "multi_factor_dentition": null,
        "pivot_rank": 0,
        "pivot_day_number": 0,
        "pivot_work_template_id": 0,
        "pivot_work_stage_id": 0,
        "pivot_id": 0
    }
}
```
<div id="execution-results-POSTapi-v1-ro-work-template-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-template-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-template-stages"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-template-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-template-stages"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-template-stages" data-method="POST" data-path="api/v1/ro/work-template-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-template-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-template-stages" onclick="tryItOut('POSTapi-v1-ro-work-template-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-template-stages" onclick="cancelTryOut('POSTapi-v1-ro-work-template-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-template-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-template-stages</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-template-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-template-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="POSTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>rank</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="rank" data-endpoint="POSTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>

</form>


## WTS Remove a work template stage.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":7,"work_stage_id":17}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 7,
    "work_stage_id": 17
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{}
```
<div id="execution-results-DELETEapi-v1-ro-work-template-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-work-template-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-work-template-stages"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-work-template-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-work-template-stages"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-work-template-stages" data-method="DELETE" data-path="api/v1/ro/work-template-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-work-template-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-work-template-stages" onclick="tryItOut('DELETEapi-v1-ro-work-template-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-work-template-stages" onclick="cancelTryOut('DELETEapi-v1-ro-work-template-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-work-template-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/work-template-stages</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-work-template-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-work-template-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="DELETEapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="DELETEapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>

</form>


## WTS update work template stages.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":10,"work_template_stages":[{"work_stage_id":12,"rank":6}]}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 10,
    "work_template_stages": [
        {
            "work_stage_id": 12,
            "rank": 6
        }
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": [
        {
            "id": 349,
            "name": null,
            "type": null,
            "price_type": null,
            "min_duration": null,
            "cost": null,
            "remake_cost": null,
            "special_cost": null,
            "description": null,
            "to_send": null,
            "confirmation_required": null,
            "extra_cost_applied": null,
            "multi_factor_dentition": null,
            "pivot_rank": 0,
            "pivot_day_number": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_id": 0
        },
        {
            "id": 350,
            "name": null,
            "type": null,
            "price_type": null,
            "min_duration": null,
            "cost": null,
            "remake_cost": null,
            "special_cost": null,
            "description": null,
            "to_send": null,
            "confirmation_required": null,
            "extra_cost_applied": null,
            "multi_factor_dentition": null,
            "pivot_rank": 0,
            "pivot_day_number": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_id": 0
        }
    ]
}
```
<div id="execution-results-PUTapi-v1-ro-work-template-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-work-template-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-work-template-stages"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-work-template-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-work-template-stages"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-work-template-stages" data-method="PUT" data-path="api/v1/ro/work-template-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-work-template-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-work-template-stages" onclick="tryItOut('PUTapi-v1-ro-work-template-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-work-template-stages" onclick="cancelTryOut('PUTapi-v1-ro-work-template-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-work-template-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/work-template-stages</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-work-template-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-work-template-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="PUTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<details>
<summary>
<b><code>work_template_stages</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>work_template_stages[].work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_stages.0.work_stage_id" data-endpoint="PUTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_stages[].rank</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_stages.0.rank" data-endpoint="PUTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>


## WTS update work template stage day number.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages/update-day-number" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":10,"work_template_stage_id":9,"day_number":4}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages/update-day-number"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 10,
    "work_template_stage_id": 9,
    "day_number": 4
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-PUTapi-v1-ro-work-template-stages-update-day-number" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-work-template-stages-update-day-number"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-work-template-stages-update-day-number"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-work-template-stages-update-day-number" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-work-template-stages-update-day-number"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-work-template-stages-update-day-number" data-method="PUT" data-path="api/v1/ro/work-template-stages/update-day-number" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-work-template-stages-update-day-number', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-work-template-stages-update-day-number" onclick="tryItOut('PUTapi-v1-ro-work-template-stages-update-day-number');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-work-template-stages-update-day-number" onclick="cancelTryOut('PUTapi-v1-ro-work-template-stages-update-day-number');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-work-template-stages-update-day-number" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/work-template-stages/update-day-number</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-work-template-stages-update-day-number" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-work-template-stages-update-day-number" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="PUTapi-v1-ro-work-template-stages-update-day-number" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_stage_id" data-endpoint="PUTapi-v1-ro-work-template-stages-update-day-number" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>day_number</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="day_number" data-endpoint="PUTapi-v1-ro-work-template-stages-update-day-number" data-component="body" required  hidden>
<br>

</p>

</form>



