# Sabloane - utilizatori etape

APIs for managing work templates

## Listing of work template stage users

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users-listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":4,"work_stage_id":15}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users-listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 4,
    "work_stage_id": 15
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": [
        {
            "id": 746,
            "username": null,
            "first_name": null,
            "last_name": null,
            "status": null,
            "roles": null,
            "pivot_work_template_stage_id": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_user_id": 0,
            "pivot_price": null,
            "pivot_rank": 0
        },
        {
            "id": 747,
            "username": null,
            "first_name": null,
            "last_name": null,
            "status": null,
            "roles": null,
            "pivot_work_template_stage_id": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_user_id": 0,
            "pivot_price": null,
            "pivot_rank": 0
        }
    ]
}
```
<div id="execution-results-POSTapi-v1-ro-work-template-stage-users-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-template-stage-users-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-template-stage-users-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-template-stage-users-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-template-stage-users-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-template-stage-users-listing" data-method="POST" data-path="api/v1/ro/work-template-stage-users-listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-template-stage-users-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-template-stage-users-listing" onclick="tryItOut('POSTapi-v1-ro-work-template-stage-users-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-template-stage-users-listing" onclick="cancelTryOut('POSTapi-v1-ro-work-template-stage-users-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-template-stage-users-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-template-stage-users-listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-template-stage-users-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-template-stage-users-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users-listing" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users-listing" data-component="body" required  hidden>
<br>

</p>

</form>


## Creates a work template stage user.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":10,"work_stage_id":7,"user_id":9,"price":3810}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 10,
    "work_stage_id": 7,
    "user_id": 9,
    "price": 3810
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": {
        "id": 748,
        "username": null,
        "first_name": null,
        "last_name": null,
        "status": null,
        "roles": null,
        "pivot_work_template_stage_id": 0,
        "pivot_work_template_id": 0,
        "pivot_work_stage_id": 0,
        "pivot_user_id": 0,
        "pivot_price": null,
        "pivot_rank": 0
    }
}
```
<div id="execution-results-POSTapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-template-stage-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-template-stage-users" data-method="POST" data-path="api/v1/ro/work-template-stage-users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-template-stage-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-template-stage-users" onclick="tryItOut('POSTapi-v1-ro-work-template-stage-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-template-stage-users" onclick="cancelTryOut('POSTapi-v1-ro-work-template-stage-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-template-stage-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-template-stage-users</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-template-stage-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>price</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="price" data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>

</form>


## Remove a work template stage user.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":14,"work_stage_id":8,"user_id":8}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 14,
    "work_stage_id": 8,
    "user_id": 8
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{}
```
<div id="execution-results-DELETEapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-work-template-stage-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-work-template-stage-users" data-method="DELETE" data-path="api/v1/ro/work-template-stage-users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-work-template-stage-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-work-template-stage-users" onclick="tryItOut('DELETEapi-v1-ro-work-template-stage-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-work-template-stage-users" onclick="cancelTryOut('DELETEapi-v1-ro-work-template-stage-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-work-template-stage-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/work-template-stage-users</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-work-template-stage-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-work-template-stage-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="DELETEapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="DELETEapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user_id" data-endpoint="DELETEapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>

</form>


## WTS update work template stages.

<small class="badge badge-darkred">requires authentication</small>



> Example request:

```bash
curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":9,"work_stage_id":19,"work_template_stage_users":[{"user_id":19,"price":7}]}'

```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 9,
    "work_stage_id": 19,
    "work_template_stage_users": [
        {
            "user_id": 19,
            "price": 7
        }
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());
```


> Example response (200):

```json
{
    "data": [
        {
            "id": 749,
            "username": null,
            "first_name": null,
            "last_name": null,
            "status": null,
            "roles": null,
            "pivot_work_template_stage_id": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_user_id": 0,
            "pivot_price": null,
            "pivot_rank": 0
        },
        {
            "id": 750,
            "username": null,
            "first_name": null,
            "last_name": null,
            "status": null,
            "roles": null,
            "pivot_work_template_stage_id": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_user_id": 0,
            "pivot_price": null,
            "pivot_rank": 0
        }
    ]
}
```
<div id="execution-results-PUTapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-work-template-stage-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-work-template-stage-users" data-method="PUT" data-path="api/v1/ro/work-template-stage-users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-work-template-stage-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-work-template-stage-users" onclick="tryItOut('PUTapi-v1-ro-work-template-stage-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-work-template-stage-users" onclick="cancelTryOut('PUTapi-v1-ro-work-template-stage-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-work-template-stage-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/work-template-stage-users</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-work-template-stage-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<details>
<summary>
<b><code>work_template_stage_users</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>work_template_stage_users[].user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_stage_users.0.user_id" data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_stage_users[].price</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="work_template_stage_users.0.price" data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="body"  hidden>
<br>

</p>
</details>
</p>

</form>



