# Setari

APIs for getting configurations

## Work stage types configuration

<small class="badge badge-darkred">requires authentication</small>

Possible types of work stages

> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/work-stage-types" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stage-types"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-work-stage-types" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-work-stage-types"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-work-stage-types"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-work-stage-types" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-work-stage-types"></code></pre>
</div>
<form id="form-GETapi-v1-ro-work-stage-types" data-method="GET" data-path="api/v1/ro/work-stage-types" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-work-stage-types', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-work-stage-types" onclick="tryItOut('GETapi-v1-ro-work-stage-types');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-work-stage-types" onclick="cancelTryOut('GETapi-v1-ro-work-stage-types');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-work-stage-types" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/work-stage-types</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-work-stage-types" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-work-stage-types" data-component="header"></label>
</p>
</form>


## Work stage price types configuration

<small class="badge badge-darkred">requires authentication</small>

Possible values of work stage prices types

> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/work-templates-price-types" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-templates-price-types"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-work-templates-price-types" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-work-templates-price-types"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-work-templates-price-types"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-work-templates-price-types" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-work-templates-price-types"></code></pre>
</div>
<form id="form-GETapi-v1-ro-work-templates-price-types" data-method="GET" data-path="api/v1/ro/work-templates-price-types" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-work-templates-price-types', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-work-templates-price-types" onclick="tryItOut('GETapi-v1-ro-work-templates-price-types');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-work-templates-price-types" onclick="cancelTryOut('GETapi-v1-ro-work-templates-price-types');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-work-templates-price-types" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/work-templates-price-types</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-work-templates-price-types" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-work-templates-price-types" data-component="header"></label>
</p>
</form>


## User statuses configuration

<small class="badge badge-darkred">requires authentication</small>

Possible values of user status

> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/user-statuses" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/user-statuses"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-user-statuses" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-user-statuses"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-user-statuses"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-user-statuses" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-user-statuses"></code></pre>
</div>
<form id="form-GETapi-v1-ro-user-statuses" data-method="GET" data-path="api/v1/ro/user-statuses" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-user-statuses', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-user-statuses" onclick="tryItOut('GETapi-v1-ro-user-statuses');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-user-statuses" onclick="cancelTryOut('GETapi-v1-ro-user-statuses');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-user-statuses" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/user-statuses</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-user-statuses" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-user-statuses" data-component="header"></label>
</p>
</form>


## Order statuses configuration

<small class="badge badge-darkred">requires authentication</small>

Possible values of order status

> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/order-statuses" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-statuses"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-order-statuses" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-order-statuses"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-order-statuses"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-order-statuses" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-order-statuses"></code></pre>
</div>
<form id="form-GETapi-v1-ro-order-statuses" data-method="GET" data-path="api/v1/ro/order-statuses" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-order-statuses', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-order-statuses" onclick="tryItOut('GETapi-v1-ro-order-statuses');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-order-statuses" onclick="cancelTryOut('GETapi-v1-ro-order-statuses');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-order-statuses" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/order-statuses</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-order-statuses" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-order-statuses" data-component="header"></label>
</p>
</form>


## OWS possible special stages

<small class="badge badge-darkred">requires authentication</small>

Data of possible special stages for order work stages

> Example request:

```bash
curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/ows-special-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"
```

```javascript
const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-special-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};


fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());
```


> Example response (401):

```json
{
    "message": "Necesita autentificare"
}
```
<div id="execution-results-GETapi-v1-ro-ows-special-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-ows-special-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-ows-special-stages"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-ows-special-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-ows-special-stages"></code></pre>
</div>
<form id="form-GETapi-v1-ro-ows-special-stages" data-method="GET" data-path="api/v1/ro/ows-special-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-ows-special-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-ows-special-stages" onclick="tryItOut('GETapi-v1-ro-ows-special-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-ows-special-stages" onclick="cancelTryOut('GETapi-v1-ro-ows-special-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-ows-special-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/ows-special-stages</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-ows-special-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-ows-special-stages" data-component="header"></label>
</p>
</form>



