<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title><?php echo $page['title']; ?></title>

    <link href="https://fonts.googleapis.com/css?family=PT+Sans&display=swap" rel="stylesheet">

    <?php echo get_css_link_tag('style', 'screen'); ?>

    <?php echo get_css_link_tag('print', 'print'); ?>

    <?php echo get_js_script_tag('all'); ?>


    <?php echo get_css_link_tag('highlight-darcula'); ?>

    <?php echo get_js_script_tag('highlight.pack'); ?>

    <script>hljs.initHighlightingOnLoad();</script>

</head>

<body class="" data-languages="<?php echo e(json_encode($page['language_tabs'] ?? [])); ?>">
<a href="#" id="nav-button">
      <span>
        NAV
        <?php echo get_image_tag('images/navbar.png'); ?>

      </span>
</a>
<div class="tocify-wrapper">
    <?php if($page['logo'] != false): ?>
    <img src="<?php echo e($page['logo']); ?>" alt="logo" class="logo" style="padding-top: 10px;" width="230px"/>
    <?php endif; ?>
    <?php if(isset($page['language_tabs'])): ?>
        <div class="lang-selector">
            <?php $__currentLoopData = $page['language_tabs']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <a href="#" data-language-name="<?php echo e($lang); ?>"><?php echo e($lang); ?></a>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    <?php endif; ?>
    <div class="search">
        <input type="text" class="search" id="input-search" placeholder="Search">
    </div>
    <ul class="search-results"></ul>

    <ul id="toc">
    </ul>

    <?php if(isset($page['toc_footers'])): ?>
        <ul class="toc-footer" id="toc-footer">
            <?php $__currentLoopData = $page['toc_footers']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo $link; ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    <?php endif; ?>
        <ul class="toc-footer" id="last-updated">
            <li>Last updated: <?php echo e($page['last_updated']); ?></li>
        </ul>
</div>
<div class="page-wrapper">
    <div class="dark-box"></div>
    <div class="content">
        <?php echo $content; ?>

    </div>
    <div class="dark-box">
        <?php if(isset($page['language_tabs'])): ?>
            <div class="lang-selector">
                <?php $__currentLoopData = $page['language_tabs']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <a href="#" data-language-name="<?php echo e($lang); ?>"><?php echo e($lang); ?></a>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        <?php endif; ?>
    </div>
</div>
<?php if(isset($page['language_tabs'])): ?>
<script>
    $(function () {
        var languages = <?php echo json_encode($page['language_tabs'], 15, 512) ?>;
        setupLanguages(languages);
    });
</script>
<?php endif; ?>
</body>
</html><?php /**PATH C:\xampp7.4.25\htdocs\dentalsystem-lab\vendor\knuckleswtf\pastel\resources\views/index.blade.php ENDPATH**/ ?>