<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>Dental system Documentation</title>

    <link href="https://fonts.googleapis.com/css?family=PT+Sans&display=swap" rel="stylesheet">

        <link rel="stylesheet" href="{{ asset("vendor/scribe/css/style.css") }}" media="screen" />
        <link rel="stylesheet" href="{{ asset("vendor/scribe/css/print.css") }}" media="print" />
        <script src="{{ asset("vendor/scribe/js/all.js") }}"></script>

        <link rel="stylesheet" href="{{ asset("vendor/scribe/css/highlight-darcula.css") }}" media="" />
        <script src="{{ asset("vendor/scribe/js/highlight.pack.js") }}"></script>
    <script>hljs.initHighlightingOnLoad();</script>

</head>

<body class="" data-languages="[&quot;bash&quot;,&quot;javascript&quot;]">
<a href="#" id="nav-button">
      <span>
        NAV
            <img src="{{ asset("vendor/scribe/images/navbar.png") }}" alt="-image" class=""/>
      </span>
</a>
<div class="tocify-wrapper">
                <div class="lang-selector">
                            <a href="#" data-language-name="bash">bash</a>
                            <a href="#" data-language-name="javascript">javascript</a>
                    </div>
        <div class="search">
        <input type="text" class="search" id="input-search" placeholder="Search">
    </div>
    <ul class="search-results"></ul>

    <ul id="toc">
    </ul>

            <ul class="toc-footer" id="toc-footer">
                            <li><a href="{{ route("scribe.postman") }}">View Postman collection</a></li>
                            <li><a href='http://github.com/knuckleswtf/scribe'>Documentation powered by Scribe ✍</a></li>
                    </ul>
            <ul class="toc-footer" id="last-updated">
            <li>Last updated: January 12 2022</li>
        </ul>
</div>
<div class="page-wrapper">
    <div class="dark-box"></div>
    <div class="content">
        <h1>Introduction</h1>
<p>Welcome to the api documentation</p>
<aside> WORK ON PROGRESS</aside>
<p>This documentation aims to provide all the information you need to work with our API.</p>
<aside>As you scroll, you'll see code examples for working with the API in different programming languages in the dark area to the right (or as part of the content on mobile).
You can switch the language used with the tabs at the top right (or from the nav menu at the top left on mobile).</aside>
<script src="https://cdn.jsdelivr.net/npm/lodash@4.17.10/lodash.min.js"></script>
<script>
    var baseUrl = "https://api.dentalsystem.ro/";
</script>
<script src="{{ asset("vendor/scribe/js/tryitout-2.7.10.js") }}"></script>
<blockquote>
<p>Base URL</p>
</blockquote>
<pre><code class="language-yaml">https://api.dentalsystem.ro/</code></pre><h1>Authenticating requests</h1>
<p>Authenticate requests to this API's endpoints by sending an <strong><code>Authorization</code></strong> header with the value <strong><code>"Bearer {YOUR_TOKEN}"</code></strong>.</p>
<p>All authenticated endpoints are marked with a <code>requires authentication</code> badge in the documentation below.</p>
<aside>For using TRY IT OUT feature  of documentation you need a valid user token. You can get one from login route /api/v1/login</aside><h1>Calendar</h1>
<p>APIs for managing calendar</p>
<h2>Calendar exit stages listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/calendar-exit-stages?start_date=2021-09-02&amp;end_date=2021-09-01" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"start_date":"2022-01-12","end_date":"2022-01-12"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/calendar-exit-stages"
);

let params = {
    "start_date": "2021-09-02",
    "end_date": "2021-09-01",
};
Object.keys(params)
    .forEach(key =&gt; url.searchParams.append(key, params[key]));

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start_date": "2022-01-12",
    "end_date": "2022-01-12"
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-calendar-exit-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-calendar-exit-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-calendar-exit-stages"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-calendar-exit-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-calendar-exit-stages"></code></pre>
</div>
<form id="form-GETapi-v1-ro-calendar-exit-stages" data-method="GET" data-path="api/v1/ro/calendar-exit-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-calendar-exit-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-calendar-exit-stages" onclick="tryItOut('GETapi-v1-ro-calendar-exit-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-calendar-exit-stages" onclick="cancelTryOut('GETapi-v1-ro-calendar-exit-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-calendar-exit-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/calendar-exit-stages</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-calendar-exit-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Query Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="query" required  hidden>
<br>
date
</p>
<p>
<b><code>end_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="end_date" data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="query" required  hidden>
<br>
date
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>end_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="end_date" data-endpoint="GETapi-v1-ro-calendar-exit-stages" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>

</form>
<h2>Calendar order stages listing</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/calendar-order-stages/aut?start_date=2021-09-02&amp;end_date=2021-09-01" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"start_date":"2022-01-12","end_date":"2022-01-12"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/calendar-order-stages/aut"
);

let params = {
    "start_date": "2021-09-02",
    "end_date": "2021-09-01",
};
Object.keys(params)
    .forEach(key =&gt; url.searchParams.append(key, params[key]));

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start_date": "2022-01-12",
    "end_date": "2022-01-12"
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-calendar-order-stages--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-calendar-order-stages--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-calendar-order-stages--order-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-calendar-order-stages--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-calendar-order-stages--order-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-calendar-order-stages--order-" data-method="GET" data-path="api/v1/ro/calendar-order-stages/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-calendar-order-stages--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-calendar-order-stages--order-" onclick="tryItOut('GETapi-v1-ro-calendar-order-stages--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-calendar-order-stages--order-" onclick="cancelTryOut('GETapi-v1-ro-calendar-order-stages--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-calendar-order-stages--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/calendar-order-stages/{order}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-calendar-order-stages--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Query Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="query" required  hidden>
<br>
date
</p>
<p>
<b><code>end_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="end_date" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="query" required  hidden>
<br>
date
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>end_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="end_date" data-endpoint="GETapi-v1-ro-calendar-order-stages--order-" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>

</form><h1>Chitante serii</h1>
<p>APIs for managing receipt series</p>
<h2>Create receipt serie</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"series":"sed","lab_invoice_profile_id":11,"start_no":17,"active":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "series": "sed",
    "lab_invoice_profile_id": 11,
    "start_no": 17,
    "active": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-receipt-series" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-receipt-series"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-receipt-series"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-receipt-series" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-receipt-series"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-receipt-series" data-method="POST" data-path="api/v1/ro/receipt-series" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-receipt-series', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-receipt-series" onclick="tryItOut('POSTapi-v1-ro-receipt-series');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-receipt-series" onclick="cancelTryOut('POSTapi-v1-ro-receipt-series');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-receipt-series" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/receipt-series</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-receipt-series" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-receipt-series" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="series" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>lab_invoice_profile_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile_id" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>start_no</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="start_no" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>active</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-receipt-series" hidden><input type="radio" name="active" value="true" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-receipt-series" hidden><input type="radio" name="active" value="false" data-endpoint="POSTapi-v1-ro-receipt-series" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Display receipt series</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/receipt-series/quo" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series/quo"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--"></code></pre>
</div>
<form id="form-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" data-method="GET" data-path="api/v1/ro/receipt-series/{lab_invoice_profile_id?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-receipt-series--lab_invoice_profile_id--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" onclick="tryItOut('GETapi-v1-ro-receipt-series--lab_invoice_profile_id--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" onclick="cancelTryOut('GETapi-v1-ro-receipt-series--lab_invoice_profile_id--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/receipt-series/{lab_invoice_profile_id?}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile_id</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="lab_invoice_profile_id" data-endpoint="GETapi-v1-ro-receipt-series--lab_invoice_profile_id--" data-component="url"  hidden>
<br>

</p>
</form>
<h2>Activate receipt series</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series/activate/voluptatibus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipt-series/activate/voluptatibus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-receipt-series-activate--receipt_series-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-receipt-series-activate--receipt_series-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-receipt-series-activate--receipt_series-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-receipt-series-activate--receipt_series-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-receipt-series-activate--receipt_series-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-receipt-series-activate--receipt_series-" data-method="POST" data-path="api/v1/ro/receipt-series/activate/{receipt_series}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-receipt-series-activate--receipt_series-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-receipt-series-activate--receipt_series-" onclick="tryItOut('POSTapi-v1-ro-receipt-series-activate--receipt_series-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-receipt-series-activate--receipt_series-" onclick="cancelTryOut('POSTapi-v1-ro-receipt-series-activate--receipt_series-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-receipt-series-activate--receipt_series-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/receipt-series/activate/{receipt_series}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-receipt-series-activate--receipt_series-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-receipt-series-activate--receipt_series-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>receipt_series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="receipt_series" data-endpoint="POSTapi-v1-ro-receipt-series-activate--receipt_series-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Chitante</h1>
<p>APIs for managing receipt series</p>
<h2>Display a listing of the resource.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/receipts" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipts"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-receipts" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-receipts"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-receipts"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-receipts" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-receipts"></code></pre>
</div>
<form id="form-GETapi-v1-ro-receipts" data-method="GET" data-path="api/v1/ro/receipts" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-receipts', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-receipts" onclick="tryItOut('GETapi-v1-ro-receipts');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-receipts" onclick="cancelTryOut('GETapi-v1-ro-receipts');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-receipts" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/receipts</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-receipts" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-receipts" data-component="header"></label>
</p>
</form>
<h2>Display the specified resource.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/receipts/beatae" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipts/beatae"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-receipts--receipt-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-receipts--receipt-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-receipts--receipt-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-receipts--receipt-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-receipts--receipt-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-receipts--receipt-" data-method="GET" data-path="api/v1/ro/receipts/{receipt}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-receipts--receipt-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-receipts--receipt-" onclick="tryItOut('GETapi-v1-ro-receipts--receipt-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-receipts--receipt-" onclick="cancelTryOut('GETapi-v1-ro-receipts--receipt-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-receipts--receipt-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/receipts/{receipt}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-receipts--receipt-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-receipts--receipt-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>receipt</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="receipt" data-endpoint="GETapi-v1-ro-receipts--receipt-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Generate receipt&#039;s PDF document.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/receipts/ad/generate-pdf" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/receipts/ad/generate-pdf"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-receipts--payment--generate-pdf" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-receipts--payment--generate-pdf"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-receipts--payment--generate-pdf"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-receipts--payment--generate-pdf" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-receipts--payment--generate-pdf"></code></pre>
</div>
<form id="form-GETapi-v1-ro-receipts--payment--generate-pdf" data-method="GET" data-path="api/v1/ro/receipts/{payment}/generate-pdf" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-receipts--payment--generate-pdf', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-receipts--payment--generate-pdf" onclick="tryItOut('GETapi-v1-ro-receipts--payment--generate-pdf');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-receipts--payment--generate-pdf" onclick="cancelTryOut('GETapi-v1-ro-receipts--payment--generate-pdf');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-receipts--payment--generate-pdf" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/receipts/{payment}/generate-pdf</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-receipts--payment--generate-pdf" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-receipts--payment--generate-pdf" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment" data-endpoint="GETapi-v1-ro-receipts--payment--generate-pdf" data-component="url" required  hidden>
<br>

</p>
</form><h1>Colaboratori</h1>
<p>APIs for managing collaborators</p>
<h2>Import collaborator&#039;s data from Openapi</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/collaborators/import-collaborator" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"cui":"ad"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/collaborators/import-collaborator"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "cui": "ad"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-collaborators-import-collaborator" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-collaborators-import-collaborator"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-collaborators-import-collaborator"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-collaborators-import-collaborator" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-collaborators-import-collaborator"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-collaborators-import-collaborator" data-method="POST" data-path="api/v1/ro/collaborators/import-collaborator" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-collaborators-import-collaborator', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-collaborators-import-collaborator" onclick="tryItOut('POSTapi-v1-ro-collaborators-import-collaborator');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-collaborators-import-collaborator" onclick="cancelTryOut('POSTapi-v1-ro-collaborators-import-collaborator');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-collaborators-import-collaborator" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/collaborators/import-collaborator</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-collaborators-import-collaborator" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-collaborators-import-collaborator" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>cui</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="cui" data-endpoint="POSTapi-v1-ro-collaborators-import-collaborator" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Collaborators listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/collaborators?sort=-id%2Clast_name" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/collaborators"
);

let params = {
    "sort": "-id,last_name",
};
Object.keys(params)
    .forEach(key =&gt; url.searchParams.append(key, params[key]));

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 266,
            "name": "Chis Group",
            "cui": 12345678,
            "nr_reg_comertului": "3071018354674",
            "bank": "Banca Transilvania",
            "region_id": 25,
            "region": "Ialomița",
            "bank_account": "RO65JQKAI387J0UUY0SUSU02",
            "address": "B-dul. Croitorilor 9\/6, Măcin, Olt, CP 510817",
            "city": "Tecuci",
            "phone_fax": "0362580450",
            "mobile": "0795564943",
            "contact_mobile": "0727450736",
            "email": "cosmin52@example.com",
            "website": "tudor.com"
        },
        {
            "id": 267,
            "name": "Szabo, Nastase and Cosma",
            "cui": 12345678,
            "nr_reg_comertului": "4591116025046",
            "bank": "Banca Transilvania",
            "region_id": 26,
            "region": "Iași",
            "bank_account": "RO73QZZB20T6YZ637302MPHD",
            "address": "P-ța Învățătorului 801, Deta, Vâlcea, CP 279527",
            "city": "Vicovu de Sus",
            "phone_fax": "0244240996",
            "mobile": "0317544094",
            "contact_mobile": "0259047258",
            "email": "aleodor.horvath@example.org",
            "website": "mirea.biz"
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-collaborators" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-collaborators"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-collaborators"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-collaborators" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-collaborators"></code></pre>
</div>
<form id="form-GETapi-v1-ro-collaborators" data-method="GET" data-path="api/v1/ro/collaborators" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-collaborators', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-collaborators" onclick="tryItOut('GETapi-v1-ro-collaborators');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-collaborators" onclick="cancelTryOut('GETapi-v1-ro-collaborators');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-collaborators" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/collaborators</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-collaborators" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-collaborators" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Query Parameters</b></h4>
<p>
<b><code>sort</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="sort" data-endpoint="GETapi-v1-ro-collaborators" data-component="query"  hidden>
<br>
Field to sort by. Sorting ASC id Sorting DESC -id
</p>
<p>
<b><code>filter[dentists.last_name]</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filter[dentists.last_name]" data-endpoint="GETapi-v1-ro-collaborators" data-component="query"  hidden>
<br>
Field to filter by dentist id and/or last_name.
</p>
</form>
<h2>Store a newly created collaborator.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/collaborators" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"dolore","cui":{},"nr_reg_comertului":{},"bank":"omnis","bank_account":"quibusdam","address":"rerum","region_id":17,"city":"tempore","phone_fax":"fugit","mobile":"dicta","contact_mobile":"suscipit","email":"jonathan.mcglynn@example.net","website":"http:\/\/abbott.org\/pariatur-veniam-repellat-cupiditate"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/collaborators"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "dolore",
    "cui": {},
    "nr_reg_comertului": {},
    "bank": "omnis",
    "bank_account": "quibusdam",
    "address": "rerum",
    "region_id": 17,
    "city": "tempore",
    "phone_fax": "fugit",
    "mobile": "dicta",
    "contact_mobile": "suscipit",
    "email": "jonathan.mcglynn@example.net",
    "website": "http:\/\/abbott.org\/pariatur-veniam-repellat-cupiditate"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 268,
        "name": "Negoita Inc",
        "cui": 12345678,
        "nr_reg_comertului": "2530227277238",
        "bank": "Banca Transilvania",
        "region_id": 25,
        "region": "Ialomița",
        "bank_account": "RO04HNBC1P8WBHWM00X4O378",
        "address": "Splaiul Mihai Viteazul nr. 4, bl. A, sc. C, et. 89, ap. 3, Mun. Solca, Caraș-Severin, CP 825715",
        "city": "Pantelimon",
        "phone_fax": "0718084997",
        "mobile": "0724532763",
        "contact_mobile": "0765441593",
        "email": "razvan.mateescu@example.org",
        "website": "ungureanu.net"
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-collaborators" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-collaborators"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-collaborators"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-collaborators" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-collaborators"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-collaborators" data-method="POST" data-path="api/v1/ro/collaborators" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-collaborators', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-collaborators" onclick="tryItOut('POSTapi-v1-ro-collaborators');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-collaborators" onclick="cancelTryOut('POSTapi-v1-ro-collaborators');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-collaborators" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/collaborators</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-collaborators" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-collaborators" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cui</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="cui" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>nr_reg_comertului</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="nr_reg_comertului" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>bank</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>bank_account</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank_account" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>region_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="region_id" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>city</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="city" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>contact_mobile</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="contact_mobile" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="POSTapi-v1-ro-collaborators" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>

</form>
<h2>Display a collaborator.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/collaborators/10" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/collaborators/10"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 269,
        "name": "Damian, Vlad and Marcu",
        "cui": 12345678,
        "nr_reg_comertului": "1110509440488",
        "bank": "Banca Transilvania",
        "region_id": 37,
        "region": "Suceava",
        "bank_account": "RO54DAXC7U5570267O33W032",
        "address": "Str. Herculane 3, Rovinari, Timiș, CP 897527",
        "city": "Mun. Țăndărei",
        "phone_fax": "0766064358",
        "mobile": "0333754823",
        "contact_mobile": "0377732966",
        "email": "roxana27@example.net",
        "website": "oltean.com"
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-collaborators--collaborator-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-collaborators--collaborator-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-collaborators--collaborator-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-collaborators--collaborator-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-collaborators--collaborator-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-collaborators--collaborator-" data-method="GET" data-path="api/v1/ro/collaborators/{collaborator}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-collaborators--collaborator-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-collaborators--collaborator-" onclick="tryItOut('GETapi-v1-ro-collaborators--collaborator-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-collaborators--collaborator-" onclick="cancelTryOut('GETapi-v1-ro-collaborators--collaborator-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-collaborators--collaborator-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/collaborators/{collaborator}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-collaborators--collaborator-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-collaborators--collaborator-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>collaborator</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="collaborator" data-endpoint="GETapi-v1-ro-collaborators--collaborator-" data-component="url"  hidden>
<br>

</p>
</form>
<h2>Update  a collaborator.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/collaborators/atque" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"earum","cui":{},"nr_reg_comertului":{},"bank":"deserunt","bank_account":"qui","address":"esse","region_id":5,"city":"soluta","phone_fax":"sed","mobile":"enim","contact_mobile":"ut","email":"paucek.sean@example.net","website":"http:\/\/thompson.net\/"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/collaborators/atque"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "earum",
    "cui": {},
    "nr_reg_comertului": {},
    "bank": "deserunt",
    "bank_account": "qui",
    "address": "esse",
    "region_id": 5,
    "city": "soluta",
    "phone_fax": "sed",
    "mobile": "enim",
    "contact_mobile": "ut",
    "email": "paucek.sean@example.net",
    "website": "http:\/\/thompson.net\/"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 270,
        "name": "Balint-Munteanu",
        "cui": 12345678,
        "nr_reg_comertului": "5240402105551",
        "bank": "Banca Transilvania",
        "region_id": 27,
        "region": "Ilfov",
        "bank_account": "RO46LQHASLY3V6F3HF6I87N7",
        "address": "Calea Vlad Țepeș nr. 6\/5, bl. D, et. 2, ap. 0, Curtea de Argeș, Cluj, CP 155482",
        "city": "Băile Olănești",
        "phone_fax": "0773373842",
        "mobile": "0714338139",
        "contact_mobile": "0781556731",
        "email": "bradut74@example.org",
        "website": "stoica.com"
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-collaborators--collaborator-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-collaborators--collaborator-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-collaborators--collaborator-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-collaborators--collaborator-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-collaborators--collaborator-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-collaborators--collaborator-" data-method="PUT" data-path="api/v1/ro/collaborators/{collaborator}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-collaborators--collaborator-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-collaborators--collaborator-" onclick="tryItOut('PUTapi-v1-ro-collaborators--collaborator-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-collaborators--collaborator-" onclick="cancelTryOut('PUTapi-v1-ro-collaborators--collaborator-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-collaborators--collaborator-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/collaborators/{collaborator}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/collaborators/{collaborator}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-collaborators--collaborator-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>collaborator</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="collaborator" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cui</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="cui" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>nr_reg_comertului</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="nr_reg_comertului" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>bank</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>bank_account</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank_account" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>region_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="region_id" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>city</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="city" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>contact_mobile</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="contact_mobile" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="PUTapi-v1-ro-collaborators--collaborator-" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>

</form>
<h2>Remove  a collaborator.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/collaborators/11" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/collaborators/11"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-collaborators--collaborator-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-collaborators--collaborator-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-collaborators--collaborator-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-collaborators--collaborator-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-collaborators--collaborator-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-collaborators--collaborator-" data-method="DELETE" data-path="api/v1/ro/collaborators/{collaborator}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-collaborators--collaborator-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-collaborators--collaborator-" onclick="tryItOut('DELETEapi-v1-ro-collaborators--collaborator-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-collaborators--collaborator-" onclick="cancelTryOut('DELETEapi-v1-ro-collaborators--collaborator-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-collaborators--collaborator-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/collaborators/{collaborator}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-collaborators--collaborator-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-collaborators--collaborator-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>collaborator</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator" data-endpoint="DELETEapi-v1-ro-collaborators--collaborator-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>CP List of prices for a collaborator.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/collaborator-prices-listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"collaborator_id":7,"work_template_id":14}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/collaborator-prices-listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "collaborator_id": 7,
    "work_template_id": 14
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-collaborator-prices-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-collaborator-prices-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-collaborator-prices-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-collaborator-prices-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-collaborator-prices-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-collaborator-prices-listing" data-method="POST" data-path="api/v1/ro/collaborator-prices-listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-collaborator-prices-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-collaborator-prices-listing" onclick="tryItOut('POSTapi-v1-ro-collaborator-prices-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-collaborator-prices-listing" onclick="cancelTryOut('POSTapi-v1-ro-collaborator-prices-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-collaborator-prices-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/collaborator-prices-listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-collaborator-prices-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-collaborator-prices-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="POSTapi-v1-ro-collaborator-prices-listing" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-collaborator-prices-listing" data-component="body"  hidden>
<br>

</p>

</form>
<h2>CP Add/update  a price to a collaborator.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/collaborator-prices" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"collaborator_id":12,"work_template_id":15,"price":11,"locked":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/collaborator-prices"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "collaborator_id": 12,
    "work_template_id": 15,
    "price": 11,
    "locked": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-collaborator-prices" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-collaborator-prices"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-collaborator-prices"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-collaborator-prices" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-collaborator-prices"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-collaborator-prices" data-method="PUT" data-path="api/v1/ro/collaborator-prices" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-collaborator-prices', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-collaborator-prices" onclick="tryItOut('PUTapi-v1-ro-collaborator-prices');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-collaborator-prices" onclick="cancelTryOut('PUTapi-v1-ro-collaborator-prices');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-collaborator-prices" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/collaborator-prices</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-collaborator-prices" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-collaborator-prices" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="PUTapi-v1-ro-collaborator-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="PUTapi-v1-ro-collaborator-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>price</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="price" data-endpoint="PUTapi-v1-ro-collaborator-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>locked</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-collaborator-prices" hidden><input type="radio" name="locked" value="true" data-endpoint="PUTapi-v1-ro-collaborator-prices" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-collaborator-prices" hidden><input type="radio" name="locked" value="false" data-endpoint="PUTapi-v1-ro-collaborator-prices" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>CP Delete  a price to a collaborator.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/collaborator-prices" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"collaborator_id":13,"work_template_id":10}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/collaborator-prices"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "collaborator_id": 13,
    "work_template_id": 10
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-collaborator-prices" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-collaborator-prices"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-collaborator-prices"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-collaborator-prices" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-collaborator-prices"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-collaborator-prices" data-method="DELETE" data-path="api/v1/ro/collaborator-prices" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-collaborator-prices', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-collaborator-prices" onclick="tryItOut('DELETEapi-v1-ro-collaborator-prices');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-collaborator-prices" onclick="cancelTryOut('DELETEapi-v1-ro-collaborator-prices');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-collaborator-prices" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/collaborator-prices</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-collaborator-prices" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-collaborator-prices" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="DELETEapi-v1-ro-collaborator-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="DELETEapi-v1-ro-collaborator-prices" data-component="body" required  hidden>
<br>

</p>

</form><h1>Comenzi discounts</h1>
<p>APIs for managing order additional prices</p>
<h2>Add discount for order</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-discounts/ab" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"discount_type_id":"ipsa","name":"voluptas","value":193675.1}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-discounts/ab"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "discount_type_id": "ipsa",
    "name": "voluptas",
    "value": 193675.1
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-discounts--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-discounts--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-discounts--order-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-discounts--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-discounts--order-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-discounts--order-" data-method="POST" data-path="api/v1/ro/order-discounts/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-discounts--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-discounts--order-" onclick="tryItOut('POSTapi-v1-ro-order-discounts--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-discounts--order-" onclick="cancelTryOut('POSTapi-v1-ro-order-discounts--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-discounts--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-discounts/{order}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-discounts--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>discount_type_id</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discount_type_id" data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>value</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="value" data-endpoint="POSTapi-v1-ro-order-discounts--order-" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Delete discount of the order</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/order-discounts/maxime/a" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-discounts/maxime/a"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (404):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Resursa nu a fost gasita \/ nu exista"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-order-discounts--order---discountId-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-order-discounts--order---discountId-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-order-discounts--order---discountId-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-order-discounts--order---discountId-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-order-discounts--order---discountId-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-order-discounts--order---discountId-" data-method="DELETE" data-path="api/v1/ro/order-discounts/{order}/{discountId}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-order-discounts--order---discountId-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-order-discounts--order---discountId-" onclick="tryItOut('DELETEapi-v1-ro-order-discounts--order---discountId-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-order-discounts--order---discountId-" onclick="cancelTryOut('DELETEapi-v1-ro-order-discounts--order---discountId-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-order-discounts--order---discountId-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/order-discounts/{order}/{discountId}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-order-discounts--order---discountId-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-order-discounts--order---discountId-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="DELETEapi-v1-ro-order-discounts--order---discountId-" data-component="url" required  hidden>
<br>

</p>
<p>
<b><code>discountId</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discountId" data-endpoint="DELETEapi-v1-ro-order-discounts--order---discountId-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Comenzi etape lucrare</h1>
<p>APIs for managing order work stages</p>
<h2>Reorder order work stages</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-reorder-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":2,"order_as_response":false,"order_work_stages":[{"stage_id":3}]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-reorder-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 2,
    "order_as_response": false,
    "order_work_stages": [
        {
            "stage_id": 3
        }
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-ows-reorder-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-reorder-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-reorder-stages"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-reorder-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-reorder-stages"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-reorder-stages" data-method="PUT" data-path="api/v1/ro/ows-reorder-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-reorder-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-reorder-stages" onclick="tryItOut('PUTapi-v1-ro-ows-reorder-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-reorder-stages" onclick="cancelTryOut('PUTapi-v1-ro-ows-reorder-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-reorder-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-reorder-stages</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-reorder-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-reorder-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-reorder-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>order_work_stages</code></b>&nbsp;&nbsp;<small>object[]</small>  &nbsp;
<br>

</summary>
<br>
<p>
<b><code>order_work_stages[].stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stages.0.stage_id" data-endpoint="PUTapi-v1-ro-ows-reorder-stages" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>
<h2>Add new order work stage.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":2,"order_as_response":false,"rank":4,"work_stage_id":19}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 2,
    "order_as_response": false,
    "rank": 4,
    "work_stage_id": 19
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-ows-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages" data-method="POST" data-path="api/v1/ro/ows-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages" onclick="tryItOut('POSTapi-v1-ro-ows-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-ows-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-ows-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>rank</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="rank" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="POSTapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Delete a order work stage.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":20,"order_work_stage_id":20,"order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 20,
    "order_work_stage_id": 20,
    "order_as_response": false
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-ows-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-ows-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-ows-stages"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-ows-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-ows-stages"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-ows-stages" data-method="DELETE" data-path="api/v1/ro/ows-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-ows-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-ows-stages" onclick="tryItOut('DELETEapi-v1-ro-ows-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-ows-stages" onclick="cancelTryOut('DELETEapi-v1-ro-ows-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-ows-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/ows-stages</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-ows-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="DELETEapi-v1-ro-ows-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="DELETEapi-v1-ro-ows-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="DELETEapi-v1-ro-ows-stages" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Confirm(check/uncheck) element type special order stage</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-special-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":17,"order_work_stage_id":15,"order_as_response":false,"price_type":"arcada","elements":["et"]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-special-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 17,
    "order_work_stage_id": 15,
    "order_as_response": false,
    "price_type": "arcada",
    "elements": [
        "et"
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-ows-special-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-special-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-special-stages"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-special-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-special-stages"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-special-stages" data-method="PUT" data-path="api/v1/ro/ows-special-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-special-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-special-stages" onclick="tryItOut('PUTapi-v1-ro-ows-special-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-special-stages" onclick="cancelTryOut('PUTapi-v1-ro-ows-special-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-special-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-special-stages</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-special-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-special-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-special-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>price_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="price_type" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required  hidden>
<br>
The value must be one of <code>fix</code>, <code>elemente</code>, or <code>arcada</code>.
</p>
<p>
<b><code>elements</code></b>&nbsp;&nbsp;<small>string[]</small>  &nbsp;
<input type="text" name="elements.0" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" required  hidden>
<input type="text" name="elements.1" data-endpoint="PUTapi-v1-ro-ows-special-stages" data-component="body" hidden>
<br>

</p>

</form>
<h2>Set order stage user with default price</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<aside> user_id can be only a user assigned to the stage of work template</aside>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-user/default-cost" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":2,"order_work_stage_id":14,"order_as_response":false,"user_id":13}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-user/default-cost"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 2,
    "order_work_stage_id": 14,
    "order_as_response": false,
    "user_id": 13
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-ows-user-default-cost" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-user-default-cost"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-user-default-cost"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-user-default-cost" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-user-default-cost"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-user-default-cost" data-method="PUT" data-path="api/v1/ro/ows-user/default-cost" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-user-default-cost', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-user-default-cost" onclick="tryItOut('PUTapi-v1-ro-ows-user-default-cost');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-user-default-cost" onclick="cancelTryOut('PUTapi-v1-ro-ows-user-default-cost');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-user-default-cost" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-user/default-cost</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-user-default-cost" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-user-default-cost" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-user-default-cost" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user_id" data-endpoint="PUTapi-v1-ro-ows-user-default-cost" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Manual update order stage user and cost</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-user" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":5,"order_work_stage_id":2,"order_as_response":false,"user_id":9,"cost":0}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-user"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 5,
    "order_work_stage_id": 2,
    "order_as_response": false,
    "user_id": 9,
    "cost": 0
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-ows-user" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-user"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-user"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-user" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-user"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-user" data-method="PUT" data-path="api/v1/ro/ows-user" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-user', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-user" onclick="tryItOut('PUTapi-v1-ro-ows-user');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-user" onclick="cancelTryOut('PUTapi-v1-ro-ows-user');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-user" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-user</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-user" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-user" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-user" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-user" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user_id" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="cost" data-endpoint="PUTapi-v1-ro-ows-user" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Order stages possibles actions</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/possible-actions" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_stage_ids":[14,17]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/possible-actions"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_stage_ids": [
        14,
        17
    ]
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-ows-stages-possible-actions" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages-possible-actions"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages-possible-actions"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages-possible-actions" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages-possible-actions"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages-possible-actions" data-method="POST" data-path="api/v1/ro/ows-stages/possible-actions" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages-possible-actions', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages-possible-actions" onclick="tryItOut('POSTapi-v1-ro-ows-stages-possible-actions');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages-possible-actions" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages-possible-actions');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages-possible-actions" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages/possible-actions</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages-possible-actions" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages-possible-actions" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_stage_ids</code></b>&nbsp;&nbsp;<small>integer[]</small>  &nbsp;
<input type="number" name="order_work_stage_ids.0" data-endpoint="POSTapi-v1-ro-ows-stages-possible-actions" data-component="body" required  hidden>
<input type="number" name="order_work_stage_ids.1" data-endpoint="POSTapi-v1-ro-ows-stages-possible-actions" data-component="body" hidden>
<br>

</p>

</form>
<h2>Update date and time of order work stage</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/update-date/ducimus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"date":"2022-01-12","time":"23:40","order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/update-date/ducimus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "date": "2022-01-12",
    "time": "23:40",
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-method="POST" data-path="api/v1/ro/ows-stages/update-date/{orderWorkStage}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" onclick="tryItOut('POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages/update-date/{orderWorkStage}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>orderWorkStage</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="orderWorkStage" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="date" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="body" required  hidden>
<br>
Câmpul value nu este o dată validă. The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>time</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="time" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="body"  hidden>
<br>
The value must be a valid date in the format H:i.
</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-ows-stages-update-date--orderWorkStage-" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Start a order stage</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/start" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":5,"order_work_stage_id":9,"order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/start"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 5,
    "order_work_stage_id": 9,
    "order_as_response": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-ows-stages-start" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-stages-start"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-stages-start"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-stages-start" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-stages-start"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-stages-start" data-method="PUT" data-path="api/v1/ro/ows-stages/start" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-stages-start', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-stages-start" onclick="tryItOut('PUTapi-v1-ro-ows-stages-start');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-stages-start" onclick="cancelTryOut('PUTapi-v1-ro-ows-stages-start');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-stages-start" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-stages/start</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-stages-start" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-stages-start" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-stages-start" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-stages-start" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Pause a order stage</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/pause" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":5,"order_work_stage_id":20,"order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/pause"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 5,
    "order_work_stage_id": 20,
    "order_as_response": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-ows-stages-pause" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-stages-pause"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-stages-pause"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-stages-pause" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-stages-pause"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-stages-pause" data-method="PUT" data-path="api/v1/ro/ows-stages/pause" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-stages-pause', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-stages-pause" onclick="tryItOut('PUTapi-v1-ro-ows-stages-pause');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-stages-pause" onclick="cancelTryOut('PUTapi-v1-ro-ows-stages-pause');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-stages-pause" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-stages/pause</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-stages-pause" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-stages-pause" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-stages-pause" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-stages-pause" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Finish a order stage</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/finish" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":6,"order_work_stage_id":8,"order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/finish"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 6,
    "order_work_stage_id": 8,
    "order_as_response": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-ows-stages-finish" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-ows-stages-finish"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-ows-stages-finish"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-ows-stages-finish" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-ows-stages-finish"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-ows-stages-finish" data-method="PUT" data-path="api/v1/ro/ows-stages/finish" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-ows-stages-finish', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-ows-stages-finish" onclick="tryItOut('PUTapi-v1-ro-ows-stages-finish');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-ows-stages-finish" onclick="cancelTryOut('PUTapi-v1-ro-ows-stages-finish');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-ows-stages-finish" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/ows-stages/finish</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-ows-stages-finish" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-ows-stages-finish" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-ows-stages-finish" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-ows-stages-finish" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Remake a order stage</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/remake" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_id":5,"order_work_stage_id":12,"order_as_response":false,"remake_parameters":{"lab_is_paying":false,"reason":{"fault":"lab","user_id":5}}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/remake"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_id": 5,
    "order_work_stage_id": 12,
    "order_as_response": false,
    "remake_parameters": {
        "lab_is_paying": false,
        "reason": {
            "fault": "lab",
            "user_id": 5
        }
    }
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-ows-stages-remake" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages-remake"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages-remake"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages-remake" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages-remake"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages-remake" data-method="POST" data-path="api/v1/ro/ows-stages/remake" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages-remake', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages-remake" onclick="tryItOut('POSTapi-v1-ro-ows-stages-remake');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages-remake" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages-remake');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages-remake" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages/remake</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages-remake" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_id" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_stage_id" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-ows-stages-remake" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-ows-stages-remake" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>remake_parameters</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>remake_parameters.lab_is_paying</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-ows-stages-remake" hidden><input type="radio" name="remake_parameters.lab_is_paying" value="true" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-ows-stages-remake" hidden><input type="radio" name="remake_parameters.lab_is_paying" value="false" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>remake_parameters.reason</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>remake_parameters.reason.fault</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="remake_parameters.reason.fault" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body" required  hidden>
<br>
The value must be one of <code>user</code>, <code>lab</code>, or <code>collaborator</code>.
</p>
<p>
<b><code>remake_parameters.reason.user_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="remake_parameters.reason.user_id" data-endpoint="POSTapi-v1-ro-ows-stages-remake" data-component="body"  hidden>
<br>

</p>
</details>
</p>

</details>
</p>

</form><h1>Comenzi fisiere</h1>
<p>APIs for managing order`s files</p>
<h2>Order file listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/order-files/quasi" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-files/quasi"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-order-files--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-order-files--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-order-files--order-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-order-files--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-order-files--order-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-order-files--order-" data-method="GET" data-path="api/v1/ro/order-files/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-order-files--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-order-files--order-" onclick="tryItOut('GETapi-v1-ro-order-files--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-order-files--order-" onclick="cancelTryOut('GETapi-v1-ro-order-files--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-order-files--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/order-files/{order}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-order-files--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-order-files--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="GETapi-v1-ro-order-files--order-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Add file to a order.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-files" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: multipart/form-data" \
    -H "Accept: application/json" \
    -F "order_id=12" \
    -F "file_name=corrupti" \
    -F "file=@C:\Users\WORK\AppData\Local\Temp\phpCC2C.tmp" </code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-files"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "multipart/form-data",
    "Accept": "application/json",
};

const body = new FormData();
body.append('order_id', '12');
body.append('file_name', 'corrupti');
body.append('file', document.querySelector('input[name="file"]').files[0]);

fetch(url, {
    method: "POST",
    headers,
    body,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-files" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-files"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-files"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-files" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-files"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-files" data-method="POST" data-path="api/v1/ro/order-files" data-authed="1" data-hasfiles="1" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"multipart\/form-data","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-files', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-files" onclick="tryItOut('POSTapi-v1-ro-order-files');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-files" onclick="cancelTryOut('POSTapi-v1-ro-order-files');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-files" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-files</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-files" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-files" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-files" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>file_name</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="file_name" data-endpoint="POSTapi-v1-ro-order-files" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>file</code></b>&nbsp;&nbsp;<small>file</small>  &nbsp;
<input type="file" name="file" data-endpoint="POSTapi-v1-ro-order-files" data-component="body" required  hidden>
<br>
The value must be a file.
</p>

</form>
<h2>Download a order file</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/order-file/veniam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-file/veniam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-order-file--uuid-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-order-file--uuid-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-order-file--uuid-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-order-file--uuid-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-order-file--uuid-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-order-file--uuid-" data-method="GET" data-path="api/v1/ro/order-file/{uuid}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-order-file--uuid-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-order-file--uuid-" onclick="tryItOut('GETapi-v1-ro-order-file--uuid-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-order-file--uuid-" onclick="cancelTryOut('GETapi-v1-ro-order-file--uuid-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-order-file--uuid-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/order-file/{uuid}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-order-file--uuid-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-order-file--uuid-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>uuid</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="uuid" data-endpoint="GETapi-v1-ro-order-file--uuid-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Delete a order file.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/order-file/voluptas" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-file/voluptas"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-order-file--uuid-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-order-file--uuid-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-order-file--uuid-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-order-file--uuid-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-order-file--uuid-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-order-file--uuid-" data-method="DELETE" data-path="api/v1/ro/order-file/{uuid}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-order-file--uuid-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-order-file--uuid-" onclick="tryItOut('DELETEapi-v1-ro-order-file--uuid-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-order-file--uuid-" onclick="cancelTryOut('DELETEapi-v1-ro-order-file--uuid-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-order-file--uuid-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/order-file/{uuid}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-order-file--uuid-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-order-file--uuid-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>uuid</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="uuid" data-endpoint="DELETEapi-v1-ro-order-file--uuid-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Comenzi lucrari</h1>
<p>APIs for managing work stages</p>
<h2>OT Display a listing of order works.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates-listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":0}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates-listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 0
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-work-templates-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-work-templates-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-work-templates-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-work-templates-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-work-templates-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-work-templates-listing" data-method="POST" data-path="api/v1/ro/order-work-templates-listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-work-templates-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-work-templates-listing" onclick="tryItOut('POSTapi-v1-ro-order-work-templates-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-work-templates-listing" onclick="cancelTryOut('POSTapi-v1-ro-order-work-templates-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-work-templates-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-work-templates-listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-work-templates-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-work-templates-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-work-templates-listing" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>OT Add new work on order.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":6,"work_template_id":10,"order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 6,
    "work_template_id": 10,
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-work-templates" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-work-templates"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-work-templates"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-work-templates" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-work-templates"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-work-templates" data-method="POST" data-path="api/v1/ro/order-work-templates" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-work-templates', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-work-templates" onclick="tryItOut('POSTapi-v1-ro-order-work-templates');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-work-templates" onclick="cancelTryOut('POSTapi-v1-ro-order-work-templates');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-work-templates" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-work-templates</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-work-templates" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-work-templates" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-work-templates" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-work-templates" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>OT Remove a order work.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates/sint" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates/sint"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-order-work-templates--order_work_template-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-order-work-templates--order_work_template-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-order-work-templates--order_work_template-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-order-work-templates--order_work_template-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-order-work-templates--order_work_template-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-order-work-templates--order_work_template-" data-method="DELETE" data-path="api/v1/ro/order-work-templates/{order_work_template}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-order-work-templates--order_work_template-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-order-work-templates--order_work_template-" onclick="tryItOut('DELETEapi-v1-ro-order-work-templates--order_work_template-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-order-work-templates--order_work_template-" onclick="cancelTryOut('DELETEapi-v1-ro-order-work-templates--order_work_template-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-order-work-templates--order_work_template-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/order-work-templates/{order_work_template}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-order-work-templates--order_work_template-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-order-work-templates--order_work_template-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order_work_template</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order_work_template" data-endpoint="DELETEapi-v1-ro-order-work-templates--order_work_template-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>OT Combine a order work with a work template</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates-combine" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":20,"work_template_id":16,"order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-work-templates-combine"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 20,
    "work_template_id": 16,
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-work-templates-combine" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-work-templates-combine"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-work-templates-combine"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-work-templates-combine" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-work-templates-combine"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-work-templates-combine" data-method="POST" data-path="api/v1/ro/order-work-templates-combine" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-work-templates-combine', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-work-templates-combine" onclick="tryItOut('POSTapi-v1-ro-order-work-templates-combine');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-work-templates-combine" onclick="cancelTryOut('POSTapi-v1-ro-order-work-templates-combine');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-work-templates-combine" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-work-templates-combine</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-work-templates-combine" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-work-templates-combine" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-work-templates-combine" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-work-templates-combine" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>OT Preferred settings order work.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/owt-settings" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":14,"order_as_response":false,"preferred_duration":9,"ignore_extra_price":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/owt-settings"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 14,
    "order_as_response": false,
    "preferred_duration": 9,
    "ignore_extra_price": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-owt-settings" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-owt-settings"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-owt-settings"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-owt-settings" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-owt-settings"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-owt-settings" data-method="POST" data-path="api/v1/ro/owt-settings" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-owt-settings', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-owt-settings" onclick="tryItOut('POSTapi-v1-ro-owt-settings');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-owt-settings" onclick="cancelTryOut('POSTapi-v1-ro-owt-settings');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-owt-settings" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/owt-settings</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-owt-settings" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-owt-settings" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-owt-settings" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-owt-settings" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>preferred_duration</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="preferred_duration" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>ignore_extra_price</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-owt-settings" hidden><input type="radio" name="ignore_extra_price" value="true" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-owt-settings" hidden><input type="radio" name="ignore_extra_price" value="false" data-endpoint="POSTapi-v1-ro-owt-settings" data-component="body" ><code>false</code></label>
<br>

</p>

</form>
<h2>OT Update dentition and dentition arcada for order work.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/owt-dentition" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_work_template_id":7,"order_as_response":false,"dentition":[{"form":19,"xtra":[false,true]}],"arcada_dentition":{"upper":false,"lower":false}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/owt-dentition"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_work_template_id": 7,
    "order_as_response": false,
    "dentition": [
        {
            "form": 19,
            "xtra": [
                false,
                true
            ]
        }
    ],
    "arcada_dentition": {
        "upper": false,
        "lower": false
    }
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-owt-dentition" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-owt-dentition"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-owt-dentition"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-owt-dentition" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-owt-dentition"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-owt-dentition" data-method="PUT" data-path="api/v1/ro/owt-dentition" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-owt-dentition', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-owt-dentition" onclick="tryItOut('PUTapi-v1-ro-owt-dentition');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-owt-dentition" onclick="cancelTryOut('PUTapi-v1-ro-owt-dentition');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-owt-dentition" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/owt-dentition</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-owt-dentition" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_work_template_id" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>dentition</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>dentition[].form</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentition.0.form" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>dentition[].xtra</code></b>&nbsp;&nbsp;<small>boolean[]</small>  &nbsp;
<input type="text" name="dentition.0.xtra.0" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" required  hidden>
<input type="text" name="dentition.0.xtra.1" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" hidden>
<br>

</p>
</details>
</p>
<p>
<details>
<summary>
<b><code>arcada_dentition</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>arcada_dentition.upper</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="arcada_dentition.upper" value="true" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="arcada_dentition.upper" value="false" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>arcada_dentition.lower</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="arcada_dentition.lower" value="true" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-owt-dentition" hidden><input type="radio" name="arcada_dentition.lower" value="false" data-endpoint="PUTapi-v1-ro-owt-dentition" data-component="body" ><code>false</code></label>
<br>

</p>
</details>
</p>

</form><h1>Comenzi PA brands</h1>
<p>APIs for managing order additional prices</p>
<h2>List of brands</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-additional-prices-brands" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-brands"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-brands"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-brands" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-brands"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-brands" data-method="GET" data-path="api/v1/ro/additional-prices-brands" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-brands', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-brands" onclick="tryItOut('GETapi-v1-ro-additional-prices-brands');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-brands" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-brands');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-brands" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-brands</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-brands" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-brands" data-component="header"></label>
</p>
</form>
<h2>Add new brand</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"laboriosam"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "laboriosam"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-additional-prices-brands" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-additional-prices-brands"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-additional-prices-brands"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-additional-prices-brands" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-additional-prices-brands"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-additional-prices-brands" data-method="POST" data-path="api/v1/ro/additional-prices-brands" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-additional-prices-brands', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-additional-prices-brands" onclick="tryItOut('POSTapi-v1-ro-additional-prices-brands');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-additional-prices-brands" onclick="cancelTryOut('POSTapi-v1-ro-additional-prices-brands');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-additional-prices-brands" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/additional-prices-brands</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-additional-prices-brands" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-additional-prices-brands" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-additional-prices-brands" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Brand detailed</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands/sed" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands/sed"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-method="GET" data-path="api/v1/ro/additional-prices-brands/{additional_prices_brand}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-brands--additional_prices_brand-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-" onclick="tryItOut('GETapi-v1-ro-additional-prices-brands--additional_prices_brand-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-brands--additional_prices_brand-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-brands/{additional_prices_brand}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_brand</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_brand" data-endpoint="GETapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update a brand</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands/voluptatem" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"perferendis"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands/voluptatem"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "perferendis"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-method="PUT" data-path="api/v1/ro/additional-prices-brands/{additional_prices_brand}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" onclick="tryItOut('PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" onclick="cancelTryOut('PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/additional-prices-brands/{additional_prices_brand}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/additional-prices-brands/{additional_prices_brand}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_brand</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_brand" data-endpoint="PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Delete a brand</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands/occaecati" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-brands/occaecati"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-method="DELETE" data-path="api/v1/ro/additional-prices-brands/{additional_prices_brand}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-" onclick="tryItOut('DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-" onclick="cancelTryOut('DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/additional-prices-brands/{additional_prices_brand}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_brand</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_brand" data-endpoint="DELETEapi-v1-ro-additional-prices-brands--additional_prices_brand-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Comenzi PA categorii</h1>
<p>APIs for managing order additional prices</p>
<h2>List of categories</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-additional-prices-categories" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-categories"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-categories"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-categories" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-categories"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-categories" data-method="GET" data-path="api/v1/ro/additional-prices-categories" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-categories', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-categories" onclick="tryItOut('GETapi-v1-ro-additional-prices-categories');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-categories" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-categories');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-categories" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-categories</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-categories" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-categories" data-component="header"></label>
</p>
</form>
<h2>Add new category</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"quos"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "quos"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-additional-prices-categories" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-additional-prices-categories"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-additional-prices-categories"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-additional-prices-categories" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-additional-prices-categories"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-additional-prices-categories" data-method="POST" data-path="api/v1/ro/additional-prices-categories" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-additional-prices-categories', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-additional-prices-categories" onclick="tryItOut('POSTapi-v1-ro-additional-prices-categories');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-additional-prices-categories" onclick="cancelTryOut('POSTapi-v1-ro-additional-prices-categories');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-additional-prices-categories" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/additional-prices-categories</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-additional-prices-categories" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-additional-prices-categories" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-additional-prices-categories" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Category detailed</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/totam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/totam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-categories--additional_prices_category-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" data-method="GET" data-path="api/v1/ro/additional-prices-categories/{additional_prices_category}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-categories--additional_prices_category-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="tryItOut('GETapi-v1-ro-additional-prices-categories--additional_prices_category-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-categories--additional_prices_category-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-categories/{additional_prices_category}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_category</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_category" data-endpoint="GETapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update a category</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/quia" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"sed"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/quia"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "sed"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" data-method="PUT" data-path="api/v1/ro/additional-prices-categories/{additional_prices_category}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-additional-prices-categories--additional_prices_category-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="tryItOut('PUTapi-v1-ro-additional-prices-categories--additional_prices_category-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="cancelTryOut('PUTapi-v1-ro-additional-prices-categories--additional_prices_category-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/additional-prices-categories/{additional_prices_category}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/additional-prices-categories/{additional_prices_category}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_category</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_category" data-endpoint="PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Delete a category</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/doloribus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-categories/doloribus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" data-method="DELETE" data-path="api/v1/ro/additional-prices-categories/{additional_prices_category}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="tryItOut('DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" onclick="cancelTryOut('DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/additional-prices-categories/{additional_prices_category}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_category</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_category" data-endpoint="DELETEapi-v1-ro-additional-prices-categories--additional_prices_category-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Comenzi PA produse</h1>
<p>APIs for managing order additional prices</p>
<h2>List of products</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-additional-prices-products" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-products"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-products"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-products" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-products"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-products" data-method="GET" data-path="api/v1/ro/additional-prices-products" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-products', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-products" onclick="tryItOut('GETapi-v1-ro-additional-prices-products');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-products" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-products');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-products" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-products</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-products" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-products" data-component="header"></label>
</p>
</form>
<h2>Add new product</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"brand_id":2,"category_id":11,"name":"consectetur","price":37106.5411,"default_invoicing":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "brand_id": 2,
    "category_id": 11,
    "name": "consectetur",
    "price": 37106.5411,
    "default_invoicing": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-additional-prices-products" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-additional-prices-products"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-additional-prices-products"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-additional-prices-products" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-additional-prices-products"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-additional-prices-products" data-method="POST" data-path="api/v1/ro/additional-prices-products" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-additional-prices-products', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-additional-prices-products" onclick="tryItOut('POSTapi-v1-ro-additional-prices-products');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-additional-prices-products" onclick="cancelTryOut('POSTapi-v1-ro-additional-prices-products');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-additional-prices-products" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/additional-prices-products</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-additional-prices-products" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>brand_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="brand_id" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>category_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="category_id" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>price</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="price" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>default_invoicing</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-additional-prices-products" hidden><input type="radio" name="default_invoicing" value="true" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-additional-prices-products" hidden><input type="radio" name="default_invoicing" value="false" data-endpoint="POSTapi-v1-ro-additional-prices-products" data-component="body" ><code>false</code></label>
<br>

</p>

</form>
<h2>Product detailed</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/consequatur" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/consequatur"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-additional-prices-products--additional_prices_product-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-additional-prices-products--additional_prices_product-" data-method="GET" data-path="api/v1/ro/additional-prices-products/{additional_prices_product}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-additional-prices-products--additional_prices_product-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="tryItOut('GETapi-v1-ro-additional-prices-products--additional_prices_product-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="cancelTryOut('GETapi-v1-ro-additional-prices-products--additional_prices_product-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/additional-prices-products/{additional_prices_product}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_product</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_product" data-endpoint="GETapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update a product</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/doloribus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"brand_id":4,"category_id":13,"name":"quasi","price":34312440.81181837,"default_invoicing":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/doloribus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "brand_id": 4,
    "category_id": 13,
    "name": "quasi",
    "price": 34312440.81181837,
    "default_invoicing": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-additional-prices-products--additional_prices_product-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-method="PUT" data-path="api/v1/ro/additional-prices-products/{additional_prices_product}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-additional-prices-products--additional_prices_product-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="tryItOut('PUTapi-v1-ro-additional-prices-products--additional_prices_product-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="cancelTryOut('PUTapi-v1-ro-additional-prices-products--additional_prices_product-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/additional-prices-products/{additional_prices_product}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/additional-prices-products/{additional_prices_product}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_product</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_product" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>brand_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="brand_id" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>category_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="category_id" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>price</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="price" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>default_invoicing</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden><input type="radio" name="default_invoicing" value="true" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" hidden><input type="radio" name="default_invoicing" value="false" data-endpoint="PUTapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="body" ><code>false</code></label>
<br>

</p>

</form>
<h2>Delete a product</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/facilis" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/additional-prices-products/facilis"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" data-method="DELETE" data-path="api/v1/ro/additional-prices-products/{additional_prices_product}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-additional-prices-products--additional_prices_product-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="tryItOut('DELETEapi-v1-ro-additional-prices-products--additional_prices_product-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" onclick="cancelTryOut('DELETEapi-v1-ro-additional-prices-products--additional_prices_product-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/additional-prices-products/{additional_prices_product}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>additional_prices_product</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="additional_prices_product" data-endpoint="DELETEapi-v1-ro-additional-prices-products--additional_prices_product-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Comenzi plati</h1>
<p>APIs for managing order additional prices</p>
<h2>Add payment for order</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-payments/nemo" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"type":"cash","name":"ducimus","value":27.3061315,"order_id":20,"date":"2022-01-12"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-payments/nemo"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "type": "cash",
    "name": "ducimus",
    "value": 27.3061315,
    "order_id": 20,
    "date": "2022-01-12"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-payments--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-payments--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-payments--order-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-payments--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-payments--order-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-payments--order-" data-method="POST" data-path="api/v1/ro/order-payments/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-payments--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-payments--order-" onclick="tryItOut('POSTapi-v1-ro-order-payments--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-payments--order-" onclick="cancelTryOut('POSTapi-v1-ro-order-payments--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-payments--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-payments/{order}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-payments--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-payments--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="POSTapi-v1-ro-order-payments--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="type" data-endpoint="POSTapi-v1-ro-order-payments--order-" data-component="body" required  hidden>
<br>
The value must be one of <code>cash</code> or <code>op</code>.
</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-order-payments--order-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>value</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="value" data-endpoint="POSTapi-v1-ro-order-payments--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-payments--order-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="date" data-endpoint="POSTapi-v1-ro-order-payments--order-" data-component="body" required  hidden>
<br>
The value must be a valid date in the format Y-m-d.
</p>

</form>
<h2>Delete payment of the order</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/order-payments/et/et" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-payments/et/et"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (404):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Resursa nu a fost gasita \/ nu exista"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-order-payments--order---paymentId-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-order-payments--order---paymentId-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-order-payments--order---paymentId-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-order-payments--order---paymentId-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-order-payments--order---paymentId-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-order-payments--order---paymentId-" data-method="DELETE" data-path="api/v1/ro/order-payments/{order}/{paymentId}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-order-payments--order---paymentId-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-order-payments--order---paymentId-" onclick="tryItOut('DELETEapi-v1-ro-order-payments--order---paymentId-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-order-payments--order---paymentId-" onclick="cancelTryOut('DELETEapi-v1-ro-order-payments--order---paymentId-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-order-payments--order---paymentId-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/order-payments/{order}/{paymentId}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-order-payments--order---paymentId-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-order-payments--order---paymentId-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="DELETEapi-v1-ro-order-payments--order---paymentId-" data-component="url" required  hidden>
<br>

</p>
<p>
<b><code>paymentId</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="paymentId" data-endpoint="DELETEapi-v1-ro-order-payments--order---paymentId-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Comenzi preturi aditionale</h1>
<p>APIs for managing order additional prices</p>
<h2>Add a additional price</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":10,"name":"enim","description":"quos","quantity":6195,"price_per_unit":250358.75,"to_be_invoiced":false,"order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 10,
    "name": "enim",
    "description": "quos",
    "quantity": 6195,
    "price_per_unit": 250358.75,
    "to_be_invoiced": false,
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-additional-prices" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-additional-prices"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-additional-prices"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-additional-prices" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-additional-prices"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-additional-prices" data-method="POST" data-path="api/v1/ro/order-additional-prices" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-additional-prices', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-additional-prices" onclick="tryItOut('POSTapi-v1-ro-order-additional-prices');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-additional-prices" onclick="cancelTryOut('POSTapi-v1-ro-order-additional-prices');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-additional-prices" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-additional-prices</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-additional-prices" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="description" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>quantity</code></b>&nbsp;&nbsp;<small>number</small>     <i>optional</i> &nbsp;
<input type="number" name="quantity" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>price_per_unit</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="price_per_unit" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>to_be_invoiced</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices" hidden><input type="radio" name="to_be_invoiced" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices" hidden><input type="radio" name="to_be_invoiced" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Update an additional price</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/repudiandae" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"to_be_invoiced":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/repudiandae"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "to_be_invoiced": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-order-additional-prices--order_additional_price-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-order-additional-prices--order_additional_price-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-order-additional-prices--order_additional_price-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-method="PUT" data-path="api/v1/ro/order-additional-prices/{order_additional_price}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-order-additional-prices--order_additional_price-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-order-additional-prices--order_additional_price-" onclick="tryItOut('PUTapi-v1-ro-order-additional-prices--order_additional_price-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-order-additional-prices--order_additional_price-" onclick="cancelTryOut('PUTapi-v1-ro-order-additional-prices--order_additional_price-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/order-additional-prices/{order_additional_price}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/order-additional-prices/{order_additional_price}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order_additional_price</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order_additional_price" data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>to_be_invoiced</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden><input type="radio" name="to_be_invoiced" value="true" data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" hidden><input type="radio" name="to_be_invoiced" value="false" data-endpoint="PUTapi-v1-ro-order-additional-prices--order_additional_price-" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Remove the specified resource from storage.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/nam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/nam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-order-additional-prices--order_additional_price-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-order-additional-prices--order_additional_price-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-order-additional-prices--order_additional_price-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" data-method="DELETE" data-path="api/v1/ro/order-additional-prices/{order_additional_price}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-order-additional-prices--order_additional_price-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" onclick="tryItOut('DELETEapi-v1-ro-order-additional-prices--order_additional_price-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" onclick="cancelTryOut('DELETEapi-v1-ro-order-additional-prices--order_additional_price-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/order-additional-prices/{order_additional_price}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-order-additional-prices--order_additional_price-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-order-additional-prices--order_additional_price-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order_additional_price</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order_additional_price" data-endpoint="DELETEapi-v1-ro-order-additional-prices--order_additional_price-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Specific order additional prices</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":3}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 3
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-additional-prices-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-additional-prices-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-additional-prices-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-additional-prices-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-additional-prices-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-additional-prices-listing" data-method="POST" data-path="api/v1/ro/order-additional-prices/listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-additional-prices-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-additional-prices-listing" onclick="tryItOut('POSTapi-v1-ro-order-additional-prices-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-additional-prices-listing" onclick="cancelTryOut('POSTapi-v1-ro-order-additional-prices-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-additional-prices-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-additional-prices/listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-additional-prices-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-additional-prices-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-additional-prices-listing" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Add product as additional price</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/product" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":8,"product_id":2,"description":"et","quantity":440673,"order_as_response":false,"to_be_invoiced":false,"default_invoicing":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-additional-prices/product"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 8,
    "product_id": 2,
    "description": "et",
    "quantity": 440673,
    "order_as_response": false,
    "to_be_invoiced": false,
    "default_invoicing": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-additional-prices-product" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-additional-prices-product"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-additional-prices-product"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-additional-prices-product" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-additional-prices-product"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-additional-prices-product" data-method="POST" data-path="api/v1/ro/order-additional-prices/product" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-additional-prices-product', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-additional-prices-product" onclick="tryItOut('POSTapi-v1-ro-order-additional-prices-product');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-additional-prices-product" onclick="cancelTryOut('POSTapi-v1-ro-order-additional-prices-product');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-additional-prices-product" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-additional-prices/product</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-additional-prices-product" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>product_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="product_id" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="description" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>quantity</code></b>&nbsp;&nbsp;<small>number</small>     <i>optional</i> &nbsp;
<input type="number" name="quantity" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>to_be_invoiced</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="to_be_invoiced" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="to_be_invoiced" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>default_invoicing</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="default_invoicing" value="true" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-additional-prices-product" hidden><input type="radio" name="default_invoicing" value="false" data-endpoint="POSTapi-v1-ro-order-additional-prices-product" data-component="body" ><code>false</code></label>
<br>

</p>

</form><h1>Comenzi</h1>
<p>APIs for managing work stages</p>
<h2>Update order details.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/order-details/sit" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"dentition_color":"quidem","dentition_shape":"et","face_shape":"ipsam","order_details":"et"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-details/sit"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "dentition_color": "quidem",
    "dentition_shape": "et",
    "face_shape": "ipsam",
    "order_details": "et"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-order-details--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-order-details--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-order-details--order-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-order-details--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-order-details--order-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-order-details--order-" data-method="PUT" data-path="api/v1/ro/order-details/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-order-details--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-order-details--order-" onclick="tryItOut('PUTapi-v1-ro-order-details--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-order-details--order-" onclick="cancelTryOut('PUTapi-v1-ro-order-details--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-order-details--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/order-details/{order}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-order-details--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>dentition_color</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="dentition_color" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>dentition_shape</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="dentition_shape" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>face_shape</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="face_shape" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>order_details</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="order_details" data-endpoint="PUTapi-v1-ro-order-details--order-" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Display a listing of orders.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/orders" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-orders" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-orders"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-orders"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-orders" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-orders"></code></pre>
</div>
<form id="form-GETapi-v1-ro-orders" data-method="GET" data-path="api/v1/ro/orders" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-orders', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-orders" onclick="tryItOut('GETapi-v1-ro-orders');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-orders" onclick="cancelTryOut('GETapi-v1-ro-orders');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-orders" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/orders</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-orders" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-orders" data-component="header"></label>
</p>
</form>
<h2>Add new order</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/orders" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"start_date":"2022-01-12","collaborator_id":5,"dentist_id":5,"patient_id":17}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start_date": "2022-01-12",
    "collaborator_id": 5,
    "dentist_id": 5,
    "patient_id": 17
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-orders" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-orders"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-orders"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-orders" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-orders"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-orders" data-method="POST" data-path="api/v1/ro/orders" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-orders', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-orders" onclick="tryItOut('POSTapi-v1-ro-orders');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-orders" onclick="cancelTryOut('POSTapi-v1-ro-orders');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-orders" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/orders</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-orders" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-orders" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="POSTapi-v1-ro-orders" data-component="body" required  hidden>
<br>
The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="POSTapi-v1-ro-orders" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="POSTapi-v1-ro-orders" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>patient_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="patient_id" data-endpoint="POSTapi-v1-ro-orders" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Display a order.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/orders/qui" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/qui"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-orders--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-orders--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-orders--order-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-orders--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-orders--order-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-orders--order-" data-method="GET" data-path="api/v1/ro/orders/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-orders--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-orders--order-" onclick="tryItOut('GETapi-v1-ro-orders--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-orders--order-" onclick="cancelTryOut('GETapi-v1-ro-orders--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-orders--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/orders/{order}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-orders--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-orders--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="GETapi-v1-ro-orders--order-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update a order.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/orders/neque" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"start_date":"2022-01-12","collaborator_id":13,"dentist_id":8,"patient_id":16}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/neque"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start_date": "2022-01-12",
    "collaborator_id": 13,
    "dentist_id": 8,
    "patient_id": 16
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-orders--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-orders--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-orders--order-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-orders--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-orders--order-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-orders--order-" data-method="PUT" data-path="api/v1/ro/orders/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-orders--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-orders--order-" onclick="tryItOut('PUTapi-v1-ro-orders--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-orders--order-" onclick="cancelTryOut('PUTapi-v1-ro-orders--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-orders--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/orders/{order}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/orders/{order}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-orders--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-orders--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>start_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="start_date" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="body" required  hidden>
<br>
The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>patient_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="patient_id" data-endpoint="PUTapi-v1-ro-orders--order-" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Delete a order.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/orders/vitae" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/vitae"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-orders--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-orders--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-orders--order-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-orders--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-orders--order-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-orders--order-" data-method="DELETE" data-path="api/v1/ro/orders/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-orders--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-orders--order-" onclick="tryItOut('DELETEapi-v1-ro-orders--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-orders--order-" onclick="cancelTryOut('DELETEapi-v1-ro-orders--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-orders--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/orders/{order}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-orders--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-orders--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="DELETEapi-v1-ro-orders--order-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Display a listing of canceled orders.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/canceled-orders" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/canceled-orders"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-canceled-orders" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-canceled-orders"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-canceled-orders"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-canceled-orders" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-canceled-orders"></code></pre>
</div>
<form id="form-GETapi-v1-ro-canceled-orders" data-method="GET" data-path="api/v1/ro/canceled-orders" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-canceled-orders', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-canceled-orders" onclick="tryItOut('GETapi-v1-ro-canceled-orders');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-canceled-orders" onclick="cancelTryOut('GETapi-v1-ro-canceled-orders');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-canceled-orders" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/canceled-orders</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-canceled-orders" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-canceled-orders" data-component="header"></label>
</p>
</form>
<h2>Order list possibles actions</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/orders/possible-actions" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/possible-actions"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-orders-possible-actions" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-orders-possible-actions"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-orders-possible-actions"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-orders-possible-actions" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-orders-possible-actions"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-orders-possible-actions" data-method="POST" data-path="api/v1/ro/orders/possible-actions" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-orders-possible-actions', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-orders-possible-actions" onclick="tryItOut('POSTapi-v1-ro-orders-possible-actions');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-orders-possible-actions" onclick="cancelTryOut('POSTapi-v1-ro-orders-possible-actions');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-orders-possible-actions" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/orders/possible-actions</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-orders-possible-actions" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-orders-possible-actions" data-component="header"></label>
</p>
</form>
<h2>Send a order in production</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/orders/send-to-prod" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":1}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders/send-to-prod"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 1
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-orders-send-to-prod" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-orders-send-to-prod"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-orders-send-to-prod"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-orders-send-to-prod" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-orders-send-to-prod"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-orders-send-to-prod" data-method="POST" data-path="api/v1/ro/orders/send-to-prod" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-orders-send-to-prod', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-orders-send-to-prod" onclick="tryItOut('POSTapi-v1-ro-orders-send-to-prod');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-orders-send-to-prod" onclick="cancelTryOut('POSTapi-v1-ro-orders-send-to-prod');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-orders-send-to-prod" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/orders/send-to-prod</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-orders-send-to-prod" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-orders-send-to-prod" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-orders-send-to-prod" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Finish a order.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/orders-finish/veritatis" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders-finish/veritatis"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-orders-finish--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-orders-finish--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-orders-finish--order-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-orders-finish--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-orders-finish--order-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-orders-finish--order-" data-method="POST" data-path="api/v1/ro/orders-finish/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-orders-finish--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-orders-finish--order-" onclick="tryItOut('POSTapi-v1-ro-orders-finish--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-orders-finish--order-" onclick="cancelTryOut('POSTapi-v1-ro-orders-finish--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-orders-finish--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/orders-finish/{order}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-orders-finish--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-orders-finish--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="POSTapi-v1-ro-orders-finish--order-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Cancel order</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/cancel-order/minima" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"reason":"enim","appears_on_payment_document":false,"remake":false,"canceled_order_stages_updated_costs":[{"stage_id":2,"cost_per_unit":9130735}]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/cancel-order/minima"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "reason": "enim",
    "appears_on_payment_document": false,
    "remake": false,
    "canceled_order_stages_updated_costs": [
        {
            "stage_id": 2,
            "cost_per_unit": 9130735
        }
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-cancel-order--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-cancel-order--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-cancel-order--order-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-cancel-order--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-cancel-order--order-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-cancel-order--order-" data-method="PUT" data-path="api/v1/ro/cancel-order/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-cancel-order--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-cancel-order--order-" onclick="tryItOut('PUTapi-v1-ro-cancel-order--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-cancel-order--order-" onclick="cancelTryOut('PUTapi-v1-ro-cancel-order--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-cancel-order--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/cancel-order/{order}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-cancel-order--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>reason</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="reason" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>appears_on_payment_document</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-cancel-order--order-" hidden><input type="radio" name="appears_on_payment_document" value="true" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-cancel-order--order-" hidden><input type="radio" name="appears_on_payment_document" value="false" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>remake</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-cancel-order--order-" hidden><input type="radio" name="remake" value="true" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-cancel-order--order-" hidden><input type="radio" name="remake" value="false" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>canceled_order_stages_updated_costs</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>canceled_order_stages_updated_costs[].stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="canceled_order_stages_updated_costs.0.stage_id" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>canceled_order_stages_updated_costs[].cost_per_unit</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="canceled_order_stages_updated_costs.0.cost_per_unit" data-endpoint="PUTapi-v1-ro-cancel-order--order-" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>
<h2>Get overview times</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/order-overview-times" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":3,"order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-overview-times"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 3,
    "order_as_response": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-order-overview-times" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-order-overview-times"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-order-overview-times"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-order-overview-times" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-order-overview-times"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-order-overview-times" data-method="POST" data-path="api/v1/ro/order-overview-times" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-order-overview-times', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-order-overview-times" onclick="tryItOut('POSTapi-v1-ro-order-overview-times');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-order-overview-times" onclick="cancelTryOut('POSTapi-v1-ro-order-overview-times');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-order-overview-times" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/order-overview-times</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-order-overview-times" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-order-overview-times" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-order-overview-times" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-order-overview-times" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="POSTapi-v1-ro-order-overview-times" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-order-overview-times" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="POSTapi-v1-ro-order-overview-times" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Order empty special stages</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/empty-special-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":6}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/empty-special-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 6
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-ows-stages-empty-special-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-ows-stages-empty-special-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-ows-stages-empty-special-stages"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-ows-stages-empty-special-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-ows-stages-empty-special-stages"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-ows-stages-empty-special-stages" data-method="POST" data-path="api/v1/ro/ows-stages/empty-special-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-ows-stages-empty-special-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-ows-stages-empty-special-stages" onclick="tryItOut('POSTapi-v1-ro-ows-stages-empty-special-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-ows-stages-empty-special-stages" onclick="cancelTryOut('POSTapi-v1-ro-ows-stages-empty-special-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-ows-stages-empty-special-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/ows-stages/empty-special-stages</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-ows-stages-empty-special-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-ows-stages-empty-special-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-ows-stages-empty-special-stages" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Delete specific id`a of empty special stages from order</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/delete-empty-special-stages-ids" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":17,"order_as_response":false,"stages_ids":[13,12]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/delete-empty-special-stages-ids"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 17,
    "order_as_response": false,
    "stages_ids": [
        13,
        12
    ]
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-method="DELETE" data-path="api/v1/ro/ows-stages/delete-empty-special-stages-ids" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" onclick="tryItOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" onclick="cancelTryOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/ows-stages/delete-empty-special-stages-ids</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" required ><code>true</code></label>
<label data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>stages_ids</code></b>&nbsp;&nbsp;<small>integer[]</small>  &nbsp;
<input type="number" name="stages_ids.0" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" required  hidden>
<input type="number" name="stages_ids.1" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages-ids" data-component="body" hidden>
<br>

</p>

</form>
<h2>Delete specific id`a of empty special stages from order</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/delete-empty-special-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":1,"order_as_response":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-stages/delete-empty-special-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 1,
    "order_as_response": false
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-method="DELETE" data-path="api/v1/ro/ows-stages/delete-empty-special-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" onclick="tryItOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" onclick="cancelTryOut('DELETEapi-v1-ro-ows-stages-delete-empty-special-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/ows-stages/delete-empty-special-stages</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_id" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_as_response</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden><input type="radio" name="order_as_response" value="true" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" hidden><input type="radio" name="order_as_response" value="false" data-endpoint="DELETEapi-v1-ro-ows-stages-delete-empty-special-stages" data-component="body" required ><code>false</code></label>
<br>

</p>

</form><h1>Dashboard</h1>
<p>APIs for managing dashboard</p>
<h2>Orders dashboard by status</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/orders-dashboard" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders-dashboard"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-orders-dashboard" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-orders-dashboard"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-orders-dashboard"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-orders-dashboard" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-orders-dashboard"></code></pre>
</div>
<form id="form-GETapi-v1-ro-orders-dashboard" data-method="GET" data-path="api/v1/ro/orders-dashboard" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-orders-dashboard', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-orders-dashboard" onclick="tryItOut('GETapi-v1-ro-orders-dashboard');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-orders-dashboard" onclick="cancelTryOut('GETapi-v1-ro-orders-dashboard');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-orders-dashboard" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/orders-dashboard</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-orders-dashboard" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-orders-dashboard" data-component="header"></label>
</p>
</form>
<h2>Skip order work stage</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/skip-technician/magni" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/skip-technician/magni"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-skip-technician--orderWorkStage-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-skip-technician--orderWorkStage-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-skip-technician--orderWorkStage-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-skip-technician--orderWorkStage-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-skip-technician--orderWorkStage-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-skip-technician--orderWorkStage-" data-method="POST" data-path="api/v1/ro/skip-technician/{orderWorkStage}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-skip-technician--orderWorkStage-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-skip-technician--orderWorkStage-" onclick="tryItOut('POSTapi-v1-ro-skip-technician--orderWorkStage-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-skip-technician--orderWorkStage-" onclick="cancelTryOut('POSTapi-v1-ro-skip-technician--orderWorkStage-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-skip-technician--orderWorkStage-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/skip-technician/{orderWorkStage}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-skip-technician--orderWorkStage-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-skip-technician--orderWorkStage-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>orderWorkStage</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="orderWorkStage" data-endpoint="POSTapi-v1-ro-skip-technician--orderWorkStage-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Dentisti</h1>
<p>APIs for managing Dentists</p>
<h2>Dentists listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/dentists?sort=-id%2Cfirst_name%2Clast_name" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentists"
);

let params = {
    "sort": "-id,first_name,last_name",
};
Object.keys(params)
    .forEach(key =&gt; url.searchParams.append(key, params[key]));

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 266,
            "first_name": "Ștefana",
            "last_name": "Serban",
            "cnp": "1741013149442",
            "phone_fax": "0712387540",
            "email": "xenia.mihai@example.org"
        },
        {
            "id": 267,
            "first_name": "Anghel",
            "last_name": "Ionescu",
            "cnp": "3290309460456",
            "phone_fax": "0779239342",
            "email": "david21@example.net"
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-dentists" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-dentists"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-dentists"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-dentists" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-dentists"></code></pre>
</div>
<form id="form-GETapi-v1-ro-dentists" data-method="GET" data-path="api/v1/ro/dentists" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-dentists', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-dentists" onclick="tryItOut('GETapi-v1-ro-dentists');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-dentists" onclick="cancelTryOut('GETapi-v1-ro-dentists');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-dentists" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/dentists</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-dentists" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-dentists" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Query Parameters</b></h4>
<p>
<b><code>sort</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="sort" data-endpoint="GETapi-v1-ro-dentists" data-component="query"  hidden>
<br>
Field to sort by. Sorting ASC id Sorting DESC -id
</p>
<p>
<b><code>filter[collaborators.name]</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filter[collaborators.name]" data-endpoint="GETapi-v1-ro-dentists" data-component="query"  hidden>
<br>
Field to filter by collaborator id and/or name.
</p>
</form>
<h2>Store a newly created dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/dentists" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"first_name":"debitis","last_name":"et","cnp":32865.18107674,"email":"mkrajcik@example.net","phone_fax":"veniam","collaborator_id":15,"order":{}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentists"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "first_name": "debitis",
    "last_name": "et",
    "cnp": 32865.18107674,
    "email": "mkrajcik@example.net",
    "phone_fax": "veniam",
    "collaborator_id": 15,
    "order": {}
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 268,
        "first_name": "Dorel",
        "last_name": "Trifan",
        "cnp": "4221023029120",
        "phone_fax": "0352118781",
        "email": "tmihalcea@example.net"
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-dentists" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-dentists"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-dentists"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-dentists" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-dentists"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-dentists" data-method="POST" data-path="api/v1/ro/dentists" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-dentists', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-dentists" onclick="tryItOut('POSTapi-v1-ro-dentists');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-dentists" onclick="cancelTryOut('POSTapi-v1-ro-dentists');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-dentists" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/dentists</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-dentists" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-dentists" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>first_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="first_name" data-endpoint="POSTapi-v1-ro-dentists" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>last_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="last_name" data-endpoint="POSTapi-v1-ro-dentists" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cnp</code></b>&nbsp;&nbsp;<small>number</small>     <i>optional</i> &nbsp;
<input type="number" name="cnp" data-endpoint="POSTapi-v1-ro-dentists" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email" data-endpoint="POSTapi-v1-ro-dentists" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="POSTapi-v1-ro-dentists" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="collaborator_id" data-endpoint="POSTapi-v1-ro-dentists" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="order" data-endpoint="POSTapi-v1-ro-dentists" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Display a dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/dentists/aut" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentists/aut"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 269,
        "first_name": "Tiberia",
        "last_name": "Farcas",
        "cnp": "3900206145835",
        "phone_fax": "0759251725",
        "email": "mircea.petrica@example.org"
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-dentists--dentist-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-dentists--dentist-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-dentists--dentist-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-dentists--dentist-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-dentists--dentist-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-dentists--dentist-" data-method="GET" data-path="api/v1/ro/dentists/{dentist}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-dentists--dentist-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-dentists--dentist-" onclick="tryItOut('GETapi-v1-ro-dentists--dentist-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-dentists--dentist-" onclick="cancelTryOut('GETapi-v1-ro-dentists--dentist-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-dentists--dentist-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/dentists/{dentist}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-dentists--dentist-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-dentists--dentist-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>dentist</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="dentist" data-endpoint="GETapi-v1-ro-dentists--dentist-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update a dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/dentists/eligendi" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"first_name":"ut","last_name":"eligendi","cnp":35694207,"email":"peggie.halvorson@example.com","phone_fax":"reprehenderit","collaborator_id":15,"order":{}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentists/eligendi"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "first_name": "ut",
    "last_name": "eligendi",
    "cnp": 35694207,
    "email": "peggie.halvorson@example.com",
    "phone_fax": "reprehenderit",
    "collaborator_id": 15,
    "order": {}
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 270,
        "first_name": "Leonard",
        "last_name": "Preda",
        "cnp": "4050804523378",
        "phone_fax": "0319126448",
        "email": "victor50@example.net"
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-dentists--dentist-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-dentists--dentist-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-dentists--dentist-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-dentists--dentist-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-dentists--dentist-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-dentists--dentist-" data-method="PUT" data-path="api/v1/ro/dentists/{dentist}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-dentists--dentist-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-dentists--dentist-" onclick="tryItOut('PUTapi-v1-ro-dentists--dentist-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-dentists--dentist-" onclick="cancelTryOut('PUTapi-v1-ro-dentists--dentist-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-dentists--dentist-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/dentists/{dentist}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/dentists/{dentist}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-dentists--dentist-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-dentists--dentist-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>dentist</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="dentist" data-endpoint="PUTapi-v1-ro-dentists--dentist-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>first_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="first_name" data-endpoint="PUTapi-v1-ro-dentists--dentist-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>last_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="last_name" data-endpoint="PUTapi-v1-ro-dentists--dentist-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cnp</code></b>&nbsp;&nbsp;<small>number</small>     <i>optional</i> &nbsp;
<input type="number" name="cnp" data-endpoint="PUTapi-v1-ro-dentists--dentist-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email" data-endpoint="PUTapi-v1-ro-dentists--dentist-" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="PUTapi-v1-ro-dentists--dentist-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="collaborator_id" data-endpoint="PUTapi-v1-ro-dentists--dentist-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="order" data-endpoint="PUTapi-v1-ro-dentists--dentist-" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Remove a dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/dentists/qui" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentists/qui"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-dentists--dentist-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-dentists--dentist-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-dentists--dentist-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-dentists--dentist-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-dentists--dentist-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-dentists--dentist-" data-method="DELETE" data-path="api/v1/ro/dentists/{dentist}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-dentists--dentist-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-dentists--dentist-" onclick="tryItOut('DELETEapi-v1-ro-dentists--dentist-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-dentists--dentist-" onclick="cancelTryOut('DELETEapi-v1-ro-dentists--dentist-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-dentists--dentist-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/dentists/{dentist}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-dentists--dentist-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-dentists--dentist-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>dentist</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="dentist" data-endpoint="DELETEapi-v1-ro-dentists--dentist-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>DC List of collaborators of a dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/dentist-collaborators-listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"dentist_id":3}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentist-collaborators-listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "dentist_id": 3
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-dentist-collaborators-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-dentist-collaborators-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-dentist-collaborators-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-dentist-collaborators-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-dentist-collaborators-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-dentist-collaborators-listing" data-method="POST" data-path="api/v1/ro/dentist-collaborators-listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-dentist-collaborators-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-dentist-collaborators-listing" onclick="tryItOut('POSTapi-v1-ro-dentist-collaborators-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-dentist-collaborators-listing" onclick="cancelTryOut('POSTapi-v1-ro-dentist-collaborators-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-dentist-collaborators-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/dentist-collaborators-listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-dentist-collaborators-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-dentist-collaborators-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="POSTapi-v1-ro-dentist-collaborators-listing" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>DC Add  a collaborator to a dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/dentist-collaborators" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"dentist_id":13,"collaborator_id":3}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentist-collaborators"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "dentist_id": 13,
    "collaborator_id": 3
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-dentist-collaborators" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-dentist-collaborators"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-dentist-collaborators"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-dentist-collaborators" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-dentist-collaborators"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-dentist-collaborators" data-method="POST" data-path="api/v1/ro/dentist-collaborators" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-dentist-collaborators', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-dentist-collaborators" onclick="tryItOut('POSTapi-v1-ro-dentist-collaborators');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-dentist-collaborators" onclick="cancelTryOut('POSTapi-v1-ro-dentist-collaborators');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-dentist-collaborators" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/dentist-collaborators</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-dentist-collaborators" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-dentist-collaborators" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="POSTapi-v1-ro-dentist-collaborators" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="POSTapi-v1-ro-dentist-collaborators" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>DC Remove  a collaborator from a dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/dentist-collaborators" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"dentist_id":13,"collaborator_id":8}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentist-collaborators"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "dentist_id": 13,
    "collaborator_id": 8
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-dentist-collaborators" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-dentist-collaborators"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-dentist-collaborators"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-dentist-collaborators" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-dentist-collaborators"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-dentist-collaborators" data-method="DELETE" data-path="api/v1/ro/dentist-collaborators" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-dentist-collaborators', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-dentist-collaborators" onclick="tryItOut('DELETEapi-v1-ro-dentist-collaborators');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-dentist-collaborators" onclick="cancelTryOut('DELETEapi-v1-ro-dentist-collaborators');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-dentist-collaborators" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/dentist-collaborators</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-dentist-collaborators" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-dentist-collaborators" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="DELETEapi-v1-ro-dentist-collaborators" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="DELETEapi-v1-ro-dentist-collaborators" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>DP List of prices for a dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/dentist-prices-listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"dentist_id":2,"work_template_id":9}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentist-prices-listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "dentist_id": 2,
    "work_template_id": 9
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-dentist-prices-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-dentist-prices-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-dentist-prices-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-dentist-prices-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-dentist-prices-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-dentist-prices-listing" data-method="POST" data-path="api/v1/ro/dentist-prices-listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-dentist-prices-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-dentist-prices-listing" onclick="tryItOut('POSTapi-v1-ro-dentist-prices-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-dentist-prices-listing" onclick="cancelTryOut('POSTapi-v1-ro-dentist-prices-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-dentist-prices-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/dentist-prices-listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-dentist-prices-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-dentist-prices-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="POSTapi-v1-ro-dentist-prices-listing" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-dentist-prices-listing" data-component="body"  hidden>
<br>

</p>

</form>
<h2>DP Add/update  a price to a dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/dentist-prices" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"dentist_id":15,"work_template_id":10,"price":18,"locked":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentist-prices"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "dentist_id": 15,
    "work_template_id": 10,
    "price": 18,
    "locked": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-dentist-prices" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-dentist-prices"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-dentist-prices"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-dentist-prices" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-dentist-prices"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-dentist-prices" data-method="PUT" data-path="api/v1/ro/dentist-prices" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-dentist-prices', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-dentist-prices" onclick="tryItOut('PUTapi-v1-ro-dentist-prices');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-dentist-prices" onclick="cancelTryOut('PUTapi-v1-ro-dentist-prices');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-dentist-prices" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/dentist-prices</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-dentist-prices" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-dentist-prices" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="PUTapi-v1-ro-dentist-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="PUTapi-v1-ro-dentist-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>price</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="price" data-endpoint="PUTapi-v1-ro-dentist-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>locked</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-dentist-prices" hidden><input type="radio" name="locked" value="true" data-endpoint="PUTapi-v1-ro-dentist-prices" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-dentist-prices" hidden><input type="radio" name="locked" value="false" data-endpoint="PUTapi-v1-ro-dentist-prices" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>DP Delete  a price to a dentist.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/dentist-prices" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"dentist_id":3,"work_template_id":3}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/dentist-prices"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "dentist_id": 3,
    "work_template_id": 3
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-dentist-prices" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-dentist-prices"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-dentist-prices"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-dentist-prices" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-dentist-prices"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-dentist-prices" data-method="DELETE" data-path="api/v1/ro/dentist-prices" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-dentist-prices', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-dentist-prices" onclick="tryItOut('DELETEapi-v1-ro-dentist-prices');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-dentist-prices" onclick="cancelTryOut('DELETEapi-v1-ro-dentist-prices');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-dentist-prices" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/dentist-prices</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-dentist-prices" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-dentist-prices" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="dentist_id" data-endpoint="DELETEapi-v1-ro-dentist-prices" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="DELETEapi-v1-ro-dentist-prices" data-component="body" required  hidden>
<br>

</p>

</form><h1>Departamente</h1>
<p>APIs for managing departments</p>
<h2>Display a listing of departments.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/departments" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/departments"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-departments" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-departments"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-departments"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-departments" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-departments"></code></pre>
</div>
<form id="form-GETapi-v1-ro-departments" data-method="GET" data-path="api/v1/ro/departments" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-departments', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-departments" onclick="tryItOut('GETapi-v1-ro-departments');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-departments" onclick="cancelTryOut('GETapi-v1-ro-departments');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-departments" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/departments</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-departments" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-departments" data-component="header"></label>
</p>
</form>
<h2>Store a newly created department.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/departments" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"qui"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/departments"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "qui"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-departments" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-departments"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-departments"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-departments" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-departments"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-departments" data-method="POST" data-path="api/v1/ro/departments" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-departments', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-departments" onclick="tryItOut('POSTapi-v1-ro-departments');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-departments" onclick="cancelTryOut('POSTapi-v1-ro-departments');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-departments" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/departments</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-departments" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-departments" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-departments" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Show the specified department.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/departments/ut" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/departments/ut"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-departments--department-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-departments--department-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-departments--department-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-departments--department-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-departments--department-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-departments--department-" data-method="GET" data-path="api/v1/ro/departments/{department}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-departments--department-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-departments--department-" onclick="tryItOut('GETapi-v1-ro-departments--department-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-departments--department-" onclick="cancelTryOut('GETapi-v1-ro-departments--department-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-departments--department-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/departments/{department}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-departments--department-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-departments--department-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>department</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="department" data-endpoint="GETapi-v1-ro-departments--department-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update the specified department.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/departments/sunt" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"facere"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/departments/sunt"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "facere"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-departments--department-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-departments--department-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-departments--department-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-departments--department-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-departments--department-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-departments--department-" data-method="PUT" data-path="api/v1/ro/departments/{department}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-departments--department-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-departments--department-" onclick="tryItOut('PUTapi-v1-ro-departments--department-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-departments--department-" onclick="cancelTryOut('PUTapi-v1-ro-departments--department-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-departments--department-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/departments/{department}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/departments/{department}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-departments--department-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-departments--department-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>department</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="department" data-endpoint="PUTapi-v1-ro-departments--department-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-departments--department-" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Delete the specified department.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/departments/debitis" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/departments/debitis"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-departments--department-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-departments--department-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-departments--department-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-departments--department-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-departments--department-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-departments--department-" data-method="DELETE" data-path="api/v1/ro/departments/{department}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-departments--department-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-departments--department-" onclick="tryItOut('DELETEapi-v1-ro-departments--department-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-departments--department-" onclick="cancelTryOut('DELETEapi-v1-ro-departments--department-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-departments--department-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/departments/{department}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-departments--department-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-departments--department-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>department</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="department" data-endpoint="DELETEapi-v1-ro-departments--department-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Documente de plata</h1>
<p>APIs for managing work stages</p>
<h2>Add discount to payment</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/discounts/et" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"discount_type_id":"aut","name":"dicta","value":22245.269}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/discounts/et"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "discount_type_id": "aut",
    "name": "dicta",
    "value": 22245.269
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents-discounts--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents-discounts--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents-discounts--payment_document-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents-discounts--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents-discounts--payment_document-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents-discounts--payment_document-" data-method="POST" data-path="api/v1/ro/payment-documents/discounts/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents-discounts--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents-discounts--payment_document-" onclick="tryItOut('POSTapi-v1-ro-payment-documents-discounts--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents-discounts--payment_document-" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents-discounts--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents-discounts--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents/discounts/{payment_document}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents-discounts--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents-discounts--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="POSTapi-v1-ro-payment-documents-discounts--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>discount_type_id</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discount_type_id" data-endpoint="POSTapi-v1-ro-payment-documents-discounts--payment_document-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-payment-documents-discounts--payment_document-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>value</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="value" data-endpoint="POSTapi-v1-ro-payment-documents-discounts--payment_document-" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Remove discount from payment</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/discounts/doloribus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"discount_id":"perspiciatis"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/discounts/doloribus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "discount_id": "perspiciatis"
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-payment-documents-discounts--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-payment-documents-discounts--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-payment-documents-discounts--payment_document-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-payment-documents-discounts--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-payment-documents-discounts--payment_document-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-payment-documents-discounts--payment_document-" data-method="DELETE" data-path="api/v1/ro/payment-documents/discounts/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-payment-documents-discounts--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-payment-documents-discounts--payment_document-" onclick="tryItOut('DELETEapi-v1-ro-payment-documents-discounts--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-payment-documents-discounts--payment_document-" onclick="cancelTryOut('DELETEapi-v1-ro-payment-documents-discounts--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-payment-documents-discounts--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/payment-documents/discounts/{payment_document}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-payment-documents-discounts--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-payment-documents-discounts--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="DELETEapi-v1-ro-payment-documents-discounts--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>discount_id</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discount_id" data-endpoint="DELETEapi-v1-ro-payment-documents-discounts--payment_document-" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Display a listing of payment documents.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/payment-documents" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-payment-documents" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-payment-documents"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-payment-documents"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-payment-documents" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-payment-documents"></code></pre>
</div>
<form id="form-GETapi-v1-ro-payment-documents" data-method="GET" data-path="api/v1/ro/payment-documents" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-payment-documents', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-payment-documents" onclick="tryItOut('GETapi-v1-ro-payment-documents');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-payment-documents" onclick="cancelTryOut('GETapi-v1-ro-payment-documents');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-payment-documents" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/payment-documents</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-payment-documents" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-payment-documents" data-component="header"></label>
</p>
</form>
<h2>Add a new payment document.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"collaborator_id":11,"dentist_id":3,"detailed_payment":false,"lab_invoice_profile_id":"quia"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "collaborator_id": 11,
    "dentist_id": 3,
    "detailed_payment": false,
    "lab_invoice_profile_id": "quia"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents" data-method="POST" data-path="api/v1/ro/payment-documents" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents" onclick="tryItOut('POSTapi-v1-ro-payment-documents');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="collaborator_id" data-endpoint="POSTapi-v1-ro-payment-documents" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="dentist_id" data-endpoint="POSTapi-v1-ro-payment-documents" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>detailed_payment</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-payment-documents" hidden><input type="radio" name="detailed_payment" value="true" data-endpoint="POSTapi-v1-ro-payment-documents" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-payment-documents" hidden><input type="radio" name="detailed_payment" value="false" data-endpoint="POSTapi-v1-ro-payment-documents" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>lab_invoice_profile_id</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="lab_invoice_profile_id" data-endpoint="POSTapi-v1-ro-payment-documents" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Display a payment document.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/payment-documents/ut" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/ut"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-payment-documents--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-payment-documents--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-payment-documents--payment_document-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-payment-documents--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-payment-documents--payment_document-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-payment-documents--payment_document-" data-method="GET" data-path="api/v1/ro/payment-documents/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-payment-documents--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-payment-documents--payment_document-" onclick="tryItOut('GETapi-v1-ro-payment-documents--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-payment-documents--payment_document-" onclick="cancelTryOut('GETapi-v1-ro-payment-documents--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-payment-documents--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/payment-documents/{payment_document}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-payment-documents--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-payment-documents--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="GETapi-v1-ro-payment-documents--payment_document-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Remove a payment document.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<p>.</p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/ullam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/ullam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-payment-documents--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-payment-documents--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-payment-documents--payment_document-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-payment-documents--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-payment-documents--payment_document-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-payment-documents--payment_document-" data-method="DELETE" data-path="api/v1/ro/payment-documents/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-payment-documents--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-payment-documents--payment_document-" onclick="tryItOut('DELETEapi-v1-ro-payment-documents--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-payment-documents--payment_document-" onclick="cancelTryOut('DELETEapi-v1-ro-payment-documents--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-payment-documents--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/payment-documents/{payment_document}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-payment-documents--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-payment-documents--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="DELETEapi-v1-ro-payment-documents--payment_document-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Available orders for a payment document</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/available-orders/ad" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"filters":{"patient_filtering":{"patient_name":"et"},"dentist_filtering":{"dentist_name":"eius"},"date_filtering":{"start_date":{"interval_start":"12-01-2022","interval_end":"12-01-2022"},"end_date":{"interval_start":"12-01-2022","interval_end":"12-01-2022"}}}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/available-orders/ad"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "filters": {
        "patient_filtering": {
            "patient_name": "et"
        },
        "dentist_filtering": {
            "dentist_name": "eius"
        },
        "date_filtering": {
            "start_date": {
                "interval_start": "12-01-2022",
                "interval_end": "12-01-2022"
            },
            "end_date": {
                "interval_start": "12-01-2022",
                "interval_end": "12-01-2022"
            }
        }
    }
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents-available-orders--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents-available-orders--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents-available-orders--payment_document-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents-available-orders--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents-available-orders--payment_document-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents-available-orders--payment_document-" data-method="POST" data-path="api/v1/ro/payment-documents/available-orders/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents-available-orders--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents-available-orders--payment_document-" onclick="tryItOut('POSTapi-v1-ro-payment-documents-available-orders--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents-available-orders--payment_document-" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents-available-orders--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents-available-orders--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents/available-orders/{payment_document}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents-available-orders--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents-available-orders--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="POSTapi-v1-ro-payment-documents-available-orders--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<details>
<summary>
<b><code>filters</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<details>
<summary>
<b><code>filters.patient_filtering</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>filters.patient_filtering.patient_name</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.patient_filtering.patient_name" data-endpoint="POSTapi-v1-ro-payment-documents-available-orders--payment_document-" data-component="body"  hidden>
<br>

</p>
</details>
</p>

<p>
<details>
<summary>
<b><code>filters.dentist_filtering</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>filters.dentist_filtering.dentist_name</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.dentist_filtering.dentist_name" data-endpoint="POSTapi-v1-ro-payment-documents-available-orders--payment_document-" data-component="body"  hidden>
<br>

</p>
</details>
</p>

<p>
<details>
<summary>
<b><code>filters.date_filtering</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<details>
<summary>
<b><code>filters.date_filtering.start_date</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>filters.date_filtering.start_date.interval_start</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.date_filtering.start_date.interval_start" data-endpoint="POSTapi-v1-ro-payment-documents-available-orders--payment_document-" data-component="body"  hidden>
<br>
The value must be a valid date in the format d-m-Y.
</p>
<p>
<b><code>filters.date_filtering.start_date.interval_end</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.date_filtering.start_date.interval_end" data-endpoint="POSTapi-v1-ro-payment-documents-available-orders--payment_document-" data-component="body"  hidden>
<br>
The value must be a valid date in the format d-m-Y.
</p>
</details>
</p>

<p>
<details>
<summary>
<b><code>filters.date_filtering.end_date</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>filters.date_filtering.end_date.interval_start</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.date_filtering.end_date.interval_start" data-endpoint="POSTapi-v1-ro-payment-documents-available-orders--payment_document-" data-component="body"  hidden>
<br>
The value must be a valid date in the format d-m-Y.
</p>
<p>
<b><code>filters.date_filtering.end_date.interval_end</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.date_filtering.end_date.interval_end" data-endpoint="POSTapi-v1-ro-payment-documents-available-orders--payment_document-" data-component="body"  hidden>
<br>
The value must be a valid date in the format d-m-Y.
</p>
</details>
</p>

</details>
</p>

</details>
</p>

</form>
<h2>Orders detailed works</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/orders-details" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_ids":[{"order_id":8}]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/orders-details"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_ids": [
        {
            "order_id": 8
        }
    ]
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents-orders-details" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents-orders-details"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents-orders-details"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents-orders-details" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents-orders-details"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents-orders-details" data-method="POST" data-path="api/v1/ro/payment-documents/orders-details" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents-orders-details', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents-orders-details" onclick="tryItOut('POSTapi-v1-ro-payment-documents-orders-details');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents-orders-details" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents-orders-details');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents-orders-details" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents/orders-details</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents-orders-details" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents-orders-details" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<details>
<summary>
<b><code>order_ids</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>order_ids[].order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_ids.0.order_id" data-endpoint="POSTapi-v1-ro-payment-documents-orders-details" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>
<h2>Add orders to a payment document.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/add-orders/non" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_ids_to_be_added":[{"order_id":6}],"detailed_payment":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/add-orders/non"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_ids_to_be_added": [
        {
            "order_id": 6
        }
    ],
    "detailed_payment": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents-add-orders--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents-add-orders--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents-add-orders--payment_document-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents-add-orders--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents-add-orders--payment_document-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents-add-orders--payment_document-" data-method="POST" data-path="api/v1/ro/payment-documents/add-orders/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents-add-orders--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents-add-orders--payment_document-" onclick="tryItOut('POSTapi-v1-ro-payment-documents-add-orders--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents-add-orders--payment_document-" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents-add-orders--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents-add-orders--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents/add-orders/{payment_document}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents-add-orders--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents-add-orders--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="POSTapi-v1-ro-payment-documents-add-orders--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<details>
<summary>
<b><code>order_ids_to_be_added</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>order_ids_to_be_added[].order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="order_ids_to_be_added.0.order_id" data-endpoint="POSTapi-v1-ro-payment-documents-add-orders--payment_document-" data-component="body" required  hidden>
<br>

</p>
</details>
</p>
<p>
<b><code>detailed_payment</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-payment-documents-add-orders--payment_document-" hidden><input type="radio" name="detailed_payment" value="true" data-endpoint="POSTapi-v1-ro-payment-documents-add-orders--payment_document-" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-payment-documents-add-orders--payment_document-" hidden><input type="radio" name="detailed_payment" value="false" data-endpoint="POSTapi-v1-ro-payment-documents-add-orders--payment_document-" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Remove order from payment document</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/remove-orders/omnis" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id_to_be_removed":"veritatis","detailed_payment":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/remove-orders/omnis"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id_to_be_removed": "veritatis",
    "detailed_payment": false
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" data-method="DELETE" data-path="api/v1/ro/payment-documents/remove-orders/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" onclick="tryItOut('DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" onclick="cancelTryOut('DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/payment-documents/remove-orders/{payment_document}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id_to_be_removed</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order_id_to_be_removed" data-endpoint="DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>detailed_payment</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" hidden><input type="radio" name="detailed_payment" value="true" data-endpoint="DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" data-component="body" required ><code>true</code></label>
<label data-endpoint="DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" hidden><input type="radio" name="detailed_payment" value="false" data-endpoint="DELETEapi-v1-ro-payment-documents-remove-orders--payment_document-" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Lock a payment document</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/lock/sed" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"detailed_payment":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/lock/sed"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "detailed_payment": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents-lock--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents-lock--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents-lock--payment_document-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents-lock--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents-lock--payment_document-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents-lock--payment_document-" data-method="POST" data-path="api/v1/ro/payment-documents/lock/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents-lock--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents-lock--payment_document-" onclick="tryItOut('POSTapi-v1-ro-payment-documents-lock--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents-lock--payment_document-" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents-lock--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents-lock--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents/lock/{payment_document}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents-lock--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents-lock--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="POSTapi-v1-ro-payment-documents-lock--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>detailed_payment</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-payment-documents-lock--payment_document-" hidden><input type="radio" name="detailed_payment" value="true" data-endpoint="POSTapi-v1-ro-payment-documents-lock--payment_document-" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-payment-documents-lock--payment_document-" hidden><input type="radio" name="detailed_payment" value="false" data-endpoint="POSTapi-v1-ro-payment-documents-lock--payment_document-" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Mark payment document as paid</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/paid/itaque" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"detailed_payment":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/paid/itaque"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "detailed_payment": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents-paid--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents-paid--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents-paid--payment_document-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents-paid--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents-paid--payment_document-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents-paid--payment_document-" data-method="POST" data-path="api/v1/ro/payment-documents/paid/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents-paid--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents-paid--payment_document-" onclick="tryItOut('POSTapi-v1-ro-payment-documents-paid--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents-paid--payment_document-" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents-paid--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents-paid--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents/paid/{payment_document}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents-paid--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents-paid--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="POSTapi-v1-ro-payment-documents-paid--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>detailed_payment</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-payment-documents-paid--payment_document-" hidden><input type="radio" name="detailed_payment" value="true" data-endpoint="POSTapi-v1-ro-payment-documents-paid--payment_document-" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-payment-documents-paid--payment_document-" hidden><input type="radio" name="detailed_payment" value="false" data-endpoint="POSTapi-v1-ro-payment-documents-paid--payment_document-" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Add payment to payment document</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/add-payment/dolor" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"type":"cash","name":"quia","value":1129.33,"order_id":4,"date":"2022-01-12"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/add-payment/dolor"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "type": "cash",
    "name": "quia",
    "value": 1129.33,
    "order_id": 4,
    "date": "2022-01-12"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents-add-payment--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents-add-payment--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents-add-payment--payment_document-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents-add-payment--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents-add-payment--payment_document-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents-add-payment--payment_document-" data-method="POST" data-path="api/v1/ro/payment-documents/add-payment/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents-add-payment--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents-add-payment--payment_document-" onclick="tryItOut('POSTapi-v1-ro-payment-documents-add-payment--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents-add-payment--payment_document-" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents-add-payment--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents-add-payment--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents/add-payment/{payment_document}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents-add-payment--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents-add-payment--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="POSTapi-v1-ro-payment-documents-add-payment--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="type" data-endpoint="POSTapi-v1-ro-payment-documents-add-payment--payment_document-" data-component="body" required  hidden>
<br>
The value must be one of <code>cash</code> or <code>op</code>.
</p>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-payment-documents-add-payment--payment_document-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>value</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="value" data-endpoint="POSTapi-v1-ro-payment-documents-add-payment--payment_document-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="order_id" data-endpoint="POSTapi-v1-ro-payment-documents-add-payment--payment_document-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="date" data-endpoint="POSTapi-v1-ro-payment-documents-add-payment--payment_document-" data-component="body" required  hidden>
<br>
The value must be a valid date in the format Y-m-d.
</p>

</form>
<h2>Remove payment from payment document</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/remove-payment/quos" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"order_id":8,"payment_id":18}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/remove-payment/quos"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "order_id": 8,
    "payment_id": 18
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" data-method="DELETE" data-path="api/v1/ro/payment-documents/remove-payment/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" onclick="tryItOut('DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" onclick="cancelTryOut('DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/payment-documents/remove-payment/{payment_document}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>order_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="order_id" data-endpoint="DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>payment_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="payment_id" data-endpoint="DELETEapi-v1-ro-payment-documents-remove-payment--payment_document-" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Get all payments of a payment document</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/payment-documents/payments/occaecati" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/payments/occaecati"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-payment-documents-payments--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-payment-documents-payments--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-payment-documents-payments--payment_document-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-payment-documents-payments--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-payment-documents-payments--payment_document-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-payment-documents-payments--payment_document-" data-method="GET" data-path="api/v1/ro/payment-documents/payments/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-payment-documents-payments--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-payment-documents-payments--payment_document-" onclick="tryItOut('GETapi-v1-ro-payment-documents-payments--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-payment-documents-payments--payment_document-" onclick="cancelTryOut('GETapi-v1-ro-payment-documents-payments--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-payment-documents-payments--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/payment-documents/payments/{payment_document}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-payment-documents-payments--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-payment-documents-payments--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="GETapi-v1-ro-payment-documents-payments--payment_document-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Generate invoice</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/generate-invoice/minus" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"collaborator_id":"et","invoice_series_id":"et","invoice_date":"2022-01-12","invoice_services":[{"service_name":"est","amount":7,"unit_price":4927}]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/generate-invoice/minus"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "collaborator_id": "et",
    "invoice_series_id": "et",
    "invoice_date": "2022-01-12",
    "invoice_services": [
        {
            "service_name": "est",
            "amount": 7,
            "unit_price": 4927
        }
    ]
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" data-method="POST" data-path="api/v1/ro/payment-documents/generate-invoice/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" onclick="tryItOut('POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents/generate-invoice/{payment_document}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>collaborator_id</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="collaborator_id" data-endpoint="POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>invoice_series_id</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="invoice_series_id" data-endpoint="POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>invoice_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="invoice_date" data-endpoint="POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" data-component="body" required  hidden>
<br>
The value must be a valid date in the format Y-m-d.
</p>
<p>
<details>
<summary>
<b><code>invoice_services</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>invoice_services[].service_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="invoice_services.0.service_name" data-endpoint="POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>invoice_services[].amount</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="invoice_services.0.amount" data-endpoint="POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>invoice_services[].unit_price</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="invoice_services.0.unit_price" data-endpoint="POSTapi-v1-ro-payment-documents-generate-invoice--payment_document-" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>
<h2>Generate receipt</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/generate-receipt/explicabo" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"receipt_series_id":"quia","receipt_date":"2022-01-12","payment_id":"rerum"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/payment-documents/generate-receipt/explicabo"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "receipt_series_id": "quia",
    "receipt_date": "2022-01-12",
    "payment_id": "rerum"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" data-method="POST" data-path="api/v1/ro/payment-documents/generate-receipt/{payment_document}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" onclick="tryItOut('POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" onclick="cancelTryOut('POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/payment-documents/generate-receipt/{payment_document}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>payment_document</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_document" data-endpoint="POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>receipt_series_id</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="receipt_series_id" data-endpoint="POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>receipt_date</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="receipt_date" data-endpoint="POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" data-component="body" required  hidden>
<br>
The value must be a valid date in the format Y-m-d.
</p>
<p>
<b><code>payment_id</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="payment_id" data-endpoint="POSTapi-v1-ro-payment-documents-generate-receipt--payment_document-" data-component="body" required  hidden>
<br>

</p>

</form><h1>DP Tipuri reduceri</h1>
<p>APIs for managing discount type</p>
<h2>Display a listing discount types.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/discount-types" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/discount-types"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-discount-types" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-discount-types"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-discount-types"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-discount-types" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-discount-types"></code></pre>
</div>
<form id="form-GETapi-v1-ro-discount-types" data-method="GET" data-path="api/v1/ro/discount-types" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-discount-types', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-discount-types" onclick="tryItOut('GETapi-v1-ro-discount-types');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-discount-types" onclick="cancelTryOut('GETapi-v1-ro-discount-types');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-discount-types" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/discount-types</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-discount-types" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-discount-types" data-component="header"></label>
</p>
</form>
<h2>Store a newly created discount type.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/discount-types" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"reiciendis"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/discount-types"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "reiciendis"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-discount-types" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-discount-types"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-discount-types"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-discount-types" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-discount-types"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-discount-types" data-method="POST" data-path="api/v1/ro/discount-types" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-discount-types', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-discount-types" onclick="tryItOut('POSTapi-v1-ro-discount-types');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-discount-types" onclick="cancelTryOut('POSTapi-v1-ro-discount-types');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-discount-types" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/discount-types</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-discount-types" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-discount-types" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-discount-types" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Show the specified discount type.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/discount-types/numquam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/discount-types/numquam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-discount-types--discount_type-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-discount-types--discount_type-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-discount-types--discount_type-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-discount-types--discount_type-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-discount-types--discount_type-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-discount-types--discount_type-" data-method="GET" data-path="api/v1/ro/discount-types/{discount_type}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-discount-types--discount_type-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-discount-types--discount_type-" onclick="tryItOut('GETapi-v1-ro-discount-types--discount_type-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-discount-types--discount_type-" onclick="cancelTryOut('GETapi-v1-ro-discount-types--discount_type-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-discount-types--discount_type-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/discount-types/{discount_type}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-discount-types--discount_type-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-discount-types--discount_type-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>discount_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discount_type" data-endpoint="GETapi-v1-ro-discount-types--discount_type-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update the specified discount type.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/discount-types/rerum" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"et"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/discount-types/rerum"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "et"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-discount-types--discount_type-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-discount-types--discount_type-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-discount-types--discount_type-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-discount-types--discount_type-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-discount-types--discount_type-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-discount-types--discount_type-" data-method="PUT" data-path="api/v1/ro/discount-types/{discount_type}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-discount-types--discount_type-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-discount-types--discount_type-" onclick="tryItOut('PUTapi-v1-ro-discount-types--discount_type-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-discount-types--discount_type-" onclick="cancelTryOut('PUTapi-v1-ro-discount-types--discount_type-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-discount-types--discount_type-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/discount-types/{discount_type}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/discount-types/{discount_type}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-discount-types--discount_type-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-discount-types--discount_type-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>discount_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="discount_type" data-endpoint="PUTapi-v1-ro-discount-types--discount_type-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-discount-types--discount_type-" data-component="body" required  hidden>
<br>

</p>

</form><h1>Etape lucru utilizatori</h1>
<p>APIs for managing work stage users</p>
<h2>Store a newly user to a work stage.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-stage-users" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_stage_id":12,"user_id":7,"price":6.8883}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stage-users"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_stage_id": 12,
    "user_id": 7,
    "price": 6.8883
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 346,
        "work_stage_id": 1,
        "user_id": 1,
        "price": 62,
        "rank": 3,
        "user": {
            "id": 1,
            "username": "docs.superadmin",
            "first_name": "Super",
            "last_name": "Admin",
            "status": "active",
            "roles": [
                "superadmin"
            ]
        }
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-work-stage-users" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-stage-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-stage-users"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-stage-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-stage-users"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-stage-users" data-method="POST" data-path="api/v1/ro/work-stage-users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-stage-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-stage-users" onclick="tryItOut('POSTapi-v1-ro-work-stage-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-stage-users" onclick="cancelTryOut('POSTapi-v1-ro-work-stage-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-stage-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-stage-users</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-stage-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-stage-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="POSTapi-v1-ro-work-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user_id" data-endpoint="POSTapi-v1-ro-work-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>price</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="price" data-endpoint="POSTapi-v1-ro-work-stage-users" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Remove a user attached to a work stage.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/work-stage-users/19" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stage-users/19"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-work-stage-users--work_stage_user-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-work-stage-users--work_stage_user-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-work-stage-users--work_stage_user-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-work-stage-users--work_stage_user-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-work-stage-users--work_stage_user-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-work-stage-users--work_stage_user-" data-method="DELETE" data-path="api/v1/ro/work-stage-users/{work_stage_user}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-work-stage-users--work_stage_user-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-work-stage-users--work_stage_user-" onclick="tryItOut('DELETEapi-v1-ro-work-stage-users--work_stage_user-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-work-stage-users--work_stage_user-" onclick="cancelTryOut('DELETEapi-v1-ro-work-stage-users--work_stage_user-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-work-stage-users--work_stage_user-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/work-stage-users/{work_stage_user}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-work-stage-users--work_stage_user-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-work-stage-users--work_stage_user-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>work_stage_user</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_user" data-endpoint="DELETEapi-v1-ro-work-stage-users--work_stage_user-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Updates work stage users on specified work stage</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/work-stage-users" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_stage_id":16,"work_stage_users":"cum"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stage-users"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_stage_id": 16,
    "work_stage_users": "cum"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 347,
            "work_stage_id": 1,
            "user_id": 1,
            "price": 36,
            "rank": 4,
            "user": {
                "id": 1,
                "username": "docs.superadmin",
                "first_name": "Super",
                "last_name": "Admin",
                "status": "active",
                "roles": [
                    "superadmin"
                ]
            }
        },
        {
            "id": 348,
            "work_stage_id": 1,
            "user_id": 1,
            "price": 102,
            "rank": 5,
            "user": {
                "id": 1,
                "username": "docs.superadmin",
                "first_name": "Super",
                "last_name": "Admin",
                "status": "active",
                "roles": [
                    "superadmin"
                ]
            }
        }
    ]
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-work-stage-users" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-work-stage-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-work-stage-users"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-work-stage-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-work-stage-users"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-work-stage-users" data-method="PUT" data-path="api/v1/ro/work-stage-users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-work-stage-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-work-stage-users" onclick="tryItOut('PUTapi-v1-ro-work-stage-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-work-stage-users" onclick="cancelTryOut('PUTapi-v1-ro-work-stage-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-work-stage-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/work-stage-users</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-work-stage-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-work-stage-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="PUTapi-v1-ro-work-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<details>
<summary>
<b><code>work_stage_users</code></b>&nbsp;&nbsp;<small>required</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>work_stage_users[].user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_users.0.user_id" data-endpoint="PUTapi-v1-ro-work-stage-users" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>
<h2>Display all users attached to a work stage.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/work-stage-users-listing/9" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stage-users-listing/9"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 349,
            "work_stage_id": 1,
            "user_id": 1,
            "price": 4,
            "rank": 1,
            "user": {
                "id": 1,
                "username": "docs.superadmin",
                "first_name": "Super",
                "last_name": "Admin",
                "status": "active",
                "roles": [
                    "superadmin"
                ]
            }
        },
        {
            "id": 350,
            "work_stage_id": 1,
            "user_id": 1,
            "price": 26,
            "rank": 5,
            "user": {
                "id": 1,
                "username": "docs.superadmin",
                "first_name": "Super",
                "last_name": "Admin",
                "status": "active",
                "roles": [
                    "superadmin"
                ]
            }
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-work-stage-users-listing--work_stage-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-work-stage-users-listing--work_stage-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-work-stage-users-listing--work_stage-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-work-stage-users-listing--work_stage-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-work-stage-users-listing--work_stage-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-work-stage-users-listing--work_stage-" data-method="GET" data-path="api/v1/ro/work-stage-users-listing/{work_stage}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-work-stage-users-listing--work_stage-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-work-stage-users-listing--work_stage-" onclick="tryItOut('GETapi-v1-ro-work-stage-users-listing--work_stage-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-work-stage-users-listing--work_stage-" onclick="cancelTryOut('GETapi-v1-ro-work-stage-users-listing--work_stage-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-work-stage-users-listing--work_stage-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/work-stage-users-listing/{work_stage}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-work-stage-users-listing--work_stage-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-work-stage-users-listing--work_stage-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>work_stage</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage" data-endpoint="GETapi-v1-ro-work-stage-users-listing--work_stage-" data-component="url" required  hidden>
<br>
work stage id
</p>
</form><h1>Etape lucru</h1>
<p>APIs for managing work stages</p>
<h2>Work stages listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/work-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 266,
            "name": "Omnis quia quia aut saepe et.",
            "type": "special",
            "price_type": "arcada",
            "min_duration": 89,
            "cost": 4074.18,
            "remake_cost": 8967.41,
            "special_cost": 2472.04,
            "description": "Est odit qui qui sed voluptatibus. Assumenda temporibus et consequuntur. Labore provident dolorum deleniti eligendi exercitationem. Ut ut excepturi ut. Est atque et possimus quam libero.",
            "confirmation_required": true,
            "to_send": false,
            "extra_cost_applied": false,
            "multi_factor_dentition": {
                "1": true,
                "2": true,
                "3": true,
                "4": true,
                "5": true,
                "6": true,
                "7": true
            },
            "users": []
        },
        {
            "id": 267,
            "name": "Ipsum qui quia quae harum.",
            "type": "gingie",
            "price_type": "fix",
            "min_duration": 35,
            "cost": 2553.95,
            "remake_cost": 7792.46,
            "special_cost": 2965.14,
            "description": "Distinctio ex laborum repellat impedit aut. Molestias qui facilis quo a dolores. Rem dolores debitis error ut magni. Quasi fuga qui est quod ut.",
            "confirmation_required": false,
            "to_send": true,
            "extra_cost_applied": true,
            "multi_factor_dentition": {
                "1": true,
                "2": true,
                "3": true,
                "4": true,
                "5": true,
                "6": true,
                "7": true
            },
            "users": []
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-work-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-work-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-work-stages"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-work-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-work-stages"></code></pre>
</div>
<form id="form-GETapi-v1-ro-work-stages" data-method="GET" data-path="api/v1/ro/work-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-work-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-work-stages" onclick="tryItOut('GETapi-v1-ro-work-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-work-stages" onclick="cancelTryOut('GETapi-v1-ro-work-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-work-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/work-stages</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-work-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-work-stages" data-component="header"></label>
</p>
</form>
<h2>Store a newly created work stage.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"cupiditate","type":"normal","price_type":"elemente","min_duration":13,"cost":0.133219,"to_send":false,"remake_cost":76.054,"special_cost":5.062367803,"description":"laudantium","confirmation_required":false,"extra_cost_applied":false,"multi_factor_dentition":{"1":false,"2":false,"3":false,"4":false,"5":false,"6":false,"7":false}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "cupiditate",
    "type": "normal",
    "price_type": "elemente",
    "min_duration": 13,
    "cost": 0.133219,
    "to_send": false,
    "remake_cost": 76.054,
    "special_cost": 5.062367803,
    "description": "laudantium",
    "confirmation_required": false,
    "extra_cost_applied": false,
    "multi_factor_dentition": {
        "1": false,
        "2": false,
        "3": false,
        "4": false,
        "5": false,
        "6": false,
        "7": false
    }
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 268,
        "name": "Eos quo fugit error quam aut.",
        "type": "trial",
        "price_type": "fix",
        "min_duration": 83,
        "cost": 5963.22,
        "remake_cost": 1387.7,
        "special_cost": 422.2,
        "description": "Laudantium quas similique porro non. Et distinctio iusto natus adipisci. Iste rerum illo corporis quia enim.",
        "confirmation_required": true,
        "to_send": true,
        "extra_cost_applied": false,
        "multi_factor_dentition": {
            "1": true,
            "2": true,
            "3": true,
            "4": true,
            "5": true,
            "6": true,
            "7": true
        },
        "users": []
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-work-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-stages"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-stages"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-stages" data-method="POST" data-path="api/v1/ro/work-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-stages" onclick="tryItOut('POSTapi-v1-ro-work-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-stages" onclick="cancelTryOut('POSTapi-v1-ro-work-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-stages</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="type" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required  hidden>
<br>
The value must be one of <code>trial</code>, <code>normal</code>, <code>implant</code>, <code>special</code>, <code>external</code>, <code>bont</code>, <code>gingie</code>, or <code>extra</code>.
</p>
<p>
<b><code>price_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="price_type" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required  hidden>
<br>
The value must be one of <code>fix</code>, <code>elemente</code>, or <code>arcada</code>.
</p>
<p>
<b><code>min_duration</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="min_duration" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="cost" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>to_send</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="to_send" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="to_send" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>remake_cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="remake_cost" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>special_cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="special_cost" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="description" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>confirmation_required</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="confirmation_required" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="confirmation_required" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>extra_cost_applied</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="extra_cost_applied" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="extra_cost_applied" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>multi_factor_dentition</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>multi_factor_dentition.1</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.1" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.1" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.2</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.2" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.2" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.3</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.3" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.3" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.4</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.4" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.4" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.5</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.5" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.5" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.6</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.6" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.6" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.7</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.7" value="true" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-stages" hidden><input type="radio" name="multi_factor_dentition.7" value="false" data-endpoint="POSTapi-v1-ro-work-stages" data-component="body" required ><code>false</code></label>
<br>

</p>
</details>
</p>

</form>
<h2>Display a work stages.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/work-stages/7" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stages/7"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 269,
        "name": "Ipsum quo ea ducimus.",
        "type": "trial",
        "price_type": "elemente",
        "min_duration": 143,
        "cost": 8640.3,
        "remake_cost": 1491.99,
        "special_cost": 5258.95,
        "description": "Consequatur qui iste quia ea voluptatibus. Animi facere quas et. Ad sapiente eum occaecati asperiores ut non. Porro repudiandae sunt ducimus qui.",
        "confirmation_required": true,
        "to_send": true,
        "extra_cost_applied": false,
        "multi_factor_dentition": {
            "1": true,
            "2": true,
            "3": true,
            "4": true,
            "5": true,
            "6": true,
            "7": true
        },
        "users": []
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-work-stages--work_stage-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-work-stages--work_stage-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-work-stages--work_stage-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-work-stages--work_stage-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-work-stages--work_stage-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-work-stages--work_stage-" data-method="GET" data-path="api/v1/ro/work-stages/{work_stage}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-work-stages--work_stage-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-work-stages--work_stage-" onclick="tryItOut('GETapi-v1-ro-work-stages--work_stage-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-work-stages--work_stage-" onclick="cancelTryOut('GETapi-v1-ro-work-stages--work_stage-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-work-stages--work_stage-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/work-stages/{work_stage}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-work-stages--work_stage-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-work-stages--work_stage-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>work_stage</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage" data-endpoint="GETapi-v1-ro-work-stages--work_stage-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update a work stages.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/work-stages/7" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"rerum","type":"implant","price_type":"fix","min_duration":4,"cost":3471777.9896913944,"to_send":false,"remake_cost":34774328.84,"special_cost":236.08,"description":"necessitatibus","confirmation_required":false,"extra_cost_applied":false,"multi_factor_dentition":{"1":false,"2":false,"3":false,"4":false,"5":false,"6":false,"7":false}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stages/7"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "rerum",
    "type": "implant",
    "price_type": "fix",
    "min_duration": 4,
    "cost": 3471777.9896913944,
    "to_send": false,
    "remake_cost": 34774328.84,
    "special_cost": 236.08,
    "description": "necessitatibus",
    "confirmation_required": false,
    "extra_cost_applied": false,
    "multi_factor_dentition": {
        "1": false,
        "2": false,
        "3": false,
        "4": false,
        "5": false,
        "6": false,
        "7": false
    }
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 270,
        "name": "Qui tempora laborum omnis.",
        "type": "external",
        "price_type": "fix",
        "min_duration": 91,
        "cost": 8441.43,
        "remake_cost": 934.44,
        "special_cost": 8600.19,
        "description": "Praesentium voluptatem veniam architecto quo illum quia voluptatem perspiciatis. Alias dolorem et debitis veniam. Aut nemo voluptas commodi nobis.",
        "confirmation_required": false,
        "to_send": false,
        "extra_cost_applied": true,
        "multi_factor_dentition": {
            "1": true,
            "2": true,
            "3": true,
            "4": true,
            "5": true,
            "6": true,
            "7": true
        },
        "users": []
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-work-stages--work_stage-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-work-stages--work_stage-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-work-stages--work_stage-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-work-stages--work_stage-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-work-stages--work_stage-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-work-stages--work_stage-" data-method="PUT" data-path="api/v1/ro/work-stages/{work_stage}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-work-stages--work_stage-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-work-stages--work_stage-" onclick="tryItOut('PUTapi-v1-ro-work-stages--work_stage-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-work-stages--work_stage-" onclick="cancelTryOut('PUTapi-v1-ro-work-stages--work_stage-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-work-stages--work_stage-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/work-stages/{work_stage}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/work-stages/{work_stage}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-work-stages--work_stage-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>work_stage</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="type" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required  hidden>
<br>
The value must be one of <code>trial</code>, <code>normal</code>, <code>implant</code>, <code>special</code>, <code>external</code>, <code>bont</code>, <code>gingie</code>, or <code>extra</code>.
</p>
<p>
<b><code>price_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="price_type" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required  hidden>
<br>
The value must be one of <code>fix</code>, <code>elemente</code>, or <code>arcada</code>.
</p>
<p>
<b><code>min_duration</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="min_duration" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="cost" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>to_send</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="to_send" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="to_send" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>remake_cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="remake_cost" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>special_cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="special_cost" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="description" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>confirmation_required</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="confirmation_required" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="confirmation_required" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>extra_cost_applied</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="extra_cost_applied" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="extra_cost_applied" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<details>
<summary>
<b><code>multi_factor_dentition</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>multi_factor_dentition.1</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.1" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.1" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.2</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.2" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.2" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.3</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.3" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.3" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.4</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.4" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.4" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.5</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.5" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.5" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.6</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.6" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.6" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.7</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.7" value="true" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" hidden><input type="radio" name="multi_factor_dentition.7" value="false" data-endpoint="PUTapi-v1-ro-work-stages--work_stage-" data-component="body" required ><code>false</code></label>
<br>

</p>
</details>
</p>

</form>
<h2>Remove a work stages.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/work-stages/19" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stages/19"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-work-stages--work_stage-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-work-stages--work_stage-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-work-stages--work_stage-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-work-stages--work_stage-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-work-stages--work_stage-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-work-stages--work_stage-" data-method="DELETE" data-path="api/v1/ro/work-stages/{work_stage}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-work-stages--work_stage-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-work-stages--work_stage-" onclick="tryItOut('DELETEapi-v1-ro-work-stages--work_stage-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-work-stages--work_stage-" onclick="cancelTryOut('DELETEapi-v1-ro-work-stages--work_stage-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-work-stages--work_stage-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/work-stages/{work_stage}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-work-stages--work_stage-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-work-stages--work_stage-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>work_stage</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage" data-endpoint="DELETEapi-v1-ro-work-stages--work_stage-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Reset all work stages</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/work-stages-reset" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stages-reset"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-work-stages-reset" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-work-stages-reset"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-work-stages-reset"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-work-stages-reset" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-work-stages-reset"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-work-stages-reset" data-method="DELETE" data-path="api/v1/ro/work-stages-reset" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-work-stages-reset', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-work-stages-reset" onclick="tryItOut('DELETEapi-v1-ro-work-stages-reset');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-work-stages-reset" onclick="cancelTryOut('DELETEapi-v1-ro-work-stages-reset');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-work-stages-reset" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/work-stages-reset</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-work-stages-reset" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-work-stages-reset" data-component="header"></label>
</p>
</form><h1>Facturi serii</h1>
<p>APIs for managing invoice series</p>
<h2>Create invoice serie</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/invoice-series" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"series":"minus","lab_invoice_profile_id":14,"vat":3,"start_no":7,"active":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/invoice-series"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "series": "minus",
    "lab_invoice_profile_id": 14,
    "vat": 3,
    "start_no": 7,
    "active": false
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-invoice-series" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-invoice-series"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-invoice-series"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-invoice-series" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-invoice-series"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-invoice-series" data-method="POST" data-path="api/v1/ro/invoice-series" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-invoice-series', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-invoice-series" onclick="tryItOut('POSTapi-v1-ro-invoice-series');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-invoice-series" onclick="cancelTryOut('POSTapi-v1-ro-invoice-series');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-invoice-series" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/invoice-series</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-invoice-series" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-invoice-series" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="series" data-endpoint="POSTapi-v1-ro-invoice-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>lab_invoice_profile_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile_id" data-endpoint="POSTapi-v1-ro-invoice-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>vat</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="vat" data-endpoint="POSTapi-v1-ro-invoice-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>start_no</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="start_no" data-endpoint="POSTapi-v1-ro-invoice-series" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>active</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-invoice-series" hidden><input type="radio" name="active" value="true" data-endpoint="POSTapi-v1-ro-invoice-series" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-invoice-series" hidden><input type="radio" name="active" value="false" data-endpoint="POSTapi-v1-ro-invoice-series" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>Display invoice series</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/invoice-series/atque" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/invoice-series/atque"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--"></code></pre>
</div>
<form id="form-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--" data-method="GET" data-path="api/v1/ro/invoice-series/{lab_invoice_profile_id?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-invoice-series--lab_invoice_profile_id--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--" onclick="tryItOut('GETapi-v1-ro-invoice-series--lab_invoice_profile_id--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--" onclick="cancelTryOut('GETapi-v1-ro-invoice-series--lab_invoice_profile_id--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/invoice-series/{lab_invoice_profile_id?}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-invoice-series--lab_invoice_profile_id--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-invoice-series--lab_invoice_profile_id--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile_id</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="lab_invoice_profile_id" data-endpoint="GETapi-v1-ro-invoice-series--lab_invoice_profile_id--" data-component="url"  hidden>
<br>

</p>
</form>
<h2>Activate invoice serie</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/invoice-series/activate/dolore" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/invoice-series/activate/dolore"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-invoice-series-activate--invoice_series-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-invoice-series-activate--invoice_series-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-invoice-series-activate--invoice_series-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-invoice-series-activate--invoice_series-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-invoice-series-activate--invoice_series-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-invoice-series-activate--invoice_series-" data-method="POST" data-path="api/v1/ro/invoice-series/activate/{invoice_series}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-invoice-series-activate--invoice_series-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-invoice-series-activate--invoice_series-" onclick="tryItOut('POSTapi-v1-ro-invoice-series-activate--invoice_series-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-invoice-series-activate--invoice_series-" onclick="cancelTryOut('POSTapi-v1-ro-invoice-series-activate--invoice_series-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-invoice-series-activate--invoice_series-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/invoice-series/activate/{invoice_series}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-invoice-series-activate--invoice_series-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-invoice-series-activate--invoice_series-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>invoice_series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="invoice_series" data-endpoint="POSTapi-v1-ro-invoice-series-activate--invoice_series-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Facturi</h1>
<p>APIs for managing payment documents</p>
<h2>Display list of invoices</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/invoices" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/invoices"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-invoices" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-invoices"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-invoices"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-invoices" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-invoices"></code></pre>
</div>
<form id="form-GETapi-v1-ro-invoices" data-method="GET" data-path="api/v1/ro/invoices" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-invoices', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-invoices" onclick="tryItOut('GETapi-v1-ro-invoices');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-invoices" onclick="cancelTryOut('GETapi-v1-ro-invoices');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-invoices" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/invoices</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-invoices" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-invoices" data-component="header"></label>
</p>
</form>
<h2>Display the specified resource.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/invoices/dolore" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/invoices/dolore"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-invoices--invoice-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-invoices--invoice-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-invoices--invoice-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-invoices--invoice-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-invoices--invoice-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-invoices--invoice-" data-method="GET" data-path="api/v1/ro/invoices/{invoice}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-invoices--invoice-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-invoices--invoice-" onclick="tryItOut('GETapi-v1-ro-invoices--invoice-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-invoices--invoice-" onclick="cancelTryOut('GETapi-v1-ro-invoices--invoice-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-invoices--invoice-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/invoices/{invoice}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-invoices--invoice-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-invoices--invoice-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>invoice</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="invoice" data-endpoint="GETapi-v1-ro-invoices--invoice-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Generate invoice&#039;s PDF document.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/invoices/ab/generate-pdf" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/invoices/ab/generate-pdf"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-invoices--invoice--generate-pdf" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-invoices--invoice--generate-pdf"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-invoices--invoice--generate-pdf"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-invoices--invoice--generate-pdf" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-invoices--invoice--generate-pdf"></code></pre>
</div>
<form id="form-GETapi-v1-ro-invoices--invoice--generate-pdf" data-method="GET" data-path="api/v1/ro/invoices/{invoice}/generate-pdf" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-invoices--invoice--generate-pdf', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-invoices--invoice--generate-pdf" onclick="tryItOut('GETapi-v1-ro-invoices--invoice--generate-pdf');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-invoices--invoice--generate-pdf" onclick="cancelTryOut('GETapi-v1-ro-invoices--invoice--generate-pdf');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-invoices--invoice--generate-pdf" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/invoices/{invoice}/generate-pdf</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-invoices--invoice--generate-pdf" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-invoices--invoice--generate-pdf" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>invoice</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="invoice" data-endpoint="GETapi-v1-ro-invoices--invoice--generate-pdf" data-component="url" required  hidden>
<br>

</p>
</form><h1>Grafice</h1>
<p>APIs for managing charts</p>
<h2>Listing of stages per days number.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/trial-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_days":9}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/trial-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_days": 9
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-reports-trial-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-trial-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-trial-stages"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-trial-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-trial-stages"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-trial-stages" data-method="GET" data-path="api/v1/ro/reports/trial-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-trial-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-trial-stages" onclick="tryItOut('GETapi-v1-ro-reports-trial-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-trial-stages" onclick="cancelTryOut('GETapi-v1-ro-reports-trial-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-trial-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/trial-stages</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-trial-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-trial-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_days</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_days" data-endpoint="GETapi-v1-ro-reports-trial-stages" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Listing of top debtors.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/top-debtors" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_debtors":17}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/top-debtors"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_debtors": 17
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-reports-top-debtors" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-top-debtors"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-top-debtors"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-top-debtors" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-top-debtors"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-top-debtors" data-method="GET" data-path="api/v1/ro/reports/top-debtors" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-top-debtors', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-top-debtors" onclick="tryItOut('GETapi-v1-ro-reports-top-debtors');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-top-debtors" onclick="cancelTryOut('GETapi-v1-ro-reports-top-debtors');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-top-debtors" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/top-debtors</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-top-debtors" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-top-debtors" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_debtors</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_debtors" data-endpoint="GETapi-v1-ro-reports-top-debtors" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Listing of orders total per month.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/orders-chart/praesentium" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":18}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/orders-chart/praesentium"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 18
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-reports-orders-chart--collaborator--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-orders-chart--collaborator--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-orders-chart--collaborator--"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-orders-chart--collaborator--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-orders-chart--collaborator--"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-orders-chart--collaborator--" data-method="GET" data-path="api/v1/ro/reports/orders-chart/{collaborator?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-orders-chart--collaborator--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-orders-chart--collaborator--" onclick="tryItOut('GETapi-v1-ro-reports-orders-chart--collaborator--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-orders-chart--collaborator--" onclick="cancelTryOut('GETapi-v1-ro-reports-orders-chart--collaborator--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-orders-chart--collaborator--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/orders-chart/{collaborator?}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-orders-chart--collaborator--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-orders-chart--collaborator--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>collaborator</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="collaborator" data-endpoint="GETapi-v1-ro-reports-orders-chart--collaborator--" data-component="url"  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-orders-chart--collaborator--" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Ranking of collaborators per orders value.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/orders-chart-collaborators" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":7}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/orders-chart-collaborators"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 7
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-reports-orders-chart-collaborators" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-orders-chart-collaborators"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-orders-chart-collaborators"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-orders-chart-collaborators" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-orders-chart-collaborators"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-orders-chart-collaborators" data-method="GET" data-path="api/v1/ro/reports/orders-chart-collaborators" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-orders-chart-collaborators', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-orders-chart-collaborators" onclick="tryItOut('GETapi-v1-ro-reports-orders-chart-collaborators');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-orders-chart-collaborators" onclick="cancelTryOut('GETapi-v1-ro-reports-orders-chart-collaborators');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-orders-chart-collaborators" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/orders-chart-collaborators</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-orders-chart-collaborators" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-orders-chart-collaborators" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-orders-chart-collaborators" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Listing of works per days number.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/works-chart/facilis" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":13}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/works-chart/facilis"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 13
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-reports-works-chart--workTemplate--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-works-chart--workTemplate--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-works-chart--workTemplate--"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-works-chart--workTemplate--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-works-chart--workTemplate--"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-works-chart--workTemplate--" data-method="GET" data-path="api/v1/ro/reports/works-chart/{workTemplate?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-works-chart--workTemplate--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-works-chart--workTemplate--" onclick="tryItOut('GETapi-v1-ro-reports-works-chart--workTemplate--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-works-chart--workTemplate--" onclick="cancelTryOut('GETapi-v1-ro-reports-works-chart--workTemplate--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-works-chart--workTemplate--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/works-chart/{workTemplate?}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-works-chart--workTemplate--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-works-chart--workTemplate--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>workTemplate</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="workTemplate" data-endpoint="GETapi-v1-ro-reports-works-chart--workTemplate--" data-component="url"  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-works-chart--workTemplate--" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Ranking of work orders number.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/works-chart-orders" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":13}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/works-chart-orders"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 13
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-reports-works-chart-orders" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-works-chart-orders"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-works-chart-orders"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-works-chart-orders" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-works-chart-orders"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-works-chart-orders" data-method="GET" data-path="api/v1/ro/reports/works-chart-orders" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-works-chart-orders', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-works-chart-orders" onclick="tryItOut('GETapi-v1-ro-reports-works-chart-orders');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-works-chart-orders" onclick="cancelTryOut('GETapi-v1-ro-reports-works-chart-orders');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-works-chart-orders" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/works-chart-orders</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-works-chart-orders" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-works-chart-orders" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-works-chart-orders" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Ranking of technician&#039;s completed stages value.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/completed-stages/technician/voluptas" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":9}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/completed-stages/technician/voluptas"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 9
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-reports-completed-stages-technician--user-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-completed-stages-technician--user-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-completed-stages-technician--user-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-completed-stages-technician--user-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-completed-stages-technician--user-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-completed-stages-technician--user-" data-method="GET" data-path="api/v1/ro/reports/completed-stages/technician/{user}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-completed-stages-technician--user-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-completed-stages-technician--user-" onclick="tryItOut('GETapi-v1-ro-reports-completed-stages-technician--user-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-completed-stages-technician--user-" onclick="cancelTryOut('GETapi-v1-ro-reports-completed-stages-technician--user-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-completed-stages-technician--user-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/completed-stages/technician/{user}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-completed-stages-technician--user-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="user" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user-" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Listing of technician&#039;s completed stage(s) value per months number.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/completed-stages/technician/quod/stages/et" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"number_of_months":12}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/completed-stages/technician/quod/stages/et"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "number_of_months": 12
}

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-method="GET" data-path="api/v1/ro/reports/completed-stages/technician/{user}/stages/{workStage?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" onclick="tryItOut('GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" onclick="cancelTryOut('GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/completed-stages/technician/{user}/stages/{workStage?}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="user" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-component="url" required  hidden>
<br>

</p>
<p>
<b><code>workStage</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="workStage" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-component="url"  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>number_of_months</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="number_of_months" data-endpoint="GETapi-v1-ro-reports-completed-stages-technician--user--stages--workStage--" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Ranking of technician&#039;s assigned stages value.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/reports/assigned-stages/technician/aut" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/assigned-stages/technician/aut"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-reports-assigned-stages-technician--user-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-reports-assigned-stages-technician--user-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-reports-assigned-stages-technician--user-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-reports-assigned-stages-technician--user-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-reports-assigned-stages-technician--user-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-reports-assigned-stages-technician--user-" data-method="GET" data-path="api/v1/ro/reports/assigned-stages/technician/{user}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-reports-assigned-stages-technician--user-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-reports-assigned-stages-technician--user-" onclick="tryItOut('GETapi-v1-ro-reports-assigned-stages-technician--user-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-reports-assigned-stages-technician--user-" onclick="cancelTryOut('GETapi-v1-ro-reports-assigned-stages-technician--user-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-reports-assigned-stages-technician--user-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/reports/assigned-stages/technician/{user}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-reports-assigned-stages-technician--user-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-reports-assigned-stages-technician--user-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="user" data-endpoint="GETapi-v1-ro-reports-assigned-stages-technician--user-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Judete</h1>
<p>APIs for managing regions</p>
<h2>Regions listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/regions" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/regions"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 289,
            "title": "region title"
        },
        {
            "id": null,
            "title": "region title"
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-regions" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-regions"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-regions"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-regions" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-regions"></code></pre>
</div>
<form id="form-GETapi-v1-ro-regions" data-method="GET" data-path="api/v1/ro/regions" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-regions', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-regions" onclick="tryItOut('GETapi-v1-ro-regions');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-regions" onclick="cancelTryOut('GETapi-v1-ro-regions');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-regions" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/regions</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-regions" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-regions" data-component="header"></label>
</p>
</form>
<h2>Store a newly created region.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/regions" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"title":"aliquam"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/regions"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "title": "aliquam"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 291,
        "title": "region title"
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-regions" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-regions"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-regions"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-regions" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-regions"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-regions" data-method="POST" data-path="api/v1/ro/regions" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-regions', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-regions" onclick="tryItOut('POSTapi-v1-ro-regions');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-regions" onclick="cancelTryOut('POSTapi-v1-ro-regions');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-regions" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/regions</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-regions" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-regions" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>title</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="title" data-endpoint="POSTapi-v1-ro-regions" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Display a region.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/regions/11" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/regions/11"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 292,
        "title": "region title"
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-regions--region-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-regions--region-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-regions--region-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-regions--region-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-regions--region-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-regions--region-" data-method="GET" data-path="api/v1/ro/regions/{region}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-regions--region-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-regions--region-" onclick="tryItOut('GETapi-v1-ro-regions--region-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-regions--region-" onclick="cancelTryOut('GETapi-v1-ro-regions--region-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-regions--region-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/regions/{region}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-regions--region-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-regions--region-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>region</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="region" data-endpoint="GETapi-v1-ro-regions--region-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update  a region.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/regions/fugit" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"title":"dolores"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/regions/fugit"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "title": "dolores"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 293,
        "title": "region title"
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-regions--region-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-regions--region-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-regions--region-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-regions--region-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-regions--region-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-regions--region-" data-method="PUT" data-path="api/v1/ro/regions/{region}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-regions--region-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-regions--region-" onclick="tryItOut('PUTapi-v1-ro-regions--region-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-regions--region-" onclick="cancelTryOut('PUTapi-v1-ro-regions--region-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-regions--region-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/regions/{region}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/regions/{region}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-regions--region-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-regions--region-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>region</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="region" data-endpoint="PUTapi-v1-ro-regions--region-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>title</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="title" data-endpoint="PUTapi-v1-ro-regions--region-" data-component="body" required  hidden>
<br>

</p>

</form><h1>Pacienti</h1>
<p>APIs for managing patients</p>
<h2>Patients listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/patients" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/patients"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 266,
            "first_name": "Larisa",
            "last_name": "Aldea",
            "cnp": "4440524364318",
            "mobile": "0359008798",
            "phone_fax": "0312809293",
            "email": "ovaduva@example.com",
            "address": "Calea Cloșca nr. 9, bl. D, et. 17, ap. 73, Mun. Ungheni, Teleorman, CP 009166"
        },
        {
            "id": 267,
            "first_name": "Luca",
            "last_name": "Petre",
            "cnp": "6220430181583",
            "mobile": "0336509324",
            "phone_fax": "0256430381",
            "email": "fcucu@example.com",
            "address": "Calea Pădurii 265, Băicoi, Gorj, CP 596461"
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-patients" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-patients"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-patients"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-patients" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-patients"></code></pre>
</div>
<form id="form-GETapi-v1-ro-patients" data-method="GET" data-path="api/v1/ro/patients" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-patients', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-patients" onclick="tryItOut('GETapi-v1-ro-patients');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-patients" onclick="cancelTryOut('GETapi-v1-ro-patients');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-patients" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/patients</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-patients" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-patients" data-component="header"></label>
</p>
</form>
<h2>Store a newly created patient.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/patients" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"last_name":"voluptatem","first_name":"","cnp":32.783,"email":"armstrong.max@example.net","mobile":"voluptates","phone_fax":"eaque","address":"et"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/patients"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "last_name": "voluptatem",
    "first_name": "",
    "cnp": 32.783,
    "email": "armstrong.max@example.net",
    "mobile": "voluptates",
    "phone_fax": "eaque",
    "address": "et"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 268,
        "first_name": "Luminița",
        "last_name": "Dragan",
        "cnp": "4850705166261",
        "mobile": "0265107973",
        "phone_fax": "0212657475",
        "email": "ariana12@example.com",
        "address": "P-ța Salcâmilor 6B, Sighetu Marmației, Maramureț, CP 702101"
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-patients" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-patients"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-patients"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-patients" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-patients"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-patients" data-method="POST" data-path="api/v1/ro/patients" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-patients', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-patients" onclick="tryItOut('POSTapi-v1-ro-patients');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-patients" onclick="cancelTryOut('POSTapi-v1-ro-patients');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-patients" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/patients</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-patients" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-patients" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>last_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="last_name" data-endpoint="POSTapi-v1-ro-patients" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>first_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="first_name" data-endpoint="POSTapi-v1-ro-patients" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cnp</code></b>&nbsp;&nbsp;<small>number</small>     <i>optional</i> &nbsp;
<input type="number" name="cnp" data-endpoint="POSTapi-v1-ro-patients" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email" data-endpoint="POSTapi-v1-ro-patients" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>mobile</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile" data-endpoint="POSTapi-v1-ro-patients" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="POSTapi-v1-ro-patients" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="POSTapi-v1-ro-patients" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Display a patient.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/patients/pariatur" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/patients/pariatur"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 269,
        "first_name": "Aurelian",
        "last_name": "Vintila",
        "cnp": "6751220528788",
        "mobile": "0243552867",
        "phone_fax": "0211703285",
        "email": "mirona78@example.org",
        "address": "B-dul. Păcurari nr. 4\/7, bl. A, et. 68, ap. 3, Mun. Răcari, Mehedinți, CP 515903"
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-patients--patient-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-patients--patient-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-patients--patient-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-patients--patient-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-patients--patient-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-patients--patient-" data-method="GET" data-path="api/v1/ro/patients/{patient}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-patients--patient-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-patients--patient-" onclick="tryItOut('GETapi-v1-ro-patients--patient-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-patients--patient-" onclick="cancelTryOut('GETapi-v1-ro-patients--patient-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-patients--patient-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/patients/{patient}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-patients--patient-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-patients--patient-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>patient</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="patient" data-endpoint="GETapi-v1-ro-patients--patient-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update a patient.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/patients/expedita" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"last_name":"et","first_name":"","cnp":35,"email":"bcole@example.net","mobile":"et","phone_fax":"hic","address":"earum"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/patients/expedita"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "last_name": "et",
    "first_name": "",
    "cnp": 35,
    "email": "bcole@example.net",
    "mobile": "et",
    "phone_fax": "hic",
    "address": "earum"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 270,
        "first_name": "Horațiu",
        "last_name": "Patrascu",
        "cnp": "3960521271559",
        "mobile": "0341461984",
        "phone_fax": "0333610568",
        "email": "anamaria.manolache@example.org",
        "address": "B-dul. Constantin Brâncuși 5B, Mun. Târgoviște, Neamț, CP 245324"
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-patients--patient-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-patients--patient-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-patients--patient-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-patients--patient-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-patients--patient-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-patients--patient-" data-method="PUT" data-path="api/v1/ro/patients/{patient}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-patients--patient-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-patients--patient-" onclick="tryItOut('PUTapi-v1-ro-patients--patient-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-patients--patient-" onclick="cancelTryOut('PUTapi-v1-ro-patients--patient-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-patients--patient-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/patients/{patient}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/patients/{patient}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-patients--patient-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-patients--patient-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>patient</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="patient" data-endpoint="PUTapi-v1-ro-patients--patient-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>last_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="last_name" data-endpoint="PUTapi-v1-ro-patients--patient-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>first_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="first_name" data-endpoint="PUTapi-v1-ro-patients--patient-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>cnp</code></b>&nbsp;&nbsp;<small>number</small>     <i>optional</i> &nbsp;
<input type="number" name="cnp" data-endpoint="PUTapi-v1-ro-patients--patient-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email" data-endpoint="PUTapi-v1-ro-patients--patient-" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>mobile</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile" data-endpoint="PUTapi-v1-ro-patients--patient-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="PUTapi-v1-ro-patients--patient-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="PUTapi-v1-ro-patients--patient-" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Remove a patient.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/patients/voluptate" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/patients/voluptate"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-patients--patient-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-patients--patient-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-patients--patient-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-patients--patient-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-patients--patient-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-patients--patient-" data-method="DELETE" data-path="api/v1/ro/patients/{patient}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-patients--patient-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-patients--patient-" onclick="tryItOut('DELETEapi-v1-ro-patients--patient-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-patients--patient-" onclick="cancelTryOut('DELETEapi-v1-ro-patients--patient-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-patients--patient-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/patients/{patient}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-patients--patient-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-patients--patient-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>patient</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="patient" data-endpoint="DELETEapi-v1-ro-patients--patient-" data-component="url"  hidden>
<br>
numeric required
</p>
</form><h1>Profil laborator</h1>
<p>APIs for managing laboratory's profile</p>
<h2>Lab profile.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/lab-profile" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "P-ța Bega 53, Mun. Sighetu Marmației, Călărași, CP 826960",
        "region_id": 33,
        "region": "Prahova",
        "city": "Luduș",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0344083078",
        "mobile1": "0310432294",
        "mobile2": "0334278744",
        "email1": "dogaru.doru@example.org",
        "email2": "bvoinea@example.com",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-lab-profile" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-lab-profile"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-lab-profile"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-lab-profile" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-lab-profile"></code></pre>
</div>
<form id="form-GETapi-v1-ro-lab-profile" data-method="GET" data-path="api/v1/ro/lab-profile" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-lab-profile', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-lab-profile" onclick="tryItOut('GETapi-v1-ro-lab-profile');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-lab-profile" onclick="cancelTryOut('GETapi-v1-ro-lab-profile');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-lab-profile" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/lab-profile</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-lab-profile" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-lab-profile" data-component="header"></label>
</p>
</form>
<h2>Update lab profile.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"omnis","city":"quidem","region_id":19,"address":"consectetur","phone_fax":"nihil","mobile1":"soluta","mobile2":"blanditiis","email1":"rocky15@example.net","email2":"cole.janick@example.net","website":"https:\/\/yoursite.com","facebook":"https:\/\/www.facebook.com\/xxxxx | https:\/\/fb.com\/xxxx","linkedin":"https:\/\/www.linkedin.com\/in\/xxxxxxx","saturday":false,"sunday":false,"users_occupancy_threshold_busy_waiting":14,"users_occupancy_threshold_busy_working":0,"users_occupancy_threshold_full_waiting":13,"users_occupancy_threshold_full_working":4}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "omnis",
    "city": "quidem",
    "region_id": 19,
    "address": "consectetur",
    "phone_fax": "nihil",
    "mobile1": "soluta",
    "mobile2": "blanditiis",
    "email1": "rocky15@example.net",
    "email2": "cole.janick@example.net",
    "website": "https:\/\/yoursite.com",
    "facebook": "https:\/\/www.facebook.com\/xxxxx | https:\/\/fb.com\/xxxx",
    "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxxx",
    "saturday": false,
    "sunday": false,
    "users_occupancy_threshold_busy_waiting": 14,
    "users_occupancy_threshold_busy_working": 0,
    "users_occupancy_threshold_full_waiting": 13,
    "users_occupancy_threshold_full_working": 4
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "Calea Mihai Eminescu nr. 5\/4, bl. 65, et. 2, ap. 36, Cristuru Secuiesc, Buzău, CP 063471",
        "region_id": 8,
        "region": "Botoșani",
        "city": "Slănic-Moldova",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0376903581",
        "mobile1": "0715696036",
        "mobile2": "0318541763",
        "email1": "amedeu.gherman@example.net",
        "email2": "dalia90@example.org",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-lab-profile" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-lab-profile"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-lab-profile"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-lab-profile" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-lab-profile"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-lab-profile" data-method="PUT" data-path="api/v1/ro/lab-profile" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-lab-profile', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-lab-profile" onclick="tryItOut('PUTapi-v1-ro-lab-profile');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-lab-profile" onclick="cancelTryOut('PUTapi-v1-ro-lab-profile');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-lab-profile" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/lab-profile</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-lab-profile" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-lab-profile" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>city</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="city" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>region_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="region_id" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile1" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile2" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email1" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>email2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email2" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>facebook</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="facebook" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>linkedin</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="linkedin" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>saturday</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile" hidden><input type="radio" name="saturday" value="true" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile" hidden><input type="radio" name="saturday" value="false" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>sunday</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile" hidden><input type="radio" name="sunday" value="true" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile" hidden><input type="radio" name="sunday" value="false" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>users_occupancy_threshold_busy_waiting</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="users_occupancy_threshold_busy_waiting" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>users_occupancy_threshold_busy_working</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="users_occupancy_threshold_busy_working" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>
Min value 0.
</p>
<p>
<b><code>users_occupancy_threshold_full_waiting</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="users_occupancy_threshold_full_waiting" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>
Min value 0.
</p>
<p>
<b><code>users_occupancy_threshold_full_working</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="users_occupancy_threshold_full_working" data-endpoint="PUTapi-v1-ro-lab-profile" data-component="body" required  hidden>
<br>
Min value 0.
</p>

</form>
<h2>Update lab settings.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-settings" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"same_user_option":false,"show_calendar":false,"show_dashboard":false,"force_finish_order":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-settings"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "same_user_option": false,
    "show_calendar": false,
    "show_dashboard": false,
    "force_finish_order": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "B-dul. Horea 6, Mun. Teiuș, Botoșani, CP 222260",
        "region_id": 18,
        "region": "Dâmbovița",
        "city": "Mun. Cehu Silvaniei",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0773722789",
        "mobile1": "0717298848",
        "mobile2": "0254279433",
        "email1": "marin.carolina@example.com",
        "email2": "cmoise@example.com",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-lab-profile-settings" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-lab-profile-settings"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-lab-profile-settings"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-lab-profile-settings" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-lab-profile-settings"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-lab-profile-settings" data-method="PUT" data-path="api/v1/ro/lab-profile-settings" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-lab-profile-settings', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-lab-profile-settings" onclick="tryItOut('PUTapi-v1-ro-lab-profile-settings');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-lab-profile-settings" onclick="cancelTryOut('PUTapi-v1-ro-lab-profile-settings');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-lab-profile-settings" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/lab-profile-settings</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-lab-profile-settings" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>same_user_option</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="same_user_option" value="true" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="same_user_option" value="false" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>false</code></label>
<br>
to be filled!!.
</p>
<p>
<b><code>show_calendar</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="show_calendar" value="true" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="show_calendar" value="false" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>false</code></label>
<br>
to be filled!!.
</p>
<p>
<b><code>show_dashboard</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="show_dashboard" value="true" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="show_dashboard" value="false" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>false</code></label>
<br>
to be filled!!.
</p>
<p>
<b><code>force_finish_order</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="force_finish_order" value="true" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-lab-profile-settings" hidden><input type="radio" name="force_finish_order" value="false" data-endpoint="PUTapi-v1-ro-lab-profile-settings" data-component="body" required ><code>false</code></label>
<br>
to be filled!!.
</p>

</form>
<h2>Update lab logo and/or cover.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-logo-and-cover" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: multipart/form-data" \
    -H "Accept: application/json" \
    -F "logo=@C:\Users\WORK\AppData\Local\Temp\phpC300.tmp"     -F "cover=@C:\Users\WORK\AppData\Local\Temp\phpC301.tmp" </code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-logo-and-cover"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "multipart/form-data",
    "Accept": "application/json",
};

const body = new FormData();
body.append('logo', document.querySelector('input[name="logo"]').files[0]);
body.append('cover', document.querySelector('input[name="cover"]').files[0]);

fetch(url, {
    method: "POST",
    headers,
    body,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "B-dul. Brăduțului 5, Moinești, Prahova, CP 307984",
        "region_id": 12,
        "region": "Buzău",
        "city": "Mun. Azuga",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0746706663",
        "mobile1": "0706236581",
        "mobile2": "0711800091",
        "email1": "ugrigorescu@example.com",
        "email2": "olivia.fodor@example.org",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-lab-profile-logo-and-cover" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-lab-profile-logo-and-cover"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-lab-profile-logo-and-cover"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-lab-profile-logo-and-cover" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-lab-profile-logo-and-cover"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-lab-profile-logo-and-cover" data-method="POST" data-path="api/v1/ro/lab-profile-logo-and-cover" data-authed="1" data-hasfiles="2" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"multipart\/form-data","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-lab-profile-logo-and-cover', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-lab-profile-logo-and-cover" onclick="tryItOut('POSTapi-v1-ro-lab-profile-logo-and-cover');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-lab-profile-logo-and-cover" onclick="cancelTryOut('POSTapi-v1-ro-lab-profile-logo-and-cover');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-lab-profile-logo-and-cover" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/lab-profile-logo-and-cover</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-lab-profile-logo-and-cover" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-lab-profile-logo-and-cover" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>logo</code></b>&nbsp;&nbsp;<small>file</small>     <i>optional</i> &nbsp;
<input type="file" name="logo" data-endpoint="POSTapi-v1-ro-lab-profile-logo-and-cover" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>cover</code></b>&nbsp;&nbsp;<small>file</small>     <i>optional</i> &nbsp;
<input type="file" name="cover" data-endpoint="POSTapi-v1-ro-lab-profile-logo-and-cover" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Update lab profile&#039;s additional details.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-additional-details" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"payment_document_title":"tenetur","payment_document_text":"ut","technician_report_title":"doloribus","technician_report_text":"dolor","company_description":"repudiandae","currency":"EUR"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-profile-additional-details"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "payment_document_title": "tenetur",
    "payment_document_text": "ut",
    "technician_report_title": "doloribus",
    "technician_report_text": "dolor",
    "company_description": "repudiandae",
    "currency": "EUR"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-lab-profile-additional-details" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-lab-profile-additional-details"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-lab-profile-additional-details"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-lab-profile-additional-details" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-lab-profile-additional-details"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-lab-profile-additional-details" data-method="POST" data-path="api/v1/ro/lab-profile-additional-details" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-lab-profile-additional-details', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-lab-profile-additional-details" onclick="tryItOut('POSTapi-v1-ro-lab-profile-additional-details');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-lab-profile-additional-details" onclick="cancelTryOut('POSTapi-v1-ro-lab-profile-additional-details');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-lab-profile-additional-details" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/lab-profile-additional-details</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-lab-profile-additional-details" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>payment_document_title</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="payment_document_title" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>payment_document_text</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="payment_document_text" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>technician_report_title</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="technician_report_title" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>technician_report_text</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="technician_report_text" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>company_description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="company_description" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>currency</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="currency" data-endpoint="POSTapi-v1-ro-lab-profile-additional-details" data-component="body"  hidden>
<br>
The value must be one of <code>RON</code> or <code>EUR</code>.
</p>

</form><h1>Profiluri facturare</h1>
<p>APIs for managing lab invoice profiles</p>
<h2>Display a listing of  invoice profiles.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 298,
            "is_default_profile": false,
            "name": "Invoice profile xxxxxx",
            "cui": 11533915,
            "nr_reg_comertului": "JXX30215\/2011",
            "address": "B-dul. Zidarilor nr. 67, bl. A, sc. A, et. 1, ap. 70, Horezu, Dâmbovița, CP 790795",
            "region_id": 41,
            "region": "Vaslui",
            "city": "Mun. Mihăilești",
            "phone_fax": "0212329976",
            "mobile1": "0347121451",
            "mobile2": "0363202516",
            "email1": "craciun.anghel@example.net",
            "email2": "stancu05@example.com",
            "website": "https:\/\/xxxxxx.ro",
            "invoice_series": "f",
            "invoice_no": 48862,
            "receipt_series": "n",
            "receipt_no": 71694,
            "bank": "Bank Serban Ltd",
            "bank_account": "RO76PFQW5VSAW8X600W0JB55",
            "logo": null,
            "cover": null,
            "proforma_start_no": 46858,
            "proforma_series": "i"
        },
        {
            "id": 299,
            "is_default_profile": false,
            "name": "Invoice profile xxxxxx",
            "cui": 66315286,
            "nr_reg_comertului": "JXX22821\/1993",
            "address": "P-ța Făget nr. 7B, bl. 5, et. 8, ap. 16, Mun. Strehaia, Sibiu, CP 866121",
            "region_id": 2,
            "region": "Alba",
            "city": "Hârșova",
            "phone_fax": "0725034921",
            "mobile1": "0362237658",
            "mobile2": "0786698896",
            "email1": "eremia92@example.net",
            "email2": "maxim.fiodor@example.com",
            "website": "https:\/\/xxxxxx.ro",
            "invoice_series": "l",
            "invoice_no": 55432,
            "receipt_series": "r",
            "receipt_no": 84004,
            "bank": "Bank Banica PLC",
            "bank_account": "RO80OKJKO6IFSSQ2W7NW9QQC",
            "logo": null,
            "cover": null,
            "proforma_start_no": 76244,
            "proforma_series": "e"
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-lab-invoice-profiles" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-lab-invoice-profiles"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-lab-invoice-profiles"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-lab-invoice-profiles" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-lab-invoice-profiles"></code></pre>
</div>
<form id="form-GETapi-v1-ro-lab-invoice-profiles" data-method="GET" data-path="api/v1/ro/lab-invoice-profiles" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-lab-invoice-profiles', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-lab-invoice-profiles" onclick="tryItOut('GETapi-v1-ro-lab-invoice-profiles');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-lab-invoice-profiles" onclick="cancelTryOut('GETapi-v1-ro-lab-invoice-profiles');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-lab-invoice-profiles" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/lab-invoice-profiles</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-lab-invoice-profiles" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-lab-invoice-profiles" data-component="header"></label>
</p>
</form>
<h2>Store a newly created invoice profile.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"nihil","city":{},"address":"eligendi","region_id":19,"phone_fax":"dolorem","mobile1":"vero","mobile2":"sit","email1":"amanda.conn@example.net","email2":"maggio.aubrey@example.com","website":"http:\/\/www.schuster.com\/nisi-laudantium-illo-sed","cui":"ut","nr_reg_comertului":{},"proforma_start_no":13,"proforma_series":"accusamus","bank":"omnis","bank_account":"illo"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "nihil",
    "city": {},
    "address": "eligendi",
    "region_id": 19,
    "phone_fax": "dolorem",
    "mobile1": "vero",
    "mobile2": "sit",
    "email1": "amanda.conn@example.net",
    "email2": "maggio.aubrey@example.com",
    "website": "http:\/\/www.schuster.com\/nisi-laudantium-illo-sed",
    "cui": "ut",
    "nr_reg_comertului": {},
    "proforma_start_no": 13,
    "proforma_series": "accusamus",
    "bank": "omnis",
    "bank_account": "illo"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 300,
        "is_default_profile": false,
        "name": "Invoice profile xxxxxx",
        "cui": 51294419,
        "nr_reg_comertului": "JXX29765\/1984",
        "address": "Str. Louis Pasteur nr. 9A, bl. C, sc. B, et. 1, ap. 47, Mun. Ploiești, Tulcea, CP 257228",
        "region_id": 40,
        "region": "Tulcea",
        "city": "Mun. Jimbolia",
        "phone_fax": "0792137637",
        "mobile1": "0788245883",
        "mobile2": "0218902271",
        "email1": "wpetre@example.net",
        "email2": "militaru.cosmina@example.com",
        "website": "https:\/\/xxxxxx.ro",
        "invoice_series": "p",
        "invoice_no": 40255,
        "receipt_series": "d",
        "receipt_no": 87265,
        "bank": "Bank Mirea-Nica",
        "bank_account": "RO52GCLHS9840U3YZO4RV3W3",
        "logo": null,
        "cover": null,
        "proforma_start_no": 76691,
        "proforma_series": "u"
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-lab-invoice-profiles" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-lab-invoice-profiles"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-lab-invoice-profiles"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-lab-invoice-profiles" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-lab-invoice-profiles"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-lab-invoice-profiles" data-method="POST" data-path="api/v1/ro/lab-invoice-profiles" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-lab-invoice-profiles', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-lab-invoice-profiles" onclick="tryItOut('POSTapi-v1-ro-lab-invoice-profiles');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-lab-invoice-profiles" onclick="cancelTryOut('POSTapi-v1-ro-lab-invoice-profiles');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-lab-invoice-profiles" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/lab-invoice-profiles</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-lab-invoice-profiles" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>city</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="city" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>region_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="region_id" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile1" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile2" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email1" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>email2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email2" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>cui</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="cui" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>nr_reg_comertului</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="nr_reg_comertului" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>proforma_start_no</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="proforma_start_no" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>proforma_series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="proforma_series" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>bank</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>bank_account</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank_account" data-endpoint="POSTapi-v1-ro-lab-invoice-profiles" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Display a invoice profile.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/14" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/14"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 301,
        "is_default_profile": false,
        "name": "Invoice profile xxxxxx",
        "cui": 14144108,
        "nr_reg_comertului": "JXX74062\/2020",
        "address": "Calea Petrache Poenaru 0B, Mun. Petrila, Satu Mare, CP 619914",
        "region_id": 3,
        "region": "Arad",
        "city": "Mun. Odobești",
        "phone_fax": "0785155574",
        "mobile1": "0250216854",
        "mobile2": "0717903589",
        "email1": "rusu.laura@example.com",
        "email2": "marian.antim@example.net",
        "website": "https:\/\/xxxxxx.ro",
        "invoice_series": "r",
        "invoice_no": 13978,
        "receipt_series": "g",
        "receipt_no": 36249,
        "bank": "Bank Botezatu, Molnar and Ciobanu",
        "bank_account": "RO52RXDI9HBXDRBAX3EQV049",
        "logo": null,
        "cover": null,
        "proforma_start_no": 81118,
        "proforma_series": "j"
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-method="GET" data-path="api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="tryItOut('GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="cancelTryOut('GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="GETapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update a invoice profile.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/3" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"ullam","city":{},"address":"et","region_id":8,"phone_fax":"ut","mobile1":"molestiae","mobile2":"at","email1":"owuckert@example.com","email2":"sheila.rolfson@example.net","website":"http:\/\/bruen.com\/molestiae-quo-ullam-odio-voluptas-suscipit-exercitationem-nemo.html","cui":"et","nr_reg_comertului":{},"proforma_start_no":9,"proforma_series":"ut","bank":"nihil","bank_account":"mollitia"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/3"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "ullam",
    "city": {},
    "address": "et",
    "region_id": 8,
    "phone_fax": "ut",
    "mobile1": "molestiae",
    "mobile2": "at",
    "email1": "owuckert@example.com",
    "email2": "sheila.rolfson@example.net",
    "website": "http:\/\/bruen.com\/molestiae-quo-ullam-odio-voluptas-suscipit-exercitationem-nemo.html",
    "cui": "et",
    "nr_reg_comertului": {},
    "proforma_start_no": 9,
    "proforma_series": "ut",
    "bank": "nihil",
    "bank_account": "mollitia"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 302,
        "is_default_profile": false,
        "name": "Invoice profile xxxxxx",
        "cui": 76037951,
        "nr_reg_comertului": "JXX58235\/2011",
        "address": "Aleea Păcurari nr. 78, bl. C, sc. A, et. 9, ap. 8, Băile Govora, Sălaj, CP 479055",
        "region_id": 13,
        "region": "Caraș-Severin",
        "city": "Mun. Sovata",
        "phone_fax": "0780196963",
        "mobile1": "0251982675",
        "mobile2": "0277259046",
        "email1": "petcu.rica@example.org",
        "email2": "cnecula@example.org",
        "website": "https:\/\/xxxxxx.ro",
        "invoice_series": "z",
        "invoice_no": 37765,
        "receipt_series": "t",
        "receipt_no": 92945,
        "bank": "Bank Duta, Veres and Mirea",
        "bank_account": "RO94DJOD5Q3G941057L85Y84",
        "logo": null,
        "cover": null,
        "proforma_start_no": 89282,
        "proforma_series": "r"
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-method="PUT" data-path="api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="tryItOut('PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="cancelTryOut('PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>city</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="city" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>region_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="region_id" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile1" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile2" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email1</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email1" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>email2</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email2" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>cui</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="cui" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>nr_reg_comertului</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="nr_reg_comertului" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>proforma_start_no</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="proforma_start_no" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>proforma_series</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="proforma_series" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>bank</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>bank_account</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="bank_account" data-endpoint="PUTapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Remove a invoice profile.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/2" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profiles/2"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-method="DELETE" data-path="api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="tryItOut('DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" onclick="cancelTryOut('DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/lab-invoice-profiles/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="DELETEapi-v1-ro-lab-invoice-profiles--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update a lab invoice logo and/or cover.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profile-logo-and-cover/17" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: multipart/form-data" \
    -H "Accept: application/json" \
    -F "logo=@C:\Users\WORK\AppData\Local\Temp\phpC65E.tmp"     -F "cover=@C:\Users\WORK\AppData\Local\Temp\phpC65F.tmp" </code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/lab-invoice-profile-logo-and-cover/17"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "multipart/form-data",
    "Accept": "application/json",
};

const body = new FormData();
body.append('logo', document.querySelector('input[name="logo"]').files[0]);
body.append('cover', document.querySelector('input[name="cover"]').files[0]);

fetch(url, {
    method: "POST",
    headers,
    body,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 303,
        "is_default_profile": false,
        "name": "Invoice profile xxxxxx",
        "cui": 18643600,
        "nr_reg_comertului": "JXX64555\/2014",
        "address": "P-ța Cloșca 1, Mun. Vlăhița, Sibiu, CP 268029",
        "region_id": 11,
        "region": "București",
        "city": "Mun. Babadag",
        "phone_fax": "0797705278",
        "mobile1": "0730707847",
        "mobile2": "0761624309",
        "email1": "puiu.viorica@example.org",
        "email2": "silvana.costin@example.org",
        "website": "https:\/\/xxxxxx.ro",
        "invoice_series": "m",
        "invoice_no": 67357,
        "receipt_series": "q",
        "receipt_no": 84385,
        "bank": "Bank Dobrescu Inc",
        "bank_account": "RO33LILNQO7R89T7CDNPMLN6",
        "logo": null,
        "cover": null,
        "proforma_start_no": 71116,
        "proforma_series": "s"
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-method="POST" data-path="api/v1/ro/lab-invoice-profile-logo-and-cover/{lab_invoice_profile}" data-authed="1" data-hasfiles="2" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"multipart\/form-data","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" onclick="tryItOut('POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" onclick="cancelTryOut('POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/lab-invoice-profile-logo-and-cover/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>logo</code></b>&nbsp;&nbsp;<small>file</small>     <i>optional</i> &nbsp;
<input type="file" name="logo" data-endpoint="POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>cover</code></b>&nbsp;&nbsp;<small>file</small>     <i>optional</i> &nbsp;
<input type="file" name="cover" data-endpoint="POSTapi-v1-ro-lab-invoice-profile-logo-and-cover--lab_invoice_profile-" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Set as default invoice profile for lab.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/default-lab-invoice-profile/19" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/default-lab-invoice-profile/19"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "name": "Profil laborator xxxxxx",
        "address": "Calea Vlad Țepeș 7A, Mun. Avrig, București, CP 784801",
        "region_id": 10,
        "region": "Brăila",
        "city": "Mun. Huși",
        "saturday": null,
        "sunday": null,
        "phone_fax": "0754208245",
        "mobile1": "0715894381",
        "mobile2": "0274057017",
        "email1": "qadam@example.com",
        "email2": "casiana.barbulescu@example.com",
        "website": "https:\/\/xxxxxx.ro",
        "facebook": "https:\/\/www.facebook.com\/xxxxxx",
        "linkedin": "https:\/\/www.linkedin.com\/in\/xxxxxx",
        "logo": null,
        "cover": null,
        "users_occupancy_threshold_busy_working": 0,
        "users_occupancy_threshold_full_working": 0,
        "users_occupancy_threshold_busy_waiting": 0,
        "users_occupancy_threshold_full_waiting": 0,
        "same_user_option": null,
        "show_dashboard": null,
        "show_calendar": null,
        "force_finish_order": null,
        "lab_invoice_profile_id": null,
        "lab_invoice_profile": null,
        "payment_document_title": null,
        "payment_document_text": null,
        "technician_report_title": null,
        "technician_report_text": null,
        "company_description": null,
        "currency": null
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" data-method="POST" data-path="api/v1/ro/default-lab-invoice-profile/{lab_invoice_profile}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" onclick="tryItOut('POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" onclick="cancelTryOut('POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/default-lab-invoice-profile/{lab_invoice_profile}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>lab_invoice_profile</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="lab_invoice_profile" data-endpoint="POSTapi-v1-ro-default-lab-invoice-profile--lab_invoice_profile-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Rapoarte comenzi</h1>
<p>APIs for managing order additional prices</p>
<h2>Calculate current total value</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/orders-calculate-total" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"orders_ids":[{"order_id":1}]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/orders-calculate-total"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "orders_ids": [
        {
            "order_id": 1
        }
    ]
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-orders-calculate-total" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-orders-calculate-total"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-orders-calculate-total"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-orders-calculate-total" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-orders-calculate-total"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-orders-calculate-total" data-method="POST" data-path="api/v1/ro/orders-calculate-total" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-orders-calculate-total', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-orders-calculate-total" onclick="tryItOut('POSTapi-v1-ro-orders-calculate-total');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-orders-calculate-total" onclick="cancelTryOut('POSTapi-v1-ro-orders-calculate-total');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-orders-calculate-total" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/orders-calculate-total</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-orders-calculate-total" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-orders-calculate-total" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<details>
<summary>
<b><code>orders_ids</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>orders_ids[].order_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="orders_ids.0.order_id" data-endpoint="POSTapi-v1-ro-orders-calculate-total" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>
<h2>Orders report.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<aside class="notice">Invoice filters combined could give wrong data. Use only one with true</aside>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/reports/orders/dolorem" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"filters":{"order_id":1,"dentist_id":13,"date_filtering":{"start_date":{"interval_start":"12-01-2022","interval_end":"12-01-2022"},"end_date":{"interval_start":"12-01-2022","interval_end":"12-01-2022"}},"status":{"is_complete":false},"invoice":{"only_fiscal":false,"only_proforma":false,"only_no_invoice":false},"is_paid_fully":false,"zero_value_orders":false}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/orders/dolorem"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "filters": {
        "order_id": 1,
        "dentist_id": 13,
        "date_filtering": {
            "start_date": {
                "interval_start": "12-01-2022",
                "interval_end": "12-01-2022"
            },
            "end_date": {
                "interval_start": "12-01-2022",
                "interval_end": "12-01-2022"
            }
        },
        "status": {
            "is_complete": false
        },
        "invoice": {
            "only_fiscal": false,
            "only_proforma": false,
            "only_no_invoice": false
        },
        "is_paid_fully": false,
        "zero_value_orders": false
    }
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-reports-orders--collaborator-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-reports-orders--collaborator-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-reports-orders--collaborator-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-reports-orders--collaborator-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-reports-orders--collaborator-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-reports-orders--collaborator-" data-method="POST" data-path="api/v1/ro/reports/orders/{collaborator}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-reports-orders--collaborator-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-reports-orders--collaborator-" onclick="tryItOut('POSTapi-v1-ro-reports-orders--collaborator-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-reports-orders--collaborator-" onclick="cancelTryOut('POSTapi-v1-ro-reports-orders--collaborator-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-reports-orders--collaborator-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/reports/orders/{collaborator}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-reports-orders--collaborator-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>collaborator</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="collaborator" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<details>
<summary>
<b><code>filters</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>filters.order_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="filters.order_id" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>filters.dentist_id</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="filters.dentist_id" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body"  hidden>
<br>

</p>
<p>
<details>
<summary>
<b><code>filters.date_filtering</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<details>
<summary>
<b><code>filters.date_filtering.start_date</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>filters.date_filtering.start_date.interval_start</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.date_filtering.start_date.interval_start" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body"  hidden>
<br>
The value must be a valid date in the format d-m-Y.
</p>
<p>
<b><code>filters.date_filtering.start_date.interval_end</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.date_filtering.start_date.interval_end" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body"  hidden>
<br>
The value must be a valid date in the format d-m-Y.
</p>
</details>
</p>

<p>
<details>
<summary>
<b><code>filters.date_filtering.end_date</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>filters.date_filtering.end_date.interval_start</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.date_filtering.end_date.interval_start" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body"  hidden>
<br>
The value must be a valid date in the format d-m-Y.
</p>
<p>
<b><code>filters.date_filtering.end_date.interval_end</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="filters.date_filtering.end_date.interval_end" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body"  hidden>
<br>
The value must be a valid date in the format d-m-Y.
</p>
</details>
</p>

</details>
</p>

<p>
<details>
<summary>
<b><code>filters.status</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>filters.status.is_complete</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.status.is_complete" value="true" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.status.is_complete" value="false" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>false</code></label>
<br>

</p>
</details>
</p>

<p>
<details>
<summary>
<b><code>filters.invoice</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>filters.invoice.only_fiscal</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.invoice.only_fiscal" value="true" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.invoice.only_fiscal" value="false" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>filters.invoice.only_proforma</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.invoice.only_proforma" value="true" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.invoice.only_proforma" value="false" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>filters.invoice.only_no_invoice</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.invoice.only_no_invoice" value="true" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.invoice.only_no_invoice" value="false" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>false</code></label>
<br>

</p>
</details>
</p>

<p>
<b><code>filters.is_paid_fully</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.is_paid_fully" value="true" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.is_paid_fully" value="false" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>filters.zero_value_orders</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.zero_value_orders" value="true" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" hidden><input type="radio" name="filters.zero_value_orders" value="false" data-endpoint="POSTapi-v1-ro-reports-orders--collaborator-" data-component="body" ><code>false</code></label>
<br>

</p>
</details>
</p>

</form>
<h2>Send an order to invoicing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/reports/send-to-invoicing/recusandae" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/reports/send-to-invoicing/recusandae"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-reports-send-to-invoicing--order-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-reports-send-to-invoicing--order-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-reports-send-to-invoicing--order-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-reports-send-to-invoicing--order-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-reports-send-to-invoicing--order-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-reports-send-to-invoicing--order-" data-method="POST" data-path="api/v1/ro/reports/send-to-invoicing/{order}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-reports-send-to-invoicing--order-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-reports-send-to-invoicing--order-" onclick="tryItOut('POSTapi-v1-ro-reports-send-to-invoicing--order-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-reports-send-to-invoicing--order-" onclick="cancelTryOut('POSTapi-v1-ro-reports-send-to-invoicing--order-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-reports-send-to-invoicing--order-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/reports/send-to-invoicing/{order}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-reports-send-to-invoicing--order-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-reports-send-to-invoicing--order-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>order</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="order" data-endpoint="POSTapi-v1-ro-reports-send-to-invoicing--order-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Roluri</h1>
<p>APIs for managing roles</p>
<h2>Roles listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/roles" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/roles"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 253,
            "name": "role title",
            "permissions_names": [],
            "permissions": []
        },
        {
            "id": null,
            "name": "role title",
            "permissions_names": [],
            "permissions": []
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-roles" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-roles"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-roles"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-roles" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-roles"></code></pre>
</div>
<form id="form-GETapi-v1-ro-roles" data-method="GET" data-path="api/v1/ro/roles" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-roles', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-roles" onclick="tryItOut('GETapi-v1-ro-roles');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-roles" onclick="cancelTryOut('GETapi-v1-ro-roles');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-roles" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/roles</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-roles" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-roles" data-component="header"></label>
</p>
</form>
<h2>Store a newly created role.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/roles" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"repellendus"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/roles"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "repellendus"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 255,
        "name": "role title",
        "permissions_names": [],
        "permissions": []
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-roles" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-roles"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-roles"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-roles" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-roles"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-roles" data-method="POST" data-path="api/v1/ro/roles" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-roles', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-roles" onclick="tryItOut('POSTapi-v1-ro-roles');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-roles" onclick="cancelTryOut('POSTapi-v1-ro-roles');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-roles" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/roles</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-roles" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-roles" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-roles" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Display a role.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/roles/13" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/roles/13"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 256,
        "name": "role title",
        "permissions_names": [],
        "permissions": []
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-roles--role-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-roles--role-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-roles--role-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-roles--role-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-roles--role-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-roles--role-" data-method="GET" data-path="api/v1/ro/roles/{role}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-roles--role-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-roles--role-" onclick="tryItOut('GETapi-v1-ro-roles--role-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-roles--role-" onclick="cancelTryOut('GETapi-v1-ro-roles--role-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-roles--role-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/roles/{role}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-roles--role-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-roles--role-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>role</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="role" data-endpoint="GETapi-v1-ro-roles--role-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update  a role.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/roles/veniam" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"iure","permissions":["inventore","consequuntur"]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/roles/veniam"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "iure",
    "permissions": [
        "inventore",
        "consequuntur"
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 257,
        "name": "role title",
        "permissions_names": [],
        "permissions": []
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-roles--role-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-roles--role-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-roles--role-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-roles--role-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-roles--role-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-roles--role-" data-method="PUT" data-path="api/v1/ro/roles/{role}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-roles--role-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-roles--role-" onclick="tryItOut('PUTapi-v1-ro-roles--role-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-roles--role-" onclick="cancelTryOut('PUTapi-v1-ro-roles--role-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-roles--role-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/roles/{role}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/roles/{role}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-roles--role-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-roles--role-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>role</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="role" data-endpoint="PUTapi-v1-ro-roles--role-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-roles--role-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>permissions</code></b>&nbsp;&nbsp;<small>string[]</small>  &nbsp;
<input type="text" name="permissions.0" data-endpoint="PUTapi-v1-ro-roles--role-" data-component="body" required  hidden>
<input type="text" name="permissions.1" data-endpoint="PUTapi-v1-ro-roles--role-" data-component="body" hidden>
<br>

</p>

</form>
<h2>Remove  a role.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/roles/velit" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/roles/velit"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">1</code></pre>
<div id="execution-results-DELETEapi-v1-ro-roles--role-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-roles--role-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-roles--role-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-roles--role-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-roles--role-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-roles--role-" data-method="DELETE" data-path="api/v1/ro/roles/{role}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-roles--role-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-roles--role-" onclick="tryItOut('DELETEapi-v1-ro-roles--role-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-roles--role-" onclick="cancelTryOut('DELETEapi-v1-ro-roles--role-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-roles--role-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/roles/{role}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-roles--role-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-roles--role-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>role</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="role" data-endpoint="DELETEapi-v1-ro-roles--role-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Permissions names listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/permissions-list" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/permissions-list"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        "permissions1",
        "permissions2"
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-permissions-list" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-permissions-list"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-permissions-list"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-permissions-list" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-permissions-list"></code></pre>
</div>
<form id="form-GETapi-v1-ro-permissions-list" data-method="GET" data-path="api/v1/ro/permissions-list" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-permissions-list', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-permissions-list" onclick="tryItOut('GETapi-v1-ro-permissions-list');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-permissions-list" onclick="cancelTryOut('GETapi-v1-ro-permissions-list');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-permissions-list" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/permissions-list</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-permissions-list" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-permissions-list" data-component="header"></label>
</p>
</form>
<h2>Permissions detailed listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/permissions-detailed" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/permissions-detailed"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "name": "Permission name",
            "shortName": "lang_permissions.Permission short description",
            "category": "lang_permissions.Permission category",
            "subcategory": "lang_permissions.Permission subcategory",
            "short_description": "lang_permissions.Permission short description",
            "description": "lang_permissions.Permission description",
            "guard": "api"
        },
        {
            "name": "Permission name",
            "shortName": "lang_permissions.Permission short description",
            "category": "lang_permissions.Permission category",
            "subcategory": "lang_permissions.Permission subcategory",
            "short_description": "lang_permissions.Permission short description",
            "description": "lang_permissions.Permission description",
            "guard": "api"
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-permissions-detailed" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-permissions-detailed"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-permissions-detailed"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-permissions-detailed" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-permissions-detailed"></code></pre>
</div>
<form id="form-GETapi-v1-ro-permissions-detailed" data-method="GET" data-path="api/v1/ro/permissions-detailed" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-permissions-detailed', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-permissions-detailed" onclick="tryItOut('GETapi-v1-ro-permissions-detailed');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-permissions-detailed" onclick="cancelTryOut('GETapi-v1-ro-permissions-detailed');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-permissions-detailed" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/permissions-detailed</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-permissions-detailed" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-permissions-detailed" data-component="header"></label>
</p>
</form>
<h2>Permission detailed.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/permission/voluptas" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/permission/voluptas"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "name": "Permission name",
        "shortName": "lang_permissions.Permission short description",
        "category": "lang_permissions.Permission category",
        "subcategory": "lang_permissions.Permission subcategory",
        "short_description": "lang_permissions.Permission short description",
        "description": "lang_permissions.Permission description",
        "guard": "api"
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-permission--permission_name-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-permission--permission_name-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-permission--permission_name-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-permission--permission_name-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-permission--permission_name-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-permission--permission_name-" data-method="GET" data-path="api/v1/ro/permission/{permission_name}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-permission--permission_name-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-permission--permission_name-" onclick="tryItOut('GETapi-v1-ro-permission--permission_name-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-permission--permission_name-" onclick="cancelTryOut('GETapi-v1-ro-permission--permission_name-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-permission--permission_name-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/permission/{permission_name}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-permission--permission_name-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-permission--permission_name-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>permission_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="permission_name" data-endpoint="GETapi-v1-ro-permission--permission_name-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Rute tehnice</h1>
<h2>Migrating tenants</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/technical/tenants_migrate" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/technical/tenants_migrate"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "clear cache complete"
}</code></pre>
<div id="execution-results-GETapi-technical-tenants_migrate" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-technical-tenants_migrate"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-technical-tenants_migrate"></code></pre>
</div>
<div id="execution-error-GETapi-technical-tenants_migrate" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-technical-tenants_migrate"></code></pre>
</div>
<form id="form-GETapi-technical-tenants_migrate" data-method="GET" data-path="api/technical/tenants_migrate" data-authed="0" data-hasfiles="0" data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-technical-tenants_migrate', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-technical-tenants_migrate" onclick="tryItOut('GETapi-technical-tenants_migrate');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-technical-tenants_migrate" onclick="cancelTryOut('GETapi-technical-tenants_migrate');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-technical-tenants_migrate" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/technical/tenants_migrate</code></b>
</p>
</form>
<h2>Clear cache</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/technical/clear_cache" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/technical/clear_cache"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "clear cache complete"
}</code></pre>
<div id="execution-results-GETapi-technical-clear_cache" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-technical-clear_cache"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-technical-clear_cache"></code></pre>
</div>
<div id="execution-error-GETapi-technical-clear_cache" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-technical-clear_cache"></code></pre>
</div>
<form id="form-GETapi-technical-clear_cache" data-method="GET" data-path="api/technical/clear_cache" data-authed="0" data-hasfiles="0" data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-technical-clear_cache', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-technical-clear_cache" onclick="tryItOut('GETapi-technical-clear_cache');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-technical-clear_cache" onclick="cancelTryOut('GETapi-technical-clear_cache');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-technical-clear_cache" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/technical/clear_cache</code></b>
</p>
</form>
<h2>Install a tenant</h2>
<aside>You need to have the database already created , even if is empty. Will not install if there is already a tenant with
the same name.</aside>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/technical/install_tenant/magni" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/technical/install_tenant/magni"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Tenant $tenant_name created"
}</code></pre>
<div id="execution-results-GETapi-technical-install_tenant--tenant_name-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-technical-install_tenant--tenant_name-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-technical-install_tenant--tenant_name-"></code></pre>
</div>
<div id="execution-error-GETapi-technical-install_tenant--tenant_name-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-technical-install_tenant--tenant_name-"></code></pre>
</div>
<form id="form-GETapi-technical-install_tenant--tenant_name-" data-method="GET" data-path="api/technical/install_tenant/{tenant_name}" data-authed="0" data-hasfiles="0" data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-technical-install_tenant--tenant_name-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-technical-install_tenant--tenant_name-" onclick="tryItOut('GETapi-technical-install_tenant--tenant_name-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-technical-install_tenant--tenant_name-" onclick="cancelTryOut('GETapi-technical-install_tenant--tenant_name-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-technical-install_tenant--tenant_name-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/technical/install_tenant/{tenant_name}</code></b>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>tenant_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="tenant_name" data-endpoint="GETapi-technical-install_tenant--tenant_name-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Reset database fo a tenant</h2>
<aside>You need to have the tenant and the database already created.Will not work if tenant is not already present.</aside>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/technical/reset_tenant/facere" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/technical/reset_tenant/facere"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Tenant $tenant_name refreshed"
}</code></pre>
<div id="execution-results-GETapi-technical-reset_tenant--tenant_name-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-technical-reset_tenant--tenant_name-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-technical-reset_tenant--tenant_name-"></code></pre>
</div>
<div id="execution-error-GETapi-technical-reset_tenant--tenant_name-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-technical-reset_tenant--tenant_name-"></code></pre>
</div>
<form id="form-GETapi-technical-reset_tenant--tenant_name-" data-method="GET" data-path="api/technical/reset_tenant/{tenant_name}" data-authed="0" data-hasfiles="0" data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-technical-reset_tenant--tenant_name-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-technical-reset_tenant--tenant_name-" onclick="tryItOut('GETapi-technical-reset_tenant--tenant_name-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-technical-reset_tenant--tenant_name-" onclick="cancelTryOut('GETapi-technical-reset_tenant--tenant_name-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-technical-reset_tenant--tenant_name-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/technical/reset_tenant/{tenant_name}</code></b>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>tenant_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="tenant_name" data-endpoint="GETapi-technical-reset_tenant--tenant_name-" data-component="url" required  hidden>
<br>

</p>
</form><h1>Sabloane - etape</h1>
<p>APIs for managing work templates</p>
<h2>WTS Listing of work template stages</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages-listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":9}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages-listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 9
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 346,
            "name": null,
            "type": null,
            "price_type": null,
            "min_duration": null,
            "cost": null,
            "remake_cost": null,
            "special_cost": null,
            "description": null,
            "to_send": null,
            "confirmation_required": null,
            "extra_cost_applied": null,
            "multi_factor_dentition": null,
            "pivot_rank": 0,
            "pivot_day_number": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_id": 0
        },
        {
            "id": 347,
            "name": null,
            "type": null,
            "price_type": null,
            "min_duration": null,
            "cost": null,
            "remake_cost": null,
            "special_cost": null,
            "description": null,
            "to_send": null,
            "confirmation_required": null,
            "extra_cost_applied": null,
            "multi_factor_dentition": null,
            "pivot_rank": 0,
            "pivot_day_number": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_id": 0
        }
    ]
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-work-template-stages-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-template-stages-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-template-stages-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-template-stages-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-template-stages-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-template-stages-listing" data-method="POST" data-path="api/v1/ro/work-template-stages-listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-template-stages-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-template-stages-listing" onclick="tryItOut('POSTapi-v1-ro-work-template-stages-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-template-stages-listing" onclick="cancelTryOut('POSTapi-v1-ro-work-template-stages-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-template-stages-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-template-stages-listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-template-stages-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-template-stages-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-work-template-stages-listing" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>WTS creates a work template stage.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<aside> Add`s automatically work stage users to work template stage</aside>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":6,"work_stage_id":11,"rank":1}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 6,
    "work_stage_id": 11,
    "rank": 1
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 348,
        "name": null,
        "type": null,
        "price_type": null,
        "min_duration": null,
        "cost": null,
        "remake_cost": null,
        "special_cost": null,
        "description": null,
        "to_send": null,
        "confirmation_required": null,
        "extra_cost_applied": null,
        "multi_factor_dentition": null,
        "pivot_rank": 0,
        "pivot_day_number": 0,
        "pivot_work_template_id": 0,
        "pivot_work_stage_id": 0,
        "pivot_id": 0
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-work-template-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-template-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-template-stages"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-template-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-template-stages"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-template-stages" data-method="POST" data-path="api/v1/ro/work-template-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-template-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-template-stages" onclick="tryItOut('POSTapi-v1-ro-work-template-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-template-stages" onclick="cancelTryOut('POSTapi-v1-ro-work-template-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-template-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-template-stages</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-template-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-template-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="POSTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>rank</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="rank" data-endpoint="POSTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>WTS Remove a work template stage.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":7,"work_stage_id":17}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 7,
    "work_stage_id": 17
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-work-template-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-work-template-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-work-template-stages"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-work-template-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-work-template-stages"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-work-template-stages" data-method="DELETE" data-path="api/v1/ro/work-template-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-work-template-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-work-template-stages" onclick="tryItOut('DELETEapi-v1-ro-work-template-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-work-template-stages" onclick="cancelTryOut('DELETEapi-v1-ro-work-template-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-work-template-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/work-template-stages</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-work-template-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-work-template-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="DELETEapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="DELETEapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>WTS update work template stages.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":10,"work_template_stages":[{"work_stage_id":12,"rank":6}]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 10,
    "work_template_stages": [
        {
            "work_stage_id": 12,
            "rank": 6
        }
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 349,
            "name": null,
            "type": null,
            "price_type": null,
            "min_duration": null,
            "cost": null,
            "remake_cost": null,
            "special_cost": null,
            "description": null,
            "to_send": null,
            "confirmation_required": null,
            "extra_cost_applied": null,
            "multi_factor_dentition": null,
            "pivot_rank": 0,
            "pivot_day_number": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_id": 0
        },
        {
            "id": 350,
            "name": null,
            "type": null,
            "price_type": null,
            "min_duration": null,
            "cost": null,
            "remake_cost": null,
            "special_cost": null,
            "description": null,
            "to_send": null,
            "confirmation_required": null,
            "extra_cost_applied": null,
            "multi_factor_dentition": null,
            "pivot_rank": 0,
            "pivot_day_number": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_id": 0
        }
    ]
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-work-template-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-work-template-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-work-template-stages"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-work-template-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-work-template-stages"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-work-template-stages" data-method="PUT" data-path="api/v1/ro/work-template-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-work-template-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-work-template-stages" onclick="tryItOut('PUTapi-v1-ro-work-template-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-work-template-stages" onclick="cancelTryOut('PUTapi-v1-ro-work-template-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-work-template-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/work-template-stages</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-work-template-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-work-template-stages" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="PUTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<details>
<summary>
<b><code>work_template_stages</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>work_template_stages[].work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_stages.0.work_stage_id" data-endpoint="PUTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_stages[].rank</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_stages.0.rank" data-endpoint="PUTapi-v1-ro-work-template-stages" data-component="body" required  hidden>
<br>

</p>
</details>
</p>

</form>
<h2>WTS update work template stage day number.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages/update-day-number" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":10,"work_template_stage_id":9,"day_number":4}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stages/update-day-number"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 10,
    "work_template_stage_id": 9,
    "day_number": 4
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-work-template-stages-update-day-number" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-work-template-stages-update-day-number"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-work-template-stages-update-day-number"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-work-template-stages-update-day-number" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-work-template-stages-update-day-number"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-work-template-stages-update-day-number" data-method="PUT" data-path="api/v1/ro/work-template-stages/update-day-number" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-work-template-stages-update-day-number', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-work-template-stages-update-day-number" onclick="tryItOut('PUTapi-v1-ro-work-template-stages-update-day-number');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-work-template-stages-update-day-number" onclick="cancelTryOut('PUTapi-v1-ro-work-template-stages-update-day-number');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-work-template-stages-update-day-number" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/work-template-stages/update-day-number</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-work-template-stages-update-day-number" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-work-template-stages-update-day-number" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="PUTapi-v1-ro-work-template-stages-update-day-number" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_stage_id" data-endpoint="PUTapi-v1-ro-work-template-stages-update-day-number" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>day_number</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="day_number" data-endpoint="PUTapi-v1-ro-work-template-stages-update-day-number" data-component="body" required  hidden>
<br>

</p>

</form><h1>Sabloane - utilizatori etape</h1>
<p>APIs for managing work templates</p>
<h2>Listing of work template stage users</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users-listing" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":4,"work_stage_id":15}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users-listing"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 4,
    "work_stage_id": 15
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 746,
            "username": null,
            "first_name": null,
            "last_name": null,
            "status": null,
            "roles": null,
            "pivot_work_template_stage_id": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_user_id": 0,
            "pivot_price": null,
            "pivot_rank": 0
        },
        {
            "id": 747,
            "username": null,
            "first_name": null,
            "last_name": null,
            "status": null,
            "roles": null,
            "pivot_work_template_stage_id": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_user_id": 0,
            "pivot_price": null,
            "pivot_rank": 0
        }
    ]
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-work-template-stage-users-listing" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-template-stage-users-listing"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-template-stage-users-listing"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-template-stage-users-listing" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-template-stage-users-listing"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-template-stage-users-listing" data-method="POST" data-path="api/v1/ro/work-template-stage-users-listing" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-template-stage-users-listing', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-template-stage-users-listing" onclick="tryItOut('POSTapi-v1-ro-work-template-stage-users-listing');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-template-stage-users-listing" onclick="cancelTryOut('POSTapi-v1-ro-work-template-stage-users-listing');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-template-stage-users-listing" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-template-stage-users-listing</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-template-stage-users-listing" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-template-stage-users-listing" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users-listing" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users-listing" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Creates a work template stage user.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":10,"work_stage_id":7,"user_id":9,"price":3810}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 10,
    "work_stage_id": 7,
    "user_id": 9,
    "price": 3810
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 748,
        "username": null,
        "first_name": null,
        "last_name": null,
        "status": null,
        "roles": null,
        "pivot_work_template_stage_id": 0,
        "pivot_work_template_id": 0,
        "pivot_work_stage_id": 0,
        "pivot_user_id": 0,
        "pivot_price": null,
        "pivot_rank": 0
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-template-stage-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-template-stage-users" data-method="POST" data-path="api/v1/ro/work-template-stage-users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-template-stage-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-template-stage-users" onclick="tryItOut('POSTapi-v1-ro-work-template-stage-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-template-stage-users" onclick="cancelTryOut('POSTapi-v1-ro-work-template-stage-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-template-stage-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-template-stage-users</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-template-stage-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user_id" data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>price</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="price" data-endpoint="POSTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>Remove a work template stage user.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":14,"work_stage_id":8,"user_id":8}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 14,
    "work_stage_id": 8,
    "user_id": 8
}

fetch(url, {
    method: "DELETE",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-work-template-stage-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-work-template-stage-users" data-method="DELETE" data-path="api/v1/ro/work-template-stage-users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-work-template-stage-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-work-template-stage-users" onclick="tryItOut('DELETEapi-v1-ro-work-template-stage-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-work-template-stage-users" onclick="cancelTryOut('DELETEapi-v1-ro-work-template-stage-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-work-template-stage-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/work-template-stage-users</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-work-template-stage-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-work-template-stage-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="DELETEapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="DELETEapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user_id" data-endpoint="DELETEapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>

</form>
<h2>WTS update work template stages.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":9,"work_stage_id":19,"work_template_stage_users":[{"user_id":19,"price":7}]}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-template-stage-users"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 9,
    "work_stage_id": 19,
    "work_template_stage_users": [
        {
            "user_id": 19,
            "price": 7
        }
    ]
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 749,
            "username": null,
            "first_name": null,
            "last_name": null,
            "status": null,
            "roles": null,
            "pivot_work_template_stage_id": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_user_id": 0,
            "pivot_price": null,
            "pivot_rank": 0
        },
        {
            "id": 750,
            "username": null,
            "first_name": null,
            "last_name": null,
            "status": null,
            "roles": null,
            "pivot_work_template_stage_id": 0,
            "pivot_work_template_id": 0,
            "pivot_work_stage_id": 0,
            "pivot_user_id": 0,
            "pivot_price": null,
            "pivot_rank": 0
        }
    ]
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-work-template-stage-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-work-template-stage-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-work-template-stage-users"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-work-template-stage-users" data-method="PUT" data-path="api/v1/ro/work-template-stage-users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-work-template-stage-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-work-template-stage-users" onclick="tryItOut('PUTapi-v1-ro-work-template-stage-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-work-template-stage-users" onclick="cancelTryOut('PUTapi-v1-ro-work-template-stage-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-work-template-stage-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/work-template-stage-users</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-work-template-stage-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_stage_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_stage_id" data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<details>
<summary>
<b><code>work_template_stage_users</code></b>&nbsp;&nbsp;<small>object[]</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>work_template_stage_users[].user_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_stage_users.0.user_id" data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>work_template_stage_users[].price</code></b>&nbsp;&nbsp;<small>integer</small>     <i>optional</i> &nbsp;
<input type="number" name="work_template_stage_users.0.price" data-endpoint="PUTapi-v1-ro-work-template-stage-users" data-component="body"  hidden>
<br>

</p>
</details>
</p>

</form><h1>Sabloane</h1>
<p>APIs for managing work templates</p>
<h2>Work template listing.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/work-templates" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-templates"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 266,
            "name": "Veniam tempore nulla quia.",
            "min_duration": 1,
            "estimated_duration": 5,
            "cost": 3472.93,
            "extra_cost": 5118.09,
            "description": "Sint perspiciatis corrupti commodi assumenda sit. Qui aut quisquam omnis culpa minus soluta velit. Rem aut mollitia quaerat. Laboriosam nihil officia quidem optio est distinctio.",
            "type": "",
            "price_type": "elemente",
            "symbol": "aperiam",
            "multi_factor_dentition": {
                "1": true,
                "2": true,
                "3": true,
                "4": true,
                "5": true,
                "6": true,
                "7": true
            }
        },
        {
            "id": 267,
            "name": "Et ut et aut necessitatibus.",
            "min_duration": 9,
            "estimated_duration": 7,
            "cost": 3072.7,
            "extra_cost": 2362.93,
            "description": "Doloremque provident et totam deleniti eaque velit vitae. Repudiandae omnis incidunt dolores. Consectetur vel quod qui error. Earum incidunt aut similique neque.",
            "type": "",
            "price_type": "fix",
            "symbol": "pariatur",
            "multi_factor_dentition": {
                "1": true,
                "2": true,
                "3": true,
                "4": true,
                "5": true,
                "6": true,
                "7": true
            }
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-work-templates" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-work-templates"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-work-templates"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-work-templates" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-work-templates"></code></pre>
</div>
<form id="form-GETapi-v1-ro-work-templates" data-method="GET" data-path="api/v1/ro/work-templates" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-work-templates', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-work-templates" onclick="tryItOut('GETapi-v1-ro-work-templates');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-work-templates" onclick="cancelTryOut('GETapi-v1-ro-work-templates');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-work-templates" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/work-templates</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-work-templates" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-work-templates" data-component="header"></label>
</p>
</form>
<h2>WT Store a newly created work template.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-templates" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"doloremque","min_duration":6,"estimated_duration":11,"symbol":"omnis","cost":0.007775341,"extra_cost":381474940.7,"description":"quia","type":"rerum","price_type":"arcada","multi_factor_dentition":{"1":false,"2":false,"3":false,"4":false,"5":false,"6":false,"7":false}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-templates"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "doloremque",
    "min_duration": 6,
    "estimated_duration": 11,
    "symbol": "omnis",
    "cost": 0.007775341,
    "extra_cost": 381474940.7,
    "description": "quia",
    "type": "rerum",
    "price_type": "arcada",
    "multi_factor_dentition": {
        "1": false,
        "2": false,
        "3": false,
        "4": false,
        "5": false,
        "6": false,
        "7": false
    }
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 268,
        "name": "In unde quibusdam aut est.",
        "min_duration": 8,
        "estimated_duration": 9,
        "cost": 6217.78,
        "extra_cost": 5222.37,
        "description": "Facilis reiciendis eum nobis est. Veritatis accusamus recusandae vero praesentium praesentium nihil. Rem maxime tempora sed odio.",
        "type": "",
        "price_type": "elemente",
        "symbol": "nulla",
        "multi_factor_dentition": {
            "1": true,
            "2": true,
            "3": true,
            "4": true,
            "5": true,
            "6": true,
            "7": true
        }
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-work-templates" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-templates"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-templates"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-templates" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-templates"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-templates" data-method="POST" data-path="api/v1/ro/work-templates" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-templates', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-templates" onclick="tryItOut('POSTapi-v1-ro-work-templates');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-templates" onclick="cancelTryOut('POSTapi-v1-ro-work-templates');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-templates" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-templates</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-templates" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-templates" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>min_duration</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="min_duration" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>estimated_duration</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="estimated_duration" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>symbol</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="symbol" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="cost" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>extra_cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="extra_cost" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="description" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>type</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="type" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>price_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="price_type" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required  hidden>
<br>
The value must be one of <code>fix</code>, <code>elemente</code>, or <code>arcada</code>.
</p>
<p>
<details>
<summary>
<b><code>multi_factor_dentition</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>multi_factor_dentition.1</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.1" value="true" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.1" value="false" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.2</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.2" value="true" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.2" value="false" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.3</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.3" value="true" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.3" value="false" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.4</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.4" value="true" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.4" value="false" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.5</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.5" value="true" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.5" value="false" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.6</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.6" value="true" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.6" value="false" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.7</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.7" value="true" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-work-templates" hidden><input type="radio" name="multi_factor_dentition.7" value="false" data-endpoint="POSTapi-v1-ro-work-templates" data-component="body" required ><code>false</code></label>
<br>

</p>
</details>
</p>

</form>
<h2>WT  Display a work template.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/work-templates/5" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-templates/5"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 269,
        "name": "Quas id libero non dolores.",
        "min_duration": 4,
        "estimated_duration": 6,
        "cost": 2190.84,
        "extra_cost": 5269.8,
        "description": "Modi consequuntur velit omnis porro sunt quisquam. Amet non omnis repellendus. Dignissimos optio hic voluptatem velit fugit. Et quo saepe autem iusto velit sit.",
        "type": "",
        "price_type": "arcada",
        "symbol": "hic",
        "multi_factor_dentition": {
            "1": true,
            "2": true,
            "3": true,
            "4": true,
            "5": true,
            "6": true,
            "7": true
        }
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-work-templates--work_template-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-work-templates--work_template-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-work-templates--work_template-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-work-templates--work_template-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-work-templates--work_template-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-work-templates--work_template-" data-method="GET" data-path="api/v1/ro/work-templates/{work_template}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-work-templates--work_template-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-work-templates--work_template-" onclick="tryItOut('GETapi-v1-ro-work-templates--work_template-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-work-templates--work_template-" onclick="cancelTryOut('GETapi-v1-ro-work-templates--work_template-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-work-templates--work_template-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/work-templates/{work_template}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-work-templates--work_template-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-work-templates--work_template-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>work_template</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template" data-endpoint="GETapi-v1-ro-work-templates--work_template-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>WT Update a work template.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/work-templates/9" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"name":"repellendus","min_duration":9,"estimated_duration":17,"symbol":"voluptates","cost":4348392.66114,"extra_cost":41548690.18900383,"description":"officiis","type":"et","price_type":"arcada","multi_factor_dentition":{"1":false,"2":false,"3":false,"4":false,"5":false,"6":false,"7":false}}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-templates/9"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "repellendus",
    "min_duration": 9,
    "estimated_duration": 17,
    "symbol": "voluptates",
    "cost": 4348392.66114,
    "extra_cost": 41548690.18900383,
    "description": "officiis",
    "type": "et",
    "price_type": "arcada",
    "multi_factor_dentition": {
        "1": false,
        "2": false,
        "3": false,
        "4": false,
        "5": false,
        "6": false,
        "7": false
    }
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 270,
        "name": "Et saepe beatae unde magnam.",
        "min_duration": 6,
        "estimated_duration": 5,
        "cost": 9133.05,
        "extra_cost": 8634.53,
        "description": "Nesciunt officia eos sit. Beatae deleniti corrupti nam ut nulla id. Quae ipsum ipsam accusantium laborum quo doloribus dolores maxime.",
        "type": "",
        "price_type": "elemente",
        "symbol": "aliquid",
        "multi_factor_dentition": {
            "1": true,
            "2": true,
            "3": true,
            "4": true,
            "5": true,
            "6": true,
            "7": true
        }
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-work-templates--work_template-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-work-templates--work_template-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-work-templates--work_template-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-work-templates--work_template-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-work-templates--work_template-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-work-templates--work_template-" data-method="PUT" data-path="api/v1/ro/work-templates/{work_template}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-work-templates--work_template-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-work-templates--work_template-" onclick="tryItOut('PUTapi-v1-ro-work-templates--work_template-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-work-templates--work_template-" onclick="cancelTryOut('PUTapi-v1-ro-work-templates--work_template-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-work-templates--work_template-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/work-templates/{work_template}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/work-templates/{work_template}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-work-templates--work_template-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>work_template</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="name" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>min_duration</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="min_duration" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>estimated_duration</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="estimated_duration" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>symbol</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="symbol" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="cost" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>extra_cost</code></b>&nbsp;&nbsp;<small>number</small>  &nbsp;
<input type="number" name="extra_cost" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>description</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="description" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>type</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="type" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>price_type</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="price_type" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required  hidden>
<br>
The value must be one of <code>fix</code>, <code>elemente</code>, or <code>arcada</code>.
</p>
<p>
<details>
<summary>
<b><code>multi_factor_dentition</code></b>&nbsp;&nbsp;<small>object</small>     <i>optional</i> &nbsp;
<br>

</summary>
<br>
<p>
<b><code>multi_factor_dentition.1</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.1" value="true" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.1" value="false" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.2</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.2" value="true" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.2" value="false" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.3</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.3" value="true" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.3" value="false" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.4</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.4" value="true" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.4" value="false" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.5</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.5" value="true" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.5" value="false" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.6</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.6" value="true" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.6" value="false" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>false</code></label>
<br>

</p>
<p>
<b><code>multi_factor_dentition.7</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.7" value="true" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-work-templates--work_template-" hidden><input type="radio" name="multi_factor_dentition.7" value="false" data-endpoint="PUTapi-v1-ro-work-templates--work_template-" data-component="body" required ><code>false</code></label>
<br>

</p>
</details>
</p>

</form>
<h2>WT Remove a work template.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/work-templates/11" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-templates/11"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-work-templates--work_template-" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-work-templates--work_template-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-work-templates--work_template-"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-work-templates--work_template-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-work-templates--work_template-"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-work-templates--work_template-" data-method="DELETE" data-path="api/v1/ro/work-templates/{work_template}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-work-templates--work_template-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-work-templates--work_template-" onclick="tryItOut('DELETEapi-v1-ro-work-templates--work_template-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-work-templates--work_template-" onclick="cancelTryOut('DELETEapi-v1-ro-work-templates--work_template-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-work-templates--work_template-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/work-templates/{work_template}</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-work-templates--work_template-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-work-templates--work_template-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>work_template</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template" data-endpoint="DELETEapi-v1-ro-work-templates--work_template-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>WT Reset all work templates.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X DELETE \
    "https://api.dentalsystem.ro/api/v1/ro/work-templates-reset" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-templates-reset"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "DELETE",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-DELETEapi-v1-ro-work-templates-reset" hidden>
    <blockquote>Received response<span id="execution-response-status-DELETEapi-v1-ro-work-templates-reset"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-DELETEapi-v1-ro-work-templates-reset"></code></pre>
</div>
<div id="execution-error-DELETEapi-v1-ro-work-templates-reset" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-DELETEapi-v1-ro-work-templates-reset"></code></pre>
</div>
<form id="form-DELETEapi-v1-ro-work-templates-reset" data-method="DELETE" data-path="api/v1/ro/work-templates-reset" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('DELETEapi-v1-ro-work-templates-reset', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-DELETEapi-v1-ro-work-templates-reset" onclick="tryItOut('DELETEapi-v1-ro-work-templates-reset');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-DELETEapi-v1-ro-work-templates-reset" onclick="cancelTryOut('DELETEapi-v1-ro-work-templates-reset');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-DELETEapi-v1-ro-work-templates-reset" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-red">DELETE</small>
 <b><code>api/v1/ro/work-templates-reset</code></b>
</p>
<p>
<label id="auth-DELETEapi-v1-ro-work-templates-reset" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="DELETEapi-v1-ro-work-templates-reset" data-component="header"></label>
</p>
</form>
<h2>Clone a work template.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/work-templates-clone" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"work_template_id":11}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-templates-clone"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "work_template_id": 11
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-work-templates-clone" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-work-templates-clone"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-work-templates-clone"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-work-templates-clone" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-work-templates-clone"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-work-templates-clone" data-method="POST" data-path="api/v1/ro/work-templates-clone" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-work-templates-clone', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-work-templates-clone" onclick="tryItOut('POSTapi-v1-ro-work-templates-clone');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-work-templates-clone" onclick="cancelTryOut('POSTapi-v1-ro-work-templates-clone');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-work-templates-clone" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/work-templates-clone</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-work-templates-clone" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-work-templates-clone" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>work_template_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="work_template_id" data-endpoint="POSTapi-v1-ro-work-templates-clone" data-component="body" required  hidden>
<br>

</p>

</form><h1>Setari</h1>
<p>APIs for getting configurations</p>
<h2>Work stage types configuration</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<p>Possible types of work stages</p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/work-stage-types" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-stage-types"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-work-stage-types" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-work-stage-types"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-work-stage-types"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-work-stage-types" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-work-stage-types"></code></pre>
</div>
<form id="form-GETapi-v1-ro-work-stage-types" data-method="GET" data-path="api/v1/ro/work-stage-types" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-work-stage-types', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-work-stage-types" onclick="tryItOut('GETapi-v1-ro-work-stage-types');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-work-stage-types" onclick="cancelTryOut('GETapi-v1-ro-work-stage-types');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-work-stage-types" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/work-stage-types</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-work-stage-types" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-work-stage-types" data-component="header"></label>
</p>
</form>
<h2>Work stage price types configuration</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<p>Possible values of work stage prices types</p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/work-templates-price-types" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/work-templates-price-types"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-work-templates-price-types" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-work-templates-price-types"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-work-templates-price-types"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-work-templates-price-types" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-work-templates-price-types"></code></pre>
</div>
<form id="form-GETapi-v1-ro-work-templates-price-types" data-method="GET" data-path="api/v1/ro/work-templates-price-types" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-work-templates-price-types', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-work-templates-price-types" onclick="tryItOut('GETapi-v1-ro-work-templates-price-types');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-work-templates-price-types" onclick="cancelTryOut('GETapi-v1-ro-work-templates-price-types');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-work-templates-price-types" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/work-templates-price-types</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-work-templates-price-types" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-work-templates-price-types" data-component="header"></label>
</p>
</form>
<h2>User statuses configuration</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<p>Possible values of user status</p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/user-statuses" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/user-statuses"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-user-statuses" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-user-statuses"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-user-statuses"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-user-statuses" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-user-statuses"></code></pre>
</div>
<form id="form-GETapi-v1-ro-user-statuses" data-method="GET" data-path="api/v1/ro/user-statuses" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-user-statuses', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-user-statuses" onclick="tryItOut('GETapi-v1-ro-user-statuses');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-user-statuses" onclick="cancelTryOut('GETapi-v1-ro-user-statuses');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-user-statuses" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/user-statuses</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-user-statuses" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-user-statuses" data-component="header"></label>
</p>
</form>
<h2>Order statuses configuration</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<p>Possible values of order status</p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/order-statuses" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/order-statuses"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-order-statuses" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-order-statuses"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-order-statuses"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-order-statuses" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-order-statuses"></code></pre>
</div>
<form id="form-GETapi-v1-ro-order-statuses" data-method="GET" data-path="api/v1/ro/order-statuses" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-order-statuses', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-order-statuses" onclick="tryItOut('GETapi-v1-ro-order-statuses');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-order-statuses" onclick="cancelTryOut('GETapi-v1-ro-order-statuses');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-order-statuses" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/order-statuses</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-order-statuses" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-order-statuses" data-component="header"></label>
</p>
</form>
<h2>OWS possible special stages</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<p>Data of possible special stages for order work stages</p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/ows-special-stages" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/ows-special-stages"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-ows-special-stages" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-ows-special-stages"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-ows-special-stages"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-ows-special-stages" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-ows-special-stages"></code></pre>
</div>
<form id="form-GETapi-v1-ro-ows-special-stages" data-method="GET" data-path="api/v1/ro/ows-special-stages" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-ows-special-stages', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-ows-special-stages" onclick="tryItOut('GETapi-v1-ro-ows-special-stages');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-ows-special-stages" onclick="cancelTryOut('GETapi-v1-ro-ows-special-stages');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-ows-special-stages" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/ows-special-stages</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-ows-special-stages" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-ows-special-stages" data-component="header"></label>
</p>
</form><h1>Utilizatori</h1>
<p>APIs for managing users</p>
<h2>Login a user.</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/login" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"username":"itaque","password":"tempore"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/login"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "username": "itaque",
    "password": "tempore"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-login" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-login"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-login"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-login" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-login"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-login" data-method="POST" data-path="api/v1/ro/login" data-authed="0" data-hasfiles="0" data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-login', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-login" onclick="tryItOut('POSTapi-v1-ro-login');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-login" onclick="cancelTryOut('POSTapi-v1-ro-login');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-login" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/login</code></b>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>username</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="username" data-endpoint="POSTapi-v1-ro-login" data-component="body"  hidden>
<br>
required.
</p>
<p>
<b><code>password</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="password" name="password" data-endpoint="POSTapi-v1-ro-login" data-component="body"  hidden>
<br>
required.
</p>

</form>
<h2>Logout logged user token.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<p>Deletes token</p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/logout" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/logout"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-logout" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-logout"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-logout"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-logout" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-logout"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-logout" data-method="POST" data-path="api/v1/ro/logout" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-logout', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-logout" onclick="tryItOut('POSTapi-v1-ro-logout');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-logout" onclick="cancelTryOut('POSTapi-v1-ro-logout');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-logout" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/logout</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-logout" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-logout" data-component="header"></label>
</p>
</form>
<h2>Refresh token.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<p>Deletes current token for user and generate 1 new</p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/refresh" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/refresh"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro-refresh" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-refresh"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-refresh"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-refresh" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-refresh"></code></pre>
</div>
<form id="form-GETapi-v1-ro-refresh" data-method="GET" data-path="api/v1/ro/refresh" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-refresh', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-refresh" onclick="tryItOut('GETapi-v1-ro-refresh');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-refresh" onclick="cancelTryOut('GETapi-v1-ro-refresh');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-refresh" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/refresh</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-refresh" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-refresh" data-component="header"></label>
</p>
</form>
<h2>End the collaboration with the given user.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/users/tempore/end-collaboration" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"end_collaboration":false}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/users/tempore/end-collaboration"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "end_collaboration": false
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-users--user--end-collaboration" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-users--user--end-collaboration"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-users--user--end-collaboration"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-users--user--end-collaboration" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-users--user--end-collaboration"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-users--user--end-collaboration" data-method="PUT" data-path="api/v1/ro/users/{user}/end-collaboration" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-users--user--end-collaboration', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-users--user--end-collaboration" onclick="tryItOut('PUTapi-v1-ro-users--user--end-collaboration');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-users--user--end-collaboration" onclick="cancelTryOut('PUTapi-v1-ro-users--user--end-collaboration');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-users--user--end-collaboration" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/users/{user}/end-collaboration</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-users--user--end-collaboration" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-users--user--end-collaboration" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="user" data-endpoint="PUTapi-v1-ro-users--user--end-collaboration" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>end_collaboration</code></b>&nbsp;&nbsp;<small>boolean</small>  &nbsp;
<label data-endpoint="PUTapi-v1-ro-users--user--end-collaboration" hidden><input type="radio" name="end_collaboration" value="true" data-endpoint="PUTapi-v1-ro-users--user--end-collaboration" data-component="body" required ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-users--user--end-collaboration" hidden><input type="radio" name="end_collaboration" value="false" data-endpoint="PUTapi-v1-ro-users--user--end-collaboration" data-component="body" required ><code>false</code></label>
<br>

</p>

</form>
<h2>All possible users on specific client</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<p>This endpoint allows you to see all possible users on specific client</p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/users?sort=-id%2Cfirst_name%2Clast_name" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/users"
);

let params = {
    "sort": "-id,first_name,last_name",
};
Object.keys(params)
    .forEach(key =&gt; url.searchParams.append(key, params[key]));

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": [
        {
            "id": 352,
            "username": "ene.aurica",
            "username_identifier": null,
            "username_suffix": "aurica",
            "first_name": "Dinu",
            "last_name": "Tataru",
            "department": null,
            "mobile": "0742971515",
            "phone_fax": "0374599281",
            "email": "alin66@example.org",
            "website": "http:\/\/toader.info\/repudiandae-vero-omnis-optio.html",
            "address": "Splaiul Memorandumului 0A, Scornicești, Argeș, CP 428782",
            "status": "vacation",
            "profile_pic": null,
            "use_profile_pic": false,
            "roles_ids": [],
            "roles": [],
            "permissions": []
        },
        {
            "id": 353,
            "username": "oancea.horia",
            "username_identifier": null,
            "username_suffix": "horia",
            "first_name": "Georgeta",
            "last_name": "Cristescu",
            "department": null,
            "mobile": "0736797059",
            "phone_fax": "0759848248",
            "email": "rica.alexe@example.net",
            "website": "http:\/\/ionescu.com\/velit-molestiae-dignissimos-eos-provident-vitae-ipsa",
            "address": "P-ța Sinaia nr. 7A, bl. C, sc. A, et. 67, ap. 7, Mun. Sighișoara, Galați, CP 525452",
            "status": "active",
            "profile_pic": null,
            "use_profile_pic": false,
            "roles_ids": [],
            "roles": [],
            "permissions": []
        }
    ]
}</code></pre>
<div id="execution-results-GETapi-v1-ro-users" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-users"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-users"></code></pre>
</div>
<form id="form-GETapi-v1-ro-users" data-method="GET" data-path="api/v1/ro/users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-users" onclick="tryItOut('GETapi-v1-ro-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-users" onclick="cancelTryOut('GETapi-v1-ro-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/users</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Query Parameters</b></h4>
<p>
<b><code>sort</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="sort" data-endpoint="GETapi-v1-ro-users" data-component="query"  hidden>
<br>
Field to sort by. Sorting ASC id Sorting DESC -id
</p>
</form>
<h2>Store a newly created user.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/users" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"username_suffix":"quia","first_name":"ex","last_name":"blanditiis","department_id":17,"phone_fax":"ut","mobile":"vel","email":"nova.metz@example.com","website":"http:\/\/www.blanda.info\/","address":"et","status":"vacation","use_profile_pic":false,"roles_ids":[15,19],"password":"sint","password_confirmation":"sit"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/users"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "username_suffix": "quia",
    "first_name": "ex",
    "last_name": "blanditiis",
    "department_id": 17,
    "phone_fax": "ut",
    "mobile": "vel",
    "email": "nova.metz@example.com",
    "website": "http:\/\/www.blanda.info\/",
    "address": "et",
    "status": "vacation",
    "use_profile_pic": false,
    "roles_ids": [
        15,
        19
    ],
    "password": "sint",
    "password_confirmation": "sit"
}

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 354,
        "username": "mchirita",
        "username_identifier": null,
        "username_suffix": null,
        "first_name": "Gicu",
        "last_name": "Grigoras",
        "department": null,
        "mobile": "0340228904",
        "phone_fax": "0747131982",
        "email": "costache99@example.com",
        "website": "https:\/\/www.ichim.com\/ducimus-nemo-mollitia-magni-deleniti-quis-doloribus-omnis",
        "address": "Calea Cireșilor nr. 0A, bl. 8, et. 08, ap. 80, Mun. Rădăuți, Harghita, CP 300060",
        "status": "vacation",
        "profile_pic": null,
        "use_profile_pic": true,
        "roles_ids": [],
        "roles": [],
        "permissions": []
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-users" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-users"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-users"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-users" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-users"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-users" data-method="POST" data-path="api/v1/ro/users" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-users', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-users" onclick="tryItOut('POSTapi-v1-ro-users');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-users" onclick="cancelTryOut('POSTapi-v1-ro-users');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-users" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/users</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-users" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-users" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>username_suffix</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="username_suffix" data-endpoint="POSTapi-v1-ro-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>first_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="first_name" data-endpoint="POSTapi-v1-ro-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>last_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="last_name" data-endpoint="POSTapi-v1-ro-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>department_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="department_id" data-endpoint="POSTapi-v1-ro-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="POSTapi-v1-ro-users" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile" data-endpoint="POSTapi-v1-ro-users" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email" data-endpoint="POSTapi-v1-ro-users" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="POSTapi-v1-ro-users" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="POSTapi-v1-ro-users" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>status</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="status" data-endpoint="POSTapi-v1-ro-users" data-component="body" required  hidden>
<br>
The value must be one of <code>active</code> or <code>vacation</code>.
</p>
<p>
<b><code>use_profile_pic</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="POSTapi-v1-ro-users" hidden><input type="radio" name="use_profile_pic" value="true" data-endpoint="POSTapi-v1-ro-users" data-component="body" ><code>true</code></label>
<label data-endpoint="POSTapi-v1-ro-users" hidden><input type="radio" name="use_profile_pic" value="false" data-endpoint="POSTapi-v1-ro-users" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>roles_ids</code></b>&nbsp;&nbsp;<small>integer[]</small>  &nbsp;
<input type="number" name="roles_ids.0" data-endpoint="POSTapi-v1-ro-users" data-component="body" required  hidden>
<input type="number" name="roles_ids.1" data-endpoint="POSTapi-v1-ro-users" data-component="body" hidden>
<br>

</p>
<p>
<b><code>password</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="password" name="password" data-endpoint="POSTapi-v1-ro-users" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>password_confirmation</code></b>&nbsp;&nbsp;<small>required</small>     <i>optional</i> &nbsp;
<input type="password" name="password_confirmation" data-endpoint="POSTapi-v1-ro-users" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Display a user.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/users/16" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/users/16"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 355,
        "username": "lorin22",
        "username_identifier": null,
        "username_suffix": null,
        "first_name": "Nichifor",
        "last_name": "Tataru",
        "department": null,
        "mobile": "0318407005",
        "phone_fax": "0253113528",
        "email": "nicoleta84@example.com",
        "website": "http:\/\/gherman.com\/corrupti-repellendus-exercitationem-dolores-fugit-et-aperiam.html",
        "address": "Calea Cloșca 5\/8, Brad, Bacău, CP 220125",
        "status": "active",
        "profile_pic": null,
        "use_profile_pic": true,
        "roles_ids": [],
        "roles": [],
        "permissions": []
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-users--user-" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-users--user-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-users--user-"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-users--user-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-users--user-"></code></pre>
</div>
<form id="form-GETapi-v1-ro-users--user-" data-method="GET" data-path="api/v1/ro/users/{user}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-users--user-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-users--user-" onclick="tryItOut('GETapi-v1-ro-users--user-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-users--user-" onclick="cancelTryOut('GETapi-v1-ro-users--user-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-users--user-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/users/{user}</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-users--user-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-users--user-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user" data-endpoint="GETapi-v1-ro-users--user-" data-component="url" required  hidden>
<br>

</p>
</form>
<h2>Update  a user.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/users/2" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"username_suffix":"iure","first_name":"distinctio","last_name":"at","department_id":17,"phone_fax":"ut","mobile":"dignissimos","email":"dakota47@example.org","website":"http:\/\/moore.com\/aspernatur-autem-cum-nam-sunt-recusandae.html","address":"non","status":"active","use_profile_pic":false,"roles_ids":[18,17],"password":"qui","password_confirmation":"quisquam"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/users/2"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "username_suffix": "iure",
    "first_name": "distinctio",
    "last_name": "at",
    "department_id": 17,
    "phone_fax": "ut",
    "mobile": "dignissimos",
    "email": "dakota47@example.org",
    "website": "http:\/\/moore.com\/aspernatur-autem-cum-nam-sunt-recusandae.html",
    "address": "non",
    "status": "active",
    "use_profile_pic": false,
    "roles_ids": [
        18,
        17
    ],
    "password": "qui",
    "password_confirmation": "quisquam"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 356,
        "username": "valter.moldoveanu",
        "username_identifier": null,
        "username_suffix": "moldoveanu",
        "first_name": "Pamfil",
        "last_name": "Stroe",
        "department": null,
        "mobile": "0232691363",
        "phone_fax": "0775299335",
        "email": "ostroe@example.com",
        "website": "http:\/\/manole.com\/quos-ea-est-alias-numquam-voluptatem",
        "address": "Str. Mihai Eminescu 3B, Mun. Făgăraș, Giurgiu, CP 640927",
        "status": "vacation",
        "profile_pic": null,
        "use_profile_pic": true,
        "roles_ids": [],
        "roles": [],
        "permissions": []
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-users--user-" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-users--user-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-users--user-"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-users--user-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-users--user-"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-users--user-" data-method="PUT" data-path="api/v1/ro/users/{user}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-users--user-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-users--user-" onclick="tryItOut('PUTapi-v1-ro-users--user-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-users--user-" onclick="cancelTryOut('PUTapi-v1-ro-users--user-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-users--user-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/users/{user}</code></b>
</p>
<p>
<small class="badge badge-purple">PATCH</small>
 <b><code>api/v1/ro/users/{user}</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-users--user-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-users--user-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user" data-endpoint="PUTapi-v1-ro-users--user-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>username_suffix</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="username_suffix" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>first_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="first_name" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>last_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="last_name" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>department_id</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="department_id" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>status</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="status" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body" required  hidden>
<br>
The value must be one of <code>active</code> or <code>vacation</code>.
</p>
<p>
<b><code>use_profile_pic</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="PUTapi-v1-ro-users--user-" hidden><input type="radio" name="use_profile_pic" value="true" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body" ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-users--user-" hidden><input type="radio" name="use_profile_pic" value="false" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>roles_ids</code></b>&nbsp;&nbsp;<small>integer[]</small>  &nbsp;
<input type="number" name="roles_ids.0" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body" required  hidden>
<input type="number" name="roles_ids.1" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body" hidden>
<br>

</p>
<p>
<b><code>password</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="password" name="password" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>password_confirmation</code></b>&nbsp;&nbsp;<small>required</small>     <i>optional</i> &nbsp;
<input type="password" name="password_confirmation" data-endpoint="PUTapi-v1-ro-users--user-" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Logged user profile.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro/user" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/user"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 357,
        "username": "margareta.soare",
        "username_identifier": null,
        "username_suffix": "soare",
        "first_name": "Anemona",
        "last_name": "Nicolae",
        "department": null,
        "mobile": "0360262595",
        "phone_fax": "0215431802",
        "email": "clementina84@example.org",
        "website": "https:\/\/www.horvath.net\/quasi-laboriosam-dolor-minus-repudiandae-expedita-qui",
        "address": "B-dul. Zidarilor 6A, Jibou, Olt, CP 484382",
        "status": "vacation",
        "profile_pic": null,
        "use_profile_pic": false,
        "roles_ids": [],
        "roles": [],
        "permissions": []
    }
}</code></pre>
<div id="execution-results-GETapi-v1-ro-user" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro-user"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro-user"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro-user" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro-user"></code></pre>
</div>
<form id="form-GETapi-v1-ro-user" data-method="GET" data-path="api/v1/ro/user" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro-user', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro-user" onclick="tryItOut('GETapi-v1-ro-user');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro-user" onclick="cancelTryOut('GETapi-v1-ro-user');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro-user" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro/user</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro-user" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro-user" data-component="header"></label>
</p>
</form>
<h2>Update logged user profile.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X PUT \
    "https://api.dentalsystem.ro/api/v1/ro/user" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"first_name":"officiis","last_name":"velit","phone_fax":"laudantium","mobile":"illum","email":"kip79@example.com","website":"http:\/\/www.bahringer.com\/quas-rerum-qui-voluptas-consequuntur-expedita-labore","address":"hic","status":"vacation","use_profile_pic":false,"password":"autem","password_confirmation":"eius"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/user"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "first_name": "officiis",
    "last_name": "velit",
    "phone_fax": "laudantium",
    "mobile": "illum",
    "email": "kip79@example.com",
    "website": "http:\/\/www.bahringer.com\/quas-rerum-qui-voluptas-consequuntur-expedita-labore",
    "address": "hic",
    "status": "vacation",
    "use_profile_pic": false,
    "password": "autem",
    "password_confirmation": "eius"
}

fetch(url, {
    method: "PUT",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 358,
        "username": "micu.grigore",
        "username_identifier": null,
        "username_suffix": "grigore",
        "first_name": "Emilia",
        "last_name": "Nicolae",
        "department": null,
        "mobile": "0248260963",
        "phone_fax": "0364381992",
        "email": "ana45@example.org",
        "website": "http:\/\/www.botezatu.com\/earum-numquam-et-blanditiis-officia-voluptatem.html",
        "address": "Aleea Mihai Viteazul 96, Mun. Târgu Lăpuș, Cluj, CP 156815",
        "status": "active",
        "profile_pic": null,
        "use_profile_pic": false,
        "roles_ids": [],
        "roles": [],
        "permissions": []
    }
}</code></pre>
<div id="execution-results-PUTapi-v1-ro-user" hidden>
    <blockquote>Received response<span id="execution-response-status-PUTapi-v1-ro-user"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-PUTapi-v1-ro-user"></code></pre>
</div>
<div id="execution-error-PUTapi-v1-ro-user" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-PUTapi-v1-ro-user"></code></pre>
</div>
<form id="form-PUTapi-v1-ro-user" data-method="PUT" data-path="api/v1/ro/user" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('PUTapi-v1-ro-user', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-PUTapi-v1-ro-user" onclick="tryItOut('PUTapi-v1-ro-user');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-PUTapi-v1-ro-user" onclick="cancelTryOut('PUTapi-v1-ro-user');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-PUTapi-v1-ro-user" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-darkblue">PUT</small>
 <b><code>api/v1/ro/user</code></b>
</p>
<p>
<label id="auth-PUTapi-v1-ro-user" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="PUTapi-v1-ro-user" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>first_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="first_name" data-endpoint="PUTapi-v1-ro-user" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>last_name</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="last_name" data-endpoint="PUTapi-v1-ro-user" data-component="body" required  hidden>
<br>

</p>
<p>
<b><code>phone_fax</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="phone_fax" data-endpoint="PUTapi-v1-ro-user" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>mobile</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="mobile" data-endpoint="PUTapi-v1-ro-user" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>email</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="email" data-endpoint="PUTapi-v1-ro-user" data-component="body"  hidden>
<br>
Câmpul value trebuie să fie o adresă de e-mail validă.
</p>
<p>
<b><code>website</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="website" data-endpoint="PUTapi-v1-ro-user" data-component="body"  hidden>
<br>
The value must be a valid URL.
</p>
<p>
<b><code>address</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="address" data-endpoint="PUTapi-v1-ro-user" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>status</code></b>&nbsp;&nbsp;<small>string</small>  &nbsp;
<input type="text" name="status" data-endpoint="PUTapi-v1-ro-user" data-component="body" required  hidden>
<br>
The value must be one of <code>active</code> or <code>vacation</code>.
</p>
<p>
<b><code>use_profile_pic</code></b>&nbsp;&nbsp;<small>boolean</small>     <i>optional</i> &nbsp;
<label data-endpoint="PUTapi-v1-ro-user" hidden><input type="radio" name="use_profile_pic" value="true" data-endpoint="PUTapi-v1-ro-user" data-component="body" ><code>true</code></label>
<label data-endpoint="PUTapi-v1-ro-user" hidden><input type="radio" name="use_profile_pic" value="false" data-endpoint="PUTapi-v1-ro-user" data-component="body" ><code>false</code></label>
<br>

</p>
<p>
<b><code>password</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="password" name="password" data-endpoint="PUTapi-v1-ro-user" data-component="body"  hidden>
<br>

</p>
<p>
<b><code>password_confirmation</code></b>&nbsp;&nbsp;<small>required</small>     <i>optional</i> &nbsp;
<input type="password" name="password_confirmation" data-endpoint="PUTapi-v1-ro-user" data-component="body"  hidden>
<br>

</p>

</form>
<h2>Update user&#039;s profile picture.</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X POST \
    "https://api.dentalsystem.ro/api/v1/ro/user-profile-photo/5" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: multipart/form-data" \
    -H "Accept: application/json" \
    -F "picture=@C:\Users\WORK\AppData\Local\Temp\phpBBCC.tmp" </code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro/user-profile-photo/5"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "multipart/form-data",
    "Accept": "application/json",
};

const body = new FormData();
body.append('picture', document.querySelector('input[name="picture"]').files[0]);

fetch(url, {
    method: "POST",
    headers,
    body,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "data": {
        "id": 359,
        "username": "neagu.marian",
        "username_identifier": null,
        "username_suffix": "marian",
        "first_name": "Alina",
        "last_name": "Zamfir",
        "department": null,
        "mobile": "0758177509",
        "phone_fax": "0709474306",
        "email": "bartolomeu38@example.net",
        "website": "http:\/\/sirbu.com\/",
        "address": "Aleea Unirii 31, Arad, Neamț, CP 350178",
        "status": "active",
        "profile_pic": null,
        "use_profile_pic": false,
        "roles_ids": [],
        "roles": [],
        "permissions": []
    }
}</code></pre>
<div id="execution-results-POSTapi-v1-ro-user-profile-photo--user-" hidden>
    <blockquote>Received response<span id="execution-response-status-POSTapi-v1-ro-user-profile-photo--user-"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-v1-ro-user-profile-photo--user-"></code></pre>
</div>
<div id="execution-error-POSTapi-v1-ro-user-profile-photo--user-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-v1-ro-user-profile-photo--user-"></code></pre>
</div>
<form id="form-POSTapi-v1-ro-user-profile-photo--user-" data-method="POST" data-path="api/v1/ro/user-profile-photo/{user}" data-authed="1" data-hasfiles="1" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"multipart\/form-data","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('POSTapi-v1-ro-user-profile-photo--user-', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-POSTapi-v1-ro-user-profile-photo--user-" onclick="tryItOut('POSTapi-v1-ro-user-profile-photo--user-');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-POSTapi-v1-ro-user-profile-photo--user-" onclick="cancelTryOut('POSTapi-v1-ro-user-profile-photo--user-');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-POSTapi-v1-ro-user-profile-photo--user-" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-black">POST</small>
 <b><code>api/v1/ro/user-profile-photo/{user}</code></b>
</p>
<p>
<label id="auth-POSTapi-v1-ro-user-profile-photo--user-" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="POSTapi-v1-ro-user-profile-photo--user-" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>user</code></b>&nbsp;&nbsp;<small>integer</small>  &nbsp;
<input type="number" name="user" data-endpoint="POSTapi-v1-ro-user-profile-photo--user-" data-component="url" required  hidden>
<br>

</p>
<h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
<p>
<b><code>picture</code></b>&nbsp;&nbsp;<small>file</small>     <i>optional</i> &nbsp;
<input type="file" name="picture" data-endpoint="POSTapi-v1-ro-user-profile-photo--user-" data-component="body"  hidden>
<br>

</p>

</form><h1>X_unsorted_endpoints</h1>
<h2>tenancy/assets/{path?}</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/tenancy/assets/aliquid" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/tenancy/assets/aliquid"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETtenancy-assets--path--" hidden>
    <blockquote>Received response<span id="execution-response-status-GETtenancy-assets--path--"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETtenancy-assets--path--"></code></pre>
</div>
<div id="execution-error-GETtenancy-assets--path--" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETtenancy-assets--path--"></code></pre>
</div>
<form id="form-GETtenancy-assets--path--" data-method="GET" data-path="tenancy/assets/{path?}" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETtenancy-assets--path--', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETtenancy-assets--path--" onclick="tryItOut('GETtenancy-assets--path--');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETtenancy-assets--path--" onclick="cancelTryOut('GETtenancy-assets--path--');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETtenancy-assets--path--" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>tenancy/assets/{path?}</code></b>
</p>
<p>
<label id="auth-GETtenancy-assets--path--" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETtenancy-assets--path--" data-component="header"></label>
</p>
<h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
<p>
<b><code>path</code></b>&nbsp;&nbsp;<small>string</small>     <i>optional</i> &nbsp;
<input type="text" name="path" data-endpoint="GETtenancy-assets--path--" data-component="url"  hidden>
<br>

</p>
</form>
<h2>api/v1/ro</h2>
<p><small class="badge badge-darkred">requires authentication</small></p>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "https://api.dentalsystem.ro/api/v1/ro" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "https://api.dentalsystem.ro/api/v1/ro"
);

let headers = {
    "Authorization": "Bearer {YOUR_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre>
<blockquote>
<p>Example response (401):</p>
</blockquote>
<pre><code class="language-json">{
    "message": "Necesita autentificare"
}</code></pre>
<div id="execution-results-GETapi-v1-ro" hidden>
    <blockquote>Received response<span id="execution-response-status-GETapi-v1-ro"></span>:</blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-v1-ro"></code></pre>
</div>
<div id="execution-error-GETapi-v1-ro" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-v1-ro"></code></pre>
</div>
<form id="form-GETapi-v1-ro" data-method="GET" data-path="api/v1/ro" data-authed="1" data-hasfiles="0" data-headers='{"Authorization":"Bearer {YOUR_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}' onsubmit="event.preventDefault(); executeTryOut('GETapi-v1-ro', this);">
<h3>
    Request&nbsp;&nbsp;&nbsp;
        <button type="button" style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-tryout-GETapi-v1-ro" onclick="tryItOut('GETapi-v1-ro');">Try it out ⚡</button>
    <button type="button" style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-canceltryout-GETapi-v1-ro" onclick="cancelTryOut('GETapi-v1-ro');" hidden>Cancel</button>&nbsp;&nbsp;
    <button type="submit" style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;" id="btn-executetryout-GETapi-v1-ro" hidden>Send Request 💥</button>
    </h3>
<p>
<small class="badge badge-green">GET</small>
 <b><code>api/v1/ro</code></b>
</p>
<p>
<label id="auth-GETapi-v1-ro" hidden>Authorization header: <b><code>Bearer </code></b><input type="text" name="Authorization" data-prefix="Bearer " data-endpoint="GETapi-v1-ro" data-component="header"></label>
</p>
</form>
    </div>
    <div class="dark-box">
                    <div class="lang-selector">
                                    <a href="#" data-language-name="bash">bash</a>
                                    <a href="#" data-language-name="javascript">javascript</a>
                            </div>
            </div>
</div>
<script>
    $(function () {
        var languages = ["bash","javascript"];
        setupLanguages(languages);
    });
</script>
</body>
</html>